Home

E4990A Impedance Analyzer
Help

Welcome

  • Using this Help (Read me first)
  • Revision History
  • Precautions
  • Quick Start
  • Measurement
  • Setting Control Functions
  • Using Windows
  • Product Information
  • Programming

The E4990A help provides an easy access to the information related to the use of Keysight E4990A Impedance Analyzer. Pressing Help key on the front panel displays the topic related to the selected softkey.

You can navigate this help system through the navigation tools provided in the left or you can directly access the chapters:

E4990A Firmware Revision | A.02.1x
Help Edition No. | 2.00
Help Revision Date | May 26,2015

© Keysight Technologies, 2014-2015


Using this Help

This help provides the user and programming documentation in an searchable electronic format for the E4990A Network Analyzer. This section describes the usage of this help system.

  • Opening E4990A Help

  • Context Sensitive Help

  • Closing E4990A Help

  • Viewing E4990A Help on PC

  • Switching between E4990A Help and Measurement View

  • Navigating E4990A Help

  • Conventions used in E4990A Help

Opening E4990A Help

This help system is provided in Microsoft Compressed HTML Help format (.chm). This help can be also be viewed on a normal PC.

To open E4990A help, use either of the following methods:

  • By pressing the Help key located in the ENTRY Block.

  • By pressing the F1 key on a keyboard attached with the E4990A.

  • By double-clicking E4990A_Help.chm (located in C:\Program Files (x86)\Agilent\E4990\Help).

Context Sensitive Help

Context sensitive help is a great feature of the E4990A help. It allows you to get information about the selected softkey by pressing the Help key in the E4990A or by pressing F1 in a keyboard attached to the E4990A or by clicking the help button in a dialog box. It provides information relevant to the task that needs to be accomplished and reduces the time to search relevant information required to complete a task.

Closing E4990A Help

To close the E4990A help, click [image], located on the top right of the E4990A help viewer.

Viewing E4990A Help on your PC

The E4990A help can be opened and viewed on a normal PC. The help file (E4990A_Help.chm) is located in the E4990A Network Analyzer storage at C:\Program Files (x86)\Keysight\E4990\Help. Copy it to the local storage drive on your PC, then double-click it to view.

A web help is also available at http://www.keysight.com/find/e4990A-manual.

  • Do not locate E4990A_Help.chm in a network drive because the topics is not displayed.

Switching between E4990A Help and Measurement View

The Foc Key, located in the Entry Block, can be used to switch between the E4990A Measurement View and Help View.

Navigating E4990A Help

The E4990A help system provides several ways to navigate through the information related to the use of E4990A Network Analyzer. These sections describe the navigation system of the E4990A help which consists of:

  • Navigation bar

  • Quick Access

  • Toolbar

Navigation bar

Navigation bar comprises of tabs related to Contents, Index, Search and Glossary. The Contents tab contains the main navigational structure of the E4990A help. The Glossary tab contains explanation of the terms significant to the E4990A Network Analyzer. The Index tab is an additional tool that can be used to navigate different topics according to their alphabetical listing. The Search tab can be used to search any term/phrase used in the E4990A online Help.

Toolbar

The toolbar can be used to navigate through the help. The Home option can be used to return to the home page of the E4990A help which contains Quick Access to chapters in the help. The Back and Forward options can be used to toggle between visited topics. The Print option can be used to print the selected, or all the topics of the E4990A help.

Quick Access

Quick access, located on the Home Page of the E4990A help, is a convenient and quick way to access the contents of the E4990A help.

Conventions used in E4990A Help

Naming Conventions Used in this Help

Convention

Description

Example

File Name/Path

File names and path associated with them as displayed as Bold in Arial with 12 pt size.

C:\Documents and Settings\test.txt

example2.xls

Hard keys

Hard Keys (Keys located on the Front panel of E4990A) are displayed in Blue color, Bold in Verdana with 12 pt size.

Trace Max

Foc

Marker

Softkeys

Also known as menu keys, are the names of menu that appear in the Firmware (Software) of E4990A and are displayed as Bold in Arial with 12 pt size.

Auto Scale All

Allocate Channels

BLOCK Names

E4990A Front Panel is divided into 7 blocks. These blocks are displayed in ALL CAPS, Green Color, Bold in Arial with 12 pt size, followed by the word 'Block'.

RESPONSE Block

ENTRY Block

STIMULUS Block

Note

This Note sign denotes important information. It calls attention to a condition that is essential for the user to understand.

  • This is a Note.

Caution

This Caution sign denotes a hazard. It calls attention to a procedure, practice, or condition that, if not correctly performed or adhered to, could result in damage to or destruction of part or all of the instrument.

  • This is a Caution.

Warning

This warning sign denotes a hazard. It calls attention to a procedure, practice, or condition that, if not correctly performed or adhered to, could result in injury or death to personnel.

  • This is a Warning.


Precautions

  • Safety

  • Notices

  • Installing Software

  • Protecting the E4990A

  • Before Contacting us


Safety

Safety Summary

The following general safety precautions must be observed during all phases of operation, service, and repair of this instrument. Failure to comply with these precautions or with specific WARNINGS elsewhere in this manual may impair the protection provided by the equipment. Such noncompliance would also violate safety standards of design, manufacture, and intended use of the instrument. Keysight Technologies assumes no liability for the customer's failure to comply with these precautions.

  • The E4990A complies with INSTALLATION CATEGORY II as well as POLLUTION DEGREE 2 in IEC61010-1. The E4990A is an INDOOR USE product.

  • The LEDs in the E4990A are Class 1 in accordance with IEC60825-1, CLASS 1 LED PRODUCT

  • Ground the Instrument

    To avoid electric shock, the instrument chassis and cabinet must be grounded with the supplied power cable's grounding prong.

  • DO NOT Operate in an Explosive Atmosphere

    Do not operate the instrument in the presence of inflammable gasses or fumes. Operation of any electrical instrument in such an environment clearly constitutes a safety hazard.

  • Keep Away from Live Circuits

    Operators must not remove instrument covers. Component replacement and internal adjustments must be made by qualified maintenance personnel. Do not replace components with the power cable connected. Under certain conditions, dangerous voltage levels may remain even after the power cable has been disconnected. To avoid injuries, always disconnect the power and discharge circuits before touching them.

  • DO NOT Service or Adjust the Instrument Alone

    Do not attempt internal service or adjustment unless another person, capable of rendering first aid and resuscitation, is present.

  • DO NOT Substitute Parts or Modify the Instrument

    To avoid the danger of introducing additional hazards, do not install substitute parts or perform unauthorized modifications to the instrument. Return the instrument to an Keysight Technologies Sales and Service Office for service and repair to ensure that safety features are maintained in operational condition.

  • Dangerous Procedure Warnings

    Warnings, such as the example below, precede potentially dangerous procedures throughout this manual. Instructions contained in the warnings must be followed.

  • Dangerous voltage levels, capable of causing death, are present in this instrument. Use extreme caution when handling, testing, and adjusting this instrument.

Safety Symbols

Instruction Manual symbol: the product is marked with this symbol when it is necessary for the user to refer to the instrument manual.

Alternating current.

Direct current.

On (Supply).

Off (Supply).

A chassis terminal; a connection to the instrument's chassis, which includes all exposed metal structure.

Stand-by.


Notices

The information contained in this document is subject to change without notice.

This document contains proprietary information that is protected by copyright. All rights are reserved. No part of this document may be photocopied, reproduced, or translated to another language without the prior written consent of Keysight Technologies.

Microsoft®,MS-DOS®,Windows®,Visual C++®,Visual Basic®,VBA® and Excel® are registered trademarks of Microsoft Corporation.

Java® is registered trademark of Sun Microsystems Corporation.

© Copyright 2015 Keysight Technologies. All rights reserved.

Certification

Keysight Technologies certifies that this product met its published specifications at the time of shipment from the factory. Keysight Technologies further certifies that its calibration measurements are traceable to the United States National Institute of Standards and Technology, to the extent allowed by the Institution's calibration facility or by the calibration facilities of other International Standards Organization members.

Documentation Warranty

The material contained in this document is provided "as is," and is subject to being changed, without notice, in future editions. Further, to the maximum extent permitted by applicable law, Keysight disclaims all warranties, either express or implied with regard to this manual and any information contained herein, including but not limited to the implied warranties of merchantability and fitness for a particular purpose. Keysight shall not be liable for errors or for incidental or consequential damages in connection with the furnishing, use, or performance of this document or any information contained herein. Should Keysight and the user have a separate written agreement with warranty terms covering the material in this document that conflict with these terms, the warranty terms in the separate agreement will control.

Exclusive Remedies

The remedies provided herein are Buyer's sole and exclusive remedies. Keysight Technologies shall not be liable for any direct, indirect, special, incidental, or consequential damages, whether based on contract, tort, or any other legal theory.

Assistance

Product maintenance agreements and other customer assistance agreements are available for Keysight Technologies products.

For any assistance, contact your nearest Keysight Technologies Sales and Service Office.

Sample Program

The customer shall have the personal, non-transferable rights to use, copy, or modify SAMPLE PROGRAMS in this manual for the customer's internal operations. The customer shall use the SAMPLE PROGRAMS solely and exclusively for their own purposes and shall not license, lease, market, or distribute the SAMPLE PROGRAMS or modification of any part thereof.

Keysight Technologies shall not be liable for the quality, performance, or behavior of the SAMPLE PROGRAMS. Keysight Technologies especially disclaims any responsibility for the operation of the SAMPLE PROGRAMS to be uninterrupted or error-free. The SAMPLE PROGRAMS are provided AS IS.

Keysight TECHNOLOGIES DISCLAIMS ANY IMPLIED WARRANTY OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.

Keysight Technologies shall not be liable for any infringement of any patent, trademark, copyright, or other proprietary right by the SAMPLE PROGRAMS or their use. Keysight Technologies does not warrant that the SAMPLE PROGRAMS are free from infringements of such rights of third parties. However, Keysight Technologies will not knowingly infringe or deliver software that infringes the patent, trademark, copyright, or other proprietary right of a third party.

Useful sample program library are available at http://www.keysight.com/find/e4990a


Installing Software

Updating Pre-Installed Software

Do not update pre-installed software in except when Keysight recommends to do so.

Installing User Application Software

Users can install commercial application software for Windows on the E4990A at their own risk. Some application software may affect the measurement performance, especially measurement speed.


Protecting the E4990A

To protect your E4990A, follow the instructions below:

Read the warning labels and specifications

Do not exceed the values provided in the specifications guide or as indicated by the yellow warning labels on the front panel of the E4990A. Refer to the specifications for the conditions required to meet the listed specifications. There will be information regarding E4990A settings, and calibration requirements.

Do NOT Plug off Power Cable during Shutdown Process

Do Not Plug off Power cable until completing the shutdown process.

If you directly interrupt the power supply to the power cable receptacle when the power supply is on, or while turning off the Line Switch (Always ON), the shutdown process will not work. This could damage the SSD of the E4990A.

Do NOT Modify or Reconfigure the Operating System

The Microsoft Windows operating system has been modified and optimized by Keysight to improve the performance of the E4990A.

  • Do NOT install standard version of the Windows operating system on the E4990A.

  • Do NOT change advanced performance settings or group policies.

  • Do NOT add or delete any storage drive partitions on the E4990A.

  • Do NOT delete the Keysight user account.

  • Do NOT modify any of the Keysight software registry entries.

  • Do NOT change the settings of Standards and Formats in Regional Options and Languages from default setting (English).

  • DO NOT change the display property.

Install Antivirus Protection

The E4990A does NOT have antivirus protection when shipped. Use of an antivirus program is strongly recommended if you connect the E4990A to the LAN (Internet).

In addition, the use of a firewall could help to protect the E4990A from viruses. However, some firewalls could limit DCOM connectivity of the E4990A.

Install Windows Critical Updates

The E4990A is always shipped with the latest service packs and critical updates that were available at the time when firmware is updated. Keysight recommends you to maintain the latest available protection for your E4990A by automatically accepting and installing the latest critical security patches from the Microsoft Windows Update website: http://windowsupdate.microsoft.com

Precaution for Use of Storage

Do NOT modify or delete any Files and Folders in the drives other than D drive. Doing so will result in malfunctioning of the device. It is required to execute the System recovery if there is any trouble with the above operations.

Precaution for input connector and cable

  • Do not apply excessive DC voltage or current to the test port. Applying excessive DC voltage or current may lead to device failure. In particular, the capacitor might remain charged. Connect the measurement sample (DUT) to the test port (or the test fixture, cables, etc. connected to the test port) after the analyzer has been completely discharged. The damage level is described in the data sheet.

  • Do NOT bend, bump or flex any device under test (DUT) connected to the input of the E4990A (such as filters, couplers etc). This will reduce the amount of strain placed on the input connector and the mounting hardware. Make sure externally connected items are properly supported (not freely suspended) from the input.

  • Do NOT bend cables repeatedly, as this may damage the cables instantly. Limit the number of connections and disconnections to reduce wear and tear. Inspect connectors prior to use; look for dirt, nicks, and other signs of damage or wear. A bad connector can ruin a good connector instantly. Clean dirty connectors to prevent poor electrical connections and damage to the connector. For more information on cable and connector care, refer to http://www.keysight.com/find/cable_care

Precautions for Electrostatic Discharge (ESD)

ESD can damage or destroy electronic components. Whenever possible, conduct testing at a static-safe workstation. Keep static-generating materials at least one meter away from all components. Before connecting any coaxial cable to an analyzer, momentarily short the center and outer conductors of the cable together.

Maintain working environment condition

Control your environment. Maintain temperature & humidity with a satisfactory range within the instruments specification and prevent large fluctuations.

Precautions for transportation

  • Do NOT lift the instrument with your hands at the front panel. If the instrument slips, damage may occur to the keypad, knob, or input connectors. Lift the Instrument by the handles when transporting.

  • Do NOT use styrene pellets as packaging materials as these may cause damage to E4990A by generating static electricity.

Check for Proper Ventilation

Periodically check and clean the cooling vents of the E4990A. Inadequate airflow can result in excessive operating temperatures which can lead to instrument failures. When installing the product in a cabinet, the convection in and out of the instrument must not be restricted.

See the installation guide for details.

Precautions for Proper Grounding

  • Proper grounding prevents building-up of static charge which may be harmful to the E4990A.

  • Do NOT defeat the earth-grounding protection by using an extension cable, power cable, or autotransformer without a protective ground conductor.


Before Contacting us

If you encounter the following problems during startup or operation of the E4990A, in which initial registration of the Windows Operating System has been properly performed, execute system recovery and update the Firmware revision.

The system starts up, but the normal measurement screen does not appear

  • The system automatically shuts down immediately after the startup, or the startup process stops.

  • The measurement screen appears, but "Power on test fail" or "Calibration data lost" is displayed in the instrument message/warning area against a red background in the lower-left part of the screen. The system enters the service mode. (The instrument status bar in the lower-right displays SVC in red).

Unstable Operation

  • The system hangs while the instrument is controlled from an external PCs.

  • The blue screen appears and the system hangs.

  • The response is much slower than usual.

When execution of system recovery does not result in normal operation, it indicates that failure may have occurred. Contact Keysight customer contacts.

For other problems, refer to Troubleshooting.


Overview

  • Front Panel

  • Rear Panel

  • Screen Area


Front Panel

Front Panel: Names and Functions of Parts

Ground Terminal

Ground terminal is provided with the E4990A and is connected to the chassis of the E4990A. You can connect a banana-type plug to this terminal for grounding.

Hardkeys

ACTIVE CH/TRACE Block

A group of keys for selecting active channels and traces. For more on the concepts of channels and traces, see Setting Channels and Traces.

Hardkey Name | Description
Channel Next | Selects the next channel as the active channel. (Each time the key is pressed, the active channel steps up from the current channel to the channel with one number larger than the current channel number). A channel must be active before you can define such parameters as the sweep range. To change the settings of a channel, use this key to first make the channel active.
Channel Prev | Selects the previous channel as the active channel. (Each time the key is pressed,the active channel steps down from the current channel to the channel with one number smaller than the current channel number).
Trace Next | Selects the next trace as the active trace. (Each time the key is pressed, the active trace steps up from the current trace to the trace with one number larger than the current trace number). A trace must be active before you can define measurement parameters and other settings. To change the settings of a trace, use this key to first make the trace active.
Trace Prev | Selects the previous trace as the active trace. (Each time the key is pressed, active trace steps down from the current trace to the trace with one number smaller than the current trace number).

ENTRY Block

A group of keys used for entering numeric data is provided on the front panel of the E4990A.

Hardkey Name | Description
0, 1, 2, 3 , ...... , 9, ... Keys (numeric keys) | Type numeric characters or a decimal point at the position of the cursor in the data entry area.
+/- | +/- alternately changes the sign (+, -) of a numeric value in the data entry area.
G/n, M/u, k/m, x1 | Adds a prefix to the numeric data typed by using the numeric key and +/- key. One of the two prefixes written on the surface of the key is automatically selected depending on the parameter to be entered. x1 is entered without a prefix.
Softkey On/Off , Entry Off | Turns off the data entry bar if it is displayed. If the dialog box is displayed, it cancels the entry and closes the dialog box. If the data entry bar and dialog box are not displayed, it turns the softkey menu display on/off.
Bk Sp | Backspace key.
Foc | Changes the selection (focus) among the objects to be manipulated by the NAVIGATION Block keys and ENTRY Block keys. The objects to be manipulated by the NAVIGATION Block keys and ENTRY Block keys include softkey menus, data entry areas, tables (e.g., segment tables, limit tables, and marker tables), and dialog boxes. When two or more of these objects are displayed on the screen and need selecting, use this key to change the selection (focus) among the objects to be manipulated. When a softkey menu is selected, the menu name area at the top of the menu is displayed in blue. When a data entry area is selected, the data entry bar is displayed in blue. When a table is selected, the frame of the table window is displayed in light gray. While a dialog box is displayed, the focus is fixed on the dialog box and cannot be changed.
Help | Displays help for E4990A.

INSTR STATE Block

A group of keys related to the macro function, store and call function, control management function, and presetting of the E4990A (returning it to the preset state).

Hardkey Name | Description
Instr Setup | Displays the short-cut keys to make quick setup.
Macro Setup | Displays the Macro Setup Menu in Softkey Menu Bar.
Macro Menu | Displays macro list to be executed which is registered in the macro setup.
Save/Recall | Displays the Save/Recall Menu in Softkey Menu Bar. Manipulating the Save/Recall Menu enables you to store the setup conditions to or read from the storage devices, calibration data, and trace data of the analyzer.
Capture/System | First, temporarily saves the data for the image displayed on the LCD screen the moment this key is pressed to the internal memory (clipboard). Immediately after that, displays the System Menu in Softkey Menu Bar. Manipulating the System Menu enables you to define the setup for the limit test and then execute it, or to define the setup for the control and management of the analyzer. Using the Dump Screen Image option enables you to store the image data in the clipboard to a file on the storage devices. Also, using the Print option in the System menu enables you to print the image data in the clipboard to a printer.
Preset | One message will prompt on the screen display and click OK in the message to return the analyzer to the initial setup state, called as factory state.

MKR/ANALYSIS Block

A group of keys used for analyzing the measurement results by using the markers and etc.

Hardkey Name | Description
Marker | Displays the Marker Menu in Softkey Menu Bar. Manipulating the Marker Menu enables you to turn the markers on/off and move them by entering stimulus values. You can place up to 10 markers on each trace.
Marker Search | Displays the Marker Search Menu in Softkey Menu Bar. Manipulating the Marker Search Menu enables you to move a marker to a specific point (maximum, minimum, peak, and a point with a target value) on a trace. You can also find the bandwidth parameters (up to six) and display them.
Marker Fctn | Displays the Marker Function Menu in Softkey Menu Bar. Manipulating the Marker Function Menu enables you to not only specify the marker sweep range and the coupling of markers on a channel but also to display statistics data on traces.
Analysis | Displays the Analysis Menu in Softkey Menu Bar. Manipulating the Analysis Menu enables you to use the analytical function of the Equivalent Circuit and each limit test.

NAVIGATION Block (No Label on Front Panel)

The keys and Rotary knob in the NAVIGATION Block are used to navigate between softkey menus, tables (limit table, segment table, etc.), or selected (highlighted) areas in a dialog box as well as to change a numeric value in the data entry area by stepping up or down. When selecting one of two or more objects (softkey menus, data entry areas, etc.) to manipulate with the NAVIGATION Block keys displayed on the screen, first press the Foc (Focus) key in the ENTRY Block to select the object to be manipulated (placing focus on the object) and then manipulate the NAVIGATION Block keys (knob) to move among selected (highlighted) objects or change numeric values.

The following descriptions show how the NAVIGATION Block keys work both when the focus is on a softkey menu and when the focus is on the data entry area. For more on tables and dialog boxes manipulation, refer to the manipulation procedure for each of these functions.

  • When the focus is on a softkey menu (softkey menu is selected)

When the focus is placed on a softkey menu (the menu title area in the uppermost part is displayed in blue), the NAVIGATION Block keys work as described below.

Hardkey Name | Description
Rotary Knob (turned clockwise or counterclockwise) | Moves the softkey selection (highlighted display) up or down.
Up/Down Arrow keys | Moves the softkey selection (highlighted display) up or down.
Right Arrow key | Displays the softkey menu one layer above.
Left Arrow keys | Displays the softkey menu one layer below.
Enter or [image] Rotary Knob (pressed) | Executes the function of the selected softkey.

After pressing the data entry softkey, the focus automatically moves to the data entry area.

  • When the focus is on the data entry area (data entry area is selected)

When the focus is placed on the data entry area (the data entry bar is displayed in blue), the NAVIGATION Block keys work as described below.

Hardkey Name | Description
Rotary Knob (turned clockwise or counterclockwise) | Increases or decreases the numeric value in the data entry area in small steps.
Up/Down Arrow keys | Increases or decreases the numeric value in the data entry area in large steps.
Right/Left Arrow keys | Moves the cursor (|) in the data entry area laterally back and forth. Use it together with the ENTRY Block keys to change data one character at a time.
Enter or [image] Rotary Knob (pressed) | Finishes the entry in the data entry area and moves the focus to the softkey menu.

RESPONSE Block

A group of keys used mainly for setting up response measurements on the E4990A.

Hardkey Name | Description
Channel Max | Changes between normal and maximum display of the active channel window. In normal display, all of the defined channel windows (both active and non-active) are displayed in split views on the screen. In maximum display, only the active channel window is displayed over the entire area, with non-active windows not displayed. To maximize the active channel, double-click the channel window frame. Measurements are also carried out on the non-active channels that are not displayed.
Trace Max | Changes between normal and maximum display of the active trace window. In normal display, all of the defined trace windows (both active and non-active) are displayed in split views on the screen. In maximum display, only the active trace is displayed over the entire channel window, with non-active traces not displayed. To maximize the trace, double-click anywhere in the channel window. Measurements are also carried out on the non-active traces that are not displayed.
Meas | Displays the Measurement Menu in Softkey Menu Bar. Manipulating the Measurement Menu enables you to specify the measurement parameters (types of S-parameters) for each trace.
Format | Displays the Format Menu in Softkey Menu Bar. Manipulating the Format Menu enables you to specify the data format (data transformation and graph formats) for each trace.
Scale | Displays the Scale Menu in Softkey Menu Bar. Manipulating the Scale Menu enables you to specify the scale for displaying a trace (magnitude per division, value of the reference line, etc.) for each trace. You can also specify the electrical delay and phase offset for each trace.
Display | Displays the Display Menu in Softkey Menu Bar. Manipulating the Display Menu enables you to specify the number of channels and the channel window array, the number and arrangement of traces, the setup for data math, etc.
Avg | Displays the Average Menu in Softkey Menu Bar. Manipulating the Average Menu enables you to define the averaging, smoothing, and IF bandwidth.
Cal | Displays the Calibration Menu in Softkey Menu Bar. Manipulating the Calibration Menu enables you to turn the calibration and error correction on/off and change definitions for calibration kits.

STIMULUS Block

A group of keys for defining the stimulus values (signal sources and triggers).

Hardkey Name | Description
Start | Displays the data entry bar for specifying the start value of the sweep range in the upper part of the screen. (It also displays the Stimulus Menu for specifying the sweep range in Softkey Menu Bar.)
Stop | Displays the data entry bar for specifying the stop value of the sweep range in the upper part of the screen. (It also displays the Stimulus Menu in the same way as Start.)
Center | Displays the data entry bar for specifying the center value of the sweep range in the upper part of the screen. (It also displays the Stimulus Menu in the same way as Start.)
Span | Displays the data entry bar for specifying the span value of the sweep range in the upper part of the screen. (It also displays the Stimulus Menu in the same way as Start.)
Sweep Setup | Displays the Sweep Setup Menu in Softkey Menu Bar. Manipulating the Sweep Setup Menu enables you to specify the signal source power level, sweep time, number of points, sweep type, etc.
Trigger | Displays the Trigger Menu in Softkey Menu Bar. Manipulating the Trigger Menu enables you to specify the trigger mode and trigger source. You can specify the trigger mode for each channel.

LCD Screen

The E4990A is equipped with a 10.4-inch TFT color, touch-sensitive LCD screen for displaying traces, scales, settings, softkeys and other measurement related information. The touch screen LCD allows you to manipulate softkeys by touching the LCD screen directly with a finger. For more on the LCD screen, see Screen Area: Names and Functions of Parts.

    • Do not press the surface of the LCD screen with a sharp object (e.g., nail, pen, or screwdriver). Pressing the surface with a sharp-pointed object will damage the LCD screen surface or cause the screen to fail.

    • Valid pixels are 99.998 % and more. Below 0.002% of fixed points of black, blue, green or red are not regarded as failure.

Standby Switch

This switch can turn on/off the E4990A. The color on the button shows the status as shown below:

Indicator Color | Description
Green | Normal power on status.
Orange | Standby status.
Red | Illegal power on status.

To turn off the power of the E4990A, be sure to follow the steps described below:

  1. First, press this standby switch or send a shutdown command from the external controller to activate the shutdown process (the processing of software and hardware necessary to turn off the power supply). This will put the E4990A into the standby state.

  2. Next, if necessary, turn off power supply to the Power Cable Receptacle (to LINE) on the rear panel.

    • Under normal use, never directly interrupt the power supply to the power cable receptacle on the rear panel when the power supply is on. Always keep the Line Switch (Always ON) at (|). Never turn it off (O).

If you directly interrupt the power supply to the power cable receptacle when the power supply is on, or turn off the Line Switch (Always ON), the shutdown process will not work. This could damage the software and hardware of the E4990A and lead to device failure.

Turning on the power supply after a faulty shutdown may cause the system to start up in a condition called "safe mode." If this occurs, first shut down the system to set it to the standby state and then turn on the power supply again to start up the system in normal mode.

UNKNOWN Terminals

These connectors let you connect the instrument with a device under test (DUT) via test accessories (such as an adapter, test fixture, or cable). These accessories adopt a four-terminal pair design, thereby enabling more accurate and wider-range dynamic measurements. Each test connector has a pair of holes for securing the test accessory to the instrument.

The test ports comply with Installation Category I of IEC 61010-1.

USB Ports

Two USB (Universal Serial Bus) Ports are provided that can be used for connecting to USB keyboard, USB mouse, USB memory or a printer. Connecting a compatible printer to this port enables screen information on the E4990A to be printed. See Using USB for more detail.


Rear Panel

Rear Panel: Names and Functions of Parts

24 Bit (Handler) I/O Port

The terminal to which an automatic machine (handler) used on a production line is connected. See 24 Bit (Handler) I/O Port.

Connector type: 36-pin Ribbon (Centronics) connector

Certificate of Authenticity Label

The label shows the license information of the Windows Operating System

Ethernet Port

A terminal for connecting the E4990A to a LAN (Local Area Network). Connecting this instrument to a LAN enables you to access the hard disk drive of this instrument from an external PC or to control this instrument by using SICL-LAN or telnet.

Specification | Value
Connector type | 8-pin RJ-45 connector
Base Standard | 10Base-T/100Base-TX/1000Base-T

External Monitor Output Port (VIDEO)

A terminal to which an external color monitor (display device) can be connected. By connecting a color monitor to this terminal, the same information shown on the LCD screen of the main body can be displayed on an external color monitor.

Connector type: 15-pin VGA connector, female

External Trigger (EXT TRIG)

Input

A connector to which external trigger signals are input. This connector detects the downward transition from the HIGH state in TTL signals as the trigger signal. To use this connector to generate a trigger, you must set the trigger source to the "external" side. The connector type is BNC, female.

GPIB Port

The connection of an external controller through General Purpose Interface Bus (GPIB) connector allows you to configure an automatic measurement system.

This GPIB port is used only for controlling the E4990A from an external controller. Use USB/GPIB interface to control other devices from the E4990A. You cannot control other devices from the E4990A through this GPIB port.

Solid State Drive (SSD)

Built in solid state drive.

Reference Signal Ports (10MHz)

The specification for the signals is specified in the data sheet.

Input (REF IN)

The reference signal input connector is used for phase-locking the measurement signal from the E4990A to the external frequency reference signal. Inputting reference signal to this connector improves the accuracy and frequency stability of the measurement signal from the E4990A. When the frequency reference signal is input to this connector, the measurement signal from the E4990A is automatically phase-locked to the reference signal. When an input signal is not present, the frequency reference signal inside the E4990A is automatically used. The ExtRef on the instrument status bar is displayed in blue when the system is phase-locked to the external reference signal and in gray when not phase-locked.

When using Option 1E5 (high stability time base), connect this connector to the REF OVEN by using the BNC(m)-BNC(m) cable included with the option.

Output (REF OUT)

A connector for outputting the internal frequency reference signal from the E4990A. By connecting this output connector to the external reference signal input connector of another device, the device can be phase-locked to the internal reference signal of the E4990A and used under this condition.

High Stability Frequency Reference Output (REF OVEN, OPT 1E5)

When Option 1E5 (high stability time base) is installed, the reference signal is output from this connector. Connect this connector to the REF IN by using the BNC(m)-BNC(m) adapter included with the option.

Line Switch (Always ON)

Always keep this switch on (|).

  • Do not use this switch to turn off (O) the mains. Doing so may cause the analyzer to fail. For more information, see the description of the Standby Switch.

Power Cable Receptacle (to LINE)

The receptacle (outlet) to which the power cable is connected.

  • To connect the device to a power source (outlet), use the supplied three-prong power cable with a ground conductor. The plug attached to the power cable (on the power outlet side or device side of the cable) serves as the disconnecting device (device that cuts off power supply) of the E4990A. When the power supply must be cut off to avoid such danger as electric shock, pull out the power cable plug (on the power outlet side or device side of the cable). For the procedure for turning off the main in normal use, see the description in Standby Switch.

For more on the power supply, see the Installation Guide.

Serial Number Plate

The label showing the product number, serial number and the installed option number. The accessary and system rack options are not listed on this label. (CFGxxx or ATOxxx in the first line is Keysight Use Only.)

USB Interface Port (USBTMC)

Through this port, you can control the E4990A from external controllers. For more information on the measurement system using the USB port, see the USB Remote Control System.

Specification | Value
Connector type | Universal serial bus (USB), type B (4 contact positions), Female (jack)
Compliance Standards | USBTMC-USB488 and USB2.0

USB Ports

Four USB (Universal Serial Bus) ports are provided that can be used for connecting to USB keyboard, USB mouse, USB memory or a printer. Connecting a compatible printer to this port enables screen information on the E4990A to be printed. See Using USB for more detail.


Screen Area

Screen Area: Names and Functions of Parts

Click on the name or area for details of the topic.

  • Channel Window

  • Data Entry Bar

  • Instrument Status Bar

  • Menu Bar

  • Softkey Menu Bar


Channel Window

Window for displaying the traces. Because a channel corresponds to a window, it is called a channel window. When the outer frame of a channel window is displayed in light gray, it shows that the channel is an active channel (the channel for which setup is being performed). In the following figure, Channel 1 (the upper window) is the active channel.

Channel 1 Window and Channel 2 Window describes different measurement parameters available in the channel measurement window. The measurement parameters described in the Channel 1 and 2 Window correspond to the same channel measurement window and are displayed in separate windows for ease of read.

Averaging Status

Displays the averaging factor and averaging count when averaging is turned on.

n/m (displayed in blue) | Averaging: ON (m: averaging factor; n: averaging count)
(not displayed) | Averaging: OFF

Bandwidth Parameter

It shows the bandwidth data for a trace when the bandwidth function is turned on.

Calibration/Compensation/Port Extension Status

Calibration Status

 | Correction Point:Fixed Freq | Correction Point:User Freq
User Correction: On | COR | Cor (Neither interpolation nor extrapolation is being executed.)
 |  | C? (Interpolation is being executed.)
User Correction: Off | None

Compensation Status

Status |  |  | Indicator display
Open | Short | Load | Fixed point | User point
Off | Off | Off | None | None
On | Off | Off | Comp O | COMP O
Off | On | Off | Comp S | COMP S
Off | Off | On | Comp L | COMP L
On | On | Off | Comp OS | COMP OS
On | Off | On | Comp OL | COMP OL
Off | On | On | Comp SL | COMP SL
On | On | On | Comp OSL | COMP OSL

When the span is narrowed from the span of compensation in "user point", ? is displayed after COMP, like COMP? OSL.

Port Extension Status

PEXT or PExt is displayed when Port Extension is turned on and Length or Time is not zero.

  • PEXT: Fixed point

  • PExt: User point

Channel Number

Indicates the channel number. To make a channel active, use Channel Next or Channel Prev. Clicking inside a channel window will also make the channel active.

Channel Measurement Status

Displays the update status of traces on the channel.

! | Measurement in progress. When the sweep time exceeds 1.5 seconds, ↑ is displayed at the point on the trace.
# | Invalid traces. The measurement conditions have changed, but the traces on the channel currently displayed have not been updated to match the new conditions.
(No display) | The measurement has not been executed.

Channel Title Bar

You can assign a title to each channel and have the title displayed on the bar.

DC Monitor

DC Monitor values are displayed when the DC monitor function is turned on.

Equivalent Circuit Model/Simulation Result

Equivalent Circuit Model/Simulation Result are displayed for the equivalent circuit.

Graticule/Scale Labels

Y-axis divisions in the rectangular display format. When traces in the rectangular display format are overlaid, the Y-axis divisions for the active trace are displayed. The value of the reference line (the division line between [image] and [image]) is entered numerically by opening the data entry bar using the keys: Scale > Reference Value. You can change values of the reference line at one-division intervals by placing the mouse pointer in the area of the graticule label (the pointer changes from [image] to [image]), moving the pointer vertically with the left mouse button pressed, and then releasing the button at the desired location.

Marker Indicators

Indicates the positions of markers on the stimulus axis.

Active marker indicator

Non-active marker indicator

You can also move a marker to the desired position by placing the mouse pointer on the marker indicator or position of the marker itself (the pointer changes from [image] to [image]), moving the indicator vertically with the left mouse button pressed, and then releasing the button at the desired location.

Marker Numbers

Displayed marker number is listed. For the active marker (the one for which setup and analysis are being performed), > is displayed at the left of the marker number. For the reference marker, [image] is displayed instead of the marker number.

Marker Values

The marker stimulus and response values for each marker is displayed here. Two (or three) response values are displayed for data in Smith chart or polar display format.

Markers

The markers used for reading values on a trace. Up to 10 markers can be displayed for each trace.

Active marker (the one for which setup and analysis are being performed).

Non-active marker.

Here, "n" denotes a marker number. For the reference marker, however, nothing is displayed at the location of n. Clicking the marker or one of the Marker Indicators makes the marker active.

Marker Statistic Parameters

It shows the statistics data for a trace (span, mean, standard deviation, and peak-to-peak) when the statistic function is turned on.

Measurement Parameter

Measurement parameters are displayed.

OSC Level/DC Bias/CW Frequency

Indicates the OSC level, DC Bias and CW frequency in the following conditions.

Indicator type | Sweep type
OSC level | Frequency (Liner/Log) and DC Biasl
DC Bias (when DC bias is ON) | Frequency (Liner/Log) and OSC level
CW frequency | OSC level and DC Bias

Reference Line Indicators

The indicators that indicate the position of the reference line for the Y-axis scale in the rectangular display format. One indicator is to the right and the other is to the left of the scale ( [image] and [image]). To enter a numeric value for the position of the reference line, open the data entry bar using the keys: Scale > Reference Position. You can also move the position of the reference line by placing the mouse pointer on either of the two reference line indicators (the pointer changes from [image] to [image].), moving the indicator vertically with the left mouse button kept pressed, and then releasing the button at the desired location (i.e., a drag-and-drop operation).

Scale

The scale for each trace is displayed here.

  • When Linear scale is selected at Y-Axis
    The scale/Div and Reference values are displayed.
    This example shows that "50.00°" corresponds to 50° per division. "Ref 0.000°" shows that the value of the reference line is 0°.

  • When Log scale is selected at Y-Axis
    The top and bottom values of Y-Axis are displayed.

Sweep Range

Indicates the sweep range by using the start/stop or center/span.

Trace Number

The names of the traces, such as Tr1, on the channel are displayed here. The symbol [image] at the right of the trace name indicates the active trace (the trace for which setup is being performed).
To make a trace active, use Trace Next or Trace Prev. Clicking the line where the trace name is placed (the mouse pointer changes from [image] to [image]) also makes a trace active.

In the rectangular display format, the trace number is displayed in the same color as the trace at the right end of each trace.

Trace Status Area

The setup for each trace is displayed here.

Trace status display

Classification | Contents inside [ ] | Meaning
Memory traces | Nothing | Data trace: ON, Memory trace: OFF
 | M | Data trace: OFF, Memory trace: ON
 | D&M | Data trace: ON, Memory trace: ON
 | off | Data trace: OFF, Memory trace: OFF
Performing data math | D+M (D+M&M) | Execution of Data+Mem math
When a memory trace is ON, see the contents inside () | D-M (D-M&M) | Execution of Data-Mem math
 | D*M (D*M&M) | Execution of Data*Mem math
 | D/M (D/M&M) | Execution of Data/Mem math
Equation Editor | Equ | Equation Editor: ON


Data Entry Bar

Used to enter numeric data into the E4990A. Press a hardkey or softkey to enter data, and the data entry bar will appear at the top of the screen. To assign a title to a channel window, an entry bar that allows you to enter letters and symbols by using the front panel keys or mouse is displayed.

Data entry bar

  • To manipulate the data entry bar by using the front panel keys, the data entry bar must be selected as the object to manipulate (with the focus placed on it). When the focus is placed on the data entry bar, the entire bar is displayed in blue. Pressing or clicking Foc Key in the ENTRY Block enables you to move the focus to the desired object.

Close Button

Closes the data entry area (turns off the display). Use mouse to manipulate this button.

Data Entry Area

When the data entry bar is displayed for the first time, the current settings are displayed on it. You can change numeric values by typing from the keyboard or in the ENTRY block on the front panel.

You can hide the frequency information in order to ensure its confidentiality or for other reasons. For detailed information, see Hiding Softkey's Frequency Information.

Parameter Name

Displays the name of the parameter for which data will be entered.

Step Button (Small)

Increases or decreases the numeric value in the data entry area in small steps. Use the mouse to manipulate this button.

Step Button (Large)

Increases or decreases the numeric value in the data entry area in large steps. Use the mouse to manipulate this button.


Instrument Status Bar

The instrument status bar displays the status of the entire instrument.

Instrument Message/Warning

Displays instrument messages and warnings. Instrument messages are displayed in gray and warnings in red.

DC Bias ON/OFF Indicator

Value | Description
DC ON (displayed in red) | DC Bias is turns ON.
DC OFF (displayed in dark) | DC Bias is turns OFF.

Display Update Off Indicator

When information update display on the LCD screen is turned off, this indicator is displayed in red.

Measurement Status

Displays the measurement status of the E4990A.

Value | Description
Setup | Setup for measurement in progress
Hold | Measurement on hold (idling)
Man | The trigger source is set to "Manual" and waiting for trigger.
Ext | The trigger source is set to "External" and waiting for trigger.
Bus | The trigger source is set to "Bus" and waiting for trigger.
Meas | A measurement is in progress.

Adapter Status

The adapter status of E4990A shows types of adapter in used.

Value | Description
Ext1 | Adapter 4TP 1m.
Ext2 | Adapter 4TP 2m .
Probe | Adapter Probe 42941A or 42941A Extension.
7mm | Adapter 7mm 42942A or 42942A Extension.
  • When no adapter to be chosen, the adapter status will not appear.

External Reference Signal

When the frequency reference signal is input to the Reference Signal Input (REF IN) on the rear panel and the measurement signal of the E4990A is phase-locked to the reference signal, ExtRef is displayed in blue.

Value | Description
ExtRef (displayed in red) | Measurement signal is not phase-locked to the external reference signal.
ExtRef (displayed in blue) | Measurement signal is phase-locked to the external reference signal.
ExtRef(displayed in gray) | Internal reference signal is used as frequency reference signal.

Service Mode Indicator

Indicates the service mode status. The service mode indicator is displayed when E4990A enters the following state.

Value | Description
SVC (displayed in red) | An abnormal condition has been detected inside the E4990A. The unit may be damaged. Notify the Customer Contact listed at the end of this manual or the distributor from whom the unit was purchased.

Date and Time

Displays the date and time generated by the internal clock. The display format is as follows:

YYYY-MM-DD HH:MM

Where:

YYYY: Year (AD)

MM: Month

DD: Day

HH: MM: Time (0:00 to 23:59)

  • You can turn the date and time display on/off by: System > Misc Setup > Clock Setup > Show Clock.


Menu Bar

By using the mouse and keyboard to manipulate the menu bar, you can perform interface operations that are equivalent to those of the keys in the ACTIVE CH/TRACE Block, RESPONSE Block, STIMULUS Block, MKR/ANALYSIS Block, and INSTR STATE Block on the front panel of the E4990A. The menus on the menu bar correspond to the key blocks, and their submenus to the hardkeys inside the key blocks.


Softkey Menu Bar

A group of keys on the screen called by the softkeys and menu bars. You can manipulate these keys by using the NAVIGATION Block keys on the front panel, the mouse, or the keyboard. You can perform manipulations by directly touching the screen with your finger instead of using a mouse.

Softkey Menu Bar

  • To manipulate a menu bar, it has to be selected as the object to manipulate (with the focus placed on it). When the focus is placed on a menu bar, the menu title area at the top is displayed in blue. Pressing or clicking on Foc key in the ENTRY Block enables you to move the focus to the desired object.

Highlighted Softkey

Pressing [image] and Enter key on the front panel or pressing Enter key on the keyboard causes the highlighted (selected) softkey to be executed. You can change which softkey in the menu is highlighted by turning [image] or pressing [image] [image] key on the front panel or by pressing [image] [image] key on the keyboard. Pressing the [image] key on the front panel or the [image] key on the keyboard brings up the upper level softkey menu, and pressing the [image] key on the front panel or the [image] key on the keyboard brings up the lower level softkey menu.

Scroll Arrow (Large)

When the softkeys in a menu overflow the screen, use this key to enable you to scroll the menu page by page. Both upward and downward scroll arrows are available. Use the mouse to manipulate these buttons.

Scroll Arrow (Small)

Using this button, you can scroll the menu one softkey at a time. Both upward and downward scroll arrows are available. Use the mouse to manipulate these buttons.

Scroll Bar

When the softkeys in a menu overflow the screen, clicking on the blank part of the scroll bar enables you to scroll the softkey menu up or down.

Scroll Box

You can scroll the softkey menu up or down by using the mouse to select and drag the scroll box (pressing the button on the object to be moved and then releasing the button at the desired location). The length and position of the scroll box indicate the length and position of the currently displayed part of the softkey menu relative to the entire menu.

Selection Mark

Shows which softkey function is currently selected.

Softkeys

These are the actual keys you would use to perform setup. A [image] displayed to the right of a softkey indicates that pressing that softkey displays the lower layer of softkeys.

Softkey Menu Title

The title of the softkey menu is displayed here. Double-clicking on this part of the menu bar displays the top layer of softkeys.

Softkey Status Display

Displays a softkey's setup status.

You can hide the frequency information in order to ensure its confidentiality or for other reasons. See Hiding Softkey's Frequency Information.


Measurement Example

This chapter guides you through a tour of the basic measurement functions of the E4990A Impedance Analyzer. If you are new to the E4990A, this tutorial should help you get familiar with the instrument.

  • Required Equipment

  • Preparing for a Measurement

  • Specifying Measurement Conditions

  • Fixture Compensation

  • Carrying Out Measurement and Viewing Results

  • Results of Analysis

  • Softkey Shortcuts


Required Equipment

To perform all of the steps in this example, you must have the following equipment:

  • E4990A Impedance Analyzer (1 unit)

  • 16047E Text Fixture for Lead Components (1 piece)

  • DUT: Capacitor with lead wires having self-resonance frequency of 100 MHz or lower, such as a 0.1 μF ceramic capacitor (1 piece)

Other topics about Measurement Example


Preparing for a Measurement

  • Connect the 16047E Test Fixture

  • Turn ON the Power

Other topics about Measurement Example

Prepare the E4990A for measurement by taking the following steps. This procedure assumes that the E4990A has been correctly installed and set up.

Connect the 16047E Test Fixture

Connect the E4990A to the 16047E Test Fixture for Lead Components.

  1. Attach the 16047E test fixture to the test connectors on the front panel of the E4990A by gradually coupling the four BNC connectors and fastening screws of the fixture with the test connectors and accessory mounting holes of the instrument until they are in complete contact.

  2. Fasten two of the four BNC connectors to the corresponding test connectors by gradually turning the BNC connectors' rotation levers until each pair of connectors is securely connected. Be sure to align the grooves on both sides.

  3. Simultaneously turn the fixture's two fastening screws clockwise so that the fixture is secured to the instrument.

  4. Finally, secure the remaining two BNC connectors of the fixture by turning their rotation levers clockwise.

    • Reverse the above procedure when removing the 16047E Test Fixture.

Turn ON the Power

Press the power switch to turn ON the power to the E4990A. The E4990A performs a power-on self-test. During the self-test, the model name, firmware revision number/date, options, copyright notice, and other information appear on the LCD. When the self-test is completed, the measurement screen appears on the LCD.


Specifying Measurement Conditions

  • Initialize the E4990A to the Preset State

  • Select Fixture

  • Select |Z|-Theta as the Measurement Parameter

  • Select Frequency in Log as the Sweep Parameter

  • Set the Sweep Start/Stop Value

  • Set the Measurement Speed

Other topics about Measurement Example

Next, you need to specify how your E4990A should perform the measurement.

  • Through this procedure, you will configure parameters that apply to both Traces, A and B. You can set each parameter without specifying the active trace or checking its current settings.

Initialize the E4990A to the Preset State

Press the Preset key to initialize the E4990A.

This puts the E4990A into its preset state.

  • If you turn on the E4990A with a power-on setting file residing on the flash memory (nonvolatile memory disk), the file is automatically loaded, and the settings contained in the file are restored. Initializing the E4990A to its preset state ensures that no specific settings are inherited from the last measurement session. Therefore, you should initialize the E4990A by pressing the Preset key whenever you are configuring it for a new measurement session, regardless of whether you turned the instrument off and back on after the previous session.

  • Note that initializing the E4990A with the Preset key does not affect which type of adapter the instrument is configured to use. Once you have set the adapter type, the setting is retained until you select another adapter type.

Select Fixture

  1. Press the Cal key to display the Cal Compen (Calibration Compensation) menu.

  2. Select the 16047E test fixture by clicking Accessory > 16047E.

Select |Z|-Theta as the Measurement Parameter

To select the measurement parameter, follow these steps:

  1. Press the Meas > Measurement key to display the Measurement menu.

  2. Ensure that the |Z|- qz key is selected for Trace 1 & 2 (this key is selected by default in the preset state). With this selection, Trace 1 reflects the absolute impedance value while Trace 2 reflects the impedance phase.

Select Frequency in Log as the Sweep Parameter

  1. Press the Sweep Setup key to display the Sweep Setup menu.

  2. At Sweep Type softkey, select Log Freq (Logarithmic Frequency).

Set the Sweep Start/Stop Value

  1. Press the Start key. The current setting of the sweep start value appears at the Start parameter.

  2. Enter 100 Hz.

    • If you are using the ENTRY block keys, type: [1][0][0], and press the [1] key in the ENTRY block. This puts your entry into effect.

  3. Press the Stop key. The current setting of the sweep stop value appears at the Stop parameter.

  4. Enter 100 MHz.

    • If you are using the ENTRY block keys, type: [1][0][0], and press the [M/m] key in the ENTRY block. This puts your entry into effect.

Set the Measurement Speed

  1. Press the Avg key to display the Average menu.

  2. Click the Meas Time and select 2 as the measurement bandwidth.

    • Meas Time 1 provides the fastest measurement and 5 provides the slowest but more precise measurement.


Fixture Compensation

  • Perform Fixture Compensation for the Open Circuit State

  • Perform Fixture Compensation for the Short Circuit State

Other topics about Measurement Example

Next, you need to eliminate errors produced between the test fixture and the E4990A. This process is called “fixture compensation.” You can perform the process by using three compensation functions: OPEN, SHORT, and LOAD.

    • All calibration settings, including those established through fixture compensation, are applied to both Traces 1 and 2. You can execute each compensation function without specifying the active trace or checking the current state.

Perform Fixture Compensation for the Open Circuit State

  1. Press the Cal key to display the Cal Compen (Calibration Compensation) menu.

  2. Press the Fixture Compen softkey to display the Fixture Compen (Fixture Compensation) menu.

  3. Ensure that the two test electrodes, HIGH and LOW, of the connected text fixture (16047E) are open. Fix the two electrodes in position by turning clockwise the fixture’s two electrode fastening screws.

  4. Press the Open (0 S 0 F) softkey to measure the OPEN compensation data. While the instrument is measuring the compensation data, “Sweeping...” message is displayed on the Instrument Status Bar at the bottom-left area of the screen. Upon completion of measurement, the OPEN softkey label changes to ON, indicating that the OPEN compensation function is turned on.

Perform Fixture Compensation for the Short Circuit State

  1. Place the short bar (a metal plate for SHORT compensation) between the HIGH and LOW terminals of the 16047E. Secure the short bar with the two electrode fastening screws as shown below.

  2. Press the Short (0 W 0 H) key to measure the SHORT compensation data. While the instrument is measuring the compensation data, “Sweeping...” message is displayed on the Instrument Status Bar at the bottom-left area of the screen. Upon completion of measurement, the SHORT softkey label changes to ON, indicating that the SHORT compensation function is turned on.

  3. Remove the short bar from the 16047E's test electrodes.

    • The E4990A provides three fixture compensation functions: OPEN, SHORT, and LOAD. You can turn on/off each of these compensation functions individually and use them in any combination to perform the fixture compensation process. In typical measurement use, it is recommended that you execute the OPEN and SHORT compensation functions.


Carrying Out Measurement and Viewing Results

  • Connect the DUT

  • Apply the Logarithmic Format to the Vertical Axis for |Z|

  • Apply the Linear Format to the Vertical Axis for Theta

  • Display the Measured |Z| and Theta Values in Parallel

  • Auto-scale the Traces

Other topics about Measurement Example

Connect the DUT

  1. Increase the distance between the HIGH and LOW electrodes of the 16047E by turning their fastening screws counterclockwise.

  2. Fit the DUT's lead wires between the HIGH and LOW electrodes.

  3. Turn the fastening screws of the HIGH and LOW electrodes to secure the DUT's lead wires.

The measurement results displayed just upon connecting the DUT is as shown below.

Apply the Logarithmic Format to the Vertical Axis for |Z|

  1. Ensure that Trace 1 is selected as the active trace (Trace 1 is active by default in the preset state).

  2. Press the Format key to display the Format menu.

  3. Select Log for Y-Axis to make the graph's vertical axis logarithmic.

Apply the Linear Format to the Vertical Axis for Theta

  1. Activate Trace 2 by pressing Trace Next.

  2. Ensure that Lin (linear format) is selected for Y-Axis (this setting is selected by default in the preset state).

The result of applying the logarithmic format to the graph is shown below.

Display the Measured |Z| and Theta Values in Parallel

  1. Press the Display key to display the Display menu.

  2. Select Allocate Traces and select 2 horizontal split [image] .

Once split is applied, the graph will be as shown below.

Auto-scale the Traces

  1. Press the Scale > Auto Scale All to auto-scale both traces.

The result of applying auto-scale to all traces is shown below.


Results of Analysis

  • Determine the Self-resonance Frequency and Resonant Impedance

Other topics about Measurement Example

Determine the Self-resonance Frequency and Resonant Impedance

  1. Activate Trace 1 (you may use touch-screen or by toggling between Trace Prev and Trace Next key).

  2. Press Marker Search key to display the Marker Search menu.

  3. Select Tracking > ON to turn on the search tracking function. When this function is enabled, the instrument performs a search action upon completion of each sweep cycle.

  4. Select Min to move the main marker to the minimum |Z| value. Since the search tracking function is enabled, the instrument detects and moves the main marker to the minimum |Z| value each time it has completed one sweep cycle.

You can determine the self-resonance frequency and resonant impedance by reading the sweep parameter (frequency) and measurement parameter values indicated by the main marker that appears in the upper-right area of the graph for Trace 1, as shown below.


Softkey Shortcuts

The Instr Setup key provides quick access to the main softkeys required to setup and perform basic measurement, instead of accessing through different hardkeys.

Figure below shows the Instrument Setup softkeys and the alternate hardkeys that can be used to access the mentioned softkeys.

For example, Accessory softkey can be accessed by pressing Cal (Cal Compen) > Accessory, instead of Instr Setup > Accessory.

  • Instr Setup > Trace 3&4 allows you to select either OSC Monitor or DC Monitor for both traces in parallel.


Measurement

  • Preparation of Measurement Accessories

  • Setting Measurement Conditions

  • Calibration

  • Setting Up the Display of Measurement Results

  • Analysis and Processing of Result

  • Outputting Data


Preparation of Measurement Accessories

  • Selecting Accessories for Measurement

  • Connecting the Accessories

  • Adapter Setting

  • Adapter Selection

  • Adapter Setup

    • Adapter Setup Procedure for the 16048G and 16048H

    • Adapter Setup Procedure for the 16334A

    • Adapter Setup Procedure for the 16451B

    • Adapter Setup Procedure for the 42941A

    • Adapter Setup Procedure for the 42942A


Selecting Accessories for Measurement

Select the appropriate accessories (test fixture, adapter, probe, cable, etc.) for your measurement in accordance with below table. Detailed specifications are described in catalogs or in the operation manual of each accessory.

Guidelines for Selecting Accessories

Type of Device | Condition | Accessory | Features of Accessory
 | Arbitrary | None | -
Chip component | Frequency £ 40 MHz, Component size ³ 1608 | 16034E | -
 | Entire frequency range of E4990A, Component size ³ 0603 | 16034G | -
 | Entire frequency range of E4990A, Component size ³ 1608 | 16034H | Can measure array-type components.
 | Frequency £ 10 MHz, Component size ³ 1608, Low impedance device | 16044A | Connected to the device by four terminals.
Lead component | Frequency £ 13 MHz | 16047A | For axial and radial lead components.
 | Frequency £ 40 MHz | 16047D | For axial and radial lead components.
 | Entire frequency range of E4990A | 16047E | Equipped with screws for firmly fixing the fixture to the E4990A.
 | Frequency £ 2 MHz, External dc bias up to £ 200 V | 16065A | For axial and radial lead components. Equipped with safety cover.
 | Frequency £ 100 kHz, Component terminal diameter £ 15 mm | 16089A | Two Kelvin clips. Cable length: approx. 1 m.
 | Frequency £ 100 kHz, Component terminal diameter £ 7.9 mm | 16089B | Two Kelvin clips. Cable length: approx. 1 m.
 | Frequency £ 100 kHz, Component terminal diameter £ 6 mm | 16089E | Two Kelvin clips. Cable length: approx. 1 m.
 | Frequency £ 100 kHz, IC pin diameter £ 1 mm | 16089C | Two Kelvin clips. Cable length: approx. 1 m.
 | Frequency £ 100 kHz | 16089D | Four alligator clips. Cable length: approx. 1 m.
 | Entire frequency range of E4990A | 16092A | For both chip and lead components.
Chip component | Entire frequency range of E4990A, Component size ³ 1608 | 16192A | Connected to both sides of the component.
 | Entire frequency range of E4990A, Component size ³ 1608 | 16194A | Connected to the component’s bottom face.
 | Entire frequency range of E4990A, Component size ³ 1608 | 16196A | Connected to both sides of the component.
 | Entire frequency range of E4990A, Component size ³ 1608 | 16196B | Connected to both sides of the component.
 | Entire frequency range of E4990A, Component size ³ 1608 | 16196C | Connected to both sides of the component.
 | Entire frequency range of E4990A, Component size ³ 1608 | 16196D | Connected to both sides of the component.
 | Entire frequency range of E4990A, Component size ³ 1608 | 16197A | Connected to the component’s bottom face.
 | Frequency £ 15 MHz | 16334A | Tweezers type. Cable length: approx. 1 m.
Circuit | Entire frequency range of E4990A | 42941A and probe adapter1 | Probe type.
General | Cable extension | 42941A, coaxial cable, and test fixture | 42941A: approx. 1.5 m.

1. Furnished with the 42941A Impedance Probe Kit.

  • The 16085B Terminal Adapter cannot be used in place of the 42942A Terminal Adapter. The 16048A BNC 1 m Cable, the 16048B SMC 1 m Cable, the 16048D BNC 2 m Cable, or the 16048E BNC 4 m Cable cannot be used in place of the 16048G or 16048H.


Connecting the Accessories

  1. Connect the measurement accessories to the E4990A.

  2. Press the standby switch on the front panel of the E4990A to turn it on.

  3. Press Cal > Accessory or Instr Setup > Accessory to select the accessories for measurement.

  4. Whenever you connect accessories to or disconnect accessories from the E4990A, you must turn off the dc bias (Sweep Setup > DC Bias State). If this step is not taken, the dc bias may destroy the device.

    When you connect or disconnect accessories with the E4990A turned on, error messages such as "Z measurement overload" may be displayed on the LCD screen. However, this does not cause any special problem. To turn off the messages, press Entry Off.


Adapter Setting

You must ensure that the adapter setting is properly set after you finish connecting accessories to the four-terminal pair port of the E4990A and before you start measurement. If required, change it to the correct adapter setting. The adapter setting includes adapter selection and the data acquisition process, which is called adapter setup. The following table lists the device connections and corresponding adapter settings.

Device Connections and Adapter Settings

Device Connection | Accessory | Adapter Selection | Adapter Setup (data measurement) (√: required; blank: not required)
 |  |  | Phase *1 | OPEN | SHORT | LOAD
A. Connect a direct connection type test fixture to the four-terminal pair port of the E4990A and connect the device to the fixture contacts. | 16034E 16034G 16034H 16044A 16047A 16047D 16047E 16065A *2 16089A *2 16089B *2 16089C *2 16089D *2 16089E *2 | No Adapter (NONE) |  |  |  |
B. Extend the four-terminal pair port of the E4990A with a 1-meter-long four-terminal pair configuration and connect the device. | 16048G and test fixture 16048G and 16452A | Four-terminal pair, 1 meter (4TP 1M) | √ |  |  | √
 | 16334A *3 | Four-terminal pair, 1 meter (4TP 1M) | √ |  |  |
 | 16451B *3 | Four-terminal pair, 1 meter (4TP 1M) | √ |  |  |
C. Extend the four-terminal pair port of the E4990A with a 2-meter-long four-terminal pair configuration and connect the device. | 16048H and test fixture 16048H and 16452A | Four-terminal pair, 2 meters (4TP 2M) | √ |  |  | √
D. Connect the 42942A directly to the four-terminal pair port of the E4990A, connect a dedicated test fixture to the 7mm port, and then connect the device to the fixture contacts. (Only for Option 120) | 42942A and 16092A 42942A and 16192A 42942A and 16454A | 42942A Terminal Adapter (7mm 42942A) | √ | √ | √ | √
E. Connect the 42942A directly to the four-terminal pair port of the E4990A, connect a coaxial cable to the 7-mm port, connect a test fixture, and then connect the device to the fixture contacts. (Only for Option 120) | 42942A, coaxial cable, and test fixture | 42942A Terminal Adapter (42942A Extension) | √ | √ | √ | √
F. Connect the 42941A directly to the four-terminal pair port of the E4990A, connect a dedicated probe adapter to the SMA port, and then connect the device to the adapter contacts. (Only for Option 120) | 42941A and probe adapter | 42941A Impedance Probe (PROBE 42941A) | √ | √ | √ | √
G. Connect the 42941A directly to the four-terminal pair port of the E4990A, connect a coaxial cable to the SMA port, connect a test fixture, and then connect the device to the fixture contacts. (Only for Option 120) | 42941A, coaxial cable, and test fixture | 42941A Impedance Probe (42941A Extension) | √ | √ | √ | √

*1. Phase compensation.

*2. Although it has a cable, it is considered a direct-connection-type test fixture.

*3. Clear the adapter setup before you start the fixture (System > Service Menu > Clear Adapter Setup)


Adapter Selection

The adapter selection setting must be confirmed before measurement in accordance with the connection status of each accessory. If necessary, it must be changed to the correct setting.

  1. Press Cal > Adapter.

  2. Select the corresponding adapter selection from the following:

Adapter Selection | Softkey Label
No Adapter | NONE
Four-terminal pair, 1 meter | 4TP 1M
Four-terminal pair, 2 meter | 4TP 2M
42942A Terminal Adapter | 7mm 42942A
42942A Terminal Adapter and extension cable | 42942A Extension
42941A Impedance Probe | Probe 42941A
42941A Impedance Probe and extension cable | 42941A Extension

  • Adapter selection status can also be confirmed through the display of the instrument status area.

  • The 42941A and 42942A can be selected only when the E4990A is equipped with option 120.


Adapter Setup

The adapter setup is a process used to acquire the setup data of the adapter selected by the Adapter Selection. The adapter setup is normally performed when using the following accessories with the E4990A for the first time after it is delivered. The adapter setup should be performed again when the accessory is changed. Even if the different accessory with the same model number is placed, the adapter setup should be performed again in order to compensate the electrical length difference.

  • 16048G 1m Port Extension Cable

  • 16048H 2m Port Extension Cable

  • 16334A Test Fixture (Tweezers Contacts)

  • 16451B Dielectric Test Fixture

  • 42942A Terminal Adapter

  • 42941A Impedance Probe Kit

  • Adapter setup should be performed at an ambient temperature as close as possible to the temperature in which the device measurement will actually be made.

    If the ambient temperature for your measurement is outside the range of ±5oC from the adapter setup temperature, it is recommended that you perform adapter setup again at the appropriate temperature.

It takes a few minutes to complete each setup data measurement.

For each adapter setup procedure, refer to:

  • Adapter Setup Procedure for the 16048G and 16048H

  • Adapter Setup Procedure for the 16334A

  • Adapter Setup Procedure for the 16451B

  • Adapter Setup Procedure for the 42942A

  • Adapter Setup Procedure for the 42941A

  • When you select “No Adapter” (NONE) in adapter selection, adapter setup cannot be performed.

Adapter setup data can be obtained and saved for each adapter selection.

Adapter setting (adapter selection and adapter setup data) is not affected by turning on/of the E4990A or by pressing the Preset to initialize the instrument settings. Press System > Meas Setup > Clear Adapter Setup to reset the adapter setup setting.


Adapter Setup Procedure for the 16048G and 16048H

When you use the 16048G 1m cable or 16048H 2m cable with another accessory, only perform the adapter setup for the 16048G or 16048H.

  1. Make sure that the 16048G or 16048H is correctly connected to the four-terminal pair port of the E4990A.

  2. More than 30 minutes warm-up time is required after turning on the E4990A.

  3. Make the correct accessory selection in accordance with Selecting Accessories for Measurement.

  4. Press Preset.

  5. Press Cal > Adapter > 4TP 1m for 16048G or 4TP 2m for 16048H.

  6. Press Cal > Adapter Setup.

  7. Connect the LCUR and LPOT terminals on the 16048G or 16048H to the HPOT and HCUR terminals of the 100 Ω Resister (furnished with the E4990A, Part Number: E4990-61001). Other terminals should remain open.

  8. Click Phase to start the phase compensation data measurement. When the phase compensation data measurement is completed, the softkey label changes to Phase [Done].

  9. Click Save Phase.

  10. Connect the LCUR, LPOT, HPOT, and HCUR terminals on the 16048G or 16048H to the LCUR, LPOT, HPOT and HCUR terminals of the 100 Ω Resister.

  11. Click E4990-61001 to start the measurement.

  12. When the load data measurement is completed, the softkey label changes to E4990-61001 [Done].

  13. Click Save Impedance to start calculating the adapter setup data from the measured phase compensation and load data. The adapter setup data is automatically saved to the E4990A.

  • Click Cancel to cancel the adapter setup process. If the adapter setup process is cancelled, the previously obtained data is saved as the available adapter setup data.


Adapter Setup Procedure for the 16334A

Perform the adapter setup for the 16334A Tweezers Type Test Fixture in accordance with the following procedure:

  1. Make sure that the 16334A is correctly connected to the four-terminal pair port of the E4990A. The 16334A must be directly connected to the four-terminal pair port of the E4990A.

  2. More than 30 minutes warm-up time is required after turning on the E4990A.

  3. Press Preset.

  4. Press Cal > Accessory > 16334 (15 MHz max).

  5. Press Cal > Adapter Setup.

  6. Put the device contacts of the 16334A into the OPEN condition. Refer to the operation manual of the 16334A for instructions on switching to the OPEN condition.

  7. Click Phase to start the phase compensation data measurement. When the phase compensation data measurement is completed, the softkey label changes to Phase [Done].

  8. Click Save Impedance to start calculating the adapter setup data from the measured phase compensation and load data. The adapter setup data is automatically saved to the E4990A.

  9. Click Cancel to cancel the adapter setup process. If the adapter setup process is cancelled, the previously obtained data is saved as the available adapter setup data.

  10. The open, short and load fixture compensations are recommended.


Adapter Setup Procedure for the 16451B

Perform the adapter setup for the 16451B Dielectric Test Fixture in accordance with the following procedure:

  1. Make sure that the 16451B is correctly connected to the four-terminal pair port of the E4990A.

  2. More than 30 minutes warm-up time is required after turning on the E4990A.

  3. Press Preset.

  4. Press System > Service Menu > Clear Adapter Setup.

  5. Press Cal > Accessory > Arbitrary.

  6. Press Cal > Adapter > 4TP 1m.

  7. Press Cal > Adapter Setup.

  8. Put the device contacts of the 16451B into the OPEN condition. Refer to the operation manual of the 16451B for instructions on switching to the OPEN condition.

  9. Click Phase to start the phase compensation data measurement. When the phase compensation data measurement is completed, the softkey label changes to Phase [Done].

  10. Click Cancel to cancel the adapter setup process. If the adapter setup process is cancelled, the previously obtained data is saved as the available adapter setup data.


Adapter Setup Procedure for the 42942A

Perform the adapter setup for the 42942A Terminal Adapter in accordance with the following procedure.

  1. Make sure that the 42942A is correctly connected to the four-terminal pair port of the E4990A.

  2. More than 30 minutes warm-up time is required after turning on the E4990A.

  3. Make the correct accessory selection in accordance with Selecting Accessories for Measurement.

  4. Press Preset.

  5. Press Cal > Adapter > 7mm 42942A. When you extend the cable, select 42942A Extension.

  6. Connect OPEN (0 S) to the 7-mm port of the 42942A (the OPEN standard is furnished with the 42942A Terminal Adapter).

  6. Click Phase to start the phase compensation data measurement. When the phase compensation data measurement is completed, the softkey label changes to Phase [Done].

  7. With the OPEN (0 S) standard connected to the 7-mm port, click OPEN to start the open data measurement. When the load data measurement is completed, the softkey label changes to Open [Done].

  8. Remove the OPEN (0 S) standard from the 7-mm port of the 42942A. Then connect the SHORT (0 Ω) standard to the 7-mm port (the SHORT standard is furnished with the 42942A Terminal Adapter).

  9. Click Short to start the short data measurement. When the short data measurement is completed, the softkey label changes to Short [Done].

  10. Remove the SHORT (0 Ω) standard from the 7-mm port of the 42942A. Then connect the LOAD (50 Ω) standard to the 7-mm port (the LOAD standard is furnished with the 42942A Terminal Adapter).

  11. Click Load to start the load data measurement. When the load data measurement is completed, the softkey label changes to Load [Done].

  12. Click Save Impedance to start calculating the adapter setup data from the measured OPEN, SHORT, and LOAD data. The adapter setup data is automatically saved in the E4990A.

  13. Click Cancel to cancel the adapter setup process. If the adapter setup process is canceled, the previously obtained data is saved as the available adapter setup data.


Adapter Setup Procedure for the 42941A

Perform the adapter setup for the 42941A Impedance Probe in accordance with the following procedure.

  1. Make sure that the 42941A is correctly connected to the four-terminal pair port of the E4990A.

  2. More than 30 minutes warm-up time is required after turning on the E4990A.

  3. Press Preset.

  4. Press Cal > Accessary > 42941A.

  5. Confirm that the 42941A is selected for Cal > Adapter. When you extend the cable, select 42941A Extension.

  6. Leave the 3.5-mm port of the 42941A open (no connection). There is no OPEN standard for the 42941A.

  7. Click Phase to start the phase compensation data measurement. When the phase compensation data measurement is completed, the softkey label changes to Phase [Done].

  8. With nothing connected to the 3.5-mm port, click Open to start open data measurement. When the load data measurement is completed, the softkey label changes to Open [Done].

  9. Connect the SHORT (0 Ω, HRM 504) to the 3.5-mm port (the SHORT is furnished with the 42941A Impedance Probe).

  10. Click Short to start the short data measurement. When the short data measurement is completed, the softkey label changes to Short [Done].

  11. Remove the SHORT (0 Ω, HRM 504) from the 3.5-mm port of the 42941A. Then connect the LOAD (50 Ω, HRM 601) to the 3.5-mm port (the LOAD is furnished with the 42941A Impedance Probe).

  12. Click Load to start the load data measurement. When the load data measurement is completed, the softkey label changes to Load [Done].

  13. Click Save Impedance to start calculating the adapter setup data from the measured phase compensation, OPEN, SHORT, and LOAD data. The adapter setup data is automatically saved in the E4990A.

  • Press the cancel key to cancel the adapter setup process. If the adapter setup process is canceled, the previously obtained data is saved as the available adapter setup data.


Setting Measurement Conditions

This chapter explains how to set up the measurement conditions for the Keysight E4990A Impedance Analyzer, including the measurement signal and sweep.

  • Initializing Parameters

  • Setting Channels and Traces

  • Selecting Sweep Parameter

  • Setting Source

  • Setting Trigger


Initializing Parameters

Initializing Parameters

The E4990A has three different initial settings as shown below.

Initial Setting

Restore method

Preset state

Press Preset on the front panel, one message will prompt as below and then click OK.

"Factory preset (default) DOES NOT change "Adapter" and "Accessory" type from the current setting.

User preset DOES change "Adapter" and "Accessory" type to what you saved as the "UserPres" file previously.

Check the menu under [Cal] key whether proper type is selected for your new measurements.

You can change Factory/User preset type selection, and choose to show or not to show this dialog under [System] > {Misc Setup} > {Preset Setup} menu."

or

Execute the :SYST:PRES command.

*RST state

Execute the *RST command.

Factory default setting

E4990A factory (default) settings.

The user can set items to be preset freely. For more information, see Setting the user preset function.

Other topics about Setting Measurement Conditions


Setting Channels and Traces

  • Overview of Channel and Trace

  • Setting Channel Display (Layout of Channels)

  • Changing Active Channel

  • Setting Trace Display

  • Changing Active Trace

Other topics about Setting Measurement Conditions

Overview of Channel and Trace

The E4990A allows you to setup multiple channels to perform measurement under different stimulus conditions.

As multiple traces (measurement parameters) can be displayed for each channel, no feature is provided to link the stimulus conditions between channels, and each channel is always independent of the others. In other words, you need to set the measurement conditions and execute calibration for each channel you use for measurement.

When you set items whose setting target is channels/traces (refer to Parameter setting for each setup item), the target is the selected (active) channel/trace. You can specify only the displayed channels/traces as active channels/traces. Therefore, set the display of channels/traces before setting the measurement conditions.

Setting Parameter for each Setup Item (Analyzer, Channel, Trace)

The following table lists the setting parameters and indicates the setup item (analyzer, channel, or trace) that each parameter controls along with the applicable setup key(s).

Parameter | Controlled Setup Items |  |  | Setup Key(s)
 | Analyzer | Channel | Trace
Stimulus Settings
Sweep range |  | x |  | Start, Stop, Center, Span
OSC Level, CW frequency |  | x |  | Sweep Setup > OSC level
Sweep time/Sweep delay time |  | x |  | Sweep Setup > Sweep Time, Sweep Delay
Number of points |  | x |  | Sweep Setup > Points
Segment sweep |  | x |  | Sweep Setup > Sweep Type, Edit Segment Table, Segment Display
DC Bias |  | x |  | Sweep Setup > Sweep Type
Trigger Settings
Trigger mode |  | x |  | Trigger > Hold/Single/ Continuous
 | x |  |  | Hold All Channels/Continuous Disp Channels
Trigger source, Trigger Event, Trigger Scope | x |  |  | Trigger > Trigger Source, Trigger Event, Trigger Scope
Trigger | x |  |  | Trigger > Restart/Trigger
Ext Trigger Input, Trigger Delay | x |  |  | Trigger > Ext Trig Input, Trigger Delay
Ext Trigger Output, Polarity, Position, Pulse Width | x |  |  | Trigger > Ext Trig Output, Polarity, Position, Pulse Width
Response Settings
Measurement parameter |  |  | x | Meas
Data format |  |  | x | Format
Scale |  |  | x | Scale
Memory trace and data math |  |  | x | Display > Display/Data-> Mem/ Data Math
Equation Editor |  |  | x | Display > Equation Editor/Equation (ON/OFF)
Window title |  | x |  | Display > Edit Title Label/ Title Label (ON/OFF)
Graticule label in rectangular form |  | x |  | Display > Graticule Label (ON/OFF)
Color inversion | x |  |  | Display > Invert Color
Frequency display | x |  |  | Display > Frequency (ON/OFF)
Display update | x |  |  | Display > Update (ON/OFF)
Averaging |  | x |  | Avg > Averaging Restart/ Avg Factor/Averaging (ON/OFF)
Averaging Trigger | x |  |  | Avg > Avg Trigger (ON/OFF)
Calibration/Fixture Compensation |  | x |  | Cal
Marker |  |  | x | Marker, Marker Search, Maker Fctn
Marker Table | x |  |  | Maker Fctn > Maker Table
Analysis
Equivalent Circuit |  |  | x | Analysis > Equivalent Circuit
Limit Test |  |  | x | Analysis > Limit Test
Saving and recalling data | x |  |  | Save/Recall
Macro | x |  |  | Macro Setup, Macro Run, Macro Break
System
Printing/Saving display Screen/Beeper/GPIB settings/Network Settings/Date & Time/Key Lock/Backlight/Firmware Revision/Service menu | x |  |  | System
Preset | x |  |  | Preset

Number of Channels/Traces

The number of channels and the number of traces are 4. The maximum number of points is 1601.

Setting Channel Display (Layout of Channels)

The measurement result for each channel is displayed in its dedicated window (channel window). You cannot have a single window to display the measurement results from more than one channel. This means that the setting of the window layout determines the number of channels displayed on screen.

  • The execution of measurement for each channel does not depend on how the channel is displayed (channels that are not displayed can be measured). For information on executing measurement for each channel (trigger mode and trigger source).

The procedure for setting the window layout is as follows:

  1. Press Display > Allocate Channels.

  2. Press the desired softkey to select the window layout.

Changing Active Channel

The active channel is the one whose settings can currently be changed. The window frame of the active channel is displayed brighter than the window frames of the other channels. To change the settings specific to a certain channel, you must first activate the channel.

To change the active channel, use the following hardkeys:

Hardkey | Function
Channel Next | Change the active channel to the next channel with the larger channel number.
Channel Prev | Change the active channel to the previous channel with the smaller channel number.

Setting Trace Display

Setting the number of traces

Depending on the measurement parameters of the traces displayed for each channel, the sweep necessary for each channel is executed.

You specify the trace display by setting the number of traces (upper limit of displayed trace numbers). For example, if you set the number of traces to 3, traces 1 through 3 are displayed.

The procedure for setting the number of traces is as follows:

  1. Press Channel Next (or Channel Prev) to select the channel for which you want to set the number of traces.

  2. Press Display > Number of Traces.

  3. Press the desired softkey to set the number of traces.

Setting trace layout (graph layout)

Traces are laid out and displayed in the order of the trace number from graph 1 according to the graph layout in the channel window.

You can select the graph layout from the windows layout.

If the number of traces is less than the number of graphs, nothing is displayed in the remaining area. If the number of traces you set exceeds the number of graphs, excess traces are superimposed from the first graph. For example, if you select [image] as the graph layout and set the number of traces to 4, graph 1 (Gr1 in Graph layout) display traces 1 and 2, respectively, by superimposing, and graph 2 (Gr2 in Graph layout) and graph 3 (Gr3 in Graph layout) displays trace 2 and trace 4 as shown in the figure below.

The procedure for setting the graph layout is as follows:

  1. Press Channel Next (or Channel Prev) to select the channel for which you want to set the graph layout.

  2. Press Display > Allocate Traces.

  3. Press the desired softkey to select the graph layout shown below.

Graph Layout

Changing Active Trace

The active trace is the one whose settings can currently be changed. The trace name on the screen (for example, Tr2) of the current active trace is highlighted and indicated with [image] to the left. To change the settings specific to a certain trace, you must first activate the trace.

To select the active trace, use the following hardkeys:

Hardkey | Function
Trace Next | Change the active trace to the next trace with the larger trace number.
Trace Prev | Change the active trace to the previous trace with the smaller trace number.


Selecting Sweep Parameter

  • Selecting Sweep Type

  • Setting Sweep Range

  • Using Time as Sweep Parameter (Zero Span Sweep)

  • Setting Number of Points (NOP)

  • Selecting Sweep Direction

  • Setting Time Delay for Measurement

  • Setting Measurement Time

  • Averaging Between Sweeps (Sweep-to-Sweep Averaging)

  • Making Sweep Averaging Measurement with Single Trigger

  • Averaging for Each Measurement Point (Point Averaging)

Other topics about Setting Measurement Conditions

Selecting Sweep Type

To select the sweep type:

  1. Press Sweep Setup > Sweep Type.

  2. Press the desired softkey to select the sweep type: Lin Freq | Log Freq | Segment | OSC Level | DC Bias | Log DC Bias.

    • When selecting the OSC Level ,oscillator level as a sweep parameter, follow the steps shown in Selecting Unit for Oscillator Level (Voltage or Current)” to select sweeping by voltage or current level.

When selecting the dc bias as a sweep parameter, proceed to the setting shown in Setting and Applying dc Bias.

See Using Time as Sweep Parameter (Zero Span Sweep) for the measurement with time as a sweep parameter (zero span measurement).

The sweep parameter is set for all traces. It is not necessary to select an active trace or to verify the current selection before setting the parameter.

Setting Sweep Range

Sweep range can be set by specifying either start and stop values or center and span values.

  • The measurement range can be set to trace A and trace B in common. It is not necessary to select an active trace or to verify the current selection before setting the range.

Start/Stop/Center/Span, Marker Fctn > Marker-> Start/Stop/Center

Setting the Sweep Range with the Start and Stop Values

  1. Press Start, then input the start value.

  2. Press Stop, then input the stop value.

    • The sweep start value cannot be greater than the sweep stop value. Sweep with decreasing frequency can be possible by setting a sweep range with increasing frequency and then specifying a downward sweep direction. Refer to Selecting Sweep Direction to specify the sweep direction.

Setting the Sweep Range with the Center and Span Values

  1. Press Center, then input the center value.

  2. Press Span, then input the span value.

Setting Sweep Range Using the Marker

  1. Press Marker Fctn, then input the center value.

  2. Click the softkey that corresponds to each value.

Softkey | Function
Marker -> Start | Sets the lowest value to the stimulus value of the active marker on the currently active trace.
Marker -> Stop | Sets the highest value to the stimulus value of the active marker on the currently active trace.
Marker -> Center | Sets the center value to the stimulus value of the active marker on the currently active trace.

  • If the reference marker is on and the stimulus value of the active marker is expressed by a value relative to the reference marker, the absolute stimulus value will be used to set the new sweep range.

Softkey

Function

Marker Zoom

Substitutes the sweep parameter value at the main marker on the current active trace (A or B) into the sweep center value and simultaneously changes the current sweep span value to the sweep span value specified with the Zooming Aperture. In other words, the sweep range is changed so that the marker position is the new sweep center value and the sweep span is magnified by the amount specified with the Zooming Aperture.

Zooming Aperture

Sets the zooming aperture (ratio of the new sweep span value to the current sweep span value) used when the Marker Zoom is executed as a percentage.

The current active marker position is set as the new sweep center value, and the new sweep span value is set depending on the specified zooming aperture. As a result, the trace will be magnified (zoomed in) by focusing on the main marker position.
  • For the ratio of the new sweep span value to the current sweep span value (%), you can set a value between 0.01% and 100% in steps of 0.01%. The default value of power-on and preset state is 10%.

Using Time as Sweep Parameter (Zero Span Sweep)

Setting the sweep span to zero allows you to perform a measurement with time as a sweep parameter. This kind of sweep is also called zero span sweep. The following procedure allows you to time sweep and the measurement parameter is displayed versus time.

  1. Press Span > 0 > x1 to set the span value to 0 (zero span).

  2. Press Center, then input the desired value (frequency, power, or DC bias).

  3. Press Sweep Setup > Sweep Time, then input the duration of the sweep which is displayed on X-axis.

  4. Press Marker to display the marker 1. The time at the marker shows as the marker position value at the upper left corner on the screen.

Setting Number of Points (NOP)

  1. Press Sweep Setup to display the Sweep Setup menu.

  2. Press Points and input the desired number of points.

    • The number of sweep points can be set to any integer from 2 to 1601. When list is selected as a sweep type (list sweep), use a list sweep table to set the number of points. Setting the number of points is commonly applied to traces 1 and 2.

Selecting Sweep Direction

  1. Press Sweep Setup to display the Sweep Setup menu.

  2. Press Directions and select either Up or Down sweep direction.

    • The sweep direction enables you to select the direction of the sweep. By default, the direction is Up. Down direction refers to sweep of opposite direction (from right to left).

Setting Time Delay for Measurement

Time delay can be set for the period before sweep or actual measurement starts after the measurement signal is applied to the DUT. This function is useful, for example, when a certain period is required before the characteristics of the DUT become stable after the signal is applied, such as crystal resonators. Another application of this function is to observe changes in the impedance of the DUT in the time domain for a long span.

Setting with Time Delay at Measurement Point

The time delay for each measurement points can be set by either or both of following two methods. The time delay is defined as follows. The sweep time in softkey is not the total sweep time.

Point Wait Time = Point Delay + (Sweep Time/Number of points)

  • Maximum point delay time is 30 seconds.

  • Total wait time for each point is maximum 67 seconds. If it is exceeded, an error occurs.

  • Waiting time is applied each time when iteration is caused due to impedance ranging or when using auto level control (ALC).

This function is useful to reduce the effect of stimulus condition changing when measuring the slow response devices. (It’s useful even in the measurement with span 0.)

Setting with Point Delay

  1. Press Sweep Setup > Point Delay and input the desired time delay at a point.

Setting with Sweep Time

  1. Press Sweep Setup > Sweep Time and input the desired time.

Timing Chart for Sweep

When the trigger mode is set at "On Sweep"

When the trigger mode is set at "On Point".

  • Trigger delay is available only when trigger source is set at external.

Setting with Sweep Delay

Time delay can be set at the point before sweep starts. This is useful when extra waiting time is required to control the effect to the DUTs when starting the new sweep. (It is common that the stimulus condition like frequency or OSC level changes lot when the instrument finishes the previous sweep and returns to the first point of sweep.)

  1. Press Sweep Setup to display the Sweep Setup menu.

  2. Press Sweep Delay and input the desired sweep time delay.

  3. Maximum sweep delay time is 30 seconds.

  4. Total wait time for each point is maximum 67 seconds. If it is exceeded, an error occurs.

Setting with Band Change Delay

Time delay can be set when the E4990A needs to change its internal circuit or reset null-loop. This is useful when extra waiting time is required to stabilize the measurement fluctuation due to DUT time constant characteristic.

  1. Press System > Meas Setup > Band Delay.

  2. Input the desired band change delay.

Setting Measurement Time

  1. Press Avg to display the Averaging menu.

  2. Press Meas Time and select the desired measurement speed time. The available options are 1|2|3|4|5 with 1 being the fastest time (maximized speed) and 5 being the most precise (accuracy maximized).

    • Setting a greater measurement time will improve measurement accuracy, but keep in mind that this requires a longer measurement time.

Averaging Between Sweeps (Sweep-to-Sweep Averaging)

Sweep-to-sweep averaging computes each data point (vector value) based on an exponential average of consecutive sweeps weighted by a user-specified averaging factor. The sweep-to-sweep uses the algorithm shown below:

Perform the averaging factor setup as follows:

  1. Press Avg to display the Averaging menu.

  2. Press Avg Factor and input the desired averaging factor value.

    • The sweep-to-sweep averaging can be set to any natural number from 1 to 999. Setting the sweep-to-sweep averaging to 1 is equivalent to turning the averaging OFF (Averaging > OFF).

  3. Press Averaging and toggle between the ON|OFF selection to turn ON/OFF the sweep-to-sweep averaging factor.

    • When the sweep-to-sweep averaging is turned ON, the value of sweep-to-sweep averaging that has been performed for the trace is shown on the instrument status bar. The sweep-to-sweep averaging starts once its turned ON (Averaging > ON) or after pressing the Averaging Restart key. When the averaging starts, “0” is displayed for the averaging count because the number of traces (sweep data) to be swept is always set to 0 at the initial state. Then the count increases by 1 as each sweeping ends. After the count reaches the number specified by the Avg Factor key, it stays constant while sweeping continues.

Making Sweep Averaging Measurement with Single Trigger

The averaging trigger function is used to execute the sweep the number of times specified by the averaging factor with a single trigger when the sweep averaging function is ON.

Averaging Trigger | Function
ON | Performs the sweep the number of times specified by the averaging factor with a single trigger.
OFF | Performs the sweep once with a single trigger.

The averaging factor is cleared before the start of measurement.

    • When the point trigger function is ON, its setting has priority, and you need to generate triggers based on "(number of measurement points) × (averaging factor)". When the sweep averaging function is OFF, sweep is performed only once even if the averaging trigger function is set to ON.

Setting Averaging Trigger Function

When the sweep averaging function is ON, follow these steps to set the averaging trigger function.

  1. Press Avg to display the Averaging menu.

  2. Press Avg Trigger and select ON to activate the averaging trigger.

Executing Averaging Measurement

  1. Press Trigger.

  2. Press Single. The averaging factor is cleared before the start of measurement, the sweep is executed the number of times specified by the averaging factor, and then the instrument waits for the next trigger.

Averaging for Each Measurement Point (Point Averaging)

Point averaging averages each data point by a user-specified averaging factor. The Keysight E4990A repeatedly measures the same point until the averaging factor is reached. It then divides the vector summation of the measurement value by the averaging factor and starts measuring the next point. The sweep time increases in proportion to the averaging factor.

The algorithm used for point averaging is shown below:

Perform the averaging factor setup as follows:

  1. Press Avg to display the Averaging menu.

  2. Press Point Avg Factor and input the desired point averaging factor value.

    • The value of point averaging can be set to any natural number from 1 to 999. Setting the point averaging to 1 is equivalent to turning the averaging OFF.

  3. Press Point Avg and toggle between the ON|OFF selection to turn ON/OFF the point averaging factor.


Setting Source

  • Setting Fixed Frequency at OSC/DC Bias Sweep

  • Selecting Unit for Oscillator Level (Voltage or Current)

  • Setting Oscillator Level

  • Controlling Oscillator Level (ALC)

  • Setting and Applying dc Bias

Other topics about Setting Measurement Conditions

Setting Fixed Frequency at OSC/DC Bias Sweep

Follow the steps below to specify a fixed frequency for the signal source when the sweep parameter is any item other than frequency (i.e., oscillator level or dc bias).

  1. Press Sweep Setup.

  2. Press CW Freq and input the desired fixed frequency value.

Selecting Unit for Oscillator Level (Voltage or Current)

  1. Press Sweep Setup > OSC Level to display the oscillator level settings menu.

  2. Press OSC Unit and select your desired oscillator level by toggling between the Voltage|Current option.

    1. The unit specified for oscillator level through the steps above will be applied to the unit for oscillator level sweep (voltage level sweep or current level sweep) and the unit for the fixed oscillator level when sweeping parameters other than oscillator level. The setting for the unit will not affect the setting for the signal source level monitoring function, since the function displays both voltage and current levels.
    2. Settings of the unit for oscillator level are commonly applied to both traces. Hence, you do not need to select and verify an active trace before setting.

Setting Oscillator Level

  1. Press Sweep Setup > OSC Level to display the oscillator level settings menu.

  2. The Voltage Level or Current Level is enabled depending on your oscillator selection. For example, if you have selected OSC Unit > Voltage, then Voltage Level is enabled. then, press the Voltage Level and input the desired voltage level value.

Controlling Oscillator Level (ALC)

  1. Press Sweep Setup > OSC Level > ALC to display the ALC level settings menu.

  2. Press ALC > ON|OFF to toggle between On or Off the ALC level.

  3. Press Max Iteration and input the desired maximum iteration value, between 2 and 10.

  4. Press Target % and input the desired value, between 0.05 to 10.

Setting and Applying dc Bias

Follow the steps below to apply dc bias to DUT, regardless of whether you plan to sweep by dc bias.

Selecting dc bias mode

  1. Press Sweep Setup > DC Bias > DC Bias Mode to display the DC bias mode selection options.

  2. Select one of the DC bias mode, either Voltage or Current.

Selecting constant mode

  1. Press Sweep Setup.

  2. Press DC Bias > Constant Mode and toggle between the ON|OFF selection to turn ON/OFF the constant mode.

Setting fixed dc bias level

When the sweep parameter is not dc bias, select the dc bias mode and then follow the steps below to set dc bias level.

  1. Press Sweep Setup > DC Bias to display the DC bias selection options.

  2. The Voltage Level or Current Level is enabled depending on your dc bias mode selection. For example, if you have selected DC Bias > DC Bias Mode > Voltage, then Voltage Level is enabled. then, press the Voltage Level and input the desired voltage level value.

Setting limits for dc voltage

When constant voltage or current is selected for the dc bias mode, follow the steps below to set limit values for the voltage (upper and lower limits) in order to protect the DUT being measured.

To set the maximum limit voltage:

  1. Press Sweep Setup.

  2. Press DC Bias > Max Limit Voltage and input the maximum limit value.

To set the minimum limit voltage:

  1. Press Sweep Setup.

  2. Press DC Bias > Min Limit Voltage and input the minimum limit value.

    • The dc voltage limit values specified by the Max Limit Voltage or Min Limit Voltage key take effect when the dc bias mode is constant voltage or current. The setting for these values is disabled when the dc bias mode is set to non-constant.

Setting dc bias range to 1 mA

Set the dc bias range before turning the dc bias ON. The dc bias range is set to optimize the dc current given to the impedance measurement circuit. This setting affects the accuracy of the impedance measurement regardless of which dc bias mode is selected or whether dc bias is turned ON or OFF. Normally, maximum accuracy can be obtained by setting the dc bias range as narrow as possible. An initial dc bias range of 1 mA is recommended for the first measurement when dc bias is applied.

    • When you do not apply dc bias, always set the dc bias range to 1 mA, which is the preset setting. Keeping this setting is especially important when you run through the sequence of applying dc bias, turning off dc bias, and then performing a measurement.

  2. Press Sweep Setup.

  3. Press DC Bias > Meas Range and set the dc bias range to 1 mA.

    • Always set the dc bias range to 1 mA when you measure without applying dc bias.

Turning dc bias ON or OFF

  1. Press Sweep Setup.

  2. Press DC Bias > DC Bias State and toggle between the ON|OFF selection to turn ON/OFF the dc bias state.

    • Turning dc bias ON displays DC ON at the instrument bar in the lower right area of the screen.

Optimizing dc bias range

  1. Press Sweep Setup.

  2. Press DC Bias > Meas Range and select the desired the dc bias range to within 1mA|10mA|100mA selection options.

DC bias delay

  1. Press Sweep Setup.

  2. Press DC Bias > DC Bias Delay and input the delay time value.


Setting Trigger

  • Overview

  • Selecting a Method to Start Measurement (Trigger Source)

  • Selecting Sweep Trigger/Measurement Point Trigger

  • Setting the External Trigger

  • Controlling Trigger

  • Sweeping Multiple Sweep Ranges with Different Conditions in a Single Action (Segment Sweep)

Other topics about Setting Measurement Conditions

Overview

The E4990A has one trigger source. When this trigger source detects a trigger signal that has occurred, a sweep or point measurement is performed for channels.

The execution of measurement for each channel does not depend on whether the channel is displayed. Channels that have been activated can be measured even if they are not displayed.

For each channel, a sweep is performed only for the stimulus ports required to update the parameters of the displayed trace.

Selecting a Method to Start Measurement (Trigger Source)

The trigger source generates a cue signal that initiates a measurement process. Four types of trigger sources are available:

  1. Press Trigger > Trigger Source, then select the desired trigger source.

Trigger Sources | Function
Internal (Internal) | Uses a consecutive signal generated by the firmware as a trigger source. Triggers are sent immediately following the completion of each measurement.
External (External) | Uses the external trigger input terminal (BNC) or 24 Bit I/O (Pin No. 18) as a trigger source.
Manual (Manual) | A trigger is generated by pressing Trigger > Trigger. Press Trigger > Restart to regenerate trigger.
Bus (Bus) | A trigger is generated through GPIB/LAN/USB.

Selecting Sweep Trigger/Measurement Point Trigger

The point trigger provides a point measurement at every trigger, and it can be used to change the trigger event to point trigger mode.

  1. Press Trigger > Trigger Event, then select the desired trigger event.

Softkey Label | Function
On Point | Measures at each measurement point.
On Sweep | Measures all measurement points.

  • When the trigger source is the internal trigger, the point trigger does not work

See Setting with Time Delay at Measurement Point for time chart.

Setting the External Trigger

Selecting Polarity

  1. When External is selected as a trigger source, click Ext Trig Input to select trigger polarity.

Softkey Label | Function
Negative Edge | Detect external trigger with negative edge.
Positive Edge | Detect external trigger with positive edge.

  • The setting for trigger polarity is NOT valid for the external trigger from the 24 Bit I/O (Hander).

Setting with Trigger Delay

Set the external trigger delay time at each point. The trigger delay works when the trigger source is set to external.

  1. Press Trigger > Trig Delay.

  2. Enter an external trigger delay time.

See the timing chart for sweep.

Trigger Delay Time and Point Trigger Interval

External trigger pulses which are supplied until the next measurement becomes ready after the start of a one-point measurement, are ignored, and the next trigger is generated by a pulse supplied after the completion of the one-point measurement.

The time until the next trigger can be accepted after the start of a one-point measurement depends on the IFBW and other settings of the analyzer. For example, in the case of a frequency's zero-span measurement, the time until the next measurement is ready after the start of a one-point measurement is obtained by dividing the time required for a single sweep in On Sweep mode, instead of On Point mode, by the number of measurement points. If you use the point trigger function with external trigger pulses that are wider than this time, point trigger measurement is performed at each pulse input.

The figure below shows the timing chart of an external trigger when the point trigger function is on.

Timing chart of external trigger (trigger source = external)

The table below describes signals and time as shown in the above figure.

Signal, time | Description
External Trig | External trigger signal to be supplied.
Sampling | Time while the E4990A is actually performing measurement.
Index | Index signal of the handler I/O port. When the point trigger function is ON, it goes to the High level only before starting the measurement of the first sweep point and returns to the Low level after completing the measurement of all the measurement points.
Point Trigger Period | Time until the E4990A is ready to accept a trigger for the next measurement point. The value depends on the measurement conditions and the settings of the E4990A.
td1 | Time set as the external trigger delay time.
td2 | Time for sweep delay.

Controlling Trigger

Setting Trigger Mode (Single/Continuous)

You can set the trigger mode for each channel independently. This allows you to control the operation of each channel after a trigger signal is detected by setting the channel's status with the trigger mode.

  1. Press Channel Next (or Channel Prev) to select the channel for which the trigger mode will be set.

  2. Press Trigger, then select the desired trigger mode.

Softkey | Function
Hold | Sets active channel trigger mode to hold.
Single | Sets active channel trigger mode to single sweep.
Continuous | Sets active channel trigger mode to continuous sweep.
Hold All Channels | Sets all channel trigger modes to hold.
Continuous Disp Channels | Sets trigger modes of all displayed channels (Display > Allocate Channels) to continuous sweep.

  3. Repeat the procedure until each channel is set to its trigger mode.

Making Trigger to Active Channel Only (Trigger Scope)

The trigger scope specifies the scope of the triggering, whether it is for all channels or for the active channel.

For example, when Trigger > Continuous is selected for all the channels and the trigger scope is set to active channel, a measurement channel is automatically changed by changing an active channel.

  1. Press Trigger > Trigger Scope, then select the desired trigger scope.

Softkey Label | Function
All Channel | Sets active channel trigger mode to hold.
Active Channel | Triggers Active channel alone.

Sweep with unlimited times (continuous sweep)

  1. Press Trigger > Continuous to select continuous sweep.

    • When continuous sweep is selected, sweeping can be repeated unlimited times after it is triggered. Press the Hold key to stop the sweeping. No further sweeping can be triggered after it is stopped.

Stopping sweep

  1. Press Trigger > Hold to stop the sweep.

    • Pressing the Hold key immediately stops sweeping, regardless of which sweeping state (single, specified times, or continuous) is selected. No further sweeping can be triggered after it is stopped.

Sweeping Multiple Sweep Ranges with Different Conditions in a Single Action (Segment Sweep)

Concept of Segment Sweep

To perform a segment sweep, you must define two or more frequency ranges, called segments, and then specify the number of points, OSC level, Bias Level, measurement time, sweep delay time, and sweep time for each segment. All segments are swept sequentially as if swept in one sweep operation.

  • By skipping the frequency range, which does not need to be measured, you can sweep and measure only the portions you need.

  • You can define the optimum measurement conditions for each of the segments you designate. For example, you can specify as many points as possible in a segment requiring high trace resolution and as few points as possible in a segment not requiring high resolution. This shortens the measurement time, enabling you to optimize the overall measurement throughput by not having to perform the entire operation under the same measurement conditions of a particular frequency range.

Preparing Segment Sweep Table

Set the segment sweep with the segment sweep table.

  1. Press Sweep Setup display the sweep setup menu.

  2. Press Edit Segment Table. The segment table appears in the lower section of the screen.

  3. Select the softkey below to change the frequency range setting mode for each segment.

    Softkey Label

    Function

    Freq Mode

    Switches the frequency range setting mode (Start/Stop or Center/Span)

    List OSC Level

    Toggles ON/OFF the OSC level setting for each segment; the column for OSC Mode and OSC Level only appears in the segment table when this is turned ON

    List Bias

    Toggles ON/OFF the bias setting for each segment; the column for Bias Mode and Bias Level only appears in the segment table when this is turned ON

    List Meas Time

    Toggles ON/OFF the measurement time setting for each segment; the column for Meas Time only appears in the segment table when this is turned ON

    List Average

    Toggles ON/OFF the averaging value setting for each segment; the column for Point Avg only appears in the segment table when this is turned ON

    List Segment Time

    Toggles ON/OFF the segment sweep time setting for each segment; the column for Segment Time setting only appears in the segment table when this is ON

    List Segment Delay

    Toggles ON/OFF the sweep delay time setting for each segment; the column for Segment Delay setting only appears in the segment table when this is ON

    • Maximum delay time time is 30 seconds for each segment.

    • Total wait time for each point is maximum 67 seconds. If it is exceeded, an error occurs.

Selecting the Segment Sweep as the Sweep Type

To execute a segment sweep by using the segment table you have created, you must specify the sweep type for that sweep operation by following the steps below.

  1. Press Sweep Setup display the sweep setup menu.

  2. Press Sweep Type > Segment.

Setting the Horizontal Axis of the Graph (Frequency/Order Base Display)

Define the method of displaying traces when the segment sweep is executed by following the steps described below.

  1. Press Sweep Setup display the sweep setup menu.

  2. Press Segment Display > Freq Base|Order Base.


Calibration

This chapter describes calibration methods for the E4990A Impedance Analyzer.

  • Selecting Appropriate Calibration Method

  • A. Direct Connection Type Test Fixture

  • B. Calibration for Four-Terminal Pair, 1-m Extension

  • C. Calibration for Four-Terminal Pair, 2-m Extension

  • D. Exclusive Fixture

  • E. 42942A, 7-mm Port Extension

  • F. 42941A, Probe Adapter

  • G. 42941A, 3.5-mm Port Extension

  • User Calibration

  • Port Extension Compensation

  • Fixture Compensation

  • Selecting Calibration/Compensation Data Points


Selecting Appropriate Calibration Method

The E4990A has three calibration types: user calibration, port extension compensation, and fixture compensation. Table below shows each device connection and its corresponding adapter selection and calibration. Calibration should be done according to the particular requirements of each device connection.

Device Connection | Adapter Selection | Accessory | Calibration (√ : required, - : not required)
 |  |  | User Calibration | Port Extension Compensation | Fixture Compensation
A. Connect a direct connection type test fixture to the four-terminal pair port of the E4990A and connect the device to the fixture. | No adapter (NONE) | 16034E 16034H 16044A 16047A 16047D 16047E 16065A1 16089A1 16089B1 16089C1 16089D1 16089E1 |  |  | Open/Short
 |  | 16034G |  |  | Open/Short/ Load (Load compensation is required when the frequency is more than 3 MHz)
B. Extend the four-terminal pair port of the E4990A with a 1-meter-long four-terminal pair configuration and connect the device. | Four-terminal pair, 1 meter (4TP 1M) | 16048G and test fixture |  |  | Same as the fixtures are directly connected to the four-terminal pair port
 |  | 16048G and 16452A |  |  | Short
 |  | 16334A, 16451B |  |  | Open/Short/Load
C. Extend the four-terminal pair port of the E4990A with a 2-meter-long four-terminal pair configuration and connect the device. | Four-terminal pair, 2 meters (4TP 2M) | 16048H and test fixture |  |  | Same as the fixtures are directly connected to the four-terminal pair port
 |  | 16048H and 16452A |  |  | Short
D. Connect the 42942A directly to the four-terminal pair port of the E4990A, connect a dedicated test fixture to the 7-mm port, and then connect the device to the fixture contacts. | 42942A Terminal Adapter (7mm 42942A) | 42942A and 16092A 42942A and 16192A | √ (perform when user-defined calibration kit is used) |  | Open/Short
 |  | 42942A and 16454A |  |  | Short
E. Connect the 42942A directly to the four-terminal pair port of the E4990A, connect a coaxial cable to the 7-mm port, connect a test fixture, and then connect the device to the fixture contacts. | 42942A Terminal Adapter (42942A Extension) | 42942A, coaxial cable, and test fixture | √ (use Keysight's calibration kit or user-defined calibration kit) | √ | Same as the fixtures are directly connected to the terminal adapter.
F. Connect the 42941A directly to the four-terminal pair port of the E4990A, connect a dedicated probe adapter to the 3.5-mm port, and then connect the device to the adapter contacts. | 42941A Impedance Probe (PROBE 42941A) | 42941A and dedicated probe adapter | √ (perform when user-defined calibration kit is used) |  | Open/Short
G. Connect the 42941A directly to the four-terminal pair port of the E4990A, connect a coaxial cable to the 3.5-mm port, connect a test fixture, and then connect the device to the fixture contacts | 42941A Impedance Probe ( 42941A Extension) | 42941A and coaxial cable and test fixture | √ (use Keysight's calibration kit or user-defined calibration kit) | √ | Required compensations differ from one test fixture to another.

1 Although it has a cable, it falls into the category of direct connection type test fixture for adapter setup.

    • The user calibration data and fixture compensation data can be saved in the mass storage of the E4990A.

Other topics about Calibration


Direct Connection Type Test Fixture

A. Direct Connection Type Test Fixture

This section describes the calibration procedures to follow when a direct connection type test fixture is connected to the four-terminal pair port of the E4990A and a device is connected to the test fixture contacts.

Direct connection type test fixtures include:

  • 16034E Chip component test fixture

  • 16034G Chip component test fixture

  • 16034H Chip component test fixture

  • 16044A Chip component test fixture

  • 16047A Lead component test fixture

  • 16047D Lead component test fixture

  • 16047E Lead component test fixture

Although the following test fixtures have cables, their calibration must be performed in the same way as a direct connection type test fixture:

  • 16065A External DC Bias Fixture

  • 16089A Kelvin Clip Lead

  • 16089B Kelvin Clip Lead

  • 16089C Kelvin Clip Lead

  • 16089D Alligator Clip Lead

  • 16089E Kelvin Clip Lead

Perform the fixture compensation in accordance with Fixture Compensation.

  • When you use a direct connection type test fixture, neither user calibration nor port extension compensation is required for measurement (they cannot be performed).

Other topics about Calibration


Calibration for Four-Terminal Pair 1m Extension

B. Calibration for Four-Terminal Pair, 1-m Extension

This section describes the calibration procedures to follow when the four-terminal pair port of the E4990A is extended with a 1-meter-long four-terminal pair configuration and the device is connected to the cable’s end with a minimal connection.

This calibration procedure is applied to the following connections:

  • The 16048G (1-m Cable) is connected to the E4990A and device is connected to the cable’s end with a test fixture.

  • The 16048G (1-m Cable) is connected to the E4990A and 16452A (Liquid Test Fixture) is connected to the end of the cable.

  • The 16334A (Tweezer Type Test Fixture) is connected to the E4990A.

  • The 16451B (Dielectric Test Fixture) is connected to the E4990A.

  1. Make sure that the adapter selection is set to 4TP 1M. Perform Adapter Setup if it is not done yet.

  2. Perform the fixture compensation in accordance with Fixture Compensation.

    • When the measurement port is extended by 1 meter with the four-terminal pair configuration, neither user calibration nor port extension compensation is required for measurement (they cannot be performed).

Fixture Compensation When the 16451B/16334A is Used

When you perform only the fixture OPEN compensation and fixture SHORT compensation, follow the normal fixture compensation procedures described in Fixture Compensation.

If you perform the LOAD compensation in addition to the OPEN and SHORT compensations, set the standard values as described below in accordance with the procedures in Defining the Standard Values for Fixture Compensation.

For the 16334A over 3 MHz measurement, the load compensation is recommended according to the following procedure. The proportional error factor in the additional error caused by the fixture is in proportion to the frequency squared. Therefore, the error increases greatly as the frequency goes high.

  1. Set the 100 Ω SMD resistor on the direct connection type fixture (like 16034G), and perform measurement at 3 MHz to determine the value of the 100 Ω SMD resistor.

  2. Set the measured resistance and inductance values to the instrument as load value.

  3. Perform load compensation of the 16334A.

For 16451B, see the table of load value in 2.4.5 Operation Method of http://literature.cdn.keysight.com/litweb/pdf/5980-2862EN.pdf.

Other topics about Calibration


Calibration for Four-Terminal Pair 2m Extension

C. Calibration for Four-Terminal Pair, 2-m Extension

This section describes the calibration procedures to follow when the four-terminal pair port of the E4990A is extended with a 2-meter-long four-terminal pair configuration and the device is connected to the cable’s end with a minimal connection.

This calibration procedure is applied to the following connections:

  • The 16048H (2-m Cable) is connected to the E4990A and the device is connected to the cable’s end with a test fixture.

  • The 16048H (2-m Cable) is connected to the E4990A and 16452A (Liquid Test Fixture) is connected to the end of the cable.

  1. Make sure that the adapter selection is set to 4TP 2m. Perform Adapter Setup if it is not done yet.

  2. Perform the fixture compensation in accordance with Fixture Compensation.

    • When the measurement port is extended by 2 meter with the four-terminal pair configuration, neither user calibration nor port extension compensation is required for measurement (they cannot be performed).

Other topics about Calibration


Exclusive Fixture

D. Exclusive Fixture

When an exclusive test fixture is connected to the 7-mm port of the 42942A Terminal Adapter, which is connected to the four-terminal pair port of the E4990A, and a device is connected to the test fixture, perform the calibration procedure described below.

This calibration procedure is applied when the following test fixtures are connected to the 42942A's 7-mm port:

  • 16092A Lead/Chip component test fixture

  • 16192A Chip component test fixture

  • 16454A Magnetic material test fixture

  1. Make sure that the adapter selection is set to 7mm 42942A. Perform Adapter Setup if it is not done yet.

  2. When performing calibration for the 7-mm port of the E4990A with a user-defined calibration kit, be sure to use the proper calibration kit. Refer to User Calibration. User calibration is not required if you do not use a user-defined calibration kit.

  3. Connect a test fixture to the 7-mm port of the 42942A Terminal Adapter. See the operation manual of each test fixture for the appropriate connection setup.

  4. Perform the fixture compensation at the device contacts (electrodes) of the fixture. See Fixture Compensation for the fixture compensation procedure.

    • When an exclusive test fixture is connected to the 7-mm port of the 42942A which is also connected to the four-terminal pair port of the E4990A, port extension compensation is not required.

Other topics about Calibration


42942A 7mm Port Extension

E. 42942A, 7-mm Port Extension

Perform the following calibration when the 7-mm port of a 42942A connected to the E4990A is extended with a one-port configuration and the device is connected to the cable’s end with a minimal connection.

  1. Make sure that the adapter selection is set to 42942A Extension. Perform Adapter Setup if it is not done yet.

  2. Perform the user calibration at the other end of the extended 7-mm port of the 42942A Terminal Adapter. You can use either the calibration kit supplied or a user-defined calibration kit. See User Calibration for the user calibration procedure.

  3. Set the port extension value in electrical length or delay time, which is equivalent to the electrical length between the user calibration plane and the device contacts of the test fixture, in accordance with Port Extension Compensation.

  4. In measurements using the E4990A, the electrical length (delay time) of a 42942A dedicated test fixture (such as 16092A) and 42941A’s dedicated probe adapter can be regarded as 0.

  4. Perform fixture compensation at the device contacts of the test fixture. See Fixture Compensation for the fixture compensation procedure.

  5. If user calibration in step 2 cannot be performed for some reason, set the port extension value in electrical length or delay time, which is equivalent to the electrical length between the 7-mm port of the 42942A and the device contacts of the test fixture, in place of steps 2 and 3, in accordance with Port Extension Compensation.

Other topics about Calibration


42941A Probe Adapter

F. 42941A, Probe Adapter

Perform the following calibration when a probe adapter supplied with the 42941A Impedance Probe is directly connected to the test port of the 42941A, which is connected to the four-terminal pair port of the E4990A, and a device is connected to the probe adapter.

This calibration procedure is applied when the following probe adapters are connected to the test port of the 42941A (see the operation manual of the 42941A for details of probe adapters):

  • Pin Probe (with ground electrode or ground lead)

  • BNC(m) Adapter

  • BNC(m) Adapter with alligator clip leads

  1. Make sure that the adapter selection is set to PROBE 42941A. Perform Adapter Setup if it is not done yet.

  2. When performing calibration at the test port of the 42941A with a user-defined calibration kit, perform user calibration with the proper calibration kit. Refer to User Calibration for the user calibration procedure. User calibration is not required when you do not use a user-defined calibration kit.

  3. Connect a probe adapter to the test port of the 42941A Impedance Probe. See the operation manual of the 42941A for the appropriate connection setup.

  4. Perform the fixture compensation at the device contacts (electrodes) of the probe adapter. See Fixture Compensation for the fixture compensation procedure.

  5. When a probe adapter is connected to the test port of a 42941A that is also connected to the four-terminal pair port of the E4990A, port extension compensation is not required.

Other topics about Calibration


42941A 3.5mm Port Extension

G. 42941A 3.5mm Port Extension

Perform the following calibration when the 3.5-mm port of a 42941A connected to the E4990A is extended with a one-port configuration and the device is connected to the cable’s end with a minimal connection.

  1. Make sure that the adapter selection is set to 42941A Extension. Perform Adapter Setup if it is not done yet.

  2. Perform the user calibration at the other end of the extended 3.5-mm port of the 42941A Impedance Probe. You can use either the calibration kit supplied or a user-defined calibration kit. See User Calibration for the user calibration procedure.

  3. Set the port extension value in electrical length or delay time, which is equivalent to the electrical length between the user calibration plane and the device contacts of the test fixture, in accordance with Port Extension Compensation.

  4. In measurements using the E4990A, the electrical length (delay time) of a 42942A dedicated test fixture (such as 16092A) and 42941A’s dedicated probe adapter can be regarded as 0.

  4. Perform fixture compensation at the device contacts of the test fixture. See Fixture Compensation for the fixture compensation procedure.

  5. If user calibration in step 2 cannot be performed for some reason, set the port extension value in electrical length or delay time, which is equivalent to the electrical length between the 3.5-mm port of the 42941A and the device contacts of the test fixture, in place of steps 2 and 3, in accordance with Port Extension Compensation.

Other topics about Calibration


User Calibration

  • User Calibration Procedure

  • Turning User Calibration On/Off

  • Defining Standard Values for User Calibration

Other topics about Calibration

User calibration can be performed only when “42942A Terminal Adapter (7mm 42942A / 42942A Extension)” or “42941A Impedance Probe (PROBE 42941A / 42941A Extension)” is selected in the adapter selection.

User Calibration Procedure

Perform user calibration as follows:

  • User calibration consists of three calibration data acquisition procedures: OPEN, SHORT, and LOAD, and you must obtain all three types of calibration data when performing user calibration. It is not possible to turn ON or OFF each type of calibration data independently during your measurement.

  1. Press Cal to display the Calibration Menu.

  2. Select calibration (compensation) data acquisition points in accordance with Selecting Calibration/Compensation Data Points.

  3. Press User Cal to display the User Calibration Menu.

  4. If required, set user-defined standard values in accordance with Defining Standard Values for User Calibration.

  5. Press Execute Cal to display the Calibration Execution Menu.

  6. Connect the OPEN standard to the port (plane) where you want to perform user calibration.

  7. Press Open to start OPEN calibration data measurement. When OPEN calibration data measurement is completed, the softkey label changes to Open √.

  8. Remove the OPEN standard from the port. Then, connect the SHORT standard to the port.

  9. Press Short to start SHORT calibration data measurement. When the SHORT calibration data measurement is completed, the softkey label changes to Short √.

  10. Remove the SHORT standard from the port. Then, connect the LOAD standard to the port.

  11. Press Load to start LOAD calibration data measurement. When LOAD calibration data measurement is completed, the softkey label changes to Load √.

  12. Press Done to start calculating the calibration coefficient from the measured OPEN, SHORT, and LOAD standard data. The coefficient is automatically saved to the internal memory.

  13. During the calibration data measurement, the message Sweeping... is displayed in the instrument state area at the bottom-left of the screen.

  14. Press Cancel to cancel the user calibration process. If the user calibration process is canceled, the previously obtained data can be used as the available user calibration coefficient.

Turning User Calibration On/Off

The user calibration function is automatically turned on after completing user calibration data measurement. However, you can turn this function on or off as required.

  1. Press Cal > User Cal to display the User Calibration Menu.

  2. Press Correction > ON|OFF to make the user calibration available (ON) or not available (OFF) for measurement.

Defining Standard Values for User Calibration

You can define standard values of OPEN, SHORT, and LOAD for user calibration. Figure below shows the circuit models of the user calibration kit for the Keysight E4990A.

Each calibration’s standard value can be confirmed and changed as follows:

  1. Press the Cal > User Cal > Define Value to display the Calibration Data Definition Menu.

  2. Select one of the calibration data definition keys, Open Conduct (G), Open Cap (C), Short Resist (R), Short Induct (L), Load Resist (R), Load Induct (L), or Load Cap (C), to confirm or set the calibration data definition.

  3. Enter the desired value to specify the calibration data definition.


Port Extension Compensation

Port extension compensation is used to compensate an error caused by the electrical delay when the 7-mm port of the 42942A Terminal Adapter or 3.5-mm port of the 42941A Impedance Probe is extended with a one-port configuration.

Port extension compensation can be performed when 42942A Extension or 42941A Extension is chosen in adapter selection.

Perform the port extension compensation as follows:

  1. Press Cal > Port Extension and input the desired port extension value.

  • You can set the port extension value in either electrical length or delay time. When the port extension value is set by one of these keys, the value is converted to the other unit and displayed on the bottom line of the setting parameter area in small letters. You can also see the converted value in the setting parameter area by pressing the other key.

  2. Press Extension > toggle between ON|OFF to turn ON/OFF the port extension compensation.

Other topics about Calibration


Fixture Compensation

  • Fixture Compensation Procedure

  • Turning the Fixture Compensation On or Off

  • Defining the Standard Values for Fixture Compensation

Other topics about Calibration

Fixture Compensation Procedure

Perform the fixture compensation as follows:

  • If the oscillator level is greater than 500 mV, an error, REDUCE OSC LEVEL or BRIDGE UNBALANCED may occur during the Short correction and measurement may not be correct. When you set the oscillator level for measurement to 500 mV or even greater, set it to 500 mV for the fixture correction.

  • Fixture compensation consists of three compensation data acquisition processes: OPEN, SHORT, and LOAD, but you do not need to obtain all three types of compensation data when you perform fixture compensation. Each type of compensation data can be turned on or off independently for measurement. For normal measurement, it is recommended that you perform fixture OPEN compensation and fixture SHORT compensation.

  • For the E4990A, because the sending and receiving ends of a measurement path are terminated with the characteristic impedance of 50 Ω at a measurement frequency of 15 MHz or higher frequency for no cable extension (direct connection type test fixture) or a measurement frequency of 5.2083 MHz or higher for 1 m/2 m cable extension, the trace may contain a gap at 15 MHz (or 5.2083 MHz). You can remove this gap by executing the Load correction.

  1. Press the Cal key to display the Calibration Menu.

  2. Select the calibration (compensation) data acquisition points in accordance with Selecting Calibration/Compensation Data Points.

  3. Press Fixture Compen to display the Fixture Compensation Menu.

  4. If required, set user-defined standard values in accordance with Defining the Standard Values for Fixture Compensation.

  • When you perform fixture LOAD compensation for the 16334A Tweezers Type Test Fixture or 16451B Dielectric Test Fixture, you need special setups and procedures for standard definition and other processes. See Fixture_Compensation_When_the_16451B/16334A_is_Used for details.

  5. When you complete the changes, press Return to return to the Fixture Compensation Menu.

  6. Put the test fixture's device contacts in the OPEN state.

  • Refer to the operation manual furnished with each test fixture for more information on the OPEN state of the test fixture. Generally, the OPEN state can be made by connecting no device to the device contacts. If the distance between the HIGH electrode and the LOW electrode can be adjusted for a test fixture, keep the same distance as when the test device is inserted between the electrodes.

  7. Press Open to start OPEN compensation data measurement. When OPEN compensation data measurement is completed, the softkey label changes to Open √.

  8. Put the test fixture's device contacts in the SHORT state.

  • Refer to the operation manual furnished with each test fixture for more information on the SHORT state of the test fixture. Generally, the SHORT state can be made by connecting a high conductivity metal (shorting bar) to the device contacts or by shorting the HIGH electrode and LOW electrode directly.

  9. Press Short to start SHORT compensation data measurement. When SHORT compensation data measurement is completed, the softkey label changes to Short √.

  10. Connect a LOAD device to the test fixture's device contacts.

  • Refer to the operation manual furnished with each test fixture for more information on the necessity or connection of LOAD compensation.

  11. Press Load to start LOAD compensation data measurement. When LOAD compensation data measurement is completed, the softkey label changes to Load √.

  • During the calibration data measurement, the message Sweeping... is displayed in the instrument state area at the bottom-left of the screen.

Turning the Fixture Compensation On or Off

The fixture compensation function is automatically turned On after completing each compensation data measurement. However, you can turn the function ON or OFF as required.

  1. Press Cal > Fixture Compen to bring up the Fixture Compensation Menu.

  2. Toggle between ON|OFF at OPEN, SHORT and LOAD to make each fixture compensation valid (ON) or invalid (OFF) for the measurement.

Defining the Standard Values for Fixture Compensation

You can define standard values of OPEN, SHORT, and LOAD for fixture compensation. Figure below shows the circuit models of the fixture compensation kit used for the Keysight E4990A.

Each calibration’s standard value can be confirmed and changed as follows:

  1. Press the Cal > Fixture Compen > Define Value to display the Compensation Data Definition Menu.

  2. Select one of the calibration data definition keys, Open Conduct (G), Open Cap (C), Short Resist (R), Short Induct (L), Load Resist (R), Load Induct (L), or Load Cap (C), to confirm or set the compensation data definition.

  3. Enter the desired value to specify the compensation data definition.


Selecting Calibration/Compensation Data Points

Selecting Calibration/Compensation Frequency Points

You can choose the type of frequency points to use in obtaining user calibration data and fixture compensation data as follows:

  1. Press the Cal > Compen Point > Fixed freq|User freq to select the measurement points used for user calibration or those for fixture compensation.

  • Fixed freq setting always assumes OSC Level as set to 0.5 V, even if its set to any other level. If you would like to perform calibration sweep with a specific OSC level other than 0.5 V, set the calibration/compensation point to User freq.

Softkey | Calibration/Compensation Points
Fixed freq | Obtain calibration/compensation data at fixed frequency points covering the entire frequency range of the E4990A. In device measurement, user calibration or fixture compensation is applied to each measurement point by using interpolation. Even if the measurement points are changed by altering the sweep setups, you don't need to retake the calibration/compensation data.
User freq | Obtain calibration/compensation data at the same frequency points as used in actual device measurement, which are determined by the sweep setups. Each set of calibration/compensation data is applied to each measurement at the same point. If measurement points are changed by altering the sweep setups, calibration/compensation data may become invalid. If the span is widen, calibration/compensation data acquisition is again required. If the span is narrowed, calibration/compensation data is interpolated.
  • The calibration/compensation data point selection set by the Compen Point key is common for user calibration and fixture compensation. You cannot set the selection for either one of them independently.
  • When the selection of calibration/compensation data points is changed after completing user calibration or fixture compensation, the obtained user calibration or fixture compensation data become invalid. Therefore, do not change the selection of the calibration/compensation data points after completing user calibration or fixture compensation.

List of Fixed Calibration/Compensation Frequency Points

When the fixed frequency points for user calibration and fixture compensation are selected (Compen Point > Fixed freq), calibration/compensation is performed at the frequency points listed below:

20, 50, 100, 200, 500, 1000, 1200, 1500, 1900, 2300, 2800, 3500, 4300, 5300, 6600, 8100

10k, 11k, 11.4k, 11.400001k, 12,1k, 13.3k, 14.7k, 16.2k, 17.8k, 19.6k, 21.5k, 22.9k, 22.900001k, 23.7k, 26.1k, 28.7k, 31,6k, 34.8k, 38.3k, 42.2k, 46.4k, 51.1k, 56.2k, 61.9k, 68.1k, 75k, 82.5k, 90.9k, 91.6k, 91.600001k

100k, 110k, 121k, 133k, 147k, 162k, 178k, 196k, 215k, 237k, 261k, 287k, 316k, 348k, 383k, 422k, 464k, 511k, 562k, 619k, 681k, 750k, 825k, 909k

1M, 1.1M, 1.2M, 1.3M, 1.4M, 1.4648M, 1.464800001M, 1.5M, 1.7M, 2M, 2.5M, 3M, 3.5M, 4M, 4.5M, 5M, 5.2083M, 5.208300001M, 6M, 7M, 8M, 9M

10M, 11M, 12M, 13M, 14M, 15M, 15.000000001M, 16M to 120M (1M step, 105pts)

Other topics about Calibration


Setting Up the Display of Measurement Results

This chapter describes how to configure the E4990A Impedance Analyzer to display the measurement results in the way that best suits your needs.

  • Selecting the Measurement Parameters

  • Selecting the Graph Axis Format

  • Scaling Trace

  • Trace-based Comparison and Calculation

  • Monitoring Source Signal Level

  • Setting for Phase

  • Setting Windows Display


Selecting the Measurement Parameters

  • Selecting Parameters for both traces 1 and 2

  • Selecting Parameter Independently

Other topics about Setting Up the Display of Measurement Results

Selecting Parameters for both traces 1 and 2

  1. Press the Meas > Trace1&2.

  2. Select the measurement parameter for the traces 1 and 2.

To select: |  | Press:
Trace A | Trace B
Absolute impedance value | Impedance phase | |Z| - θz
Equivalent series resistance | Equivalent series reactance | R - X
Equivalent series inductance | Equivalent series resistance | Ls - Rs
Equivalent series inductance | Q value (Quality factor) | Ls - Q
Equivalent series capacitance | Equivalent series resistance | Cs - Rs
Equivalent series capacitance | Q value (Quality factor) | Cs - Q
Equivalent series capacitance | Dissipation factor | Cs - D
Absolute admittance | Admittance phase | |Y| - θy
Equivalent parallel conductance | Equivalent parallel susceptance | G - B
Equivalent parallel inductance | Equivalent parallel conductance | Lp - G
Equivalent parallel inductance | Q value (Quality factor) | Lp - Q
Equivalent parallel capacitance | Equivalent parallel conductance | Cp - G
Equivalent parallel capacitance | Q value (Quality factor) | Cp - Q
Equivalent parallel capacitance | Dissipation factor | Cp - D
Absolute impedance value | Equivalent series inductance | |Z| - Ls
Absolute impedance value | Equivalent series capacitance | |Z| - Cs
Absolute impedance value | Equivalent parallel inductance | |Z| - Lp
Absolute impedance value | Equivalent parallel capacitance | |Z| - Cp
Absolute impedance value | Equivalent series resistance | |Z| - Rs
Absolute impedance value | Q value (Quality factor) | |Z| - Q
Absolute impedance value | Dissipation factor | |Z| - D
Equivalent parallel inductance | Equivalent parallel resistance | Z - Y
  • The E4990A preserves the graph axis formats, scale settings, data and memory trace contents, and trace definitions for each parameter (for example, Ls) unless it is turned Off or reset to its preset state. This feature makes it easy to examine the DUT from various perspectives by switching among a number of measurement parameters. For detailed information on configuring the settings that control how the E4990A displays measurement results, refer to the following sections:

  • Selecting the Graph Axis Format

  • Auto-scaling the Trace

  • Manual Scale Setting (for measurements other than COMPLEX Z-Y)

  • Manually Scaling the Active Trace for a COMPLEX Z-Y Graph

  • Trace-based Comparison and Calculation

You can set each measurement parameter without specifying the active trace or checking its current state.

Selecting Parameter Independently

You can select the measurement parameter for each trace independently.

  1. Press Meas > Trace 1, Trace 2, Trace 3 or Trace 4. When you set the trace 3 or 4, increase the number of trace.

  2. Select the desired measurement parameter for the trace.

  • Vdc and Idc can be selected when the sweep type is set at either DC Bias or Log DC Bias.


Selecting the Graph Axis Format

  • When Using Cartesian Coordinates

  • When Using Complex Parameters (COMPLEX Z-Y)

Other topics about Setting Up the Display of Measurement Results

When Using Cartesian Coordinates

Unless the E4990A is configured to perform a COMPLEX Z-Y measurement (complex impedance for Trace 1, complex admittance for Trace 2), it displays measurement results in a Cartesian-coordinate graph whose horizontal and vertical axes indicate the sweep and measurement parameter values, respectively. Use the following procedure to select the vertical axis format for a Cartesian-coordinate graph:

  1. Activate the trace for which you want to set the axis format.

  2. Press the Format key to display the Format menu.

  3. Select the desired vertical axis format by pressing the appropriate key, Linear|Log.

  • The horizontal axis format is automatically determined based on the selected sweep type.

When Using Complex Parameters (COMPLEX Z-Y)

When the Keysight E4990A is configured to perform a COMPLEX Z-Y measurement (complex impedance for Trace A, complex admittance for Trace B), use the following procedure to select the graph axis formats:

  1. Activate the trace for which you want to set the axis format.

  2. Press Format > Complex Format.

  3. Select the desired graph axis format by pressing the appropriate key, Complex|Polar.


Scaling Trace

  • Auto-scaling the Trace

  • Manual Scale Setting (for measurements other than COMPLEX_Z-Y)

  • Manually Scaling the Active Trace for a COMPLEX_Z-Y Graph

  • Scaling Trace with Reference Tracking

Other topics about Setting Up the Display of Measurement Results

Auto-scaling the Trace

Auto-scaling for active trace

  1. Activate the trace you want to auto-scale.

  2. Press Scale > Auto Scale to auto-scale the specific active trace. This adjusts the scale of the trace so that you can easily examine the overall characteristics while making all of the data visible within the graph.

Auto-scaling for all traces

  1. Activate the trace you want to auto-scale.

  2. Press Scale > Auto Scale All to auto-scale the all the traces.

Manual Scale Setting (for measurements other than COMPLEX Z-Y)

This section describes how to manually scale the active trace for a Cartesian-coordinate graph. Note that these procedures do not apply when the Keysight E4990A is configured to perform a COMPLEX Z-Y measurement (complex impedance for Trace 1, complex admittance for Trace 2).

Scaling the Trace Based on the Reference Line and Resolution per Division

When the vertical axis is linear, you can scale the trace by first specifying where to position the reference line and what value to assign to it and then setting the scale for each division.

  1. Activate the trace you want to manually scale.

  2. Press Scale > Reference Position, and input the desired value that represents where the reference line should be positioned in relation to the bottom of the graph. This value ranges from 0 (bottom) and 10 (top). In the preset state, the reference line position defaults to 5, which means that it is displayed at the center of the graph.

  • The reference line is a horizontal dotted line displayed in the same color as the corresponding trace.

  3. Press Scale > Reference Y Value, the input the desired value that indicates the reference value, that is, the value of the measurement parameter that corresponds to the reference line position.

  4. Alternatively, when you have the main marker displayed on the trace, press Marker Fctn > Marker Reference to use the value at the marker position as the reference value. Thus, you can change the trace scale by placing the reference line at the position indicated by the main marker.

  5. Press the Scale > Scale/Div, and input the desired value that indicates the scale per division.

Scaling the Trace Based on the Top and Bottom Values

When the vertical axis is set to logarithmic, you can scale the trace by specifying the highest (top) and lowest (bottom) values displayed within the graph.

  1. Activate the trace you want to manually scale.

  2. Press Scale >Log-Y Top and input the desired value indicating the top value to be displayed on the graph.

  3. Press Scale >Log-Y Bottom and input the desired value indicating the bottom value to be displayed on the graph.

Manually Scaling the Active Trace for a COMPLEX Z-Y Graph

Scaling the Active Trace for a Complex Plane

When your graph is a complex plane, you can manually scale the active trace by specifying the reference values for the vertical and horizontal axes as well as the scale per division.

  1. Activate the trace you want to manually scale.

  2. Press Scale > Reference X Value, and input the desired value that indicates the reference value for the horizontal (X) axis. This value is a real value. The reference line for the horizontal axis in a complex plane is stationary in the center of the axis.

  3. Press Scale > Reference Y Value, and input the desired value that indicates the reference value for the vertical (Y) axis. This value is a complex value. The reference line for the vertical axis in a complex plane is stationary in the center of the axis.

  4. Press the Scale > Scale/Div, and input the desired value that indicates the scale per division. For a complex plane, both the vertical and horizontal axes use the same scale per division.

Scaling the Active Trace for a Polar Chart

When your graph is a polar chart, you can scale the active trace by specifying the full scale value, that is, the distance from the origin to the outermost circle.

  1. Activate the trace you want to manually scale.

  2. Press Scale > Divisions, and input the desired value that indicates the full scale value. Divisions defines the number of divisions on the Y-axis. An even number from 4 to 30 can be used.

  3. Alternatively, when you have the main marker displayed on the trace, press Marker Fctn > Marker Reference to use the value at the marker position (i.e., the distance from the origin) as the full scale value. Thus, you can change the trace scale by placing the full scale circle at the position indicated by the main marker.

Scaling Trace with Reference Tracking

  1. Activate the trace you want to perform reference tracking.

  2. Press Scale > Reference Tracking.

  3. Press Tracking > OFF|Track Peak|Track Freq to select between turning OFF the reference tracking option, track by peak reference or track by frequency.

  4. Press Track Frequency, and input the desired frequency value.


Trace-based Comparison and Calculation

  • Identifying Differences between Data and Memory Traces through Comparison or Calculation

  • Subtracting an Offset Value

Other topics about Setting Up the Display of Measurement Results

Traces 1 and 2 each provide two different trace types: data and memory. The data trace keeps track of the DUT's characteristics as it is being tested, while the memory trace captures the measurement data at a specific point in time and displays that data. With the data trace, you can perform a simple calculation on the measurement data and display the results. For example, you can display the differential between the measured data and the memory trace data or the result of subtracting your specified offset value from the measured data. Table below lists the trace types and their functions:

Trace Types |  | Function
Trace 1 | Data trace (yellow1) | Displays measurement data/calculations (updated during measurement cycle)
 | Memory trace (green1) | Stores and displays previously measured data (captures data when Display > Data -> Memory is selected)
Trace 2 | Data trace (blue1) | Displays measurement data/calculations (updated during measurement cycle)
 | Memory trace (brown1) | Stores and displays previously measured data (captures data when Display > Data -> Memory is selected)

1 Factory default settings.

These features add flexibility to your testing task; for example, on the same screen you can compare the data and memory traces with each other or simultaneously display the results of a calculation as shown by the data and memory traces.

Identifying Differences between Data and Memory Traces through Comparison or Calculation

  1. Activate the trace for which you want to perform calculation or comparison between the two trace types.

  2. Press the Display key to display the Display menu.

  3. Press Display > Data.

  4. Start testing the DUT so that the data trace displays the results.

  5. At this time, you may want to hold (stop) the sweep cycle for the data trace by pressing Trigger > Hold. Doing so ensures that you can create an exact snapshot of the measurement data when you later store the data into the memory trace.

  6. Press Data -> Memory to store the measurement data into the memory trace.

  • When you press Data -> Memory, the memory trace captures the measurement data exactly as it is displayed on screen. The memory trace always stores measurement data, even when the data trace is displaying the results of a calculation. Note that while the subtraction of the offset value is being executed, the resulting subtraction is stored in the memory trace. The Data -> Memory key affects both Traces 1 and 2. This means that the measurement data for the non-active trace is also stored into the memory trace.

  7. The Keysight E4990A provides a number of options that allow you to control how each trace is displayed. Select one of the following display options by pressing the appropriate key:

Softkey | Function
Data | Displays only data trace on the screen
Mem | Displays only memory trace stored by Data -> Mem operation on the screen
Data & Mem | Displays data trace and memory trace on the screen. You can now easily compare the data trace and memory trace on the screen.
Off | Trace is not displayed

  7. Start testing the DUT to obtain the measurement data for comparison or calculation with the reference measurement data you stored into the memory trace (if the sweep cycle is in the hold state, you can restart the measurement by pressing Trigger).

Subtracting an Offset Value

You can specify an offset value to be subtracted from the measurement data, and the result of this operation is displayed by the data trace.

  1. Press Display > Data -> Mem to store the measured data in memory.

  2. Press Data Math Offset and input the desired offset value (the offset value defaults to zero in the preset state).

  3. Press Data Math.

  4. Select the data math operation to perform.

Softkey | Function
OFF | Turns off data math functions (Do not perform data math)
Data / Mem | Divides measured data by memory trace and stores result in data trace
Data * Mem | Multiplies data trace by memory trace and stores result in data trace
Data - Mem | Subtracts memory trace from data trace and stores result in data trace
Data + Mem | Adds data trace and memory trace and stores result in data trace

  5. Press Display.

  6. Select the type of data on display ON the screen.

  7. Send the trigger to make measurements.


Monitoring Source Signal Level

  • Monitoring the Test Signal Level (AC)

  • Monitoring the dc Bias Level

Other topics about Setting Up the Display of Measurement Results

Monitoring the Test Signal Level (AC)

The signal level actually applied to a DUT differs from the setting applied to the signal source because some electrical loss occurs between each test terminal and the DUT. The E4990A provides a feature that allows you to monitor both the voltage and amperage values of the test signal level actually applied to the DUT, whether you measure the signal source level by voltage or current. This feature is called “test signal level monitor".

  1. Press the Meas key to display the Measurement menu.

  2. Press OSC Monitor Trace > Vac - Iac to turn ON the OSC monitoring trace for test signal level (AC)

    • Vac and Iac can be assigned for traces 1 to 4 independently by pressing Meas > Trace 1, Trace 2, Trace 3 or Trace 4.

  3. Press OSC Monitor Trace > Close to turn OFF the monitoring feature.

Monitoring the DC Bias Level

In most cases, the DC bias level actually applied to a DUT differs from the setting applied to the dc bias source because some electrical loss occurs between each test terminal and the DUT. The E4990A provides a feature that allows you to monitor either the voltage or amperage value of the dc bias actually applied to the DUT. This feature is called the “DC bias level monitor.”

Monitoring the Test Signal at Sweep Start

You can monitor the dc bias level (either voltage or amperage) at the beginning sweep through the dc Voltage/Current Bias Monitor field, which is located in the right-upper part of the screen LCD and labeled DCV, DCI. This field is updated at each sweep.

  1. Press Meas key to display the Measurement menu.

  2. Press DC Monitor Setup > DC Monitor > ON, to turn ON the DC monitoring feature.

Monitoring the DC Bias Level with Trace

You can monitor the actual dc bias level (either voltage or amperage) at the each point when dc bias sweep is selected.

  1. Press Sweep Setup > Sweep Type > DC Bias or Log DC Bias to setup type to DC Bias sweep setting.

  2. Press Meas > DC Monitor Setup > DC Monitor Trace > Vdc - Idc to turn ON the DC monitoring trace feature. The traces 3 and 4 are displayed and assigned to Vdc and Idc respectively.

    • Vdc and Idc can be assigned for traces 1 and 2 by pressing Meas > Trace 1, Trace 2.

  3. Press DC Monitor Setup > DC Monitor Trace > Close to turn OFF the DC monitoring trace feature.


Setting for Phase

  • Selecting the Phase Unit

  • Displaying Phase Values without Wrapping at ±180 degree

Other topics about Setting Up the Display of Measurement Results

Selecting the Phase Unit

When you are performing phase-based measurement, you can specify whether to use degrees or radian as the phase unit applied to the scaling and marker features.

  1. Activate the trace for which you want to set the phase unit.

  • To set the phase unit, your parameter must be either |Z|-θ/|Y|-θ or COMPLEX Z-Y. You should activate Trace 2 in the former case, and the trace whose axis format is polar in the latter case.

  2. Press the Format key to display the Format menu.

  3. Press Phase Unit > Deg|Rad to select your desired phase unit.

Displaying Phase Values without Wrapping at ±180 degree

The E4990A provides a feature that allows you to display phase values without wrapping them at +180° or -180°. This feature, called “expanded phase,” is useful when measured phase values are in a continuous increase or decrease and some of them exceed +180° or -180°. To set up the expanded phase feature, follow these steps:

  1. Activate the trace for which you want to use the expanded phase feature.

  • To expand the phase, your parameter must be either |Z|-θ/|Y|-θ or COMPLEX Z-Y. You should activate Trace 2 in the former case, and the trace whose axis format is polar in the latter case.

  2. Press the Format key to display the Format menu.

  3. Press Expand Phase > ON|OFF to turn On or Off the expanded phase feature.


Setting Windows Display

  • Maximizing the specified window trace display

  • Turning off the display of graticule labels

  • Hiding frequency information

  • Updating data on real time

  • Labeling a window

  • Setting display colors

  • Setting display magnification

  • Resizing the screen

  • Superimposing Multiple Traces

Other topics about Setting Up the Display of Measurement Results

Maximizing the specified window/trace display

When using multiple channels, it is possible to maximize a specific channel window on the screen. When multiple traces are displayed in a channel window, it is also possible to maximize a specific trace displayed within that channel window.

  • The Window/Trace Display data can be preset to factory settings using the Preset option.

Maximizing a window

  1. Press Channel Next (or Channel Prev) to select the channel of which window will be maximized.

  2. Press Channel Max to maximize the channel window.

  3. Press Channel Max one more time to reduce the window to its previous size.

Maximizing a trace display

  1. Press Channel Next (or Channel Prev) to select the channel to which the trace belongs.

  2. Press Trace Next (or Trace Prev) to select the trace of which display will be maximized.

  3. Press Trace Max to maximize the trace display.

  4. Press Trace Max one more time to reduce the display to its previous size.

Turning off the display of graticule labels

When using a rectangular display format, the graph area can be expanded to the left by turning OFF the display of graticule labels.

Turning OFF graticule label display

  1. Press Channel Next (or Channel Prev) to select the channel of which graticule label display will be turned ON or OFF.

  2. Press Display.

  3. Click Graticule Label to turn graticule label display ON or OFF.

Hiding frequency information

You can hide the frequency information from the screen in order to ensure its confidentiality or for other reasons.

Hiding Frequency Information on the Screen

Follow the steps below to hide frequency information on the measurement screen.

  1. Press Display key.

  2. Click Frequency to turn OFF the frequency display.

  3. Turning OFF the frequency display using Display > Frequency key does not erase the frequency display within the Stimulus softkey, which is turned on by pressing Start, Stop, Center, and Span. The display of the softkey bar itself can be switched ON or OFF by pressing Softkey On/Off.

Hiding Softkey's Frequency Information

You can delete the frequency information from the measurement screen, which changes the frequency information displayed in the Stimulus softkey and the data entry area for Hz unit to asterisks (***).

  1. Press System key.

  2. Click Service Menu, then click Security Level and select any of the following options for the frequency display.

Sofkey | Function
None | Displays the frequency information.
Low | Hides the frequency information with a series of asterisks. Save/Recall > Save Trace Data and Save S1P are inactive. This can be turned OFF by the Security Level menu.
High | Hides the frequency information with a series of asterisks. Save/Recall > Save Trace Data and Save S1P are inactive. This cannot be turned OFF by the Security Level menu. Resetting to OFF is only possible by executing Preset or Recall.

Updating data on real time

You can choose to display the data on the screen on real time.

  1. Press Display > Update > ON to turn ON the feature to display the data on the screen on real time.

  2. Press Display > Update > OFF to disable this features.

Labeling a window

It is possible to assign a unique name to a channel and display it on the screen. This feature is useful in saving and/or printing measurement results for future reference.

Labeling a window

  1. Press Channel Next (or Channel Prev) to select the channel to be labeled.

  2. Press Display > Edit Title Label, and the title label input dialog box appears.

  3. Using the keys in the dialog box, type a label and click Enter.

  4. Click Title Label to turn ON the title display. The title appears within a frame at the top of the channel window.

Setting display colors

Selecting display mode

You can select the display mode of the LCD display from two modes: normal display (background: black) or inverted display (background: white). In normal display, the colors of items are preset so that you can recognize them easily on the display of the instrument. On the other hand, in inverted display, they are preset to colors obtained by inverting the default settings to the normal display so that you can use data easily when storing it into a graphic file.

The selection procedure is as follows:

  1. Press Display.

  2. Click Invert Color to select the display color. OFF indicates the normal display; ON the inverted display.

Setting display color for each item

You can set the display color to the normal display or inverted display separately for each of the following items:

  • Data/memory trace

  • Labels and lines of graphs

  • File display of the limit test and limit lines

  • Background

Set the color of each item by specifying the amounts of red (R), green (G), and blue (B) contained in the color. You can specify each level of R, G, and B in 6 steps (0 to 5). Therefore, total of 216 colors are available by combining them. The table below shows the R, G, and B values for the main colors as a reference.

 | R | G | B |  | R | G | B |  | R | G | B
White | 5 | 5 | 5 | Gray | 2 | 2 | 2 | Black | 0 | 0 | 0
Light Red | 5 | 3 | 3 | Red | 5 | 0 | 0 | Dark Red | 2 | 0 | 0
Light Yellow | 5 | 5 | 3 | Yellow | 5 | 5 | 0 | Dark Yellow | 2 | 2 | 0
Light Green | 3 | 5 | 3 | Green | 0 | 5 | 0 | Dark Green | 0 | 2 | 0
Light Cyan | 3 | 5 | 5 | Cyan | 0 | 5 | 5 | Dark Cyan | 0 | 2 | 2
Light Blue | 3 | 3 | 5 | Blue | 0 | 0 | 5 | Dark Blue | 0 | 0 | 2
Light Magenta | 5 | 3 | 5 | Magenta | 5 | 0 | 5 | Dark Magenta | 2 | 0 | 2

The setting procedure is as follows:

  1. Press System > Misc Setup > Display Setup > Color Setup.

  2. Click Normal (for normal display) or Invert (for inverted display).

  3. Click the softkey corresponding to the item of which you want to set the display color.

Softkey | Function
Data Trace 1 to 4 | Specifies the data trace of traces 1 to 4.
Mem Trace 1 to 4 | Specifies the memory trace of traces 1 to 4.
Graticule Main | Specifies the graticule label and the outer lines of graphs.
Graticule Sub | Specifies the grid of graphs.
Limit Fail | Specifies the fail display in the limit test result.
Limit Line | Specifies the limit line.
Background | Specifies the background.

  4. Click Red (or, Green, or Blue).

  5. Select the amount of the selected color from 0 to 5.

Resetting the display colors to the factory state

You can reset the display colors in normal display and inverted display to the preset factory state.

The selection procedure is as follows:

  1. Press System > Misc Setup > Display Setup > Color Setup.

  2. Click Normal (for normal display) or Invert (for inverted display).

  3. Click Reset Color > OK.

Setting display magnification

You can reset the display magnification to Small, Normal or Large.

The selection procedure is as follows:

  1. Press System > Misc Setup > Display Setup > Magnification.

  2. Click Normal, Small or Large.

Resizing the screen

You can resize the E4990A screen by minimizing, maximizing or restoring it to its original size.

The resizing procedure is as follows:

  1. Click Resize at the top right corner of the screen.

  2. A drop-down menu prompts and the available options are:

Softkey | Function
Restore | Restores the screen to its default size.
Minimize | Minimizes the screen.
Maximize | Displays the screen in full page size.

  3. Click Restore, Minimize or Maximize.

  4. When the screen is resized according to an option, the related softkey is disabled. For example, when the screen is displayed in full page size, Maximize is disabled.

Another option to minimize the E4990A screen is by using the Menu Bar and the procedure is as follows:

  1. Press Display > Minimize E4990A.

You can also hide and restore the title bar of the E4990A screen and the procedure is as follows:

  1. Press Display > E4990A Title bar.

  2. Click ON to restore the title bar.

  3. Click OFF to hide the title bar.

Superimposing Multiple Traces

This function allows you to draw a new trace without erasing existing traces. Even if this function is on, the traces are erased when the window size, scale, softkey display on/off, entry window on/off are changed.

  1. Press System > Service Menu > Accumulate to toggle on/off.


Analysis and Processing of Result

  • Analyzing Data on the Trace using the Marker

  • Searching for Positions that Match Specified Criteria

  • Analyze Trace Bandwidth

  • Reading the Marker Position Time or Telaxation Time

  • Analyzing the Equivalent Circuit and Simulate the Frequency Characteristics

  • Calculating the Mean Value, Standard Deviation, and p-p of the Trace

  • Calculating Several Traces (Equation Editor)

  • Making Pass/Fail Evaluation (Limit Test)


Analyzing Data on the Trace Using the Marker

  • About Marker Functions

  • Reading Marker Values on Trace

  • Reading Relative Value from Reference Point on Trace

  • Reading Actual Measurement Point/Value Interpolated between Measurement Points

  • Setting up Markers for Each Trace/Setting up Markers for Coupled Operation between Traces

  • Listing Marker Values in All Displayed Channels

  • Specifying Display Position of Marker Values

  • Aligning Marker Value Display

  • Displaying All Marker Values for Displayed Traces

Other topics about Analysis and Processing of Result

About Marker Functions

The marker can be used in the following ways:

  • Reading a measured value as numerical data (as an absolute value or a relative value from the reference point)

  • Moving the marker to a specific point on the trace (marker search)

  • Analyzing trace data to determine a specific parameter

  • Using the value of the marker to change the stimulus (sweep range) and scale (value of the reference line)

For the procedure used to change the sweep range and scale by using the marker, refer to Setting the Sweep Range Using the Marker and Converting From a Reference Point to a Relative Value.

The E4990A is capable of displaying up to 10 markers including the reference marker on each trace. Each marker has a stimulus value (the value on the X-axis in rectangular display format) and a response value (the value on the Y-axis in rectangular display format). The Smith chart and polar formats have two marker response values each (log amplitude and phase).

Reading Marker Values on Trace

You can read the value of a marker displayed on the trace.

In rectangular display format, the marker response value is always in the same data format as that of the Y-axis. On the contrary, one format of the marker response values (two values: main and auxiliary) can be selected from several types. The selection is performed in the data format.

Softkey for selecting data format | Marker response value
 | Main | Auxiliary
Complex | Real part (R or G) | Imaginary part (X or B)
Polar | Absolute value (|Z| or |Y|) | Phase (θZ or θY)

To set up phase unit, refer to Selecting the Phase Unit.

When the span is set at 9, the stimulus value of marker show the measurement point number. When Marker Fctn > Discrete is OFF, the interpolated stimulus value is displayed between points.

Activating the marker on the Trace

  1. Press Channel Next (or Channel Prev) and Trace Next (or Trace Prev) to activate the channel on which a marker is used.

  2. Press Marker key. At this point, marker 1 is turned on and becomes active (you can operate the marker). When using marker 1, you can omit the next step.

  3. Select a marker and turn it ON. The softkey used to turn on a marker is also used to activate that marker.

Moving the marker

  1. Change the marker stimulus value. This operation enables you to move the marker to a point on the selected trace.

  2. Read the marker stimulus value and marker response value displayed in the upper-left part of the trace screen.

Turning off the marker

  1. Press Marker key.

  2. Click Clear Marker Menu and then click one of the options.

  3. In the preset configuration, the marker settings on traces in a channel are coupled (Marker Couple is turned on). For marker coupling, refer to Setting up markers for each trace/Setting up markers for coupled operations between traces.

Reading Relative Value from Reference Point on Trace

You can convert the marker reading into a relative value from the reference point.

Converting From a Reference Point to a Relative Value

  1. Activate the reference marker.

  2. Move the reference marker at the point to be used as the reference.

  3. Click Ref Marker Mode to turn on the reference mode.

  4. With the reference mode turned ON, the stimulus values and response values are indicated in relative values referred to by the position of the reference marker.

  5. Activate your desired marker, then move it to your desired position.

  6. Pressing Marker > Marker -> Ref Marker enables you to place the reference market at the position of the currently active marker. The reference mode then turns ON automatically.

Reading Actual Measurement Point/Value Interpolated between Measurement Points

The point on the trace on which a marker can be placed differs depending on how the discrete marker mode is set up.

Value | Description
Turning on discrete mode (Discrete ON) | A marker moves only between actual measurement points. When a specific marker's stimulus value is specified as a numerical value, the marker is placed at the measurement point closest to the specified value. A marker placed between interpolated points with the discrete mode OFF automatically moves to the nearest measurement point when the discrete mode is turned ON.
Turning off discrete mode (Discrete OFF) | The marker can move from one actual measurement point to another. Because it is interpolated, it can also move in the space between measurement points.

Turning Discrete Mode On or Off

  1. Press Channel Next (or Channel Prev) and Trace Next (or Trace Prev) to activate the trace on which the discrete mode is set up.

  2. Press Marker Fctn.

  3. Click Discrete to turn the discrete mode ON or OFF.

Setting up Markers for Each Trace/Setting up Markers for Coupled Operation between Traces

Makers can be set up and moved either in coupled operation for all traces in a channel or independently for each trace.

Value | Description
Marker Couple is ON (Coupling ON) | Markers are set up and moved in coupled operation on all the traces in a channel.
Marker Couple is OFF (Coupling OFF) | Markers are set up and moved independently for each trace.

Turning Marker Coupling On or Off

  1. Press Channel Next (or Channel Prev) to activate the channel on which the marker couple is set.

  2. Press Marker Fctn.

  3. Click Couple to turn the marker coupling ON or OFF.

Listing Marker Values in All Displayed Channels

You can list all of the marker values in all of the displayed channels on the screen.

Turning ON the Marker Table Display

  1. Press Marker Fctn.

  2. Click Marker Table to turn ON the marker table display.

The marker table appears in the lower part of the screen.

Specifying Display Position of Marker Values

This section describes how to specify the marker value display position for each active trace.

Value | Description
Marker Info X Pos | Specifies the horizontal display position by the width of the display area as a percentage.
Marker Info Y Pos | Specifies the vertical display position by the height of the display area as a percentage.

Operational procedure

  1. Press Channel Next (or Channel Prev) to activate the channel for which you want to set the marker coupling.

  2. Press Marker Fctn > Annotation Options.

  3. Click Marker Info X Pos to set the horizontal display position.

  4. Click Marker Info Y Pos to set the vertical display position.

Aligning Marker Value Display

This section describes how to align maker value displays.

Value | Description
On (Align ON) | Displays marker values to align to the display position of trace 1.
Off (Align OFF) | Displays marker values in the display position defined for each trace.

  1. Press Marker Fctn > Annotation Options.

  2. Click Align to toggle ON/OFF.

Displaying All Marker Values for Displayed Traces

This section describes how to display all marker values for the displayed traces.

Value | Description
Display all (Active Only OFF) | Displays all marker values for displayed traces.
Display active markers (Active Only ON) | Displays markers for the active trace only.

  1. Press Marker Fctn > Annotation Options.

  2. Click Active Only to toggle ON/OFF.


Searching for Positions that Match Specified Criteria

  • Overview

  • Setting Search Range

  • Automatically Executing a Search (Search Tracking)

  • Searching for Maximum and Minimum Values

  • Searching for the Peak

  • Searching for Multiple Peaks

  • Searching for the Target Value (Target search)

  • Searching for the Multiple Target Values (Multi-target Search)

Other topics about Analysis and Processing of Result

Overview

You can search for a position that matches your specified criteria by using the Marker Search feature. Marker Search allows you to search for a position that matches any of the following criteria.

  • Maximum value

  • Minimum value

  • Peak

    • Maximum peak (for a positive peak), minimum peak (for a negative peak)

    • Peak on the left-hand side nearest to marker position

    • Peak on the right-hand side nearest to marker position

  • Multi Peak

  • Target (a point that has a target measurement value)

    • Target nearest to the marker position

    • Target on the left-hand side nearest to marker position

    • Target on the right-hand side nearest to marker position

  • Multi Target

Setting Search Range

The Marker Search feature allows you to set part of the sweep range as the search target (Partial Search feature) as well as the entire search range. For the Partial Search feature, you can select whether to couple traces in the channel.

Procedure to Turn ON/OFF Trace Coupling within Search Range

  1. Press Channel Next (or Channel Prev) and Trace Next (or Trace Prev) to activate the trace for which you want to set the search range.

  2. Press Marker Search > Search Range.

  3. Click Couple to toggle ON/OFF trace coupling within the search range.

Procedure to Set Search Range

  1. Press Channel Next (or Channel Prev) and Trace Next (or Trace Prev) to activate the trace for which you want to set the search range.

  2. Press Marker Search > Search Range.

  3. Click Search Range to turn ON the Partial Search feature.

  4. Click Start, then enter the start value (lower limit) of the search range.

  5. Click Stop, then enter the stop value (upper limit) of the search range.

Automatically Executing a Search (Search Tracking)

Search tracking is a function that sets a search to be repeated every time a sweep is done even if the execution key for the search (maximum, minimum, peak, and target) is not pressed. This function facilitates observation of measurement results such as the maximum value of traces (e.g., the insertion loss of a band pass filter).

Performing Search Tracking

  1. Press Channel Next (or Channel Prev) and Trace Next (or Trace Prev) to activate the trace on which you want to set up the search tracking.

  2. Press Marker Search key.

  3. Click Tracking and turn the search tracking function ON/OFF.

Searching for Maximum and Minimum Values

You can search for the maximum or minimum measured value on the trace and move a marker to that point.

Search for maximum (Max) | Move active marker to point on the trace where measured value is the greatest.
Search for minimum (Min) | Move active marker to point on the trace where measured value is the lowest.

Procedure

  1. Activate the marker you are using to search for the maximum and minimum values.

  2. Press Marker Search key.

  3. Click the corresponding softkey to move the marker to the maximum or minimum measured value.

Searching for the Peak

The peak search function enables you to move the marker to the peak on the trace.

Definition of the peak

A peak is a measurement point of which the value is greater or smaller than the adjoining measurement points on its right and left sides. Peaks are classified into the following two types depending on the differences in magnitude from the measurement points on either side of it.

Positive peak (Positive) | A peak of which the measured value is greater than the measurement points on either side of it (peak polarity: positive).
Negative peak (Negative) | A peak of which the measured value is smaller than the measurement points on either side of it (peak polarity: negative).

About Peak Excursion Value

The peak excursion value is smaller among the differences in the measured values from the adjoining peaks of the opposite polarity.

Executing a Peak Search

The following three methods are available for executing the peak search:

Peak search (Search Peak) | Moves the marker to the maximum peak when peak polarity is Positive or Both. Moves the marker to the minimum peak when peak polarity is Negative.
Left search (Search Left) | Executes the search from current marker position to the smaller stimulus values and moves the marker to first peak encountered.
Right search (Search Right) | Execute the search from current marker position to the larger stimulus values and moves the marker to first peak encountered.

Procedure

  1. Activate the marker you are using for the peak search.

  2. Press Marker Search key.

  3. Click Peak > Peak Excursion.

  4. Enter the lower limit for the peak excursion value. This sets the peak search to be executed based on the definitions of the newly set lower limit for the peak excursion value and the currently set peak polarity.

  5. Click Peak Polarity.

  6. Select a peak polarity. This sets the peak search to be executed based on the definitions of the currently set lower limit for the peak excursion value and the newly set peak polarity.

  7. Click the corresponding softkey to move the marker to the peak.

  8. When the data format is in Smith chart or polar format, execute the search for the main response value of the two marker response values.

Searching for Multiple Peaks

The multi-peak search function enables you to display markers on multiple peaks on traces.

Definition of the Peaks

A peak is a measurement point whose value is greater or smaller than the adjoining measurement points on its right and left sides. Peaks are classified into the following types depending on the difference in magnitude from the measurement points on either side of it.

Positive peak (Positive) | A peak of which the measurement value is greater than the measurement points on either side of it (peak polarity: positive).
Negative peak (Negative) | A peak of which measurement value is smaller than the measurement points on either side of it (peak polarity: negative).

About the Multi-peak Search Function (Search Multi Peak)

The multi-peak search is a function that searches for peaks that match with pre-defined lower limit for the peak excursion value and peak polarity (positive or negative) and then displays the markers on the peaks being searched. Depending on number of detected peaks, markers 1 through 9 are displayed from the start frequency.

The peak excursion is the smaller of the differences in measurement values from the adjoining peaks of the opposite polarity.

  • When the multi-peak search is executed, search and tracking settings for markers 1 through 9 are ignored and the settings for the multi-peak search are used. Note that the reference marker is not affected.

Positive Peak/Negative Peak and Peak Excursion

Multi-peak Search (when peak polarity is positive)

Executing a Multi-peak Search

  1. Activate the marker you are using for the multi-peak search.

  2. Press Marker Search > Multi Peak > Peak Excursion

  3. Enter the lower limit for the peak excursion value.

This causes the multi-peak search to be executed based on the definitions of the newly set lower limit for the peak excursion value and currently set peak polarity.

  4. Press Peak Polarity.

  5. Select a peak polarity from positive, negative or both.

This causes the multi-peak search to be executed based on the definitions of the currently set lower limit for the peak excursion value and newly set peak polarity.

  6. Press Search Multipeak to move the marker to the peak.
  • When the data format is Smith chart or polar format, execute the search for the main response value of the two marker response values.

Searching for the Target Value (Target search)

The target search is a function that searches for a target that matches the pre-defined target value and transition type(s) (positive, negative, or both positive and negative) and then moves the marker to that target.

Target and Transition Types

A target is a point that has a specific measured value on the trace. Targets can be divided into the two groups shown below depending on their transition type.

Transition type: Positive (Positive) | When the value of the target is larger than the measured value that immediately precedes it (on the left side).
Transition type: Negative (Negative) | When the value of the target is smaller than the measured value that immediately precedes it (on the left side).

Executing a Target Search

The following three methods are available for executing the target search:

Target search (Search Peak) | The marker moves to the peak with maximum response value if the peak polarity is Positive or Both or to the peak with minimum response value if the peak polarity is Negative.
Search left (Search Left) | Executes the search from the current marker position to the smaller stimulus values and moves the marker to first encountered target.
Search right (Search Right) | Executes the search from the current marker position to the larger stimulus values and moves the marker to first encountered target.

Procedure

  1. Activate the marker you are using for the target search.

  2. Press Marker Search key.

  3. Click Target > Target Value.

  4. Enter the target value in the entry area that appears. This causes the target search to be executed based on the definitions of the newly set target value and the currently set transition type.

  5. Click Target Transition.

  6. Select a transition type. This sets the target search to be executed based on the definitions of the currently set target value and the newly set transition type.

  7. Press the corresponding softkey to move the marker to the target.

  8. When the data format is in Smith chart or polar format, execute the search for the main response value of the two marker response values.

Searching for the Multiple Target Values (Multi Target Search)

The multi-target search function enables you to display a marker on each point having the target measurement value.

Target and Transition Types

A target is a point that has a specific measurement value on the trace. Targets can be divided into two groups shown below depending on their transition type.

Positive | When the value of the target is larger than the measurement value that immediately proceeds it (on the left side).
Negative | When the value of the target is smaller than the measurement value that immediately proceeds it (on the left side).

Target and Transition Types

About the multi-target search function (Search Multi Target)

The multi-target search is a function that searches for targets that match to pre-defined target value and transition type(s) (positive, negative, or both of positive and negative) and displays markers on the targets being searched.

Depending on the number of detected targets, markers 1 through 9 are displayed from the start frequency.

  • When the multi-target search is executed, search and tracking settings for markers 1 through 9 are ignored and the settings for the multi-target search are used. Note that the reference marker is not affected.

Multi-target Search (when transition type is set to "both positive and negative")

Procedure

  1. Activate the marker you are using for target search.

  2. Press Marker Search > Multi Target > Target Value.

  3. Enter a target value in the entry box that appears.

This causes the target search to be executed based on the target value newly set and the transition type defined at this point.

  4. Press Target Transition.

  5. Selects a transition type from positive, negative or both.

This causes the target search to be executed based on the target value set at this point and the transition type newly set.

  6. Press Search Multi Target to move the marker to the target.

  • When the data format is in Smith chart or polar format, execute the search for the main response value of the two marker response values.


Analyze Trace Bandwidth

  • Definitions of Parameters in the Trace Bandwidth Analysis

  • Define the Cutoff Point in Trace Bandwidth Analysis

  • Implement Trace Bandwidth Analysis

Other topics about Analysis and Processing of Result

The E4990A can automatically derive the parameters called bandwidth, center value, Q value, peak,DL, and DR from the measurement trace.

At the instant when the trace bandwidth analysis function is turned On and at the completion of each subsequent sweep, cutoff points are searched for on the sweep parameter value axis, starting from the main marker position at that time and advancing in both directions. When two cutoff points are detected, six parameters (bandwidth (width), center value (center), Q, peak (peak), DL, and DR) are derived from the data at those points and displayed in the Marker Statistics/Trace Bandwidth Analysis Result field on the right of the screen.

  • The peak (peak), one of the six parameters displayed on the screen as trace bandwidth analysis results, is the first position of the main marker itself. Therefore, before executing the trace bandwidth analysis, use the peak search function and so on to move the main marker to the peak on the trace as necessary. The cutoff points are searched for according to the definition specified by the user. The definitions of the six parameters displayed on the screen as the final results also vary depending on the delta marker mode selected at the time.

Definitions of Parameters in the Trace Bandwidth Analysis

Table below shows the definition of each parameter in the trace bandwidth analysis.

Parameter | Definition
Cutoff point | Two points having the predefined measurement parameter value that are searched for and detected from the main marker position to both ends on the trace. You define the measurement parameter value of the cutoff points by selecting, assuming that the measurement parameter value of the main marker position is MKRVAL, [image] , [image] , [image] or a user entered value (fixed value). At the detected cutoff points, the sub-markers numbered 2 and 3 will be placed.
Bandwidth: | Indicates the interval of sweep parameter values at two cutoff points. This definition does not depend on the marker mode.
Center: | Indicates a midpoint between the sweep parameter values at two cutoff points. It serves as a relative value with reference to the fixed marker only when the fixed marker is present.
Q | Indicates value Q obtained from two cutoff points (Center/Width).
Peak: | Indicates the measurement parameter value at the position of the main marker (marker 0). However, it indicates a relative value with reference to the fixed marker only when the fixed marker is present. When the main marker is moved to the peak by using the peak search function, that peak is displayed at this position.
DL | Indicates the length of the sweep parameter from the sweep center value to the cutoff point on the left. However, it indicates the length of the sweep parameter from the sweep parameter value of the fixed D marker to the cutoff point on the left only when the fixed D marker is present.
DR | Indicates the length of the sweep parameter from the sweep center value to the cutoff point on the right. However, it indicates the length of the sweep parameter from the sweep parameter value of the fixed D marker to the cutoff point on the right only when the fixed D marker is present.

Define the Cutoff Point in Trace Bandwidth Analysis

When trace bandwidth analysis is performed, the Keysight E4990A searches for the cutoff points on both sides with respect to the sweep parameter shaft starting from the main marker position. The cutoff point used for this search is defined by the following steps:

  1. Activate the trace for which you want to analyze trace bandwidth.

  2. Press the Marker Search key to display the Marker Search menu.

  3. Press Widths Def to display the trace bandwidth analysis definition menu.

  4. Select the definition of the cutoff point in trace bandwidth analysis from the following:

Parameter | Definition of cutoff point1
MkrVal/sqrt(2) |
MkrVal*sqrt(2) |
MkrVal/2 |
MkrVal*2 | MKRVAL x 2
MkrVal-Fixed | MKRVAL - fixed value
MkrVal+Fixed | MKRVAL + fixed value
Fixed Value | Fixed value specified by numerical value

1 MKRVAL: Indicates the measurement parameter value (measurement) at the position of the main marker (marker 0).

Fixed value: Indicates the absolute value of the measurement parameter if there is no D marker; it is a relative value with reference to the tracking D marker tracking (D marker that moves with the main marker) is present and a relative value with reference to the fixed D marker if the fixed marker is present.

  5. Press the BW Fixed Value, and input the desired bandwidth value.

Implement Trace Bandwidth Analysis

The following describes the steps to implement trace bandwidth analysis:

  1. Activate the trace used to implement trace bandwidth analysis.

  2. Display the main marker and move it to the desired position on the trace to analyze trace bandwidth. To move the main marker to the peak of the trace, see Search the maximum/minimum peak.

  3. Press the Marker Search key to display the Marker Search menu.

  4. Press Bandwidth > ON|OFF to turn On or Off the trace bandwidth analysis function.

    • Once the trace bandwidth analysis function is turned On, the bandwidth (width), center value (center), Q (Q), peak (peak), DL(DL), and DR(DR) are displayed in the Marker Statistics/Trace Bandwidth Analysis Result area on the top-left of the screen.

    • If the trace bandwidth analysis function is turned On, the straight line showing the cutoff line is displayed parallel to the sweep parameter axis.

Cutoff point re-search does not cause the main marker to move, so it does not affect the peak value. If the two cutoff points cannot be found by trace bandwidth analysis, the message Target Value Not Found will appear at the bottom left side of the bar of the screen. If a partial search range is specified by following Searching for Positions that Match Specified Criteria, trace bandwidth analysis will be executed within that range. Even if the trace bandwidth analysis function is turned Off, the marker used for analysis will not disappear from the screen.


Reading the marker position time or relaxation time

You can use the following procedure to select how the sweep parameter value is displayed in the Marker Sweep Parameter Value field: time relative to the sweep start or relaxation time. This function allows you to read the sweep parameter value in a unit of time at each point on the trace in the zero span sweep.

  1. Press the Marker Function key to display the Marker Function menu.

  2. Press X Unit > Off|Time|1/2πf.

  3. Select the display method of the marker sweep parameter value.

Parameter | Definition
Off | Value of the parameter selected as the sweep parameter (frequency, oscillator level, or dc bias level)
Time | Time between the sweep start and the completion of the measurement at the marker position
1/2πf | Relaxation time = 1/2πf (f:measurement frequency)
  • You can select 1/2πf as the method to display the marker sweep parameter value (marker X-axis) only when the frequency is selected as the sweep parameter. When you use the  marker, the relative value from the  marker position is displayed in the Marker Sweep Parameter Value area, regardless of the selection of the marker sweep parameter value (marker X-axis) display.


Analyzing the Equivalent Circuit and Simulate the Frequency Characteristics

  • Calculate the Equivalent Circuit Parameter based on the Measurement Result

  • Simulate the Frequency Characteristics based on the Equivalent Circuit Parameter

Other topics about Analysis and Processing of Result

Calculate the Equivalent Circuit Parameter based on the Measurement Result

Calculate the equivalent circuit parameter based on the measurement result trace according to the followings steps:

  1. Measure the sample using the frequency as the sweep parameter.

  2. Press Analysis > Equivalent Circuit > Select Circuit.

  3. Select the equivalent circuit with key A, B, C, D, E, F, and G.

Equivalent Circuit Model | Typical Frequency Characteristics | DUT Example
A | *1 | Inductor with high core loss
B | *1 | Inductor Resistor
C | *1 | High-value resistor
D | *1 | Capacitor
E | *2 | Resonator
F | *1 | Inductor with ESR
G | *1 | Capacitor

*1. Measurement parameter: |Z| - q, Sweep type: log, Vertical axis: |Z| is log and q is linear.

*2. Measurement parameter: |Z| - q, Sweep type: linear (or log), Vertical axis: |Z| is log and q is linear.

  4. Click Calculate to execute calculation the equivalent circuit parameter.

The calculated equivalent circuit parameters are displayed in each box of R1, C1, L1, C0 and R0.

Simulate the Frequency Characteristics based on the Equivalent Circuit Parameter

Simulate the frequency characteristics according to the following steps:

  • Start from Step 6 when you want to simulate the frequency characteristics on the basis of the equivalent circuit parameter calculated according to the procedure of "Calculate the equivalent circuit parameter based on the measurement result".

  1. Measure the sample using the frequency as the sweep parameter.

  2. Press Analysis > Equivalent Circuit > Select Circuit.

  3. Select the equivalent circuit with key A, B, C, D, E, F, and G.

  4. Click R1, C1, L1, C0 and R0 to select the equivalent circuit parameter where the numerical value is to be entered.

Key Operation | Description
R1 | Resistance of R1 of selected equivalent circuit.
C1 | Capacitance of C1 of selected equivalent circuit.
L1 | Inductance of L1 of selected equivalent circuit.
C0 | Capacitance of C0 when the equivalent E is selected.
R0 | Resistance of R0 when the equivalent F and G is selected.

The current set value of the equivalent circuit parameter is displayed in the set parameter value field of R1, C1, L1, C0 and R0.

You can change numeric values by typing from the keyboard, keys or rotary knob of the ENTRY block on the front panel in one of the following ways to specify the parameter value.

  • Enter the desired value with the numeric keys (0 to 9, +/- and .) and then press one of the unit keys (G/n, M/µ, k/m or x1).

  • Turn [image] on the front panel until the desired value is set.

  • Press [image] [image] key on the front panel to set the desired value.

  5. Repeat step 1 to 4 to set all required equivalent circuit parameters.

  6. Click Simulate (ON).

  7. The selected equivalent circuit model frequency characterization is simulated based on the equivalent circuit parameter entered or calculated by the Calculate button. The simulated results are stored into the memory trace and displayed on screen.

  7. Click Display (ON) to display the equivalent circuit model in schematic and the value of each equivalent parameter on the bottom-left of the channel window.

  8. Click Export to TXT File to save the equivalent circuit parameters in text file at user-defined location.


Calculating the Mean Value, Standard Deviation, and p-p of the Trace

  • Overview

  • Displaying Statistical Data

Other topics about Analysis and Processing of Result

Overview

You can easily determine the statistics data for a trace (span, mean, standard deviation, and peak-to-peak). The definitions for the statistics data elements are shown below. It is calculated within the range of markers 1 and 2. The markers 1 and 2 are activated automatically.

Statistics data element | Definition
Span | Span between markers 1 and 2.
Mean (mean) | (n: number of points between markers 1 and 2; xi: measured value at the i-th measurement point between markers 1 and 2.)
Standard deviation (s. dev) | (n: number of points between markers 1 and 2; xi: measured value at the i-th measurement point between markers 1 and 2; mean: Mean)
Peak-to-peak (p - p) | Max - Min (Max: greatest measured value between markers 1 and 2.; Min: smallest measured value between markers 1 and 2.)
  • The search range does not affect this result.

Displaying Statistical Data

  1. Press Channel Next (or Channel Prev) and Trace Next (or Trace Prev) to activate the trace of which the statistical data is required.

  2. Press Marker Fctn > Statistics to turn ON the display of statistics data.

  3. The markers 1 and 2 are activated automatically. Move markers 1 and 2 to the position of the measurement.


Calculating Several Traces (Equation Editor)

  • Overview

  • Using Equation Editor

  • Equation Editor Examples

  • Equation History

  • Functions and Constants

  • Operators used in Equation Editor

Other topics about Analysis and Processing of Result

Overview

Equation Editor allows you to enter an algebraic equation of standard mathematical operators and functions, referencing data that is available in the E4990A. Once a valid equation is entered and enabled, the display of the active trace is replaced with the results of the equation, and updated in real-time as new data is acquired. For equations that can be expressed with Equation Editor's supported functions, operators, and data, there is no need for off-line processing in a separate program.

For example, on entering the equation "Z=ACV/ACI" in the E4990A Equation Editor (2c in the Figure below), the resulting trace is computed as each ACV data divided by ACI, that resulting trace is as same as absolute Z. For a 201 point sweep setup, the computation is repeated 201 times, once for each point.

Using Equation Editor

The step-by-step procedure of using Equation Editor is described below:

Equation Editor Dialog box

  1. Select a trace in which you want to enter the equation and activate the trace.

  2. Activating a trace is required as Equation Editor works on traces.

  2. Follow the steps below to enter an equation:

  1. Press Display.

  2. Click Equation Editor (1 in the figure above). The Equation Editor dialog box appears.

  3. Enter an equation in the equation field (4 in the figure above).

  4. Referring to traces in a different channel is NOT available with Equation Editor on the E4990A.

  5. The equation can be entered with the software keyboard enabled by selecting Keyboard... (3 and 3a in the figure above).

  3. Follow the steps below to apply the defined equation. When a valid equation is entered, the Equation Enabled check box becomes available for checking.

  1. Check Equation Enabled (√) check box (2a in the figure above).

  2. Click Apply. The equation becomes visible and annotation of [Equ] (2b in the figure above) is displayed in the trace title area.

  3. Click Close to hide the dialog box.

  4. The equation can also be applied by selecting Display > Equation [ON] (2 in the figure above).

  5. If error correction is not turned ON, then the raw, uncorrected data is used in the equation trace.

  6. As for E4990A, an equation is always valid.

The data trace of measured channel is always measured in E4990A. The equation might be invalid when referring to a memory trace and the memory trace isn't displayed.

Equation Editor Examples

The following examples may help you in getting started with Equation Editor. Input the equation example in the equation field (4 in Equation Editor dialog box).

Description | Parameter | Equation Example
Add 50 Ω offset on Trace 1 | Z | Offset=data(1)+50

See the internal data processing for equation editor data processing position.

Equation History

Equation Editor has the capability to save and recall all previously defined equations. All equations can be viewed in the Equation History dialog box.

To view the equations in the list, follow this procedure:

  1. Open Equation Editor by Display > Equation Editor.

  2. Enter an equation and click Apply in the Equation Editor Dialog box to save the defined equation in the directory of the E4990A. To view a list of saved equations, click the ... button (5 in Equation Editor Dialog box) to open the Equation History dialog box.

  • To store an equation in the History List, the equation must be applied first. This can be done by clicking on the Apply button.

  3. To edit the equations in the list, click Edit History. The text file of history list is opened with Notepad.

  3. The History List is stored as a text file D:\Agilent\Equation\history.txt and can save a maximum of 50 lines (equations) with a maximum of 254 characters per line (equation).

Functions and Constants

The following table describes the different functions and constant available in the E4990A Equation Editor. In the following table:

  • Function(scalar x) means that the function requires a scalar value. If a complex value is entered, it is automatically converted to a scalar value; complex(x,y) -> scalar(x)

  • Function(complex x) means that the function requires a complex value. If a scalar value is entered, it is automatically converted to a complex value; scalar(x) -> complex(x, 0)

  • a,b are arguments that are used in the function.

Basic Math Functions

Function | Description
abs(complex a) | returns the sqrt(a.re2+a.im2)
acos(scalar a) | returns the arc cosine of a in radians
asin(scalar a) | returns the arc sine of a in radians
atan(scalar a) | returns the arc tangent of a in radians
atan2(complex a) | returns the phase of a = (re, im) in radians
atan2(scalar a, scalar b) | returns the phase of (a, b) in radians
conj(complex a) | returns the conjugate of a
cos(complex a) | takes a in radians and returns the cosine
cpx(scalar a, scalar b) | returns a complex value (a+ib) from two scalar values
exp(complex a) | returns the exponential of a
im(complex a) | returns the imaginary part of a as the scalar part of the result (zeroes the imaginary part)
ln(complex a) | returns the natural logarithm of a
log10(complex a) | returns the base 10 logarithm of a
mag(complex a) | returns sqrt(a.re2+a.im2)
phase(complex a) | returns atan2(a) in degrees
pow(complex a,complex b) | returns a to the power b
re(complex a) | returns the scalar part of a (zeroes the imaginary part)
sin(complex a) | takes a in radians and returns the sine
sqrt(complex a) | returns the square root of a, with phase angle in the half-open interval (-π/2, π/2)
tan(complex a) | takes a in radians and returns the tangent
Constants
e | 2.71828182845904523536
PI | 3.14159265358979323846

  • Mutual transformation is automatically made for scalar and complex.

scalar(x) -> complex(x,0)

complex(x,y) -> scalar(x)

Operators used in Equation Editor

Operator | Description
+ | Addition
- | Subtraction
* | Multiplication
/ | Division
^ | Power
( | Open parenthesis
) | Close parenthesis
, | Comma - separator for arguments
= | Equal (optional)
E | Exponent (as in 23.45E6)

  • Priority of operators is:

  1. ^

  2. *, /

  3. +, -


Making Pass/Fail Evaluation (Limit Test)

  • Overview

  • Concept of Limit Test

  • Displaying Judgment Result of Limit Test

  • Defining Limit Line

  • Changing the Limit Line Display Mode

  • Using Relative Limit Line

  • Adding Offset to Limit Line

  • Initializing the Limit Table

Other topics about Analysis and Processing of Result

Overview

The limit test feature allows you to set the limit line for each trace and then perform the pass/fail judgment for the measurement result.

Concept of Limit Test

The limit test is a function to perform pass/fail judgment based on the limit line you set with the limit table.

In the limit test, if the upper limit or lower limit indicated by the limit line is not exceeded, the judgment result is pass; if it is exceeds, the judgment result is fail for all measurement points on the trace. Measurement points in a stimulus range with no limit line are judged as pass.

  • The targets of the pass/fail judgment are measurement points only. Parts interpolated between the measurement points are not judged.

You define the limit line by specifying the stimulus value (Begin Stimulus) and response value (Begin Response) of the begin point, the stimulus value (End Stimulus) and response value (End Response) of the end point, and the type (lower limit/upper limit). For more information, refer to Defining the limit line.

When the limit test is ON, measurement points that fail are displayed in red on the screen and the trace's pass/fail judgment result based on the results of individual measurement points (fail if one or more measurement points on the trace fail) is also displayed. You can check the pass/fail judgment result for the channel (fail if one or more traces fail in any of the limit test within the channel) on the screen as well. For more information, refer to Displaying judgment result of limit test.

In addition to viewing the screen, you can check the judgment result of the limit test with the following methods.

  • Beep that occurs when the judgment result fails.

  • Using the status register.

Displaying Judgment Result of Limit Test

Judgment result of measurement points and trace

Measurement points that fail are displayed in red on the screen. The judgment result of the trace is indicated by Pass or Fail displayed in the upper right section of the graph.

Judgment result of channels

If a channel has a judgment result of fail, the message below appears on the screen (it will be judged as fail if one or more unsatisfactory trace exist in any of the limit test within the channel.)

Follow these steps to turn ON/OFF the display of the channel fail message.

  1. Press Analysis > Limit Test.

  2. Click Fail Sign. Each press toggles between ON/OFF.

Defining Limit Line

To use the limit test, you must first define the limit line. You can define a limit table for each trace, and you can define up to 100 limit lines (segments) in a limit table.

Defining a segment

The following steps describe how to define a segment.

  1. Press Channel Next (or Channel Prev) and Trace Next (or Trace Prev) to select the trace on which the limit test function is used.

  2. Press Analysis > Limit Test.

  3. Click Edit Limit Line to display the limit table.

  4. Using the limit table, create/edit a segment. Initially, no segments are entered in the limit table. At the same time, the Edit Limit Line menu used to create/edit the limit table is displayed.

  5. Click Add to add a segment to the limit table and then specify the segment parameter values shown below.

Segment Parameter | Description
Type | Select the type of segment from the following:
 | OFF | Segment not used for the limit test.
 | MIN | Segment at which the minimum is specified.
 | MAX | Segment at which the maximum is specified.
Begin Stimulus | Specify starting point for stimulus value on the limit line.
End Stimulus | Specify ending point for stimulus value on the limit line.
Begin Response | Specify starting point for response value on the limit line.
End Response | Specify ending point for response value on the limit line.

  • The range in which stimulus values can be specified is from -500 G to +500 G. When a value outside the range is entered, a suitable value within the range is specified. Once the stimulus value is specified, changing the sweep range of the E4990A does not affect the stimulus value.

  • The range in which response values can be specified is from -500 M to +500 M. When a value outside this range is entered, a suitable value within the range is specified. After the response value is specified, changing formats results in changing the units but not the value.

  • You can define a limit line that is able to freely overlap the stimulus range of another limit line.

Defining one limit line that has the same type as a second limit line whose stimulus range overlaps with tge first one results in two oe more limit values at the same measurement point. in this case, the limit value to be used in the limit test is defined as follows:

  • When two or more limit values of which the type is set to maximum (MAX) exist, the smallest one is used as the maximum.

  • When two or more limit values of which the type is set to minimum (MIN) exist, the largest one is used as the minimum.

  • Even if the span of the sweep range on the E4990A is set to 0, enter the two parameters of Begin Stimulus and End Stimulus.

  • When two or more response values are returned as a result of using the complex or polar format, the first response value of the marker provides the object of the limit test.

Saving/Calling the Limit Table

You can save the limit table to a file that you can then freely bring up on the screen later and use. You can import a file saved in CSV format (extension: *.csv) into spreadsheet software on a PC for later use (a numerical value is saved as strings that includes its unit).

  1. Display the limit table.

  2. In the Edit Limit Line menu, press Export to CSV File to open the Save As dialog box. In this step, CSV (extension: *.csv) is selected as the file type.

  3. Specify the folder in which to save the file and enter the file name. Press Save to save the limit table displayed on the screen to the file.

  4. Conversely, to recall a saved limit table, press Import from CSV File in the Edit Limit Line menu to display the Open dialog box. In this step, CSV (extension: *.csv) is selected as the file type.

  5. After specifying the folder containing the file, select the file. Press Open to display the limit table on the screen.

  6. The limit table can be called from any trace of any channel, regardless of the channel or trace.

Limit Table Saved in CSV Format

The limit table is saved in the following format.

  • On the first line, the channel number of the active channel that is valid when the saved file is the output.

  • On the second line, the trace number of the active trace that is valid when the saved file is the output.

  • The third line provides the header showing the items for the segments to be output on the fourth and later lines.

  • Data on segments are output on the fourth and later lines.

"# Channel 1"

"# Trace 1"

Type, Begin Stimulus, End Stimulus, Begin Response, End Response

MAX, 3.000000000000 kHz, 20.00000000000 kHz, 100 ohm, 15 ohm

MAX, 500.0000000000 kHz, 8.000000000000 MHz, 450 mohm, 450 mohm

MIN, 500.0000000000 kHz, 8.000000000000 MHz, 25 mohm, 25 mohm

MIN, 20.00000000000 MHz, 100.0000000000 MHz, 500 mohm, 2.5 ohm

OFF, 20.00000000000 MHz, 100.0000000000 MHz, 500 mohm, 2.5 ohm

Turning the limit test ON/OFF

You can set the limit test ON/OFF for each trace individually.

  1. Press Channel Next (or Channel Prev) and Trace Next (or Trace Prev) to select the trace on which the limit test function is used.

  2. Press Analysis > Limit Test to display the Limit Test menu.

  3. Press Limit Test to set the limit test ON/OFF.

  4. Press Limit Line to set the limit line display ON/OFF.

Changing the Limit Line Display Mode

You can specify the limit line display mode hide limit values that are not used for evaluation.

Changing the display mode:

  1. Press Channel Next (or Channel Prev) and Trace Next (or Trace Prev) to activate the channel of which you want to use the limit test function.

  2. Press Analysis > Limit Test.

  3. Turn off Limit Line.

  4. Press Clip Lines to toggle ON/OFF.

Limit line display mode

Using Relative Limit Line

If the shape is more important than the amplitude, you can make the limit lines relative to the peak point of the trace using the reference tracking function.

In this function, the point to be tracked is set as the Y-axis reference value by offsetting measurement values after the sweep. Because measurement values are offset, marker values and limit test evaluation results change accordingly.

  1. Press Channel Next (or Channel Prev) and Trace Next (or Trace Prev) to select the channel/trace.

  2. Press Scale > Reference Tracking.

  3. When you want to specify a measurement value at a frequency as the Y-axis reference value for tracking, press Track Frequency, then enter the frequency.

  4. Press Tracking to select a tracking method as below.

Softkey | Function
Track Peak | Sets the peak value after the sweep as the reference value.
Track Freq | Sets a measurement value at a specified frequency as the reference value.

  5. PTrk (Track Peak) or FTrk (Frequency) is displayed at the trace status area.

  6. This function is available even when the limit test function is off.

Adding Offset to Limit Line

By adding a certain offset to the limit value, you can adjust the limit line so that it conforms to the device output.

  1. Press Channel Next (or Channel Prev) and Trace Next (or Trace Prev) to select the channel/trace on which the limit test function is used.

  2. Press Analysis > Limit Test to display the softkeys for the limit test.

  3. Click Limit Line Offsets to display the limit line offset function menu as below.

Softkey | Function
Stimulus Offset | Adds a certain offset to the stimulus value of the entire segment in the limit table. (Stimulus offset)
Amplitude Offset | Adds a certain offset to the response value of the entire segment in the limit table. (Amplitude offset)
Marker -> Amplitude Offset | Adds the amplitude offset by the same amount as the retrieved value of the active marker. You can confirm the current value set for the amplitude offset by pressing Amplitude Offset. (Marker amplitude offset)

Stimulus offset

Amplitude offset

Initializing the Limit Table

The following operations initialize the limit table.

  • At power-on

  • When presetting

  • When calling a limit table with zero segments

  • When Clear Limit Table > OK is pressed in the Edit Limit Line menu


Outputting Data

  • Saving and Recalling Instrument State

  • Saving/Recalling Instrument State for Each Channel into/from Memory

  • Saving Trace Data to a File

  • Saving the Screen Image to a File

  • Printing Displayed Screen


Saving and Recalling Instrument State

  • Overview

  • Saving Data

  • Recalling Data

  • Priority of Recalling Configuration File at Startup

Other topics about Data Output

Overview

You can save the instrument state of the E4990A into a file on mass storage and then recall it later to reproduce that state. You can select the stored data from the following four types.

Type | Stored data and usage
State only (State Only) | Saves the setting of the E4990A and reproduces the state when it is saved by recalling it later into the E4990A.
State and calibration data (State & Cal) | Saves the setting of the E4990A and calibration data (calibration coefficient array) to reproduce the state when it was saved by recalling it later into the E4990A. At this time, you can perform error correction of measured values by using the recalled calibration data.
State and trace (State & Trace) | Saves the setting of the E4990A and traces (error-corrected data array and error-corrected memory array) to reproduce the state when it was saved by recalling it later into the E4990A. At this time, the traces are also recalled and displayed on the screen.
State, calibration data, and traces (All) | Saves the setting of the E4990A, calibration data, and traces to reproduce the state when it was saved by recalling it later into the E4990A. At this time, the calibration data and traces are also recalled.

In addition, the user-preset function is provided to allow the user to freely set up an instrument state recalled when the preset function is executed.

Saving Data

Selecting Content to be Saved

  • This setting takes effect both, when saving the entire instrument state into a file and when saving the instrument state for each channel into memory.

  1. Press Save/Recall > Save Type.

  2. Click the softkey corresponding to the content of the instrument state you want to save.

Selecting Save Target Channel/Trace

  1. Press Save/Recall key.

  2. Click Channel/Trace and select the save target from all channels/traces (All) or displayed channel/traces only (Disp Only).

If you specify the displayed channel/traces only as the save target, you can reduce the file size. However, for channels/traces that are not displayed, you cannot recall and reproduce the instrument state separately held for each channel/trace at a later time.

Saving Instrument State

Follow the procedure below to save internal data from the E4990A.

  1. Press Save/Recall > Save State.

  2. Click the softkey corresponding to the destination you want to save.

Softkey

Description

State01 to State08

Saves the setting of the E4990A and reproduces the state when it is saved by recalling it later into the E4990A.

Autorec

Save the instrument state as the auto recall setting. The E4990A is automatically configured with this state at the startup.

This key saves the state into the "D:Autorec.sta".

When Autorec.sta file i found on the D: drive ar startup, the E4990A is automatically configured using the saved settings. To disable the auto recall function, delete the Autorec.sta files.

UserPres

Save the instrument state as user preset. The user can preset the analyzer at user saved status.

File Dialog...

Save the instrument state as your desired file name. You can enter a file name using the Input from the front panel buttons on the dialog box when storing a file.

  • If D:\Autorec.sta is found on the system at startup, the E4990A is automatically configured using the saved settings. When the external floppy disk drive is connected as A: drive, then if A:\Autorec.sta is found at startup, the E4990A is also automatically configured using the saved settings. If both files are found, A:\Autorec.sta is recalled. To disable the auto recall function, delete the Autorec.sta files.

  • An asterisk (*) in the upper right of the softkey indicates that the corresponding file of the softkey already exists. If you save into the existing file, the existing file is copied as backup.sta and then overwritten.

Recalling Data

Recalling the Saved State

Follow the procedure below to recall internal data from the E4990A.

  • If you recall a file that includes traces (its content was set to State &Trace or All when it was saved), the trigger source is automatically set to Manual.

  1. Press Save/Recall > Recall State.

When you want to recall State01.sta - State08.sta, Autorec.sta

  1. Press State01 - State08 or Autorec.

When you want to recall other files

  1. Press File Dialog... to open the Open dialog box.

  2. Select the folder and the file using the external keyboard and mouse.

  3. Click Open.

The warning messages may appear when recall fails:

  • Pressing Save/Recall > Explorer executes Windows Explorer. This helps you to browse the files in the SSD of the E4990A.

Recall Procedure using " Recall by File Name"

You can use the recall feature with the Recall by File Name softkey for files you have named freely and save in the D:\State folder. This function lets you recall a file you have named freely and save by simple softkey operation, eliminating annoying operation using the Open dialog box.

  • Although there is no limit to the number of files saved in a folder, only up to 50 files are displayed on the softkeys. If more than 50 files are saved in a folder, they are sorted in the order of numbers 0 to 9 and alphabetic characters A to Z and the first 50 files are displayed as softkeys.

    Although there is no limit to the number of characters of a file name, only up to 16 characters are displayed on the softkey. If a file name exceeds 16 characters, the first 12 characters are displayed on the softkey and the remaining characters are omitted and replaced with "...".

  • Different files may be displayed on softkeys with the same name or a saved file is not displayed on any softkey because of the above limitations.

  1. Press Save/Recall > Recall by File Name.

  2. Files that have been named and saved in the D:\State folder are displayed on softkeys. Press the key for the file you want to recall.

Priority of Recalling Configuration File at Startup

If several instrument configuration files exist at the startup of the E4990A, only one file is recalled and set at a time in the following order of priority.

If these files do not exist, the normal preset (factory preset) is executed.

Priority | Recalled file
1 | Configuration file for the auto-recall function in the A drive (If external floppy disk drive is connected.)
2 | Configuration file for the auto-recall function in the D drive.
3 | Configuration file for the user-preset function in the D drive. Executed when the preset operation mode is User and the file (D:\UserPreset.sta) exists.


Saving/Recalling Instrument State for Each Channel into/from Memory

  • Overview

  • Saving Instrument State for Each Channel

  • Recalling Instrument State for Each Channel

  • Deleting Saved Instrument State (Clearing all Registers)

Other topics about Data Output

Overview

The E4990A allows you to save/recall the instrument state for each channel independently. This function allows you to save the instrument state of the active channel independently into one of the four registers (A to D, volatile memory) and to recall the instrument state from the register to restore it as the state of the currently active channel. As in the case of saving the entire state of the instrument into a file, you can select items to be saved from four kinds.

Since you can recall the instrument state for each channel that was saved with this function from a different channel that the one used to save it, this function is very useful for copying an instrument state between channels.

  • Unlike when saving the entire instrument state, the instrument state for each channel is saved into volatile memory instead of a file, so if you turn off the power, the state is lost.

Saving Instrument State for Each Channel

  1. Press Channel Next (or Channel Prev) to activate a channel of which the state you want to save.

  2. Press Save/Recall > Save Channel.

  3. Click one of State & Cal A to D, Cal Only A to D to save the (instrument state and) calibration data of the active channel to the specified register.

  4. For registers having saved data, the * symbol is displayed to the right of their softkey label. If you specify one of these, its content is overwritten.

Recalling Instrument State for Each Channel

  1. Press Channel Next (or Channel Prev) to activate a channel of which the state you want to recall and restore.

  2. Press Save/Recall > Recall Channel.

  3. Click the softkey of the register in which the state you want to restore is saved. This instrument state is recalled to the active channel.

Deleting Saved Instrument State (Clearing all Registers)

  1. Press Save/Recall > Save Channel.

  2. Click Clear States. The contents of all the registers are deleted.


Saving Trace Data to a File

  • Saving Data in CSV Format

  • Saving Data in Touchstone Format

Other topics about Data Output

Saving Data in CSV Format

The E4990A allows the user to save data for the traces to a CSV file (file extension *.csv) and to load the data into PC application software for further processing.

Trace data are saved in the format shown below. The data includes the product information, date, channel No., title label, DCV/DCI and data/memory depending on the scope of saving trace and on/off of DCV/DCI monitors, title label, data/memory.

Example of saved trace data

!Agilent Technologies,E4990A,MY521012345,A.02.10
!Date: Fri Apr 03 13:41:16 2015
BEGIN CH1_DATA
Title label, TEST DATA
DCV(V), +5.230e-005, DCI(A), +2.335e-005
Frequency(Hz), |Z|(Ohm)-data, theta-z(deg)-data, theta-z(deg)-mem
+1.00000000000e+006, +1.97459864960e+002, +8.89119473020e+001, +8.89149657750e+001
+1.24500000000e+006, +2.45930241725e+002, +8.90092068003e+001, +8.90104707237e+001
+1.49000000000e+006, +2.94468803906e+002, +8.90724204521e+001, +8.90671128428e+001
+1.73500000000e+006, +3.43114640481e+002, +8.90856077998e+001, +8.90844651816e+001
...
...

+5.00000000000e+007, +3.53962757913e+003, -8.66629583657e+001, -8.67059590257e+001
END
BEGIN CH2_DATA
Frequency(Hz), Z-Real(Ohm)-data, Z-Imag(Ohm)-data, Y-Real(S)-mem, Y-Imag(S)-mem
+2.00000000000e+001, +2.57837627123e+000, +3.50938358951e-003, +3.88047360311e-001, -5.32160235390e-004
+2.50019900000e+005, +2.73450923252e+000, +4.94146644262e+001, +1.11653358172e-003, -2.01749505689e-002
+5.00019800000e+005, +2.98241530912e+000, +9.87264255181e+001, +3.05986100688e-004, -1.01195548824e-002
+7.50019700000e+005, +3.31183058460e+000, +1.48052347223e+002, +1.50958410546e-004, -6.75104168549e-003
...
...

+5.00000000000e+007, +2.07885529619e+002, -3.53316538540e+003, +1.64789873087e-005, +2.8236933

Saving Trace Data

Follow the procedure below to save trace data from the E4990A.

  1. Press Channel Next (or Channel Prev) and Trace Next (or Trace prev) to select the trace to be saved.

  2. Press Save/Recall > Save Trace Data > Scope to select the target traces to save.

    Softkey

    Description

    Single

    Active trace only

    Channel

    All traces in the active channel

    Displayed

    All displayed traces in displayed channels

  3. Save Trace Data to display the Save As dialog box.

  4. Select the destination folder and input a file name.

  5. Click Save to save the file.

  6. This function is inactive when the security level is set at low/high.

Saving Data in Touchstone Format

You can also save trace data of a E4990A active channel of S-parameter to a Touchstone format file.

Touchstone file data format

You can use data in a touchstone-format file for equivalent circuit analysis and so on using a circuit simulator such as Advanced Design System (ADS). For more information on ADS, refer to the ADS's users manual.

File Structure

In the case of the E4990A, the data array is saved as S parameters of the 1-port model in a touchstone-format file. You can read out the contents of a file with your text editor because they are text data.

You can save data in "log magnitude - angle", "linear magnitude - angle", or "real number - imaginary number."

You can use data saved in Touchstone format for a circuit simulator such as Keysight Advanced Design System (ADS) on your PC (personal computer) or workstation. For more information on the ADS, refer to the operation manual that comes with the system.

Data structure in Touchstone file

Data structure of the Touchstone file consists of a header part and a data part. The contents of the file is text data, which is ready to be read with a general text editor.

The header part consists of the returned value of *IDN?, file created date, calibration state, list of all S parameters of a specified port, and format information.

The header parts of s1p are shown below.

Header of s1p

!Keysight Technologies,E4990A,<ID>,<FW Revision>
!Date <Date>
!Data:
!Freq S11
# Hz S FMT R 50

The option line starting with "#" is placed at the beginning of the file. The structure of the option line is as follows:

Parameter

Description

Hz

Indicates the frequency unit. For the E4990A, it is fixed to Hz.

S

Specifies the type of parameters in data lines. For the E4990A, "S" is specified that indicates the S parameter.

FMT

Specifies the format. This can be changed by the selection.

RI = Real number - imaginary number
MA = Linear magnitude - angle
DB = Log magnitude - angle

R 50

Specifies the characteristic impedance. For the E4990A specified is "R 50", meaning 50 .

The following figures show the data structures of files saved in Touchstone format.

1-port Touchstone file

Restrictions when saving data in Touchstone format

Saving procedure

Follow the steps below to save trace data in Touchstone format.

  1. Press Channel Next (or Channel Prev) and Trace Next (or Trace prev) to select the trace to be saved.

  2. Press Save/Recall > Save S1P > S1P Format.

  3. Click the softkey that corresponds to the data format you want to save.

    Softkey

    Function

    LogMag/Angle

    Select "log magnitude - angle" data format

    LinMag/Angle

    Select "linear magnitude - angle" data format

    Real/Imaginary

    Select "real - imaginary number" data format

  5. Click Save S1P.

  6. Save As dialog box opens. For its operations, use an external keyboard and mouse.

  7. Specify the folder to which the file should be saved, enter a file name, and then press Save to save the file.

  8. When saving data in a sweep process, the data during sweep is saved into a Touchstone file. That is, the previous sweep data is saved as data that has not been swept; or, if sweep was not performed previously, zero data might be saved. Therefore, you should set the active channel to the HOLD state when saving data into a Touchstone file.

  9. This function is inactive when the security level is set at low/high.


Saving the Screen Image to a File

  • Overview

  • Saving Screen Image as File

Other topics about Data Output

Overview

Along with printing, the E4990A allows the user to save screen images as bitmap (.bmp) or portable network graphics (.png) files. Saved files can be loaded into PC application software for further processing.

Saving Screen Image as File

Follow the procedure below to save a screen image to a file.

  1. Display the screen to be saved as a file. If you want to save the screen with a white background, set the display mode to inverted display before saving the screen. For details about display mode, see Setting Display Colors.

  2. Press System key. The screen image at the time System key is pressed is the image that will be saved.

  3. Press Dump Screen Image to open the Save As dialog box.

  4. Select the file type from "Portable Network Graphics (*.png)" or "24-Bit Bitmap (*.bmp)".

  5. Select the destination folder and type a file name.

  6. Press Save to save the screen image of E4990A to a file.


Printing Displayed Screen

  • Overview

  • Printed/Saved Images

  • Print Procedure

Other topics about Data Output

Overview

By connecting a printer to the USB port of the E4990A, you can print the displayed screen of the E4990A.

Printed/Saved Images

The display image saved in the volatile memory (clipboard) is printed/saved. If no image is saved in the clipboard, the image displayed at the time of print execution is printed/saved.

Saving image to clipboard

The System key also has a screen capture feature. When you press System key, the image displayed on the screen immediately before pressing is saved in the clipboard.

  • The image in the clipboard is cleared when you execute print/save.

Print Procedure

Preparation before printing

Follow these steps to prepare for printing:

  1. Turn ON the printer and connect it to E4990A.

  2. Turn ON the E4990A.

  3. Press System key.

  4. Press Printer Setup. The Printers window opens. The icons of the printers that have been connected are displayed in the window. When you connect a print for the first time, it is automatically registered and its icon is added in the window.

  5. The printer with the check mark ( [image]) on its icon is selected as the default printer for printing. If you want to change it, select (highlight) the icon of your preferred printer in the Printers window and then click Set as Default Printer in the File menu.

  6. Right click the printer that selected for printing and then click Printing Preferences in the menu. The Printing Preferences dialog box for the selected printer appears. Set items necessary before printing such as Page Size and then click the OK button.

  7. Click Close in the File menu.

Executing print

Follow these steps to print the screen information:

  1. Display the screen you want to print.

  2. Press System key to save the currently displayed screen onto the clipboard.

  3. As necessary, press Invert Image to toggle between [OFF] for printing in colors close to the actually displayed screen and [ON] for printing in inverse colors.

  4. Click Print to start printing.

  5. If you start printing when the printer is not ready (for example, it is not turned ON) by mistake, the Printers Folder dialog box may appear. In this case, click Cancel to close the Printers Folder dialog box, prepare your printer, and then start printing again.

  6. When you abort the printing, click cancel in the Printers Folder dialog box.


Setting Control Functions

Remote Control

  • Setting the GPIB

  • Remote Control Using HTTP (Web Browser)

Display

  • Turning off the Date/Time Display

  • Turning off the LCD Screen Backlight

  • Calibration of the Touch Screen

Others

  • Exit/Restart E4990A Measurement Application

  • Checking the Product Information

  • Backing Up License Key File

  • Locking the Front Keys, Keyboard, and/or Mouse (Touch Screen)

  • Setting the Beeper (Built-in Speaker)

  • Setting the preset function


Setting the GPIB

  • Setting talker/listener GPIB address of E4990A

  • Setting system controller (USB/GPIB interface)

Other topics about Setting Control Functions

This section describes how to set the interface necessary to use the GPIB (General Purpose Interface Bus) of the E4990A.

Setting talker/listener GPIB address of E4990A

When controlling the E4990A using GPIB commands from the external controller connected to the GPIB connector, you need to set the talker/listener GPIB address of the E4990A.

Follow these steps to make this setting:

  1. Press System > Misc Setup > GPIB Setup> Talker/Listener Address.

  2. Enter the address using the ENTRY block keys on the front panel.

Setting system controller (USB/GPIB interface)

When controlling an external device from the E4990A, connect the USB port of the E4990A and the GPIB port of the external device through the USB/GPIB interface.

  • Do not connect two or more USB/GPIB interfaces.

Follow these steps to set the USB/GPIB interface:

  1. Connect the USB port of the E4990A to the USB/GPIB interface.

  2. The driver installation and connection is performed automatically.

Changing the setting of the USB/GPIB interface

If you need to check/change the setting of the USB/GPIB interface after connecting the USB/GPIB interface, follow these steps:

  1. Press System > Misc Setup > GPIB Setup > System Controller Configuration.

  2. The Keysight Connection Expert appears. (You can also execute Keysight Connection Expert from Task bar or Start menu in Windows.)

  3. Select USB/GPIB (GPIBx)

  4. Click Change Properties....

  5. Change the setting of USB/GPIB interface.


Remote Control Using HTTP (Web Browser)

  • Enabling Web Server

  • Browser Web Control

Other topics about Setting Control Functions

You can access the web page installed in the E4990A by using the hypertext transfer protocol (http) and the E4990A's IP address from the external PC's web browser. This function is called web-enabled analyzer. Through the built-in web page, you can control the E4990A remotely and display the measurement screen on external PCs.

The following browsers are recommended:

  • Internet Explorer 8.0 and later

Enabling Web Server

Network Configuration

To use web server, you have to configure the E4990A's network correctly. For detailed information on configuration and notes, see Configuring the Network.

Enabling Web Server

Enable the web server for the E4990A so that it may allow access from an external PC. Follow these steps:

  1. Press System > Misc Setup > Network Setup > Enable [ON].

  2. Press System > Misc Setup > Network Setup > Mode > Web Server.

  3. It is not possible to turn on both Web server and Socket server at the same time.

Access from an external PC

  1. Execute web browser on your PC.

  2. Check IP address of the E4990A.

  3. Enter IP address of the E4990A in the address bar and press Enter.

To change LAN (TCP/IP) configuration of the E4990A

  1. Click View & Modify Configuration.

  2. Click Modify Configuration. Modifying this setup affects the Windows Internet Protocol (TCP/IP) property.

  3. Enter the password (Default: "keysight") in the Password field (1 in the figure above) and click OK (2 in the figure above).

Browser Web Control

Browser Web Control function allows you to control your E4990A from web browser. This function is executed by the VNC server.

  • The external PC must have the Java Runtime Environment installed otherwise the Browser Web Control function might not work properly. To install Java Runtime Environment, see http://www.java.com.

The following is a description of how to start the VNC server configuration. Visit the web site at http://www.realvnc.com for information on the password setting procedure and VNC server.

  1. Press System > Misc Setup > Network Setup.

  2. Click VNC Server Configuration to start the VNC Server Properties.

  3. To restrict external access, set a password for the VNC server configuration. The default password at factory shipment is blank.

  4. Redistribution of VNC is licensed under the General Public License version 2 copyright. Source code of VNC and a copy of the GPLv2 may be found in the directory of E:\OpenSource\vnc.


Turning on/off the Date/Time Display

The date/time display in the instrument status bar can be switched ON/OFF using the following procedure.

  1. Press System > Misc Setup > Clock Setup.

  2. Click Show Clock to toggle the date/time display ON/OFF.

Refer to Change Date/Time Settings

Other topics about Setting Control Functions


Turning off the LCD Screen Backlight

You can switch OFF the backlight (illumination) of the LCD screen of the E4990A. This extends the life of the backlight when it is used continuously over a long period.

Turning OFF the LCD Screen Backlight

  1. Press System > Backlight to switch the backlight ON/OFF.

  2. Switching OFF the backlight causes the indications on the LCD screen to be almost invisible.

  3. The backlight that has been switched OFF can be turned ON again by pressing any key from the front panel.

Other topics about Setting Control Functions


Calibration of the Touch Screen

When you have executed system recovery on the E4990A, you have to calibrate the touch screen. Follow the procedure described below to calibrate the touch screen.

  1. Press System > Service Menu > Test Menu > Adjust Touch Screen.

  2. The touch panel device properties dialog appears. Press Calibration.

  3. The touch screen calibration screen appears.

  4. Touch the x mark on the upper left with your finger. The mark x also appears on the lower left, upper right, and lower right. Touch the x marks in that order with your finger.

  5. Touching all the four locations described above with your finger automatically concludes the touch screen calibration.

  6. With no operation on the touch screen calibration screen for a preset time, it automatically closes and the previous measurement screen reappears.

Other topics about Setting Control Functions


Exit/Restart E4990A Measurement Application

Pressing System > Service Menu > Exit shuts down the firmware of E4990A.

Pressing System > Service Menu > Restart Firmware restarts the firmware of the E4990A.

Other topics about Setting Control Functions


Checking the product information

  • Overview

  • Procedure

Other topics about Setting Control Functions

Overview

Items | Description | When the number changes for your unit after shipment
Serial Number | Product Serial Number. The first 5 letters expresses the prefix. | Immutable number
Storage Revision | Storage Revision. The first two letters express the prefix. The last three letters express the revision number at the factory shipment. | The prefix is immutable number. The last three letters may change by a storage replacement at repair.
Firmware Revision | Firmware revision. The format is A.xx.xx. | The number is changed at firmware update.
Option | Installed Options Number. This is managed by the license key. | The upgrade kit adds the option.
OS ID | Windows License Description | Immutable ID
IP Address | IP address when the unit is connected with LAN | It is depending on LAN configuration.
MAC Address | MAC Address of LAN interface connection. | Immutable address unless the CPU board is replaced at repair.
USB ID | USB ID for VISA connection | Immutable ID

Procedure

Follow the procedure below to get the product information.

  1. Press System > Firmware Revision.

  2. The Firmware Revision dialog is displayed.

  3. Pressing PC Info shows the PC hardware information.


Activating Software Option

  • Activating Option

  • Backing Up License Key File

Other topics about Setting Control Functions

Activating Option

The software options can be purchased separately to enhance the E4990A measurement functionality. When you purchase the software option upgrade kit, Keysight provides the software entitlement certificate.

Procedure

  1. Get the license number at http://www.keysight.com/find/softwarelicense.

  2. Press System > Service Menu > Enable Options, then select option which you want to activate.

  3. Type the relevant 12 character long license key sent by Keysight in Key Code entry dialog box, then click Enter.

  4. Restart the firmware or reboot the instrument.

  5. Check the installed option at Product Information

Backing Up License Key File

The license key for some options are kept in a text file (.lic) located at Factory(E:)\LICENSE\. The E4990A refers to the license codes in all of .lic files under the directory.

When you change the storage, copy the .lic files as back up. You can re-create the license number at http://www.keysight.com/find/softwarelicense with your software entitlement certificate if the option is added with the upgrade kit.


Locking the Front Keys, Keyboard, and/or Mouse (Touch Screen)

You can lock (disable) the front keys, keyboard, and/or mouse (touch screen). This feature prevents erroneous operation caused by inadvertently touching any of these devices.

Locking the Front Keys, Keyboard, and/or Mouse

  1. Press System > Misc Setup > Key Lock.

  2. Click the corresponding key to switch the lock ON/OFF.

    Softkey

    Function

    Front Panel & Keyboard Lock

    Switches the lock of the front panel keys and keyboard ON/OFF.

    Touch Screen & Mouse Lock

    Switches the lock of the touch screen and mouse ON/OFF.

  • You cannot use a locked device to unlock that same device. To unlock the front panel keys, keyboard, touch screen and mouse that have been locked, press the Standby switch to turn OFF the power supply and then turn it ON again. When setting at power-on, the front panel keys, keyboard, touch screen and mouse are all in unlocked condition.

Other topics about Setting Control Functions


Setting the Beeper (Built-in Speaker)

  • Setting the Operation Complete Beeper

  • Setting the Warning Beeper

Other topics about Setting Control Functions

The E4990A has a built-in speaker that emits a beep tone. The beeper allows you to make two types of settings.

Type

Function

Operation complete beeper

Emits a beep tone to inform the user that operations have completed.

  • When calibration data measurements are done

  • When data storage has completed

Warning beeper

Emits a beep tone to prompt the user to use caution.

  • When an instrument error occurs (An error message appears at the same time.)

  • When a limit test fails

The operations complete beeper emits slightly longer than the warning beeper.

Setting the Operation Complete Beeper

  1. Press System > Misc Setup > Beeper > Beep Complete to switch the operation complete beeper ON/OFF.

  2. Clicking Test Beep Complete allows you to hear and check the beep tone of the operation complete beeper.

Setting the Warning Beeper

  1. Press System > Misc Setup > Beeper > Beep Warning to switch the warning beeper ON/OFF.

  2. Clicking Test Beep Warning allows you to hear and check the beep tone of the warning beeper.


Setting the Preset Function

  • Showing/hiding the confirmation buttons when presetting

  • Setting the user preset function

  • Saving a user-preset instrument state

Other topics about Setting Control Functions

Showing/hiding the confirmation buttons when presetting

The preset function can be executed without displaying the OK and Cancel softkey buttons when pressing the preset button of the E4990A.

  1. Press System > Misc Setup > Preset Setup.

  2. Confirm to toggle ON (show)/OFF (hide) the confirmation buttons.

Setting the user preset function

You can save the instrument state of the E4990A into a file in the mass storage, and then recall it with the preset function to reproduce that state.

If no user preset instrument state is stored, you cannot set the user preset function.

  1. Press System > Misc Setup > Preset Setup > State.

  2. Use one of the following keys for the desired setting.

    Softkey

    Function

    Factory

    Specifies the normal preset function.

    User

    Specifies the user-preset function.

    Cancel

    Returns to the softkey display in one upper level.

Saving a user-preset instrument state

To execute the user-preset function, you must have a preset setting file that has been saved. Follow these steps to save a preset instrument state of the E4990A.

  1. Press Save/Recall > Save State > User Pres.


Using Windows

  • Windows Consideration

  • Change Date/Time Settings

  • User Account and Password

  • On-Screen Keyboard

  • Configuring Network

  • Windows Firewall

  • Enabling/Disabling USB Storage

  • Connecting External Accessories


Windows Consideration

  • Storage

  • Using USB

  • Plug & Play Stability and Security

  • LAN Connections

  • Single and Double Click option

  • Printing

Other topics about Using Windows

Storage

The E4990A storage contains several partitions. The following table explains the different partitions of the E4990A.

Drive | Description
RYxxx (C:) | The system drive is replaced with the original image when system recovery is executed. Do not change any files and folders in this.
USER (D:) | User can keep their files, in this drive. This drive is not replaced even when system recovery is executed.
Factory (E:) | This drive contains license information and back up data for syscal. The drive is not replaced even when system recovery is executed. Do not change any files in this.

Using USB

The E4990A has six USB ports for connecting devices: two in the front panel and four on the rear panel. The main advantages of USB are instant connect and disconnect, and faster data transfer speed.

The first time you plug a device into a USB port there is some wait time. Windows reports that it is identifying the hardware, then searching for the correct driver, then installing the driver (if it is found).

Connecting that same device back into that same port later is quick and easy, but if you move the device to a different USB port, you will have to wait through the hardware ID and driver search again.

  • Some USB memory may not operate on the E4990A. In that case, try the other kind of USB memory. There are some USB memories which do not work on the front panel USB port, but work on the rear panel USB port.

  • Keysight Technologies shall not be responsible for, nor assume any liability for data loss in your USB memory device after using it with the E4990A.

Plug & Play Stability and Security

Plug & Play capabilities provide both a stable and secured operating environment. You may also notice that it greatly reduces the number of required reboots.

LAN Connections

Windows supports DHCP and fixed IP addressing. Also, instant connect and disconnect of the LAN cable, as well as a visual indicator of LAN status in system tray area, makes LAN connections more intuitive. In addition, the Hardware Wizard helps users with system hardware configuration.

Single and Double Click option

By default, Windows allows a double-click method of launching icons. To revert to single-clicking, see the Windows help.

Printing

Adding a printer should be done as Windows operation. See Connecting Printer.


Change Date/Time Settings

The E4990A has the built-in clock that keeps track of the date and time. This clock is used for the following functions.

  • To display the current date and time in the instrument status bar at the lower part of the screen

  • To write date and time information when saving internal data

Below are the options to change the Date & Time of E4990A:

  • Double-click the clock at the bottom right of the taskbar. Click on the Change date and time settings. The Date and Time dialog box appears. Click on the Change date and time settings button. Perform the desired changes.

  • System > Misc Setup > Clock Setup > Set Date and Time....Similar to the earlier option, the Date and Time dialog box appears. Click on the Change date and time button. Perform the desired changes.

  • The administrator password is required to change the time and date setting when login as standard user.

Other topics about Using Windows


User Account and Password

  • Account Settings

  • To Change Password

  • To Add and Remove User

Other topics about Using Windows

Account Settings

The E4990A measurement application can be executed with both administrator and standard user type of account with windows.

The below account settings are available:

User Name

Password

Type

Description

Instrument

measure4u

Administrator

Auto Log On is activated by default.

Administrator

keysight4u

Built-in Administrator

For user maintenance purpose.

To be determined by user

To be determined by user

Administrator or Standard user

Not a default account setting. However, can be added by user.

Keysightonly

Not disclosed to user

Administrator

This account is used by Keysight Service in case of repair/maintenance.

  • Do not remove this account.

  • Refer to Add and Remove User to learn on how to add and remove standard user and administrator.

Standard User Limitation

The standard user account has some limitation in access, especially in performing the below tasks. These are only allowed with administrator account:

  • Change date and time settings

  • Firmware update

  • Enable and disable USB storage

  • Enable Web Server

  • Saving file under specified directories (such as the root directory) determined by Windows

  • Change User Account Control settings

User Account Control

With administrator account, you are allowed to modify the User Account Control settings. To access the User Account Control setting, open Control Panel, click on User Accounts > Change User Account Control settings. The default setting is Notify me only when programs try to make changes to my computer. With this selection, you are notified each time a program tries to make any changes to your computer. Other available settings are not guaranteed in the E4990A operation.

With a standard user account, default setting (Notify me only when programs try to make changes to my computer) should be selected before you leave from an administrator account.

To Change Password

You are allowed to change an account's password.

Change Password

  1. Open User Accounts in Control Panel.

  2. Click Add or remove user accounts.

  3. Click on the account you would like to change password from the Choose the account you would like to change.

  4. Click Change the password.

  5. Enter new password, confirm new password and password hint.

  6. Click Change Password button.

To Add and Remove User

Adding new user and removing existing user can be done via Control Panel.

Add New User

  1. Open User Accounts in Control Panel.

  2. Click Add or remove user accounts.

  3. Click Create a new account.

  4. Enter the new account name.

  5. Select either Standard user or Administrator.

  6. Click Create Account button.

  7. The administrator authority is necessary for some of function in E4990A. Select computer administrator when you make the user account.

Remove Existing User

  1. Open User Accounts in Control Panel.

  2. Click Add or remove user accounts.

  3. Click on the account you would like to remove from the Choose the account you would like to change.

  4. Click Delete the account.

  5. Window message confirming if you would like to keep or delete the account's files prompts.

  6. Click either Delete Files or Keep Files button.

  7. Next windows message prompts seeking confirmation if you are sure of deleting the selected account.

  8. Click on Delete Account button.


On-Screen Keyboard

  • On-Screen Keyboard overview

  • To open Windows On-Screen Keyboard

Other topics about Using Windows

On-Screen Keyboard overview

On-Screen Keyboard is a utility provided by Windows that displays a virtual keyboard on the screen. It allows the users of the E4990A to input characters without the need of a keyboard.

  • The E4990A does not requires an external keyboard for its operation. Users can input characters using an on-screen keyboard in-built with the E4990A firmware.

On-screen keyboard in-built with the E4990A firmware

To open Windows On-Screen Keyboard

You can use Windows native on-screen keyboard as well.

To open On-Screen Keyboard: click Start > Accessibility On-Screen Keyboard.

On-screen keyboard provided by windows OS


Configuring Network

  • When you use the E4990A by connecting it to your LAN, consult your network administrator and make the setting of the LAN correctly.

This section describes how to set the following basic items necessary to connect the E4990A to the LAN (Local Area Network).

  • Enabling/Disabling network

  • Check/Reset IP Address

  • Setting IP address

  • Checking computer name

If you need detail network settings, consult your network administrator and perform operation in the same way as the Windows PC.

Other topics about Using Windows

Enabling/Disabling Network

You can enable/disable the network connection function of the E4990A.

To enable/disable the network connection function

  1. Use the LAN cable to connect the E4990A to the LAN.

  2. Press System > Misc Setup > Network Setup > Network Configuration to open Network Connections window.

  3. Perform either of the following:

  • When switching from disable to enable:

Double-click the Local Area Connection icon in the Network Connections window to enable the network connection function.

  • When switching from enable to disable:

Double-click the Local Area Connection icon in the Network Connections window. The Local Area Connection Status screen appears. Click the Disable button to disable the network connection function.

  4. Close Network Connections window.

Check/Reset IP Address

The IP address of the E4990A can be checked/reset by System > Misc Setup > Network Setup > LAN Dialog.

Setting IP address

Follow these steps to set the IP address:

  1. Press System > Misc Setup > Network Setup > Network Configuration.

  2. Double-click the Local Area Connection icon in the Network Connections window. The Local Area Connection Status screen appears.

  3. Click Properties. The Local Area Connection Properties screen appears.

  4. Select (highlight) Internet Protocol (TCP/IP), and then click Properties.

  5. The Internet Protocol (TCP/IP) Properties appears. Click (select) Use the following IP address and then enter the IP address, subnet mask and gateway address.

  6. If the IP address can be obtained automatically (if the DHCP server can be used), click (select) Obtain an IP address automatically.

  7. In Internet Protocol (TCP/IP) Properties, click OK.

  8. In Local Area Connection Properties, click OK.

  9. In Local Area Connection Status, click Close.

  10. Close Network Connections window.

Checking Computer Name

Follow these steps to check the computer name:

  1. Press System > Misc Setup > Network Setup > Network Identification.

  2. See the desired computer name in Computer description in Computer Name tab.


Windows Firewall

  • To Turn Windows Firewall ON or OFF

Other topics about Using Windows

To Turn Windows Firewall ON or OFF

  1. Open Windows Firewall. To open Windows Firewall, open Control Panel, and then double-click Windows Firewall.

  2. From the right column, select either Change notification settings or Turn Windows Firewall on or off option.

  3. You may select one of the below options:

    • Turn on Windows Firewall - this is the default and recommended option.

      • Block all incoming connections, including those in the list of allowed programs - this is not a preferred option.

      • Notify me when Windows Firewall blocks new program - this option blocks new program and notifies you, so that you can choose to block or unblock the program after reviewing it.

    • Turn off Windows Firewall (not recommended) - this is not a recommended option. Turning OFF Windows Firewall might make your computer (and your network, if you have one) more vulnerable to damage from viruses.

  4. To restore to default settings, select Restore defaults from the left field in the control panel and click on the Restore defaults button.


Enabling/Disabling USB Storage

  • Local Group Policy Editor

  • Enabling & Disabling USB Storage

Other topics about Using Windows

Local Group Policy Editor

Group Policy Editor is a part of Windows operating system that allows you to control your machine. One of its feature is the ability to turn ON and OFF access to USB storage.

Group Policy Editor is a Microsoft Management Console snap-in that provides a single user interface through which all the Computer Configuration and User Configuration settings of Local Group Policy objects can be managed.

  • Computer Configuration

Administrators can use Computer Configuration to set policies that are applied to computer, regardless of who logs on to the computers. Computer Configuration typically contains sub-items for software settings, Windows settings, and administrative templates.

  • User Configuration

Administrators can use User Configuration to set policies that apply to users, regardless of which computer they log on to. User Configuration typically contains sub-items for software settings, Windows settings, and administrative templates.

To launch the Local Group Policy Editor:

  1. Click on the Start menu.

  2. In the Search programs and files entry, type GPEDIT.MSC.

  3. The below screen appears, with as per below

Enabling & Disabling USB Storage

  1. In the left field, open Computer Configuration > Administrator Templates > System > Removable Storage Access.

  2. Table below shows the possible settings for the USB storage access:

Setting Option | Enable USB Storage (Default) | Read Only Storage | Disable USB Storage
Removable Disk: Deny execute access | Not configured | Not configured | Enable
Removable Disk: Deny read access | Not configured | Not configured | Enable
Removable Disk: Deny write access | Not configured | Enable | Enable

  3. Double click on the desired setting option and the below dialog appears. As you select the desired option between Not Configured, Enabled and Disabled, the Help column at the bottom right corner displays the details of the option.

  4. Select the desired option and click Apply > OK or just OK.

  5. For example if your setting selection is Removable Disk: Deny read access and:

    • Not Configured option is selected (default selection) - allows read access to removable storage disks.

    • Disable option is selected - allows read access to removable storage disks.

    • Enabled option is selected - read access to removable disks is denied.


Connecting External Accessories

The E4990A can be connected to external input/output devices such as printer, monitor, keyboard and mouse.

  • Connecting a Printer

  • Connecting a Mouse/Keyboard

  • Connecting a Monitor

Other topics about Using Windows

Connecting a Printer

A printer can be connected to the E4990A through any USB ports on the front or rear panels. Its driver may be required to install.

Connecting a Mouse/Keyboard

A USB mouse and USB keyboard can be connected to the E4990A through any USB ports on the front or rear panels.

Connecting a Monitor

A monitor can be connected to the E4990A using the External Monitor Output Terminal (Video) located in the rear panel of the E4990A.

  • An external monitor needs to be connected to the analyzer and turned ON before the analyzer is turned ON so that the analyzer recognizes the monitor properly.


Product Information

  • Options

  • Documentations

  • Specifications

  • Revision History

  • Customer Contacts

  • Error Messages (Warning Message)

  • Troubleshooting

  • Measurement Accessories

  • Maintenance


Options

Options for E4990A

The following list shows available options. Some options can be retrofitted on your E4990A. For upgrade (retrofit) kits, refer to http://www.keysight.com/find/e4990a and configuration guide.

  • Frequency Options

  • Time Base Options

  • Software Options

  • Accessary Options

  • Calibration Option

  • System Rack Options

Other topics about Product Information

Frequency Options

Option Number | Description
E4990A-120 | 120 MHz
E4990A-050 | 50 MHz
E4990A-030 | 30 MHz
E4990A-020 | 20 MHz
E4990A-010 | 10 MHz

  • E4990A-050/030/020/010 has the following limitation.

  • The 42941A and 42942A can not be used.

  • Measurement speed is slower.

Time Base Options

Option Number | Description
E4990A-1E5 | High Stability Time base

Software Option

Option Number | Description
E4990A-001 | Enhanced Measurement Speed

  • E4990A-001 is available for option 050/030/020/010 only.

Accessary Options

Option Number | Description
810 | Add Keyboard
820 | Add Mouse

These options are not displayed at the option information.

Calibration Option

Option Number | Description
A6J | ANSI Z540 Compliant Calibration
1A7 | ISO 17025 Compliant Calibration

These options are not displayed at the option information.

System Rack Options

Option Number | Description | Equivalent Part Number
1CM | Rack Mount Kit | 5063-9216
1CN | Front Handle Kit | 5063-9229
1CP | Rack Mount and Front Handle Kit | 5188-4430

These options are not displayed at the option information.


Documentations

Documentations for E4990A

  • Manuals

  • Sales Literature

Other topics about Product Information

Manuals

The following documentations are provided with the E4990A.

Name | Description
Help (This file) | Provides the information about the measurement operation, programming, I/O interface.
Installation Guide | Provides information about start up setup and system recovery information when the Windows cannot be boot up. This is furnished with the E4990A as a hardcopy manual.
Service Guide | Provides information about the parts, troubleshooting, performance test, adjustment and service menu.

Both Installation Guide and Service Guide can be downloaded from http://www.keysight.com/find/e4990a-manual. The latest revision of Help System, Help in PDF and WebHelp formats are also available at the site.

Sales Literature

The following sales literatures are available on http://www.keysight.com/find/e4990a.

  • Brochure

  • Data sheet

  • Configuration Guide (Ordering information)

  • Application notes


Specifications

The Data Sheet which shows the E4990A specification is available at http://literature.cdn.keysight.com/litweb/pdf/5991-3890EN.pdf

The reader is required to see the PDF format.

Other topics about Product Information


Revision History

  • Firmware Revision History

  • Storage Revision History

Other topics about Product Information


Firmware Revision History

  • A.02.1x

  • A.02.0x

  • A.01.0x

Other topics about Revision History

A.02.1x

  • Supports Option 001 Enhanced Measurement Speed

  • Adds the save trace data for multi traces (:MMEM:STOR:TRAC)

  • Adds Delay for band change (:SOUR:BAND:DEL)

A.02.0x

  • Keysight rebranding

  • Firmware update procedure is changed.

  • Network setup menu is changed.

A.01.0x

  • First revision


Storage Revision History

  • RY21x

  • RY20x

  • RY10x

Other topics about Revision History

RY21x

  • No major update

RY20x

  • Keysight rebranding

RY10x

  • First revision


Customer Contacts

For assistance on the E4990A, refer to http://www.keysight.com/find/assist for your regional customer contacts.

Other topics about Product Information


ErrorMessage

Error and Warning Messages

  • Error Messages

  • Warning Messages


Warning Messages

A warning message is displayed in the instrument message/Warning area in the lower left part of the display against a gray background. Pushing a front panel key or executing :DISP:CCL command clears the message.

This message simply appears on the display, being not known to a remote environment such as a GPIB. This message is not displayed when another error (against a red background) has already been displayed in the instrument message/Warning area.

Warning Messages During Measurement

Messages

Description

Calibration data lost ([parameter])

One or more of the below calibration data is lost. The lost parameter is indicated in the message, for example, calibration data lost (band information):

(nominal value), (band information), (frequency reference), (DC Bias), (constants for sweep controller), (trd band information), (synthesizer source level), (synthesizer local level), (DC monitor), (DC Ps Frequency), (range tbl), (er tbl), (srr att tbl), (gain tbl), (src vnr), (null GP 0m), (null GP 2m), (null GP probe), (null GP 7mm), (trdlcy), (trd DC dac), (lo null dac), (IFBW), (mod ADC Ofs), (mod DAC Ofs), (AC level monitor), (ADC linearity), (compression), (rangeR), (Imp0m), (Imp1m), (Imp2m), (Imp7mm), (ImpProbe), (R100Ls), (WaitTimeTbl), (IfBwC).

DC Bias overload

When the dc bias is applied, dc current that exceeds the setting of the DCI range (<1mA, <10mA, or <100mA) is supplied from the bias source, or the overcurrent limit circuit of the dc bias source takes effect. Increase the setting of the dc bias range or decrease the level of the applied dc bias.

Invalid key code

The key code entered to enable or disable an option is incorrect. Enter the correct key code to proceed.

Reduce OSC Level

The oscillator level is considerably higher than the measured |Z| (absolute value of impedance) of the DUT, causing increased nonlinear measurement error that cannot be ignored. This message is displayed when the oscillator level is set to greater than 0.5 V while |Z| of the DUT is smaller than 48 ohm. To avoid this error, set the oscillator level below 0.5 V.

Unable to find help file

This warning message appears when Help file could not be executed when you press the Help key. The file is either corrupted or unavailable. Re-install the firmware.

Unable to find help id file

This warning message appears when Help file could not be executed when you click a button at the menu bar and press the Help key to execute a help topic related to the button. The help id file is either corrupted or unavailable.

Unknown SSD image

This message appears when wrong SSD is installed.

Unknown system revision

This message appears when wrong SSD is installed.

Z measurement overload

The internal circuit (ADC) is temporarily overloaded. Measurement data when this error occurs is invalid.


Error Messages

An error message is displayed against a red background in the instrument message/warning area in the lower left part of the screen. Pushing a front panel key or executing :DISP:CCL command clears the error message. Errors caused by the operation of a front panel key simply appear on the display. They are not stored in the error queue with some exceptions.

An error with a positive error number is one uniquely defined for this instrument. On the other hand, an error with a negative error number is basically one defined for common GPIB devices in IEEE488.2

A B C D E F G H I J K L M N O P Q R S T U V W X Y Z

A

No.

Message

Description

221

AC constant operation failed

This error occurs when AC constant operation fails to execute.

10

Additional standard needed

The GPIB command that turns ON the calibration function has been sent before all the data measurements required to calculate the calibration factor have been completed.

Be sure to measure all the necessary calibration data before sending commands. This error is not generated by front key operations.

B

No. | Message | Description
-168 | Block data not allowed | An block-data element has been received at a position where this instrument does not accept one.

C

No.

Message

Description

97

Calculate equivalent parameter failed

This error occurs when equivalent parameter calculation fails.

59

Calibration aborted. Stimulus settings exceeded the parameters of original calibration / compensation

One of the following problems has occurred.

• In the middle of or after the completion of the setup for user calibration or fixture compensation (measurement of required calibration data and calculation and storage of error coefficients), the setting of calibration points (FIXED or USER) is changed. The current setup and error coefficients previously stored become invalid.

• When the setting of calibration points is USER, in the middle of or after the completion of the setup for user calibration or fixture compensation (measurement of required calibration data and calculation and storage of error coefficients), the sweep condition (sweep range, sweep parameter, number of sweep points, sweep type) is changed. The current setup and error coefficients previously stored become invalid.

• In the middle of the setup for user calibration or four-terminal pair extension (measurement of required calibration data and calculation and storage of error coefficients), the setup is canceled (the cancel key command is executed). The setup is invalid, but error coefficients previously stored are still available.

If necessary, again perform the setup for user calibration, fixture compensation, or four-terminal pair extension.

58

Calibration / Compensation interpolated

This error occurs when calibration and compensation are interpolated.

240

Calibration data lost

This error occurs when a file containing the system calibration data is not found or in a damaged state at time of the startup of this instrument, indicating a failure of this instrument. Contact the Keysight Technology sales office or the company from which you bought the instrument.

12

Calibration not usable

A command to execute data measurement for unnecessary (not allowed) calibration (user calibration or fixture compensation) for the current adapter selection is sent. The command is invalid. For example, when NONE (no adapter) is selected as the adapter selection, sending the CALA command, which executes OPEN data measurement for the user calibration, causes this error (when the adapter selection is NONE, you cannot execute the user calibration).

Execute the measurement of necessary (allowed) calibration data for the current adapter selection.

11

Calibration required

In user calibration, although error coefficients based on the measurement of the required calibration standards (OPEN, SHORT, or LOAD) have not been acquired, a GPIB command to turn on the user calibration function is sent. Valid error coefficients are not detected, and the command is invalid. For user calibration, it is necessary to measure all calibration standards (OPEN, SHORT, LOAD) and acquire error coefficients based on the measurement.

-148

Character data not allowed

A character data element (not violating the standard) has been received at a position where this instrument does not accept one. Double quotes (") are omitted where it is necessary to place a parameter in double quotes ("), for example.

-100

Command error

A comprehensive syntax error has occurred showing that this instrument cannot detect a more detailed error. This code simply shows that a command error defined in 11.5.1.1.4, IEEE488.2 has occurred.

90

Compensation required

In fixture compensation, although error coefficients based on the measurement of the required calibration standards (OPEN, SHORT, or LOAD) have not been acquired, a GPIB command to turn on the fixture compensation function is sent. Valid error coefficients are not detected, and the command is invalid. For fixture compensation, it is necessary to measure a calibration standard (OPEN, SHORT, or LOAD) corresponding to the fixture compensation function (OPEN compensation function, SHORT compensation function, or LOAD compensation function) you select and obtain error coefficients based on the measurement.

460

Continuous switching may damage source switch

This error occurs when different power ranges are selected in multiple channel measurement settings to avoid source attenuator damage.

D

No.

Message

Description

-222

Data out of range

A data element (not violating the standard) outside the range defined by this instrument has been received. This error occurs when an integer-based command for which the parameter can be rounded exceeds the range of -65536 to +65536 or when a real-number-based command for which the parameter can be rounded exceeds the range of -9.9e37 to +9.9e37, for example.

This error occurs also when a numeric value other than a specified one is entered into a command in which the "port number" and "CalKit number" are specified as parameters and hence the parameters are not rounded.

-104

Data type error

The parser has recognized a data element that must not exist. Block data has been sent instead of numeric value data or character string data that had been expected, for example.

63

DC Bias constant operation failed

This error occurs when DC Bias constant operation fails to execute.

E

No.

Message

Description

502

Equation runtime error

This error occurs under the following conditions:

  • The trace number in data(tr)/mem(tr)/xAxis(tr) is out of range

# of trace available depends on the maximum number of channel/traces

  • The port number in Advanced math function is out of range

# of port available depends on the model option

95

Equivalent circuit analysis not allowed

This error occurs when equivalent circuit analysis is not allowed to be executed.

-200

Execution error

An error associated with execution has been generated for which this instrument cannot specify the error message. This code shows that an error associated with execution defined in 11.5.1.1.5, IEEE488.2 has occurred. This error also occurs when a calibration measurement is aborted.

-123

Exponent too large

The absolute value of the exponent exceeds 32,000 (see 7.7.2.4.1, IEEE488.2).

-178

Expression data not allowed

An expression-data element has been received at a position where this instrument does not accept one.

-170

Expression error

When the expression data is put to syntactic analysis, an error not corresponding to one of Error Numbers -171 through -179 occurs.

F

No. | Message | Description
102 | Failed to copy file | This error occurs when copying a file (MMEM:COPY command) fails.
104 | Failed to create directory | This error occurs when creating a directory (MMEM:MDIR command) fails.
103 | Failed to delete file | This error occurs when deleting a file (MMEM:DEL command) fails.
100 | Failed to read file | This error occurs when a 2-port touchstone file (CALC:FSIM:SEND:PMC:PORT:USER:FIL command), the formatted data array (MMEM:LOAD:FDAT command) and limit table (MMEM:STOR:LIM command) for the active trace on the active channel, segment sweep table (MMEM:LOAD:SEGM command) for the active channel, a VBA project file (MMEM:LOAD:PROG command), etc. cannot be read normally.
101 | Failed to write file | This error occurs when the formatted data array (MMEM:STOR:FDATcommand) and limit table (MMEM:STOR:LIM command) for the active trace on the active channel, segment sweep table (MMEM:STOR:SEGM command) for the active channel, display image (MMEM:STOR:IMAG command) for the LCD screen, a VBA project file (MMEM:STOR:PROG command), etc. cannot be written normally.
-257 | File name error | A file name error. This message appears when an error exists in the file name and hence a command is not executed correctly. This error occurs when you try to copy to an unsuitable file name, for example.
-256 | File name not found | The file name specified is not found and hence the command is not executed correctly. This error occurs when you try to read a file that does not exist in a disk or a disk is not correctly inserted into the drive to read or write a file, for example.
201 | Firmware license not found | Frequency option or/and Generation code license codes do not exist in .lic file.
56 | Frequency sweep only | When a sweep parameter other than frequency is specified, you attempt to execute an equivalent circuit analysis command. You can execute the equivalent circuit analysis only when the sweep parameter is frequency.

G

No. | Message | Description
-105 | GET not allowed | A group execution trigger (GET) has been received in the program message (see 7.7, IEEE488.2).

H

No. | Message | Description
-240 | Hardware error | The program command cannot be executed due to a hardware-related error. This indicates that an error other than -241 to -249 has occurred.
-114 | Header suffix out of range | The unit of the header is outside the range. The header is invalid in the unit for numeric parameters following a SCPI command.

I

No. | Message | Description
-224 | Illegal parameter value | This error occurs when the parameter value is not suitable. It also occurs because the number of specified traces exceed the maximum number of trace set.
-282 | Illegal program name | This error occurs when a nonexistent VBA program name is specified by the PROG:SEL:NAME command.
-213 | Init ignored | Because another measurement is in progress, the request for initiating a measurement ("INIT" command) is ignored.
243 | Insufficient privileges | This error occurs when multiple processes are executed at the same time and the memory is exhausted, which causes the last process to be aborted. In this case, terminate some of the processes and then perform the next operation.
-161 | Invalid block data | Block data has been expected, but the block data that appears is invalid for some reason (see 7.7.6.2, IEEE488.2). The END message is received before the length of block data has been filled, for example.
28 | Invalid calibration method | This error occurs when the type of calibration is not specified or not correct when partial overwrite is executed with the GPIB command. This error does not occur for operation with front keys.
-101 | Invalid character | An invalid character exists in the program message character string.
-141 | Invalid character data | An invalid character is found in the character data element, or the parameter received is not valid.
-121 | Invalid character in number | A character that is invalid for the data type subject to syntactic analysis has been received. For example, a letter is found in a decimal numeric value or a numeric character "9" in octal data.
501 | Invalid equation expression | The equation expression used in Equation Editor is not valid.
502 | Invalid equation label | The equation label used in Equation Editor is not valid.
-171 | Invalid expression | The expression-data element is invalid (see 7.7.7.2, IEEE488.2). Parentheses are not paired, or illegal characters are used, for example.
-232 | Invalid format | An invalid format is received.
-103 | Invalid separator | The parser (a syntactic analysis program) had been expecting a delimiter, but a character that is not a delimiter has been sent.
-151 | Invalid string data | Character string data has been expected, but the character string data that appears is invalid for some reason (see 7.7.5.2, IEEE488.2). The END message is received before the ending quotation mark character appears, for example.
-131 | Invalid suffix | The suffix does not comply with the syntax defined in 7.7.3.2, IEEE488.2. Or it does not suit E4990A.

L

No.

Message

Description

53

Log sweep requires an octave minimum span

The span of sweep range is not satisfied the requirement for logarithmic sweep. The sweep type is automatically changed to linear sweep when this error occurs.

For example, this error occurs when, with the start and stop frequency are set 1 MHz and 2 MHz respectively, the sweep type is changed to logarithmic sweep.

Set the stop frequency to more than four times as many as the start frequency. And then select logarithmic sweep.

M

No.

Message

Description

-270

Macro error

The error occurs when wrong macro is executed.

+60

Maximum wait time exceeded

Total time of wait time has been exceeded the limit.

  • Normal Sweep: Sweep delay + Point delay + Sweep Time/(Number of points) =< 67 sec.

  • Segment Sweep: Sweep delay + Segment delay + Point Delay Sweep Time/(Number of points) =< 67 sec.

-109

Missing parameter

The number of parameters is less than that required for the command, or the parameter has not been entered. For example, the command SENS{1-6}:SWE:POIN requires one more parameter.

Therefore, when a message "SENS1:SWE:POIN" is sent to a correct program message "SENS1:SWE:POIN 201" this instrument receives the former message as an invalid one because all parameters have not been entered. Enter command parameters correctly.

55

Measurement parameter not for analysis

When a measurement parameter other than |Z|-q is set, you attempt to execute a waveform analysis command (for example, OUTPCERR?) and, as a result, the command is ignored.

Before executing a waveform analysis command, set the measurement parameter to |Z|-θ.

96

Must be more than 2 points for analysis

Although the calculation of equivalent circuit parameters is executed, because the number of points (NOP) within the sweep range (if the partial search function is on and within the specified search range) is two, they cannot be calculated. Set the number of points within the sweep range (if the partial search function is on, within the specified search range) to three or more.

N

No. | Message | Description
-120 | Numeric data error | An error resulting from the numeric value data (including numeric value data having no decimal point representation) has occurred. A numeric value error other than Errors -121 through -129 has occurred.
-128 | Numeric data not allowed | An numeric-value-data element (not violating the standard) has been received at a position where this instrument does not accept one.
52 | No valid memory trace | This error occurs when you have executed either DISP:WIND:TRAC:MEM ON command to display memory trace, or any other command to enable data calculation using memory trace (CALC:MATH:FUNC command with other than NORM is specified), though no valid data exists in memory trace. This error is not generated by front key operations.

O

No.

Message

Description

200

Option not installed

The command received has been ignored because of the mismatch between the contents of an option for this instrument and the command.

It also occurs when you try to enable the time domain function in a model not having the time domain option. This holds true for the frequency offset option.

This error is not generated by front key operations.

-225

Out of memory

Insufficient memory is available in this instrument to perform the required operation.

P

No. | Message | Description
-220 | Parameter error | When a parameter-related error other than Errors -221 through -229 occurs, that error is displayed.
-108 | Parameter not allowed | The number of parameters exceeds that required for the command. For instance, when a program message ":SENS1:SWE:TYPE LIN, SEGM" is sent instead of a correct program message with a command ":SENS1:SWE:TYPE LIN" which requires a parameter, the instrument receives the message as the number of parameters is invalid. See the command reference to confirm the required number of parameters.
41 | Peak not found | This error occurs when, after specifying a peak and executing the CALC:MARK:FUNC:EXEC and CALC:FUNC:EXEC commands, the specified peak is not found in the marker search analysis.
220 | Phase lock loop unlocked | This error occurs when the PLL circuit of this instrument becomes unlocked while the measurement is in progress. The measurement value is not correct. This error may occur when an external reference out of specification is connected to this instrument. Should an error occur with an external reference not connected, this instrument is faulty. Contact the sales office or the company from which you bought the instrument.
106 | Printer error | This error occurs when the previous printing is still in progress or the printer fails (offline, short of paper, etc.) at time of outputting the display image on the LCD screen to the printer (HCOP:IMM command).
120 | Print failed | This error occurs when printing fails for reasons other than Error 120, Printer error.
241 | Power on test failed | This error occurs when the power-on test fails, indicating a failure of this instrument. Contact the sales office or the company from which you bought the instrument.
-284 | Program currently running | This error occurs when the PROG:SEL:STAT RUN command is executed with the VBA program in the Run state.
-112 | Program mnemonic too long | The length of the header exceeds 12 characters (see 7.6.1.4.1, IEEE488.2).
-286 | Program runtime error | An error occurring when VBA /macro is executed.

Q

No. | Message | Description
-430 | Query DEADLOCKED | The state that generates a "DEADLOCKED" Query error (see 6.3.1.7, IEEE488.2). This error occurs when both input and output buffers have become full, preventing the instrument from continuing processing, for example.
-400 | Query error | A comprehensive query error has occurred showing that this instrument cannot detect a more detailed error. This code simply shows that a query error defined in 11.5.1.1.7 and 6.3, IEEE488.2 has occurred.
-410 | Query INTERRUPTED | The state that generates a "INTERRUPTED" Query error (see 6.3.2.3, IEEE488.1). This error occurs when data bytes (DAB) or GET are received before the transmission of the response after a query has not been completed, for example.
-350 | Queue overflow | The queue contains a specific code in place of the code which caused this error. The code indicates that the error occurred because of no space available in the queue, but the error is not recorded.
-420 | Query UNTERMINATED | The state that generates an "UNTERMINATED" Query error (see 6.3.2, IEEE488.2). This error occurs when this instrument is designated as the talker and an incomplete program message is received, for example.
-440 | Query UNTERMINATED after indefinite response | After a query asking for an indefinite response has been run, another query is received in the same program message (See 6.5.7.5.7, IEEE488.2).

R

No. | Message | Description
105 | Recall failed | This error occurs when reading an instrument status file (State01.sta, etc.) (MMEM:LOAD:STAT command) fails.
45 | Reference tracking not allowed with Log-Y scale | This error occurs when Log-Y scale is set and reference tracking is attempted.

S

No.

Message

Description

106

Save failed

This error occurs when writing an instrument status file (State01.sta, etc.) (MMEM:STOR:STAT command) fails.

54

Set start and stop DC value as positive and an octave minimum span to select Log DC Bias sweep

This error occurs when Log DC Bias sweep is selected but start DC value is not set to positive and stop DC value is not set to correct minimum span.

50

Specified channel hidden

This error occurs when an attempt is made to activate a channel not on display using the DISP:WIND:ACT command. This error is not generated by front key operations.

51

Specified trace does not exist

This error occurs when CALC:PAR:SEL command is executed to activate more traces than specified by CALC:PAR:COUN command. This error is not generated by front key operations.

57

SnP request not valid

This error occurs when you try to save data to a Touchstone file but no measurement has been executed.

This error also occurs when you try to save a Touchstone file with power sweep measurement specified or with the frequency offset function set to ON.

-150

String data error

When a character-string-data element is put to syntactic analysis, an error not corresponding to one of Error Numbers -151 through -159 occurs.

-158

String data not allowed

A character-string-data element has been received at a position where this instrument does not accept one.

-138

Suffix not allowed

A suffix is attached to a numeric value element to which a suffix is not allowed to be attached.

-134

Suffix too long

The unit is too long.

The unit is expressed in 12 or more characters (see 7.7.3.4, IEEE488.2).

-102

Syntax error

A command or data type that is not recognized exists.

-310

System error

One of the errors designated as "system errors" in this instrument has occurred.

T

No. | Message | Description
40 | Target value not found | This error occurs when the target is not found during the marker search analysis after specifying the target and executing the CALC:MARK:FUNC:EXEC and CALC:FUNC:EXEC commands. This error occurs also when the bandwidth is not found after executing the bandwidth marker command, CALC:MARK:BWID:DATA?
-124 | Too many digits | The number of digits of the argument of the decimal numeric-value-data element exceeds 255 with the preceding 0 removed (see 7.7.2.4.1, IEEE488.2).
-223 | Too much data | The block-, expression-, or character-string-type program data that has been received conforms with the standard. But it exceeds the amount that can be processed under the condition of the memory or conditions specific to memory-related devices. In this instrument, this error occurs when the number of characters exceeds 254 in a character-string parameter.
-211 | Trigger ignored | This instrument receives and detects a trigger command ("TRIG") or an external trigger signal. But it is ignored due to the timing condition (This instrument is not in the wait-for- trigger state, for example). Change the setup so that a trigger command or an external trigger signal can be sent after the instrument has entered the wait-for- trigger state.

U

No. | Message | Description
-113 | Undefined header | A command not defined in this instrument, though not illegal in the syntactic structure, has been received. For example, when a message ":DISP:WIND1:TABL:MEM ON" is sent to a correct program message ":DISP:WIND1:TRAC1:MEM ON," the message sent is received as an undefined command by this instrument. See the command reference and use correct commands.


Troubleshooting

This section describes the steps you should take when you believe that the E4990A is operating improperly. The results of these simple investigative procedures may help you avoid the down-time and inconvenience of repair service. The troubleshooting instructions are divided into three categories.

When all troubleshooting measures are taken but it does not work. Contact Keysight Technology's Customer Contact.

  • Troubleshooting during Startup

  • Troubleshooting during Operation

  • Troubleshooting for External Devices

Troubleshooting during Startup

Symptom

Solution

Turning ON (|) the standby switch does not start up the system.

  • Confirm that the power cable is properly plugged in.

  • Confirm that the line switch on the rear panel is turned ON.

Standby switch color is red and does not start up the system.

There is some trouble on the fan. Turn OFF and ON the line switch once, then turn ON this standby switch.

The system starts up, but it automatically shuts down immediately.

Execute the system recovery.

The system starts up, but it enters the service mode (The instrument status bar in the lower right part of the screen displays SVC in red).

Execute the system recovery.

The measurement screen appears after startup, but the date and time displayed on the instrument status bar in the lower right part of the screen differ greatly from the previous settings.

Execute the system recovery.

The measurement screen appears after startup, but the power-on test fails, with Error Message 241 appearing against the red background in the instrument message/warning area in the lower left part of the screen.

Execute the system recovery.

Troubleshooting during Operation

Symptom

Solution

A clearly abnormal measurement value

The measurement value is not reproducible, or clearly abnormal.

  • Confirm that the DUT, connection cables, and other parts are connected correctly.

  • Confirm that the connectors and cables used to connect the DUT are free from damage and poor contact.

  • Confirm that the calibration has been executed correctly. If you have not acquired a correct error correction factor, you cannot obtain a correct measurement value.

  • Confirm that the calibration kit is selected correctly.

  • Confirm that the calibration kit is defined correctly.

  • Confirm that if the stimulus signal output is turned ON.

The system cannot operate manually (Front Panel Keys, Keyboard, Touch Screen and Mouse)

The keyboard or mouse becomes inoperable.

  • Confirm that the keyboard or mouse is connected correctly. When it is connected correctly, turn OFF the power once, and restart the system.

The front panel key or keyboard becomes inoperable.

  • Using the mouse, turn System > Key Lock > Front Panel & Keyboard Lock OFF.

The touch screen becomes inoperable.

  • Using the front panel keys, press System > Key Lock > Touch Screen & Mouse Lock OFF to turn OFF the lock.

  • Execute the calibration of the touch screen.

The mouse becomes inoperable.

  • Using the front panel keys, press System > Key Lock > Touch Screen & Mouse Lock to turn OFF the lock.

All of the front panel keys, keyboard, and mouse become inoperable.

  • Confirm that the keyboard or mouse is connected correctly. When it is connected correctly, turn OFF the power once, and restart the system.

The keyboard and mouse have been connected after power-on.

  • Turn OFF the power once, and restart the system. When taking all these measures does not recover operability, there is a possibility of a failure.

The screen freezes and all operations become impossible.

The measurement in progress or screen update is stalled and all of the front panel keys, keyboard, mouse, and touch screen are inoperable.

  • Press the standby switch to turn OFF the power once, and restart the system.

The system freezes while in operation.

  • Press the standby switch to turn OFF the power once, and restart the system.

The rear cooling fan does not operate.

  • There is a possibility of a failure.

The sweep action stops during measurement or is not executed. An error or warning message appears.

  • There is a possibility of a failure.

An error or warning message is displayed on the instrument message/warning area in the lower part of the screen

  • Refer to Error Messages and Warning Messages.

Troubleshooting for External Devices

Symptom

Solution

Cannot output to a printer

Cannot output a measurement screen or data to a printer.

Attempting to output to a printer causes Error Messages 120 and 121 to appear.

  • Confirm that the power to the printer is turned ON and that the line cable is connected correctly.

  • Confirm that the connector cable of the printer is connected correctly.

  • Confirm that the printer is online.

  • Confirm that the printer has not run out of paper.

  • Confirm that the printer has not run out of ink.

Does not respond to an external controller/fails to function normally

A GPIB device does not respond to the external controller, or fails to function normally.

  • Confirm that the GPIB address is defined correctly.

  • Confirm that the GPIB cable is connected.

  • Confirm that another instrument connected by the GPIB cable has the same GPIB address.

  • Confirm that the GPIB cable connection forms a loop.


Measurement Accessories

There are various fixture and adapters. Refer to Accessories Selection Guide For Impedance Measurements (http://literature.cdn.keysight.com/litweb/pdf/5965-4792E.pdf)for more information.

Other topics about Product Information


Maintenance

  • Cautions Applicable to Requesting Repair, Replacement, Regular Calibration, etc.

  • Cleaning this Instrument

  • Replacement of Parts with Limited Service Life

  • System Recovery

  • Updating Firmware

  • Service Functions

  • Removing Log Data


Cautions Applicable to Requesting Repair, Replacement, Regular Calibration, etc.

  • Backing Up Data in the storage

  • Devices to be Sent Back for Repair or Regular Calibration

Other topics about Maintenance

Backing Up Data in the storage

The user is requested to back up the stored programs and data into external media by using the instrument's storing function before requesting the Company's Service Center to repair the instrument or replace storages.

See Making Backup Files for how to make backup files.

Please take note that the Company will not be held liable to any extent for potential erasure or change of stored programs or data due to the repair or replacement of storages performed by the Company. When a storage itself fails, the programs and data stored in it cannot be recovered.

Devices to be Sent Back for Repair or Regular Calibration

If it is necessary to send the unit to the Service Center of Keysight Technologies for repair or regular calibration, please follow the instructions below.

Equipment to be Sent

When requesting repair or regular calibration of the unit by our Service Center, send only the E4990A main unit without any installed option you may have ordered. Unless specifically instructed, it is not necessary to send accessories and calibration kits.

Packing

Use the original package and shock absorbers, or equivalent anti-static packing materials, when sending the unit.

Shipping Address

For the location of the nearest Keysight Technologies Service Center, contact the Customer Contact.

Recommended Calibration Period

The recommended calibration period for this instrument is one year. The user is recommended to request the Company's Service Center to perform regular calibration every year.


Cleaning this Instrument

  • Cleaning an LCD

  • Maintenance of Test Ports and Other Connectors/Ports

  • Cleaning Parts Other than the LCD, Test Ports, and Other Connectors/Ports

Other topics about Maintenance

This section describes how to clean the instrument.

To protect yourself from electrical shock, be sure to unplug the power cable from the outlet before cleaning the instrument.

Never clean the internal components of the instrument.

Cleaning an LCD

Use one of the following methods to clean the display surface regularly.

  • For normal cleaning, rub the surface gently with a dry, soft cloth.

  • When stains are difficult to remove, gently wipe the surface with cloth damped with a small amount of dehydrated ethanol.
    You can clean the standard LCD (no touch screen function) with a cloth dipped in water and then wrung tightly.

  • Do not use chemicals other than dehydrated ethanol to wet the cleaning cloth. To clean the touch screen LCD, do not wet the cloth with water.

Maintenance of Test Ports and Other Connectors/Ports

The ports of the E4990A are fitted with BNC connectors. Stains or other damage to these connectors would significantly affect the accuracy in measurements. Always pay attention to the following precautions.

  • Always keep the connectors free from stains and dust.

  • Do not touch the contact surface on the connectors.

  • Do not plug damaged or scratched connectors into the test ports.

  • Use compressed air for cleaning connectors. Do not use abrasives under any circumstance.

The above precautions must also be observed in maintaining connectors and ports other than these test ports.

Cleaning Parts Other than the LCD, Test Ports, and Other Connectors/Ports

To remove stains on parts other than the LCD, test ports, and other connectors/ports of the instrument, wipe them gently with a soft cloth that is dry or wetted with a small amount of water and wrung tightly.


Replacement of Parts with Limited Service Life

This instrument incorporates parts with limited service life as shown in the following table. Using the recommended replacement time as a guide, request the Keysight Service Center to replace these parts. However, a part may need to be replaced at an earlier time than that listed in the table, depending on conditions such as location, frequency of use, and where it is stored.

  • Each service life and recommended replacement time listed below is for reference only and does not imply a guarantee of the part's service life.

Part Name | Service Life (Parts supplier reference value) | Recommended replacement time
Solid State Drive (SSD) | 5 years or 20,000 operating hours, whichever comes earlier. Exchanging hard disk drives causes the contents written after shipment from the factory (LAN setup, etc.)to be initialized to the state at the time of shipment. The programs and data stored in Drive D (user directory) are erased. | 3 years
Main fan | 50,000 operating hours. The service life may be significantly shorter when used in a dusty and dirty environment. | 5 years
CPU fan
Battery on Mother board | 50,000 operating hours. The service life may be shorter if E4990A power has not been turned on for long time. | 5 years
Power supply | 50,000 operating hours (Depends on the service life of the power supply cooling fun) The service life may be significantly shorter when used in a dusty and dirty environment. | 5 years
LCD screen backlight | 50,000 operating hours. When the unit is used for automatic measurements in a production line and the on-screen information is not required, the life of the LCD backlight can be saved by turning it OFF. As for the method of turning the backlight OFF, refer to Turning OFF the LCD Screen Backlight. | 5 years
Touch screen (function) | One million times (dotting life) | 5 years
USB receptacle | 1,500 cycles insertion/extraction. The service life may be shorter when used in a dusty and dirty environment. In case that the insertion/extraction is in heavy usage such as USB memory stick, using USB extension cable may save the USB receptacle life. | N/A

Other topics about Maintenance


System Recovery

By executing system recovery, you can return the Windows operating system of the E4990A to the factory state or the user state at the setting the user performed save user state.

The procedure of system recovery is described in both Installation Guide.

Other topics about Maintenance


Updating Firmware

  • Overview

  • Procedure

Other topics about Maintenance

Overview

User can update E4990A firmware by themselves. The latest firmware can be downloaded from the http://www.keysight.com/find/e4990a

Updating firmware does not include the following software update.

  • Windows Operating System

  • Driver for Windows

  • Calibration Constant Data

  • Firmware update can only be performed with administrator account.

Procedure

Firmware Revision A.02.xx and above

  1. Press System > Service Menu > Exit to terminate the E4990A application.

  2. Download the latest firmware from the download site. (E4990A.exe). f you use your local PC to download, save the file to a USB mass storage device in order to move it to E4990A, then connect the USB mass storage device into the front USB port of the E4990A.

  3. Double click E4990A.exe to install the firmware.

  4. Follow the instruction of windows installer. After the installation is finished, the instrument restarts.

  5. Press System > Firmware Revision to confirm the firmware revision you have just installed.

Firmware Revision A.01.xx

  1. User should log in as an administrator authority to perform firmware update.

  2. Download the latest firmware from the download site. It is prepared as execution file (E4990A_xx.xx.exe).

  3. Run the E4990A_xx.xx.exe to extract the E4990A.msi.

    If you use your local PC to download, save the file to a USB mass storage device in order to move it to E4990A, then connect the USB mass storage device into the front USB port of the E4990A.

  4. Press System > Service Menu > Update Firmware.

  5. In Open dialog box, select E4990A.msi, then press Open. Then the windows installer appears.

  6. Follow the instruction of windows installer. After the installation is finished, the instrument restarts.

  7. Press System > Firmware Revision to confirm the firmware revision you have just installed.


Service Functions

This menu (System > Service Menu > Test and Service Functions) provides information about various test related to the E4990A.

For more information about any test related to the E4990A, refer to the E4990A Service manual.

Other topics about Maintenance


Removing Log Data

The E4990A creates automatic log of data for troubleshooting purpose. For security reasons, if this data needs to be deleted, then :SERV:LOGG:CLE command can be used to clear the log recorded by the E4990A.

The log file stores data related to:

  • Power ON time

  • Number of times of power ON

  • Result of power ON test

  • Number of times of overload

  • Event Log

  • Hardware driver installation/error Log

  • Connected USB device Log

  • User calibration Log

  • Firmware error Log

  • Temperature of analog boards

  • Internal test result


Programming

  • Remote Control

  • Command Reference


Overview

  • Types of Remote Control System

  • GPIB Remote Control System

  • LAN Remote Control System

  • USB Remote Control System

  • Sending SCPI Command Messages


Types of Remote Control System

Depending on the system controller and the interface, you can configure 5 types of remote control system as shown in the table below.

System controller | Interface | Overview
External controller (external computer such as PC and workstation) | GPIB (talker/listener mode) | System to control the E4990A and other devices connected via GPIB from the external controller. For more information, refer to GPIB remote control system.
 | LAN | System to control the E4990A and other devices connected via LAN from the external controller. For more information, refer to LAN remote control system.
 | USB | System to control the E4990A and other devices connected via USB from the external controller. For more information, refer to USB Remote Control System.
E4990A | None (Internal Connection) | Not supported
 | GPIB (system controller mode) | Not supported


GPIB remote control system

  • About GPIB

  • System Configuration

Other topics about Overview

About GPIB

GPIB (General Purpose Interface Bus) is an interface standard for connecting computers and peripherals, which supports the following international standards: IEEE 488.1, IEC-625, IEEE 488.2, and JIS-C1901. The GPIB interface allows you to control the Keysight E4990A from an external computer. The computer sends commands and instructions to the E4990A and receives data sent from the E4990A via GPIB.

System Configuration

Use GPIB cables to connect between the E4990A, the external controller (computer), and peripherals. The following figure shows the overview of the system configuration of the GPIB remote control system.

Configuration of the GPIB remote control system

While the E4990A is turned OFF, the SRQ status of the E4990A is active. To prevent an incorrect operation on the SRQ of the GPIB remote control system, disconnect the E4990A from the system when the E4990A is turned OFF.

Required Equipment

  • E4990A

  • External controller (PC or workstation that can be connected to LAN and Keysight I/O Library is installed into)

  • Other devices (other instruments and/or peripherals that serve your purpose)

  • GPIB cables

Scale of system you can construct

  • You can connect up to 15 devices in a single GPIB system.

  • The length of cables to connect between devices must be 4 m or less. The total length of connecting cables in a single GPIB system must be 2 m × the number of connected devices (including the controller) or less. You cannot construct the system in which the total cable length exceeds 20 m.

  • The number of connectors connected to an individual device must be 4 or less. If you connect 5 or more connectors, excessive force is applied to the connector part, which may result in failure.

  • You can choose the device connection topology from star, linear, and combined. Loop connection is not supported.

Device selector

The device selector is a unique value assigned to each device that is used by the controller to select the control target (to send/receive messages) among devices connected on the GPIB remote control system.

The device selector consists of a select code (usually, 7) and a GPIB address. For example, when the select code is 7 and the GPIB address is 17, the device selector is 717. The select code must be set for each system. The GPIB address must be set to a unique value for each device, which is used to identify devices on the same system. In the description and sample programs in this manual, it is assumed that the device selector is set to 717.

Setting the GPIB address of E4990A

To set the GPIB address for talker/listener mode, See Setting talker/listener GPIB address of E4990A.


LAN remote control system

  • Overview

  • System Configuration

  • Required Equipment

  • Control over SICL-LAN Server

  • Control with Telnet Server

  • About LXI

Other topics about Overview

Overview

The LAN (Local Area Network) remote control system provides two methods: controlling the E4990A using the SICL-LAN server and controlling the E4990A using the telnet server.

System Configuration

Use a LAN cable to connect between the E4990A and the external controller (computer). The following figure shows the overview of the system configuration of the LAN remote control system.

Configuration of the LAN remote control system

Required Equipment

  • E4990A

  • External controller (PC or workstation that can be connected to LAN)

  • Other devices (other instruments and/or peripherals that serve your purpose)

  • LAN cables

Control over SICL-LAN Server

In the control system using the SICL-LAN server, communication between the external controller (client) and the E4990A (server) is performed using the SICL-LAN protocol. Communication is performed using SICL (Standard Instrument Control Library). You can control the E4990A by programming using SICL or VISA with the C language in the UNIX environment, or Visual C++, Visual Basic, or VEE in the Windows environment.

Preparing the E4990A

To communicate with the external controller, follow these steps to turn ON the SICL-LAN server of the E4990A in advance.

  1. Tto activate the SICL-LAN Server of the E4990A.

System > Misc Setup > Network Setup > Enable [ON]

Preparing the external controller

In order to establish communication with/ the E4990A using the TCP/IP protocol, you need to set the I/O interface of the external controller in advance. This section shows the setting procedure when using the external controller in the Windows environment.

  • You must install the Keysight I/O Libraries on your PC in advance.

  1. From your PC's Start menu, click Program > Keysight I/O Libraries Suite > Keysight Connection Expert to open the Keysight Connection Expert setting screen.

  2. In the Keysight Connection Expert setting screen, select LAN(TCPIP0) in the Instrument I/O on this PC frame, and then click I/O Configuration > Add Instrument.

  3. In the Add LAN Instrument Properties screen, set up the IP address of the E4990A and click OK. You can change settings as necessary. For details, refer to the Keysight I/O Libraries Suite documentation.

  4. In the Keysight Connection Expert screen, check that the E4990A has been added under LAN(TCPIP0) in the Instrument I/O on this PC frame.

  5. The Instrument manager displays the connection with E4990A.

Control with Telnet Server

In the control system over telnet server, communications are performed through connection between the sockets provided by the processes of the external controller and the E4990A to establish a network path between them.

A socket is an endpoint for network connection; port 5024 and port 5025 are provided for the sockets for the E4990A. Port 5024 is provided for conversational control using telnet (user interface program for the TELNET protocol) and port 5025 for control from a program.

  • To use telnet, port 5024 and 5025 should be opened through Windows firewall.

Preparing the E4990A

To communicate with the external controller, follow these steps to turn on the telnet server of the E4990A in advance.

System > Misc Setup > Network Setup > Enable [ON]

  • When the telnet server is turned ON for the first time, the windows firewall setting dialog box appears. Select Unblock and click OK. If you select Keep Blocking on firewall setting, you need to unblock for the remote server in Windows firewall to use the telnet server.

Conversational control using telnet (using port 5024)

You can use telnet to perform conversational control by sending SCPI commands to the E4990A on a message-by-message basis. For telnet, the socket of port 5024 is used for communications.

In this example, in order to show you the control procedure using telnet, you control the E4990A (IP address: 192.168.0.2 and host name: E4990A) from the external controller in the Windows environment.

  1. Open the MS-DOS command prompt screen.

  2. At the MS-DOS prompt, type telnet 192.168.0.2 5024 and press the return key.

  3. The telnet screen opens.

  4. Type a command and press the return key; it is sent to the E4990A and executed. If you enter a command that queries some data, the query response is displayed below the line you have entered the command.

  5. The following figure shows the screen after using the :SYST:PRES command to reset, the :SENS1:FREQ:STAR command and :SENS1:FREQ:STOP commands to set the sweep start value and stop value to 1 GHz and 2 GHz respectively, and checking the settings.

Example of control using telnet

  6. Press ] while holding down Ctl in the telnet screen to break the connection with the E4990A. The telnet prompt appears. At the telnet prompt, type quit and press the Enter key. The connection to the E4990A breaks and telnet ends.

Control from a program (using port 5025)

When controlling the E4990A from a program on the external controller, use the socket of port 5025 for connection. System > Misc Setup > Network Setup > Enable [ON]

  • It is not possible to turn on both Web server and Socket server.

  • Some functions such as service requests that are available in the GPIB remote control system are not available in control over telnet server.

About LXI

LXI (LAN eXtensions for Instrumentation) is the LAN-based successor to GPIB and combines the advantages of Ethernet with the simplicity and familiarity of GPIB. The key features of LXI are as follows:

  • The speed, simplicity, worldwide reach, low cost, ongoing enhancement and backward compatibility of LAN.

  • Quick, easy configuration through the intuitive web interface built into compliant instruments.

  • Simplified programming and greater software reuse through IVI drivers.

  • The ability to create hybrid systems that include LXI, GPIB, VXI, PXI, CANbus, etc.

  • Enhanced system performance and event handling via hardware- and LAN-based triggering modes.

  • Synchronization of local and remote instruments through the IEEE 1588 precision time protocol.

  • For more information on LXI, refer to www.lxistandard.org


USB Remote Control System

  • Overview

  • System Configuration

Other topics about Overview

Overview

The USB (Universal Serial Bus) remote control system provides device control via USB, which is equivalent to control via GPIB. Connection is made through an interface in compliance with USBTMC-USB488 and USB 2.0.

System Configuration

The USB remote control system controls instrument with either the name "alias" or the USB address.

Use a USB cable to connect the E4990A to an external controller (personal computer). The following figure shows an overview of the system configuration for the USB remote control system.

USB Remote Control System Configuration

Required Equipment

  • E4990A

  • External controller (PC with USB host port (type A)).

  • Other USB compatible devices (instruments and/or peripherals for specific purposes).

  • USB cable connecting E4990A and external controller (with type A/4-prong male or type B/4-prong male connectors depending on device used).

USB Port Types

There are two standard types of USB ports. The external controller (PC) must be connected via the USB host port (type A), while the E4990A and other USB compatible devices must be connected via the USB interface port (type B).

Port type | Description
 | Type A: USB host port
 | Type B: USB (USBTMC) interface port

Preparing E4990A

You do not have to configure any softkey or command of the E4990A in order to control the E4990A from an external controller. Simply connect a USB cable to the USB interface port.

Driver Installation

  1. You must install the Keysight I/O Libraries on your PC in advance.

  2. Connect the E4990A with your PC via USB cable. The driver is installed automatically at the first time connection. It takes a few minutes.

Getting VISA/SICL address

  1. From your PC's Start menu, click Program > Keysight I/O Libraries Suite > Keysight Connection Expert to open the Keysight Connection Expert setting screen.

  2. Click Refresh All.

  3. The E4990A appears under USB0.

  4. Click it, then address information is displayed.


Sending SCPI command messages

  • Type and Structure of Commands

  • Grammar of Messages

  • Remote Mode

Other topics about Overview

Type and Structure of Commands

The SCPI commands available for the E4990A are classified into 2 groups as follows.

E4990A commands

Commands specific to the E4990A. They cover all measurement functions that the E4990A has and some general-purpose functions. The commands in this group are arranged in a hierarchical structure called the command tree. Each command consists of character strings (mnemonics) indicating each hierarchical level and colon (:) separators between hierarchical levels.

IEEE common commands

Commands to cover general-purpose functions defined in IEEE488.2 that are available commonly to instruments that support this standard. The commands in this group have an asterisk (*) at the beginning. For the commands in this group, there is no hierarchical structure.

Concepts of the command tree

The commands at the top of the command tree are called "root command" or simply "root." To access lower level commands in the tree, you need to specify a specific path like a directory path in the DOS file system. After power-on or reset, the current path is set to the root. Special characters in messages change the path setting as described below.

Message terminator

A message terminator such as the

<new line> character sets the current path to the root.

Colon (:)

A colon between 2 command mnemonics lowers the level of the current path in the command tree. A colon used as the first character of a command specifies the command mnemonic that follows as the root-level command.

Semicolon (;)

A semicolon does not change the current path and separates 2 commands in the same message.

The following figure shows an example of how to use colons and semicolons to efficiently access commands in the command tree.

Using colons and semicolons

Grammar of Messages

This section describes the grammar to send program messages via GPIB. Program messages are messages that the user sends to the instrument from the external controller to control the instrument. A program message consists of 1 or more commands and their necessary parameters.

Upper/lower case sensitivity

Upper/lower case insensitive.

Program message terminator

A program message must be terminated with one of the 3 program message terminators: <new line>, <^END>, or <new line><^END>. <^END> indicates that EOI on the GPIB interface becomes active at the instant when the immediately previous data byte is sent. For example, the OUTPUT command of HTBasic automatically sends the message terminator after the last data byte.

Parameters

A space (ASCII code: 32) is required between a command and its first parameter. When sending several parameters in a single command, separate each parameter with a comma (,).

Message including several commands

When sending 2 or more commands in a single message, separate each command with a semicolon (;). The following example shows how to send the *CLS command and the :SYST:PRES command in a single message using VISA-COM.

Ana.WriteString "*CLS;:SYST:PRES", True

Remote Mode

The E4990A does not provide remote mode. Therefore, even if you send a GPIB command, it never enters into the remote mode automatically. There is no local key to release remote mode.

If you need to prevent misoperation during remote control due to entry from the front panel or mouse, lock the input devices using the following commands.

  • :SYST:KLOC:KBD

  • :SYST:KLOC:MOUS


Setting Measurement Conditions

  • Setting up the Measurement

  • Adapter Setting


Setting up the Measurement

  • Overview

  • Sample Program in Excel VBA

Other topics about Setting Measurement Conditions

Overview

The program listed in the below section is written in VISA-COM with Excel VBA. It can be executed from the external PC controller. The program demonstrates how to set up the measurement conditions.

Setting up Measurement Conditions Sample Program in Excel VBA

Sub Setup()

'

'

' The memory area of the resource manager and the instrument I/O are acquired

Dim iomgr As VisaComLib.ResourceManager

Dim Analyzer As VisaComLib.FormattedIO488

Set iomgr = New VisaComLib.ResourceManager

Set Analyzer = New VisaComLib.FormattedIO488

' Open the instrument. Sets the GPIB address.

Set Analyzer.IO = iomgr.Open("USB0::0x0957::0x1809::KPR0200015::0::INSTR")

' TimeOut time should be greater than the measurement time.

Analyzer.IO.timeout = 10000

'

' Initial Setup

Analyzer.WriteString ":SYST:PRES", True

' Set two channel

Analyzer.WriteString ":DISP:SPL D1_2", True

' Set trigger source at BUS.

Analyzer.WriteString ":TRIG:SOUR BUS", True

'

' Setup Channel 1

' Set measurement parameter for trace 1

Analyzer.WriteString ":CALC1:PAR1:DEF Z", True

' Set measurement parameter for trace 2

Analyzer.WriteString ":CALC1:PAR2:DEF TZ", True

' Set Y-Axis at Log format

Analyzer.WriteString ":DISP:WIND1:TRAC1:Y:SPAC LOG", True

' Stimulus Setup

' Turn on Continuous Activation mode for channel 1

Analyzer.WriteString ":INIT1:CONT ON", True

' Set sweep type at LOG

Analyzer.WriteString ":SENS1:SWE:TYPE LOG", True

' Set number of point

Analyzer.WriteString ":SENS1:SWE:POIN 201", True

' Set start freqency

Analyzer.WriteString ":SENS1:FREQ:STAR 100E3", True

' Set stop frequency

Analyzer.WriteString ":SENS1:FREQ:STOP 10E6", True

' Set OSC mode

Analyzer.WriteString ":SOUR1:MODE VOLT", True

' Set OSC level

Analyzer.WriteString ":SOUR1:VOLT 300E-3", True

' Turn on ALC

Analyzer.WriteString ":SOUR1:ALC ON", True

'

' Setup Channel 2

' Set measurement parameter for trace 1

Analyzer.WriteString ":CALC2:PAR1:DEF CS", True

' Set measurement parameter for trace 2

Analyzer.WriteString ":CALC2:PAR2:DEF Q", True

' Split the trace windows

Analyzer.WriteString ":DISP:WIND2:SPL D1_2", True

' Stimulus Setup

' Turn on Continuous Activation mode for channel 1

Analyzer.WriteString ":INIT2:CONT ON", True

' Set sweep type at segment sweep

Analyzer.WriteString ":SENS2:SWE:TYPE SEGM", True

' Set segment dispay at freq base

Analyzer.WriteString ":DISP:WIND2:X:SPAC LIN", True

SegFmt = "7,0,1,0,0,0,0,0,3,"

SegNo1 = "1E4,1E5,50,0,0.3," ' Start Freq, Stop Freq, Nop, Voltage Type, OSC level

SegNo2 = "1E5,1E6,200,0,0.5,"

segNo3 = "1E6,1E7,50,0,0.3"

' Set sweep type at LOG"

Analyzer.WriteString ":SENS2:SEGM:DATA " & SegFmt & SegNo1 & SegNo2 & segNo3, True

'

' Save setting into state file

' Save settings to file

Analyzer.WriteString ":MMEM:STOR ""D:\State\Test.sta""", True

' Close IO

Analyzer.IO.Close

End Sub


Adapter Setting

  • Overview

  • Sample Program in Excel VBA

Other topics about Setting Measurement Conditions

Overview

The program listed in the below section is written in VISA-COM with Excel VBA. It can be executed from the external PC controller. The program demonstrates how to perform the adapter settings.

Adapter Setting Sample Program in Excel VBA

Sub AdapterSetup()

'

'

'The memory area of the resource manager and the instrument I/O are acquired

Dim iomgr As VisaComLib.ResourceManager

Dim Analyzer As VisaComLib.FormattedIO488

Dim Dmy As Integer

Set iomgr = New VisaComLib.ResourceManager

Set Analyzer = New VisaComLib.FormattedIO488

' Open the instrument. Set the GPIB address.

Set Analyzer.IO = iomgr.Open("USB0::0x0957::0x1809::KPR0200015::0::INSTR")

' TimeOut time should be greater than the measurement time.

Analyzer.IO.timeout = 50000

' Select the adapter

' Set adapter type to 42942A

Analyzer.WriteString ":SENS1:ADAP:TYPE E4PR", True

' Phase setup

MsgBox "Connect Open Termination"

' Execute open in phase setup

Analyzer.WriteString ":SENS1:ADAP:CORR:COLL:ACQ PHAS", True

' Wait for measurement end

Analyzer.WriteString "*OPC?", True

Dmy = Analyzer.ReadNumber

' Save phase setup data

Analyzer.WriteString ":SENS1:ADAP:CORR:COLL:SAVE PHAS", True

MsgBox "Phase Setup Done"

' Impedance setup

MsgBox "Connect Open Termination"

' Execute open in impedance setup

Analyzer.WriteString ":SENS1:ADAP:CORR:COLL:ACQ OPEN", True

' Wait for measurement end

Analyzer.WriteString "*OPC?", True

Dmy = Analyzer.ReadNumber

MsgBox "Connect Short Termination"

' Execute short in impedance setup

Analyzer.WriteString ":SENS1:ADAP:CORR:COLL:ACQ SHOR", True

' Wait for measurement end

Analyzer.WriteString "*OPC?", True

Dmy = Analyzer.ReadNumber

MsgBox "Connect LOAD Termination"

' Execute load in impedance setup

Analyzer.WriteString ":SENS1:ADAP:CORR:COLL:ACQ LOAD", True

' Wait for measurement end

Analyzer.WriteString "*OPC?", True

Dmy = Analyzer.ReadNumber

' Save impedance setup data

Analyzer.WriteString ":SENS1:ADAP:CORR:COLL:SAVE IMP", True

MsgBox "Imepdance Setup Done"

' Close IO

Analyzer.IO.Close

End Sub


Preparing for Accurate Measurement

  • User Calibration

  • Fixture Compensation


User Calibration

  • Overview

  • Sample Program in Excel VBA

Other topics about Preparing for Accurate Measurement

Overview

The program listed in the below section is written in VISA-COM with Excel VBA. It can be executed from the external PC controller. The program demonstrates how to perform user calibration.

User Calibration Sample Program in Excel VBA

Sub UserCal()

'

'

' The memory area of the resource manager and the instrument I/O are acquired

Dim iomgr As VisaComLib.ResourceManager

Dim Analyzer As VisaComLib.FormattedIO488

Dim Dmy As Integer

Set iomgr = New VisaComLib.ResourceManager

Set Analyzer = New VisaComLib.FormattedIO488

' Open the instrument. Set the GPIB address.

Set Analyzer.IO = iomgr.Open("GPIB0::17::INSTR")

' TimeOut time should be greater than the measurement time.

Analyzer.IO.timeout = 50000

' Select adapter

' Set compensation point at fix

Analyzer.WriteString ":SENS1:CORR:COLL:FPO FIX", True

' Impedance setup

MsgBox "Connect Open Termination"

' Execute open in user calibration

Analyzer.WriteString ":SENS1:CORR1:COLL:ACQ:OPEN", True

' Wait for measurement to end

Analyzer.WriteString "*OPC?", True

Dmy = Analyzer.ReadNumber

MsgBox "Connect Short Termination"

' Execute short in user calibration

Analyzer.WriteString ":SENS1:CORR1:COLL:ACQ:SHOR", True

' Wait for measurement to end

Analyzer.WriteString "*OPC?", True

Dmy = Analyzer.ReadNumber

MsgBox "Connect LOAD Termination"

' Execute load in user calibration

Analyzer.WriteString ":SENS1:CORR1:COLL:ACQ:LOAD", True

' Wait for measurement to end

Analyzer.WriteString "*OPC?", True

Dmy = Analyzer.ReadNumber

' Save impedance setup data

Analyzer.WriteString ":SENS1:CORR1:COLL:SAVE", True

MsgBox "Impedance Setup Done"

' Close IO

Analyzer.IO.Close

End Sub


Fixture Compensation

  • Overview

  • Sample Program in Excel VBA

Other topics about Preparing for Accurate Measurement

Overview

The program listed in the below section is written in VISA-COM with Excel VBA. It can be executed from the external PC controller. The program demonstrates how to perform fixture compensation.

Fixture Compensation Sample Program in Excel VBA

' The memory area of the resource manager and the instrument I/O are acquired

Dim iomgr As VisaComLib.ResourceManager

Dim Analyzer As VisaComLib.FormattedIO488

Sub FixtureCompen()

Dim Dmy As Integer, Flg As Integer

Set iomgr = New VisaComLib.ResourceManager

Set Analyzer = New VisaComLib.FormattedIO488

' Open the instrument. Set the GPIB address.

Set Analyzer.IO = iomgr.Open("USB0::0x0957::0x1809::KPR0200015::0::INSTR")

' TimeOut time should be greater than the measurement time.

Analyzer.IO.timeout = 50000

' Select compensation point

' Set compensation point at fix

Analyzer.WriteString ":SENS1:CORR:COLL:FPO FIX", True

' Select fixture model

Analyzer.WriteString ":SENS1:FIXT:SEL FIXT16047A", True

'

Call DefineTermination

'

' Perform Fixture Compensation

Flg = MsgBox("Do you perform Open Fixture Compensation?", vbYesNo, "Fixture Compensation")

If Flg = vbYes Then

MsgBox "Connect Open Termination"

' Execute open in fixture compensation

Analyzer.WriteString ":SENS1:CORR2:COLL:ACQ:OPEN", True

' Wait for measurement end

Analyzer.WriteString "*OPC?", True

Dmy = Analyzer.ReadNumber

End If

Flg = MsgBox("Do you perform Short Fixture Compensation?", vbYesNo, "Fixture Compensation")

If Flg = vbYes Then

MsgBox "Connect Short Termination"

' Execute short in fixture compensation

Analyzer.WriteString ":SENS1:CORR2:COLL:ACQ:SHOR", True

' Wait for measurement end

Analyzer.WriteString "*OPC?", True

Dmy = Analyzer.ReadNumber

End If

Flg = MsgBox("Do you perform Load Fixture Compensation?", vbYesNo, "Fixture Compensation")

If Flg = vbYes Then

MsgBox "Connect LOAD Termination"

' Execute load in fixture compensation

Analyzer.WriteString ":SENS1:CORR2:COLL:ACQ:LOAD", True

' Wait for measurement end

Analyzer.WriteString "*OPC?", True

Dmy = Analyzer.ReadNumber

End If

' Close IO

Analyzer.IO.Close

End Sub

Sub DefineTermination()

'

Dim LoadF() As String, n As Integer, i As Integer

' Define Short termination by equivalent circuit model

' Set equivalent circuit model for short

Analyzer.WriteString ":SENS1:CORR2:CKIT:SHOR:MOD EQU", True

' Set short termination parameter (L)

Analyzer.WriteString ":SENS1:CORR2:CKIT:SHOR:L 1E-9", True

' Set short termination parameter (R)

Analyzer.WriteString ":SENS1:CORR2:CKIT:SHOR:R 1E-4", True

'

' Define Load by f-Z table model

' Set f-Z table model for short

Analyzer.WriteString ":SENS1:CORR2:CKIT:LOAD:MOD TABL", True

n = 4

ReDim LoadF(n)

' Define f-Z table (freq, real, imaginary)

LoadF(1) = "20, 49.5, 1E-3"

LoadF(2) = "1E3, 49.9, 1.2E-3"

LoadF(3) = "1E6, 50, 1.5E-3"

LoadF(4) = "120E6, 50.9, 2E-3"

' :SENS1:CORR2:CKIT:LOAD:TABL {n}, {freq 1}, {real 1}, {imaginary 1}, ... , {freq n}, {real n}, {imaginary n}

Analyzer.WriteString ":SENS1:CORR2:CKIT:LOAD:TABL " & Str(n) & ",", False ' Set f-Z table

For i = 1 To n - 1

Analyzer.WriteString LoadF(i) & ",", False

Next i

Analyzer.WriteString LoadF(n), True

End Sub


Starting a Measurement (Trigger) and Detecting the Completion of a Measurement

  • Trigger System

  • Starting a Measurement Cycle

  • Waiting for the End of Measurement

  • Detecting Occurrence of an Error


Trigger System

  • Overview

  • System-Wide States and Transitions

  • Channel-Wide States and Transitions

Other topics about Starting a Measurement (Trigger) and Detecting the Completion

Overview

The trigger system is responsible for such tasks as detecting the start of a measurement cycle (triggering) and enabling/disabling measurement on each channel. As shown in the following figure, the trigger system has two types of states: system-wide and channel-wide. The system-wide state can be "Hold", "Waiting for Trigger", or "Measurement", while the channel-wide state can be "Idle" or "Initiate".

Trigger system

The following subsections describe each state and explains how the trigger system switches among the states.

System-Wide States and Transitions

"Hold" State

The trigger system switches to "Hold" state when one of the following commands is executed (arrow "e" in Trigger system). Also, turning ON the power to the instrument puts the trigger system into "Hold" state. When the power is turned ON, the continuous initiation mode is ON for channel 1 and the trigger source is set to "Internal". Accordingly, the trigger system immediately switches to "Waiting for Trigger" state and subsequently repeats transitions between "Measurement" and "Waiting for Trigger" states.

  • :ABOR

  • *RST

When the trigger system is in "Hold" state and one of the channels switches to "Initiate" state (arrow "f" in Trigger system), the trigger system switches to "Waiting for Trigger" state (arrow "a" in Trigger system).

"Waiting for Trigger" State

When the trigger system is in "Waiting for Trigger" state and either the instrument is triggered (i.e., a trigger is detected) or one of the following commands is executed, the trigger system switches to "Measurement" state (arrow "b" in Trigger system)

  • :TRIG

  • :TRIG:SING

  • *TRG

As shown in the table below, the instrument is triggered differently depending on which trigger source is specified. To specify the trigger source, use the :TRIG:SOUR command.

Trigger Source | How instrument is triggered
Internal trigger | The instrument is automatically triggered within itself
External trigger | The instrument is triggered when a trigger signal is input through the Ext Trig terminal or the handler interface
Bus trigger | The instrument is triggered when the trigger command is issued.
Manual trigger | The instrument is triggered when you press Trigger > Trigger on the front panel.

"Measurement" State

In "Measurement" state, the instrument waits for the elapse of the sweep delay time (set by the :SENS<ch>:SWE:DEL) and then starts a measurement cycle. This process is performed sequentially on each of those channels that are in "Initiate" state immediately before the transition to this state, in ascending order of channel number.

When the instrument has finished measuring all the active channels, the trigger system behaves in one of the following ways depending on the setting of the continuous initiation mode.

If continuous initiation mode is OFF for all channels:

The trigger system switches to "Hold" state (arrow "c" in Trigger system).

If continuous initiation mode is ON for one of the channels:

The trigger system switches to "Waiting for Trigger" state (arrow "d" in Trigger system).

Channel-Wide States and Transitions

"Idle" State

A channel switches to "Initiate" state when one of the following commands is executed (arrow "f" in Trigger system).

  • :INIT<ch>

  • :INIT<ch>:CONT ("ON" specified)

"Initiate" State

A channel in this state is measured just before the entire system switches to "Measurement" state.

When the instrument has finished measuring a channel, the channel behaves in one of the following ways depending on the setting of the continuous initiation mode (set by the INIT<ch>:CONT).

If continuous initiation mode is OFF: The channel switches to "Idle" state (arrow "g" in Trigger system).

If continuous initiation mode is ON: The channel remains in "Initiate" state (arrow "h" in Trigger system).


Starting a Measurement Cycle

Starting a Measurement Cycle (Triggering the Instrument)

  • Configuring the Instrument

  • Starting Measurement on Demand

Other topics about Starting a Measurement (Trigger) and Detecting the Completion

Configuring the Instrument

  1. Use the :INIT<ch>:CONT command to turn ON the continuous initiation mode for the channels you want to measure and turn the mode OFF for any other channel.

  2. Issue the :TRIG:SOUR command to set the trigger source to Internal trigger.

Starting Measurement on Demand

  1. Use the :INIT<ch>:CONT command to turn ON the continuous initiation mode for the channels you want to measure and turn the mode OFF for any other channel.

  2. Issue the :TRIG:SOUR command to set the trigger source to "Bus Trigger".

  3. Trigger the instrument whenever you want to perform the measurement. An external controller can trigger the instrument by using one of the following three commands:

Command | Can *OPC? command be used to wait for end of sweep? | Applicable trigger source
*TRG | No | Bus trigger only
:TRG |  | External trigger Bus trigger Manual trigger
:TRG:SING | Yes
  4. Repeat step 3 to start the next measurement cycle.


Waiting for the End of Measurement

  • Overview

  • Sample Program in Excel VBA

Other topics about Starting a Measurement (Trigger) and Detecting the Completion

Overview

The program listed in the below section is written in VISA-COM with Excel VBA. It can be executed from the external PC controller. The program demonstrates how to perform waiting for the end of measurement.

Waiting for the End of Measurement Sample Program in Excel VBA

Option Explicit

Implements VisaComLib.IEventHandler

' The variables of the resource manager

Dim ioMgr As VisaComLib.ResourceManager

Dim Ana As VisaComLib.FormattedIO488

Dim SRQ As VisaComLib.IEventManager

Sub IEventHandler_HandleEvent( _

ByVal Ana As VisaComLib.IEventManager, _

ByVal SRQevent As VisaComLib.IEvent, _

ByVal userHandle As Long)

' Once the SRQ is detected, then get the data

Call ReadData

End Sub

Sub UserForm_Initialize()

' Instrument I/O declarlation

Set ioMgr = New VisaComLib.ResourceManager

Set Ana = New VisaComLib.FormattedIO488

' Open the instrument. Set the GPIB address

' You can change VISA address

Set Ana.IO = ioMgr.Open("GPIB0::17::INSTR")

' TimeOut time should be greater than the measurement time.

Ana.IO.timeout = 100000

' SRQ declarlation

Set SRQ = Ana.IO

SRQ.InstallHandler EVENT_SERVICE_REQ, Me

SRQ.EnableEvent EVENT_SERVICE_REQ, EVENT_HNDLR

' Clears the operation status event register and the status byte register.

Ana.WriteString "*CLS", True

' Aborts the trigger and sets the trigger source to the bus trigger.

Ana.WriteString ":TRIG:SOUR BUS", True

Ana.WriteString ":INIT:CONT ON", True

Ana.WriteString ":ABOR", True

' Sets the positive transition filter to 0 and the negative transition filter to 1 so that the operation status event register at bit 4 is set to 1 only when the

' operation status condition register at bit 4 is changed from 1 to 0.

Ana.WriteString ":STAT:OPER:PTR 0", True

Ana.WriteString ":STAT:OPER:NTR 16", True

' Anables bit 4 in the operation status event register and bit 8 in the status byte register.

Ana.WriteString ":STAT:OPER:ENAB 16", True

Ana.WriteString "*SRE 128", True

End Sub

Sub CmdTrigger_Click()

' Making a trigger

Ana.WriteString ":TRIG", True

End Sub

Sub ReadData()

' Clear the status register

Ana.WriteString "*CLS", True

Dim MeasData As Variant, i As Integer

Range("A5:B500").Clear

' Get the measurement data.

Ana.WriteString ":CALC1:DATA:FDAT?", True

MeasData = Ana.ReadList(ASCIIType_R8, ",")

' Display the data on the sheet

ActiveSheet.Cells(6, 1) = "Data (Primary)"

ActiveSheet.Cells(6, 2) = "Data (Secondary)"

For i = 1 To UBound(MeasData)

ActiveSheet.Cells(i + 6, 1).Value = MeasData(i * 2 - 2)

ActiveSheet.Cells(i + 6, 2).Value = MeasData(i * 2 - 1)

Next i

End Sub

Sub CmdClose_Click()

' Close

Ana.IO.Close

Unload Me

End Sub


Detecting Occurrence of an Error

  • Overview

  • Sample Program in Excel VBA

Other topics about Starting a Measurement (Trigger) and Detecting the Completion

Overview

The program listed in the below section is written in VISA-COM with Excel VBA. It can be executed from the external PC controller. The program demonstrates how to detect occurrence of an error.

Detecting Occurrence of an Error Sample Program in Excel VBA

Option Explicit

Implements VisaComLib.IEventHandler

Dim ioMgr As VisaComLib.ResourceManager

Dim Ana As VisaComLib.FormattedIO488

Dim SRQ As VisaComLib.IEventManager

Private Sub IEventHandler_HandleEvent(ByVal Ana As VisaComLib.IEventManager, ByVal SRQevent As VisaComLib.IEvent, ByVal userHandle As Long)

Call readErr

End Sub

Private Sub UserForm_Initialize()

' The variables of the resource manager

Set ioMgr = New VisaComLib.ResourceManager

Set Ana = New VisaComLib.FormattedIO488

Set Ana.IO = ioMgr.Open("GPIB0::17::INSTR")

Set SRQ = Ana.IO

SRQ.InstallHandler EVENT_SERVICE_REQ, Me, 1, 0

SRQ.EnableEvent EVENT_SERVICE_REQ, EVENT_HNDLR

With Ana

.WriteString "*RST"

.WriteString "*ESE 60"

.WriteString "*SRE 32"

.WriteString "*CLS"

End With

End Sub

Private Sub CmdCorrect_Click()

With Ana

.WriteString "CALC1:PAR1:SEL"

.WriteString "SENS1:SWE:TYPE LIN"

End With

End Sub

Private Sub CmdIllegalPara_Click()

With Ana

.WriteString "CALC1:PAR1:SEL"

' "LINE" is incorrect parameter. hence, this causes an error.

.WriteString "SENS1:SWE:TYPE LINE"

End With

End Sub

'Detected error is read and showed on message box.

Private Sub readErr()

Dim readErr As Variant

Ana.WriteString "SYST:ERR?"

readErr = Ana.ReadList

Ana.WriteString "*CLS", True

MsgBox "Error : " & readErr(0) & " , " & readErr(1), vbOKOnly, "Error occured."

End Sub

Private Sub EndBtn_Click()

Ana.IO.Close

Unload Me

End Sub


Reading/Writing Measurement Data

  • Data Transfer Format

  • Internal Data Processing

  • Reading/Writing Data


Data Transfer Format

  • Overview

  • ASCII Transfer Format

    • Integer Format

    • Floating-Point Number Format

  • Binary Transfer Format

Other topics about Reading/Writing Measurement Data

Overview

When you transfer data using the one of the following commands, you can choose among ASCII transfer format, IEEE 64-bit floating point binary transfer format and IEEE 32-bit floating point binary transfer format.

The instrument always uses the ASCII transfer format when you transfer data without using any of the following commands:

  • :CALC<ch>:DATA:FDAT

  • :CALC<ch>:DATA:FMEM

  • :CALC<ch>:FUNC:DATA?

  • :CALC<ch>:LIM:DATA

  • :CALC<ch>:LIM:REP?

  • :CALC<ch>:LIM:REP:ALL?

  • :SENS<ch>:FREQ:DATA?

  • :SENS<ch>:SEGM:DATA

To set the data transfer format, use the following command:

:FORM:DATA

  • Executing the :SYST:PRES or *RST does not affect the current setting of the data transfer format.

ASCII Transfer Format

When you select the ASCII transfer format as the data transfer format, numbers are transferred as ASCII bytes, each of which corresponds to one of the formats shown below. Note that numbers are separated from one another with a comma (,) in accordance with the IEEE 488.2 specification.

  • Numeric data strings vary in length. Keep this in mind when you extract some data from retrieved numeric data strings in your program.

Integer Format

The figure below shows this format. Numbers are expressed as integers. For example, 201 is expressed as "+201" or "201."

Integer format

Floating-Point Number Format

The figure below shows this format. Numbers are expressed with floating points. The number of decimal is 12 at default. For example, 1000 is expressed as "+1.00000000000E+003."

Floating-point number format

Binary Transfer Format

You can select the binary transfer format from the IEEE 64-bit floating point format or the IEEE 32-bit floating point format depending on the controller you use.

IEEE 64-bit floating point format

When you select the IEEE 64-bit floating point binary transfer format as the data transfer format, numbers are transferred in the format shown in the figure below.

Binary transfer format

This data transfer format uses a header that consists of a sharp character (#), a number of 6 (which indicates the byte size of the <number of bytes transferred> part), and the <number of bytes transferred> part in this order. The header is followed by the binary data (each number consists of 8 bytes and the total is the byte size indicated by <number of bytes transferred>) and the message terminator <new line>^END.

The binary data is expressed in the IEEE 754 64-bit floating-point number format shown in the figure below.

64-bit floating point format

IEEE 32-bit floating point format

When you select the IEEE 32-bit floating point binary transfer format as the data transfer format, numbers are transferred in the format shown in the figure below.

IEEE 32-bit floating point binary transfer format

This data transfer format uses a header that consists of a sharp character (#), a number of 6 (which indicates the byte size of the <number of bytes transferred> part), and the <number of bytes transferred> part in this order. The header is followed by the binary data (each number consists of 4 bytes and the total is the byte size indicated by <number of bytes transferred>) and the message terminator <new line>^END.

The binary data is expressed in the IEEE 754 32-bit floating-point number format shown in the figure below.

32-bit floating point data

Byte order

When you opt to perform binary transfer, you can configure the instrument to transfer the bytes of the data in one of the following two byte orders:

NORMal

Transfer begins with the byte that contains the MSB (Most Significant Bit); that is, the leftmost byte in 64 bit floating point format and 32 bit floating point data.

SWAPped

Transfer begins with the byte that contains the LSB (Least Significant Bit); that is, the rightmost byte in 64 bit floating point format and 32 bit floating point data.

To set the byte order, use the following command:

:FORM:BORD

  • Executing the :SYST:PRES or *RST does not affect the current setting of the byte order.


Internal Data Processing

  • Overview

  • Internal Data Arrays

Other topics about Communication with External Devices

Overview

The following figure provides an overview of the E4990A's internal data processing flow.

E4990A's data processing flow

Internal Data Arrays

Corrected data arrays

A corrected data array contains the corrected data obtained by performing error correction and port extension compensation (calibration) operations on the raw measured data of S parameter specified for each trace of each channel. Each data element is stored as a complex number (Re/Im).

The instrument retains 16 corrected data arrays at maximum, each of which is associated with one of the 4 traces contained in one of the 4 channels (4 × 4 = 16). To read/write one of the corrected data arrays, use the following command:

:CALC:DATA:RDAT

Corrected memory arrays

When the :CALC:MATH:MEM command is executed on a particular corrected data array, its copy is stored into the corrected memory array corresponding to that corrected data array.

The instrument retains 16 corrected memory arrays at maximum, each of which is associated with one of the 4 traces contained in one of the 4 channels (4 × 4 = 16). To read/write one of the corrected data arrays, use the following command:

:CALC:DATA:RMEM

Formatted data array

A formatted data array contains the formatted data (values to be displayed) obtained by performing data math operations, measurement parameter conversion, and smoothing on a particular corrected data array. Regardless of the data format, it contains two data elements per measurement point as shown in the following table:

Data format | Data element (primary value) | Data element (secondary value)
log magnitude | log magnitude | Always 0
Phase | Phase | Always 0
Group delay | Group delay | Always 0
Polar (Lin) | Liner magnitude | Phase
Polar (Log) | Log magnitude | Phase
Polar (Re/Im) | Real part of a complex number | Imaginary part of a complex number
Linear magnitude | Linear magnitude | Always 0
SWR | SWR | Always 0
Real number | Real number | Always 0
Imaginary number | Imaginary part of a complex number | Always 0
Expanded phase | Expanded phase | Always 0
Positive phase | Positive phase | Always 0

The instrument retains 16 formatted data arrays at maximum, each of which is associated with one of the 4 traces contained in one of the 4 channels (4 × 4 = 16). To read/write one of the formatted data arrays, use the following command:

:CALC:DATA:FDAT

Formatted memory arrays

A formatted memory array contains the formatted data (values to be displayed) obtained by performing data math operations, measurement parameter conversion, and smoothing on a particular corrected memory array.

The instrument retains 16 formatted memory arrays at maximum, each of which is associated with one of the 4 traces contained in one of the 4 channels (4 × 4 = 16). To read/write one of the formatted memory arrays, use the following command:

:CALC:DATA:FMEM

Stimulus data arrays

A stimulus data array contains the stimulus values for all measurement points.

The instrument retains 4 stimulus data arrays at maximum, each of which is associated with one of the 4 channels. Stimulus data arrays are read-only. To retrieve one of the stimulus data arrays, use the following command:

:SENS:FREQ:DATA?


Reading/Writing Data

  • Overview

  • Sample Program in Excel VBA

    • Reading Data

    • Writing Data

Other topics about Reading/Writing Measurement Data

Overview

The program listed in the below section is written in VISA-COM with Excel VBA. It can be executed from the external PC controller. The program demonstrates how to read/write data.

Reading/Writing Data Sample Program in Excel VBA

Reading Data

Sub Read_Click()

Dim ReadData() As Double, FreqData() As Double

Dim Poin As Integer, DataType As String, TraceNo As String

'*** The variables of the resource manager and the instrument I/O are declared.

Dim ioMgr As VisaComLib.ResourceManager

Dim Analyzer As VisaComLib.FormattedIO488

'*** The memory area of the resource manager and the instrument I/O are acquired.

Set ioMgr = New VisaComLib.ResourceManager

Set Analyzer = New VisaComLib.FormattedIO488

'*** Open the instrument.

Set Analyzer.IO = ioMgr.Open("GPIB0::17::INSTR")

Analyzer.IO.Timeout = 10000

'*** Abort sweeping.

Analyzer.WriteString ":INIT1:CONT OFF", True

Analyzer.WriteString ":ABOR", True

'*** Select trace

TraceNo = Cells(3, 2)

Analyzer.WriteString ":CALC1:PAR" & TraceNo & ":SEL", True

'*** Get number of point of the stimulus data.

Analyzer.WriteString ":SENS1:SWE:POIN?", True

Poin = Analyzer.ReadNumber

ReDim FreqData(Poin - 1)

ReDim ReadData(Poin * 2 - 1)

DataType = Cells(5, 2)

Select Case DataType

Case "Ascii"

Analyzer.WriteString ":FORM:DATA ASC", True

'*** Get the frequency data.

Analyzer.WriteString ":SENS1:FREQ:DATA?", True

FreqData = Analyzer.ReadList(ASCIIType_R8, ",")

'*** Get the measurement data.

Analyzer.WriteString ":CALC1:DATA:FDAT?", True

ReadData = Analyzer.ReadList(ASCIIType_R8, ",")

Case "Binary"

Analyzer.WriteString ":FORM:DATA REAL", True

'*** Get the frequency data.

Analyzer.WriteString ":SENS1:FREQ:DATA?", True

FreqData = Analyzer.ReadIEEEBlock(BinaryType_R8, False, True)

'*** Get the measurement data.

Analyzer.WriteString ":CALC1:DATA:FDAT?", True

ReadData = Analyzer.ReadIEEEBlock(BinaryType_R8, False, True)

End Select

'*** Set data for new sheet

ActiveSheet.Cells(10, 1) = "Frequency"

ActiveSheet.Cells(10, 2) = "Primary"

ActiveSheet.Cells(10, 3) = "Secondary"

ActiveSheet.Range("A11:C1000").Clear

For i = 1 To Poin

ActiveSheet.Cells(i + 10, 1) = FreqData(i - 1)

ActiveSheet.Cells(i + 10, 2).Value = ReadData(i * 2 - 2)

ActiveSheet.Cells(i + 10, 3).Value = ReadData(i * 2 - 1)

Next i

'*** End procedure

Analyzer.IO.Close

End Sub

Writing Data

Sub Write_Click()

Dim WriteData() As Double

Dim Poin As Integer, DataType As String, TraceNo As String

'*** The variables of the resource manager and the instrument I/O are declared.

Dim ioMgr As VisaComLib.ResourceManager

Dim Analyzer As VisaComLib.FormattedIO488

'*** The memory area of the resource manager and the instrument I/O are acquired.

Set ioMgr = New VisaComLib.ResourceManager

Set Analyzer = New VisaComLib.FormattedIO488

'*** Open the instrument.

Set Analyzer.IO = ioMgr.Open("GPIB0::17::INSTR")

Analyzer.IO.Timeout = 10000

'*** Abort sweeping.

Analyzer.WriteString ":INIT1:CONT OFF", True

Analyzer.WriteString ":ABOR", True

'*** Select trace

TraceNo = Cells(3, 2)

Analyzer.WriteString ":CALC1:PAR" & TraceNo & ":SEL", True

'*** Get number of point.

Analyzer.WriteString ":SENS1:SWE:POIN?", True

Poin = Analyzer.ReadNumber

ReDim WriteData(Poin * 2 - 1) As Double

'*** Set data for array variable, and send data for the Analyzer

For i = 1 To Poin

WriteData(i * 2 - 2) = ActiveSheet.Cells(i + 10, 2).Value

WriteData(i * 2 - 1) = ActiveSheet.Cells(i + 10, 3).Value

Next i

DataType = Cells(5, 2)

Select Case DataType

Case "Ascii"

Analyzer.WriteString ":FORM:DATA ASC", True

Analyzer.WriteString "CALC1:DATA:FDAT ", False

Analyzer.WriteList WriteData, ASCIIType_R8, ",", True

Case "Binary"

Analyzer.WriteString ":FORM:DATA REAL", True

Analyzer.WriteIEEEBlock ":CALC1:DATA:FDAT ", WriteData, True

End Select

'*** End procedure

Analyzer.IO.Close

End Sub


Processing Measurement Results

  • Searching Peak

  • Setting the Limit Test Functions


Searching Peak

  • Overview

  • Sample Program in Excel VBA

Other topics about Processing Measurement Results

Overview

The program listed in the below section is written in VISA-COM with Excel VBA. It can be executed from the external PC controller. The program demonstrates how to search peak.

Searching Peak Sample Program in Excel VBA

Dim ioMgr As VisaComLib.ResourceManager

Dim Ana As VisaComLib.FormattedIO488

Sub PeakSearch_Click()

Range("B6:I30").Clear

Dim Excursion As Double

Dim Freq As Double, Resp As Variant, PeakPoint As Variant

Dim Poin As Long, Stat As Long, Dummy As Long

Excursion = 1

Set ioMgr = New VisaComLib.ResourceManager

Set Ana = New VisaComLib.FormattedIO488

'

'*** Open the instrument.

Set Ana.IO = ioMgr.Open("GPIB0::17::INSTR")

Ana.IO.timeout = 10000

'

' Setup Analyzer

Ana.WriteString ":SYST:PRES", True

Ana.WriteString ":INIT:CONT ON", True

Ana.WriteString ":TRIG:SOUR BUS", True

Ana.WriteString ":SENS1:FREQ:CENT 950E6", True

Ana.WriteString ":SENS1:FREQ:SPAN 200E6", True

Ana.WriteString ":SENS1:SWE:POIN 201", True

Ana.WriteString ":CALC1:PAR1:DEF S21", True

Ana.WriteString ":CALC1:PAR1:SEL", True

' Select trace 1

' Make a Measurement

Ana.WriteString ":TRIG:SING", True

Ana.WriteString "*OPC?", True

' Wait measurement end

Dummy = Ana.ReadNumber

' Auto scale

Ana.WriteString ":DISP:WIND1:TRAC1:Y:AUTO", True

' Example of Marker Peak Search

Ana.WriteString ":CALC1:MARK:FUNC:DOM ON", True

Ana.WriteString ":CALC1:MARK:FUNC:DOM:STAR 900E6", True

Ana.WriteString ":CALC1:MARK:FUNC:DOM:STOP 1E9", True

' Search type: peak

Ana.WriteString ":CALC1:MARK1:FUNC:TYPE PEAK", True

' Set peak excursion

Ana.WriteString ":CALC1:MARK1:FUNC:PEXC " & Str(Excursion), True

' Peak Polarity: Positive

Ana.WriteString ":CALC1:MARK1:FUNC:PPOL POS", True

' Execute search

Ana.WriteString ":CALC1:MARK1:FUNC:EXEC", True

' Call ErrorCheck

' Read marker stimulus value

Ana.WriteString ":CALC1:MARK1:X?", True

Freq = Ana.ReadNumber

' Read marker value

Ana.WriteString ":CALC1:MARK1:Y?", True

Resp = Ana.ReadList

Cells(6, 2).Value = Val(Freq)

' Display real part of result.

Cells(6, 3).Value = Resp(0)

'

' Example of All Peak Search

Ana.WriteString ":CALC1:FUNC:DOM ON", True

Ana.WriteString ":CALC1:FUNC:DOM:STAR 900E6", True

Ana.WriteString ":CALC1:FUNC:DOM:STOP 1E9", True

' Search type: all peak

Ana.WriteString ":CALC1:FUNC:TYPE APEAK", True

' Set peak excursion

Ana.WriteString ":CALC1:FUNC:PEXC " & Str(Excursion), True

' Peak Polarity: positive

Ana.WriteString ":CALC1:FUNC:PPOL POS", True

' Execute search

Ana.WriteString ":CALC1:FUNC:EXEC", True

Ana.WriteString "*OPC?", True

Dummy = Ana.ReadNumber

Call ErrorCheck

' Read value

Ana.WriteString ":CALC1:FUNC:POIN?", True

Poin = Ana.ReadNumber

' Read stimulus point number

Ana.WriteString ":CALC1:FUNC:DATA?", True

PeakPoint = Ana.ReadList '

j = 0

For i = 1 To Poin

Cells(5 + i, 5).Value = Val(PeakPoint(j))

Cells(5 + i, 6).Value = Val(PeakPoint(j + 1))

j = j + 2

Next i

'

' Example of Multi Peak Search

Ana.WriteString ":CALC1:MARK:FUNC:MULT:TYPE PEAK", True

Ana.WriteString ":CALC1:MARK:FUNC:MULT:PEXC " & Str(Excursion), True

Ana.WriteString ":CALC1:MARK:FUNC:MULT:PPOL POS", True

Ana.WriteString ":CALC1:MARK:FUNC:EXEC", True

Ana.WriteString "*OPC?", True

Dummy = Ana.ReadNumber

Call ErrorCheck

For i = 1 To 9

' Check if marker is active.

Ana.WriteString ":CALC1:MARK" & i & "?", True

Stat = Ana.ReadNumber

If Stat = 1 Then

' Read marker stimulus value

Ana.WriteString ":CALC1:MARK" & i & ":X?", True

Freq = Ana.ReadNumber

' Read marker value

Ana.WriteString ":CALC1:MARK" & i & ":Y?", True

Resp = Ana.ReadList

Cells(5 + i, 8).Value = Val(Freq)

Cells(5 + i, 9).Value = Resp(0)

End If

Next i

Ana.IO.Close

'

End Sub

Sub ErrorCheck()

Dim err As Variant

' Reads error message.

Ana.WriteString ":SYST:ERR?", True

err = Ana.ReadList

If Val(err(0)) <> 0 Then

' Display the message box.

Response = MsgBox(CStr(err(1)), vbOKOnly)

End If

End Sub


Setting the Limit Test Functions

  • Overview

  • Sample Program in Excel VBA

Other topics about Processing Measurement Results

Overview

The program listed in the below section is written in VISA-COM with Excel VBA. It can be executed from the external PC controller. The program demonstrates how to set the limit test functions.

Setting the Limit Test Functions Sample Program in Excel VBA

Private Sub Measure_Click()

Dim ioMgr As VisaComLib.ResourceManager

Dim Ana As VisaComLib.FormattedIO488

Dim Star As Double, Stp As Double

Dim Param(1) As String, Fmt(1) As String, SwpFmt As String

Dim NumofSeg(1) As Integer

Dim LimTbl1 As LimitTbl1, LimTbl2 As LimitTbl2

Dim Dummy As Integer, ret As Integer

Dim Lim_Judge As Integer

Dim Tr1_Judge As Integer

Dim Tr2_Judge As Integer

Dim Fail_Point As Integer

Dim Fail_Data As Variant

Dim Fail_Point2 As Integer

Dim Fail_Data2 As Variant

'*** The memory area of the resource manager and the instrument I/O are acquired.

Set ioMgr = New VisaComLib.ResourceManager

Set Ana = New VisaComLib.FormattedIO488

'*** Open the instrument.

Set Ana.IO = ioMgr.Open("GPIB0::17::INSTR")

Ana.IO.timeout = 10000

Ana.WriteString ":SYST:PRES", True

Ana.WriteString ":SYST:BEEP:WARN:STAT OFF", True

'* Clear Fail Point Data on the sheet.

Range("E27:F100").Clear

Range("C26:C28").ClearContents

'* Set variable of measurement condition.

Star = CDbl(Cells(3, 3).Value)

Stp = CDbl(Cells(4, 3).Value)

SwpFmt = Cells(5, 3).Value

Param(0) = Trim(Cells(6, 3).Value)

Fmt(0) = Trim(Cells(7, 3).Value)

Param(1) = Trim(Cells(8, 3).Value)

Fmt(1) = Trim(Cells(9, 3).Value)

'

'* Set variable of limit tables.

NumofSeg(0) = 4

NumofSeg(1) = 3

'

For i = 0 To NumofSeg(0) - 1

With LimTbl1

If Trim(Cells(13 + i, 3).Value) = "MAX" Then

.Typ(i) = 1

Else

.Typ(i) = 2

End If

.BeginStim(i) = CDbl(Cells(13 + i, 4).Value)

.EndStim(i) = CDbl(Cells(13 + i, 5).Value)

.BeginResp(i) = CDbl(Cells(13 + i, 6).Value)

.EndResp(i) = CDbl(Cells(13 + i, 7).Value)

End With

Next i

'

For i = 0 To NumofSeg(1) - 1

With LimTbl2

If Trim(Cells(20 + i, 3).Value) = "MAX" Then

.Typ(i) = 1

Else

.Typ(i) = 2

End If

.BeginStim(i) = CDbl(Cells(20 + i, 4).Value)

.EndStim(i) = CDbl(Cells(20 + i, 5).Value)

.BeginResp(i) = CDbl(Cells(20 + i, 6).Value)

.EndResp(i) = CDbl(Cells(20 + i, 7).Value)

End With

Next i

'

'*** Send measurement condition to the Ana

Ana.WriteString ":SENS1:FREQ:STAR " + CStr(Star), True

Ana.WriteString ":SENS1:FREQ:STOP " + CStr(Stp), True

Ana.WriteString ":SENS1:SWE:TYPE " + SwpFmt, True

Ana.WriteString ":CALC1:PAR1:COUN 2", True

Ana.WriteString ":DISP:WIND1:SPL D1_2", True

Ana.WriteString ":TRIG:SOUR BUS", True ' Triger souce: bus

Ana.WriteString ":INIT1:CONT ON", True ' Triger mode: Continuos

'

'* Send measurement parameter and format of trace 1 to the Ana.

Ana.WriteString ":CALC1:PAR1:SEL", True

Ana.WriteString ":CALC1:PAR1:DEF " + Param(0), True

Ana.WriteString ":DISP:WIND1:TRAC1:Y:SPAC " + Fmt(0), True ' Set Y-Axis at Log format

'* Send limit table of trace 1 to the Ana.

Ana.WriteString ":CALC1:LIM:DATA " + CStr(NumofSeg(0)), False

For i = 0 To NumofSeg(0) - 1

With LimTbl1

Ana.WriteString "," + CStr(.Typ(i)), False

Ana.WriteString "," + CStr(.BeginStim(i)), False

Ana.WriteString "," + CStr(.EndStim(i)), False

Ana.WriteString "," + CStr(.BeginResp(i)), False

If i = NumofSeg(0) - 1 Then

Ana.WriteString "," + CStr(.EndResp(i)), True

Else

Ana.WriteString "," + CStr(.EndResp(i)), False

End If

End With

Next i

Ana.WriteString ":CALC1:LIM:DISP ON", True

Ana.WriteString ":CALC1:LIM:DISP:CLIP OFF", True

Ana.WriteString ":CALC1:LIM ON", True

'

'* Send measurement parameter and format of trace 2 to the Ana.

Ana.WriteString ":CALC1:PAR2:SEL", True

Ana.WriteString ":CALC1:PAR2:DEF " + Param(1), True

Ana.WriteString ":DISP:WIND1:TRAC2:Y:SPAC " + Fmt(1)

'* Send limit table of trace 2 to the Ana.

Ana.WriteString ":CALC1:LIM:DATA " + CStr(NumofSeg(1)), False

For i = 0 To NumofSeg(1) - 1

With LimTbl2

Ana.WriteString "," + CStr(.Typ(i)), False

Ana.WriteString "," + CStr(.BeginStim(i)), False

Ana.WriteString "," + CStr(.EndStim(i)), False

Ana.WriteString "," + CStr(.BeginResp(i)), False

If i = NumofSeg(1) - 1 Then

Ana.WriteString "," + CStr(.EndResp(i)), True

Else

Ana.WriteString "," + CStr(.EndResp(i)), False

End If

End With

Next i

Ana.WriteString ":CALC1:LIM:DISP ON", True

Ana.WriteString ":CALC1:LIM:DISP:CLIP OFF", True

Ana.WriteString ":CALC1:LIM ON", True

Ana.WriteString "*OPC?", True

Dummy = Ana.ReadNumber

'

'*** Setting status resister.

Ana.WriteString ":STAT:QUES:LIM:PTR 2", True

Ana.WriteString ":STAT:QUES:LIM:NTR 0", True

Ana.WriteString ":STAT:QUES:LIM:CHAN1:ENAB 6", True

Ana.WriteString ":STAT:QUES:LIM:CHAN1:PTR 6", True

Ana.WriteString ":STAT:QUES:LIM:CHAN1:NTR 0", True

' Clear status register

Ana.WriteString "*CLS", True

. ' Wait register clear end.

Ana.WriteString "*OPC?", True

Dummy = Ana.ReadNumber

'

'* Trigger

' Make a single trigger.

Ana.WriteString ":TRIG:SING", True

' Wait measurement end.

Ana.WriteString "*OPC?", True

Dummy = Ana.ReadNumber

'

'* Checking test results.

Ana.WriteString ":STAT:QUES:LIM?", True

ret = Ana.ReadNumber

Lim_Judge = ret And 2

Ana.WriteString ":STAT:QUES:LIM:CHAN1?", True

ret = Ana.ReadNumber

Tr1_Judge = ret And 2

Tr2_Judge = ret And 4

'

'*** Displaying test results.

If Lim_Judge = 0 Then

Cells(26, 3).Value = "PASS"

Else

Cells(26, 3).Value = "FAIL"

End If

If Tr1_Judge = 0 Then

Cells(27, 3).Value = "PASS"

Else

Cells(27, 3).Value = "FAIL"

Ana.WriteString ":CALC1:PAR1:SEL", True

Ana.WriteString ":CALC1:LIM:REP:POIN?", True

Fail_Point = Ana.ReadNumber

ReDim Fail_Data(Fail_Point - 1)

ptr = VarPtr(Fail_Data(0))

Ana.WriteString ":CALC1:LIM:REP?", True

Fail_Data = Ana.ReadList(ASCIIType_R8, ",")

For i = 0 To Fail_Point - 1

Cells(27 + i, 5).Value = Fail_Data(i)

Next i

End If

If Tr2_Judge = 0 Then

Cells(28, 3).Value = "PASS"

Else

Cells(28, 3).Value = "FAIL"

Ana.WriteString ":CALC1:PAR2:SEL", True

Ana.WriteString ":CALC1:LIM:REP:POIN?", True

Fail_Point2 = Ana.ReadNumber

ReDim Fail_Data2(Fail_Point2 - 1)

Ana.WriteString ":CALC1:LIM:REP?", True

Fail_Data2 = Ana.ReadList(ASCIIType_R8, ",")

For i = 0 To Fail_Point2 - 1

Cells(27 + i, 6).Value = Fail_Data2(i)

Next i

End If

Ana.IO.Close

End Sub


Saving Recalling a Measurement Result

Saving/Recalling a Measurement Result/Measurement Setup

  • Saving Data Into a File

  • Capturing Screen Into PC

  • Transferring Files


Saving Data Into a File

  • Overview

  • Sample Program in Excel VBA

Other topics about Saving/Recalling a Measurement Result

Overview

The program listed in the below section is written in VISA-COM with Excel VBA. It can be executed from the external PC controller. The program demonstrates how to save data into a file.

Saving Data Into a File Sample Program in Excel VBA

Private Sub File_Save_Click()

' Declare two string variables for file name and file type

Dim File_Name As String

Dim File_Type As String

Dim ioMgr As VisaComLib.ResourceManager

Dim Ana As VisaComLib.FormattedIO488

'*** The memory area of the resource manager and the instrument I/O are acquired.

Set ioMgr = New VisaComLib.ResourceManager

Set Ana = New VisaComLib.FormattedIO488

'*** Open the instrument.

Set Ana.io = ioMgr.Open("GPIB0::17::INSTR")

Ana.io.timeout = 10000

' Check whether file name textbox is empty or not

If TextBox1.Text <> "" Then

File_Name = Trim(TextBox1.Text)

File_Type = Trim(frmFileSave.ComboBox1.Value)

' Open connection to the Ana

Select Case File_Type

Case "1: State (State Only)"

Ana.writestring ":MMEM:STOR:STYP STAT", True

Ana.writestring ":MMEM:STOR """ & File_Name & ".sta""", True

Case "2: State (State & Cal)"

Ana.writestring ":MMEM:STOR:STYP CST", True

Ana.writestring ":MMEM:STOR """ & File_Name & ".sta""", True

Case "3: State (State & Trace)"

Ana.writestring ":MMEM:STOR:STYP DST", True

Ana.writestring ":MMEM:STOR """ & File_Name & ".sta""", True

Case "4: State (All)"

Ana.writestring ":MMEM:STOR:STYP CDST", True

Ana.writestring ":MMEM:STOR """ & File_Name & ".sta""", True

Case "5: Trace Data (CSV)"

Ana.writestring ":MMEM:STOR:FDAT """ & File_Name & ".csv""", True

Case "6: Screen Image (BMP)"

Ana.writestring ":MMEM:STOR:IMAG """ & File_Name & ".bmp""", True

Case Else

MsgBox "Error in code"

End Select

Ana.io.Close

Else

MsgBox "Please enter a filename"

End If

End Sub

Private Sub UserForm_Initialize()

ComboBox1.AddItem "1: State (State Only)"

ComboBox1.AddItem "2: State (State & Cal)"

ComboBox1.AddItem "3: State (State & Trace)"

ComboBox1.AddItem "4: State (All)"

ComboBox1.AddItem "5: Trace Data (CSV)"

ComboBox1.AddItem "6: Screen Image (BMP)"

ComboBox1.ListIndex = 0

TextBox1.Text = "D:\TempFile"

End Sub


Capturing Screen Into PC

  • Overview

  • Sample Program in Excel VBA

Other topics about Saving/Recalling a Measurement Result

Overview

The program listed in the below section is written in VISA-COM with Excel VBA. It can be executed from the external PC controller. The program demonstrates how to capture screen into PC.

Capturing Screen Into PC Sample Program in Excel VBA

Sub ScreenCapture()

'*** The variables of the resource manager and the instrument I/O are declared.

Dim ImgData() As Byte

Dim FilAnalyzerme As String

Dim ioMgr As VisaComLib.ResourceManager

Dim Analyzer As VisaComLib.FormattedIO488

'*** The memory area of the resource manager and the instrument I/O are acquired.

Set ioMgr = New VisaComLib.ResourceManager

Set Analyzer = New VisaComLib.FormattedIO488

'*** Open the instrument.

Set Analyzer.IO = ioMgr.Open("GPIB0::17::INSTR")

Analyzer.IO.timeout = 10000

FilAnalyzerme = Range("B7").Value

Analyzer.WriteString ":HCOP:SDUM:DATA:FORM PNG", True

Analyzer.WriteString ":HCOP:SDUM:DATA?", True

ImgData = Analyzer.ReadIEEEBlock(BinaryType_UI1, False, True)

Open FilAnalyzerme For Binary As #1

Put #1, , ImgData()

Close

'*** End of procedure

Analyzer.IO.Close

End Sub


Transferring Files

  • Overview

  • Sample Program in Excel VBA

Other topics about Saving/Recalling a Measurement Result

Overview

The program listed in the below section is written in VISA-COM with Excel VBA. It can be executed from the external PC controller. The program demonstrates how to transfer files.

Transferring Files Sample Program in Excel VBA

Private Sub fromAna_toPC_Click()

'*** This sequence is a sample code in which the file is transferred

'*** from the Ana to the external controller.

Dim hFile As Long

Dim isOpen As Boolean

Dim ioMgr As VisaComLib.ResourceManager

Set ioMgr = New VisaComLib.ResourceManager

Dim Ana As VisaComLib.FormattedIO488

Set Ana = New VisaComLib.FormattedIO488

Set Ana.IO = ioMgr.Open("GPIB0::17::INSTR")

Ana.IO.Timeout = 10000

Dim byteData() As Byte

Dim Ana_File As String

Dim PC_File As String

Ana_File = """" & Trim(TextBox2.Text) & """"

PC_File = Trim(TextBox1.Text)

Ana.WriteString ":MMEM:TRAN? " & Ana_File

byteData = Ana.ReadIEEEBlock(BinaryType_UI1)

hFile = FreeFile()

Open PC_File For Binary Access Write Shared As hFile

isOpen = True

Put #hFile, , byteData

If isOpen Then Close #hFile

Ana.IO.Close

End Sub

Private Sub fromPC_toAna_Click()

'*** This sequence is a sample code in which the file is transferred

'*** from the external controller to the Ana.

Dim hFile As Long

Dim isOpen As Boolean

Dim ioMgr As VisaComLib.ResourceManager

Set ioMgr = New VisaComLib.ResourceManager

Dim Ana As VisaComLib.FormattedIO488

Set Ana = New VisaComLib.FormattedIO488

Set Ana.IO = ioMgr.Open("GPIB0::17::INSTR")

Ana.IO.Timeout = 10000

Dim byteData() As Byte

Dim strBuf As String

Dim fileSize As Long

Dim Ana_File As String

Dim PC_File As String

Ana_File = """" & Trim(TextBox2.Text) & """"

PC_File = Trim(TextBox1.Text)

fileSize = FileLen(PC_File)

ReDim byteData(fileSize - 1)

hFile = FreeFile()

Open PC_File For Binary Access Read Shared As hFile

isOpen = True

Get #hFile, , byteData

If isOpen Then Close #hFile

strBuf = ":MMEM:TRAN " & Ana_File & ","

Ana.WriteIEEEBlock strBuf, byteData, True

Ana.IO.Close

End Sub

Private Sub UserForm_Initialize()

TextBox1.Text = "C:\temp\temp.png"

TextBox2.Text = "D:\temp.png"

End Sub

Private Sub EndBtn_Click()

End

End Sub


Communication with External Devices

Communication with External Equipment (Using I/O Ports)

  • 24 Bit Handler IO Port Overview

  • I/O Signal Pin Layout and Description

  • Inputting/Outputting Data

  • Preset States at Power ON

  • Timing Chart

  • Electrical Characteristics


24 Bit (Handler) I/O Port Overview

The E4990A 24 Bit (handler) I/O port provides four independent parallel ports for data I/O associated with several control signal lines and the power line. All signals operate in TTL logic.

The data I/O ports are configured with 2 pairs of 8 bit output port and 2 pairs of 4 bit bi-directional port. Also those ports can cooperate to provide a maximum 16-bit-width output port or a maximum 8-bit-width input port.

The I/O signals operate on the negative logic basis, which can be altered. The control signal lines consist of various control output data, including completion of measurement or control signal for handshaking.

I/O ports and control signal lines

Other topics about Communication with External Devices


I/O Signal Pin Layout and Description

The layout of the I/O signal pins on the handler interface connector and its description are shown below.

A slash (/) symbol preceding signal names means that they are negative logic (active low).

Pin number Signal name Signal specification

Pin Number

Signal

Signal Specification

1

GND

0 V. Ground

2

/INPUT1

When this port receives a negative pulse, /OUTPUT1 and /OUTPUT2 are changed to the Low level.

3

/OUTPUT1

Changes to the Low level when /INPUT1 receives a negative pulse. A command is available for altering the Low/High level logic.

4

/OUTPUT2

Changes to the Low level when /INPUT1 receives a negative pulse. A command is available for altering the Low/High level logic.

5

/PORT A0

Bit 0 of port A (8 bit parallel output port).

6

/PORT A1

Bit 1 of port A.

7

/PORT A2

Bit 2 of port A.

8

/PORT A3

Bit 3 of port A.

9

/PORT A4

Bit 4 of port A.

10

/PORT A5

Bit 5 of port A.

11

/PORT A6

Bit 6 of port A.

12

/PORT A7

Bit 7 of port A.

13

/PORT B0

Bit 0 of port B (8 bit parallel output port).

14

/PORT B1

Bit 1 of port B.

15

/PORT B2

Bit 2 of port B.

16

/PORT B3

Bit 3 of port B.

17

/PORT B4

Bit 4 of port B.

18

/PORT B5

Bit 5 of port B.

19

/PORT B6

Bit 6 of port B.

/INDEX

Indicates that analog measurement is complete. The /INDEX signal changes to the Low level when analog measurement (all sweeps of all channels) is complete. When the handler receives the signal, it assumes that it is ready to connect the next DUT. However, no measurement data is available until data calculation is completed.

When the point trigger function is ON, it goes to the High level before starting measurement of the first measurement point and returns to the Low level after completing measurement of all measurement points.

20

/PORT B7

Bit 7 of port B.

/READY FOR TRIGGER

Indicates that the instrument is ready for triggering. This signal is changed to the Low level when the instrument is ready to receive a trigger signal.

The /READY FOR TRIGGER signal goes to the Low level when the instrument is ready to accept the trigger signal for the first point and goes to the High level when the trigger signal for the first point is received.

When the point trigger is OFF: When measurement of all measurement points is completed and the instrument is ready to receive the trigger signal for the first point of the next sweep, this signal goes to the Low level again.

When the point trigger is ON: When each measurement point is completed and the instrument is ready to receive the trigger signal for the next measurement point, this signal goes to the Low level again.

21

/PORT C0

Bit 0 of port C (4 bit parallel I/O port).

22

/PORT C1

Bit 1 of port C.

23

/PORT C2

Bit 2 of port C.

24

/PORT C3

Bit 3 of port C.

25

/PORT D0

Bit 0 of port D (4 bit parallel I/O port).

26

/PORT D1

Bit 1 of port D.

27

/PORT D2

Bit 2 of port D.

28

/PORT D3

Bit 3 of port D.

29

PORT C STATUS

Port C status signal. This signal is changed to the High level when the port C is configured to output port. It is changed to the Low level when the port is configured to input port.

30

PORT D STATUS

Port D status signal. This signal is changed to the High level when the port D is configured to output port. It is changed to the Low level when the port is configured to input port.

31

/WRITE STROBE

A output port write strobe signal. When data is present (that is, output level changes) on any of the output ports, this signal provides a negative pulse.

32

+5V pull-up

Provides +5V DC power supply for external instruments.

33

/SWEEP END

A sweep completion signal. When measurement (all sweeps of all channels) and data calculation are completed, this signal provides a negative pulse.

34

+5V

Provides +5V DC power supply for external instruments.

35

/PASS FAIL

Each limit test's results signal. This signal changes to the High level when limit test, or bandwidth test results return FAIL. It changes to the Low level when all limit test results return PASS.

36

/PASS FAIL STROBE

Each limit test's results write a strobe signal. When limit test result is present on /PASS FAIL, this signal provides a negative pulse.

  • Pin 19 has 2 features: Port B6 and INDEX. This feature is controlled by CONT:HAND:EXT:IND:STAT command.

  • Pin 20 has 2 features: Port B7 and READY FOR TRIGGER. This feature is controlled by CONT:HAND:EXT:RTR:STAT command.

Other topics about Communication with External Devices


Inputting Outputting Data

  • Overview

  • Specifying Signal Direction of Port

  • Reading Data Input from Port

  • Data Output to Port

Other topics about Communication with External Devices

Overview

The E4990A 24 Bit (Handler) I/O port provides the ports for data I/O shown below.

Port Name | Usage | Data Structure
Port A | Output |
Port B | Output |
Port C | Input/Output |
Port D | Input/Output |
Port E | Input/Output |
Port F | Output |

Specifying Signal Direction of Port

Signal direction (input/output) can be changed for the ports C, D, and E as shown in I/O ports and control signal lines. Thus, before the ports are used, the directions should be determined according to their usage.

To specify the signal direction for the ports C and D, use the following command. Direction for the port E depends on the setting for the ports C and D.

Port Name | Command
Port C | :CONT:HAND:C:MODE
Port D | :CONT:HAND:D:MODE

Reading Data Input into Port

When the ports C, D, or E are configured to input ports, binary data represented by High(0)/Low(1) of each bit of the port is read as decimal data.

To retrieve the data, use the following command as query:

Port Name | Command
Port C | :CONT:HAND:C
Port D | :CONT:HAND:D
Port E | :CONT:HAND:E

Data Output to Port

To ports A through F (the ports C, D, and E should be configured to output ports), binary data (decimal data when output data is specified with a command) represented by High(0)/Low(1) of each bit of the port can be output.

To output data, use the following command:

Port Name | Command
Port A | :CONT:HAND:A
Port B | :CONT:HAND:B
Port C | :CONT:HAND:C
Port D | :CONT:HAND:D
Port E | :CONT:HAND:E
Port F | :CONT:HAND:F

  • The bit 6 of the data output by :CONT:HAND:B (the bit 14 of the data output by :CONT:HAND:F) is ignored when outputting the /INDEX signal is turned ON.

  • The bit 7 of the data output by :CONT:HAND:B (the bit 15 of the data output by :CONT:HAND:F command) is ignored when outputting the /READY FOR TRIGGER signal is turned ON.


Preset States at power ON

The 24 bit (Handler) I/O port is set at power-on as follows (not affected at reset)

Description | Status
Port A | High (All Bits)
Port B | High (All Bits)
Port C | Input
Port D | Input
Port C STATUS | Low
Port D STATUS | Low
/OUTPUT1 | High
/OUTPUT2 | High
/SWEEP END | High
/PASS FAIL | High

Other topics about Communication with External Devices


Timing Chart

  • Overview

  • Timing Chart of I/O Port Signal

  • Timing Chart of Data Output and Write Strobe Signal

  • Timing Chart of Limit Test Result Output and Write Strobe Signal

  • Timing Chart of /INPUT1 and /OUTPUT1, /OUTPUT2

Other topics about Communication with External Devices

Overview

This section shows the typical timing chart of I/O port Signal.

Timing Chart of I/O Port Signal (Point Trigger: Off)

 |  | Minimum value | Typical value | Maximum value
T1 | Pulse width of /EXTERNAL TRIGGER or External Trigger Input Port | 1 μs | - | -
T2 | Pulse width of /SWEEP END | 10 μs | 12 μs | -
T3 | Time set as the trigger delay time | - | (see below note) | -
  • The Trigger Delay Time (T3) is not constant, because it is time that the user sets.

Timing Chart of I/O Port Signal (Point Trigger: On)

When the point trigger function is ON, the /EXTERNAL TRIGGER signal must be inputted for each measurement point during a single sweep. The /INDEX signal goes to the High level before starting measurement of the first measurement point and returns to the Low level after the completing measurement of all measurement points.

The /READY FOR TRIGGER signal goes to the Low level when the instrument is ready to accept the trigger signal for the first point and then goes to the High level when the trigger signal for the first point is received.

When measurement of all measurement points is completed and the instrument is ready to receive the trigger signal for the first point of the next sweep, this signal goes to the Low level again.

When the point trigger function is ON, the /READY FOR TRIGGER signal goes High each time a trigger signal is received and goes Low when measurement of each measurement point is completed and the instrument is ready to accept a trigger for the next measurement point.

The times of T1 and T2 are the same as those when the point trigger function is OFF. For more information, see Timing chart of I/O Port Signal (Point trigger function:OFF).

Timing Chart of Data Output and Write Strobe Signal

T1 | Response time of write strobe signal | 1 μs
T2 | Pulse width of write strobe signal | 1 μs

Timing Chart of Limit Test Result Output and Write Strobe Signal

T1 | Response time of /PASS FAIL write strobe | 1 μs
T2 | Pulse width of /PASS FAIL write strobe | 1 μs
  • When the average trigger function is activated, the fail and write strobe signals are output at the time that the average test result shows "failed" on a certain channel.

Timing Chart of /INPUT1 and /OUTPUT1, /OUTPUT2

 |  | Minimum value | Maximum value
T1 | Pulse width of /INPUT1 | 1 μs | -
T3 | Response time of /OUTPUT1, /OUTPUT2 | 0.2 μs | 0.4 μs


Electrical Characteristics

  • Input Signal

  • Output Signal

  • Power Supply (+5V)

Other topics about Communication with External Devices

Input Signal

All input signals are TTL compatible.

Maximum rate input voltage |  | -0.5 V to 5.5 V
Input voltage | High level | 2.0 V to 5.0 V
 | Low level | 0 V to 0.5 V

Output Signal

All output signals are TTL compatible.

Maximum rate output current |  | -10 mA to 10 mA
Output current | High level | -5 mA
 | Low level | 3 mA
Output voltage | High level | 2.0 V to 3.3 V (when output current is from -5 mA to 0 mA) 3.20 V (when output current is -1 mA) 2.75 V (when output current is -5 mA)
 | Low level | 0 V to 0.8 V (when output current is from 0 mA to 3 mA) 0.25 V (when output current is 1 mA) 0.55 V (when output current is 3 mA)

Power Supply (+5V)

The following table shows electrical characteristics of +5 V power supply for external instruments.

Output voltage | 4.5 V to 5.5 V
Maximum output current | 100 mA


Status Reporting System

  • General Status Register Model

  • Status Register Structure


General Status Register Model

  • Overview

  • Event Register

  • Enable Register

  • Status Byte Register

  • Condition Register and Transition Filter

  • Commands for the Status Reporting System

Other topics about Status Reporting System

Overview

The E4990A has a status reporting system to report the condition of the instrument.

General status register model

The status reporting system has a hierarchical structure as shown in the figure above. When the instrument satisfies a particular condition, the corresponding bit of the event register is set to 1. Therefore, you can check the instrument status by reading the event register.

When the event register bit is set to "1" and a corresponding enable register bit (a bit marked with an arrow in General status register model) is also "1," the summary bit of the status byte register is set to "1." You can read the status byte register by using the serial poll.

If the bit of the service request enable register is "1," a service request (SRQ) is generated by the positive transition of the corresponding status byte register bit. By generating SRQ, you can notify the controller that the E4990A is requesting service. In other words, interruption by SRQ can be programmed.

Event Register

Reflects the corresponding condition of the E4990A (e.g., occurrence of an event) as a bit status. These bits continuously monitor changes in the E4990A's state and change the bit status when the condition (e.g., change bit status to "1" if a specific event occurs) for each bit is met. You cannot change the bit status by issuing a SCPI command.

Enable Register

Setting the enable register allows you to specify event register bits that can set "1" to the summary bit of the status byte register when an event occurs. The register bits work as mask bits; setting "1" to an enable register will enable a corresponding bit in the event register.

For example, when you want to set "1" as the summary bit in the status byte register by a specific register condition, set the corresponding enable register to "1."

Status Byte Register

If the enabled event register is set to "1," a corresponding bit of the status byte register is also set to "1." This register also indicates the output queue and SRQ status.

The value of the status byte register can be read by using the *STB? command or serial poll (SPOLL statement in HTBasic) from the controller.

Reading the status byte register by using the *STB? command does not affect the contents of the status byte register. However, reading it with the SPOLL statement of HTBasic clears the RQS bit in the status byte register.

Also, setting the service request enable register using the *SRE command can generate a service request synchronously with the status byte register.

Condition Register and Transition Filter

When the status register has a transition filter, there is a lower register called a condition register under the event register. The transition filter is between the event register and the condition register.

The transition filter enables you to select a positive and/or negative transition of the condition register bit in order to set a bit in the corresponding event register. For example, using the negative transition filter to set bit 3 to "1" causes bit 3 of the event register to be set to "1"; when bit 3 of the condition register makes a negative transition, it changes from 1 to 0.

Transition filter and condition register

In the E4990A, the following registers provide a condition register and transition filter:

  • Operation status register

  • Questionable status register

  • Questionable limit status register

  • Questionable limit channel/trace status registers

Commands for the Status Reporting System

You can manage the status report system using the following commands in any combination:

  • *CLS

  • *SRE

  • *STB?

  • *ESE

  • *ESR?

  • :STAT:PRES

  • :STAT:OPER:ENAB

  • :STAT:OPER:COND?

  • :STAT:OPER?

  • :STAT:OPER:PTR

  • :STAT:OPER:NTR

  • :STAT:QUES:ENAB

  • :STAT:QUES:COND?

  • :STAT:QUES?

  • :STAT:QUES:PTR

  • :STAT:QUES:NTR

  • :STAT:QUES:LIM:ENAB

  • :STAT:QUES:LIM:COND?

  • :STAT:QUES:LIM?

  • :STAT:QUES:LIM:PTR

  • :STAT:QUES:LIM:NTR

  • :STAT:QUES:LIM:CHAN<ch>:COND?

  • :STAT:QUES:LIM:CHAN<ch>:ENAB

  • :STAT:QUES:LIM:CHAN<ch>?

  • :STAT:QUES:LIM:CHAN<ch>:PTR

  • :STAT:QUES:LIM:CHAN<ch>:NTR


Status Register Structure

  • Status Register

  • Status Register for Limit Test (Channel)

  • Status Register for Limit Test (Trace)


Status Register

Status Bit Definitions of Status Byte Register

Bit Position | Name | Description
0, 1 | Not used | Always 0
2 | Error/Event Queue | Set to "1" if the error/event queue contains data; reset to "0" when all the data has been retrieved.
3 | Questionable Status Register Summary | Set to "1" when one of the enabled bits in the questionable status register is set to "1."
4 | MAV (Message Available) | Set to "1" when the output queue contains data; reset to "0" when all the data has been retrieved.
5 | Standard Event Status Register Summary | Set to "1" when one of the enabled bits in the standard event status register is set to "1."
6 | RQS | Set to "1" when any of the status byte register bits enabled by the service request enable register is set to "1"; reset to "0" when all the data has been retrieved through serial polling.
7 | Operation Status Register Summary | Set to "1" when one of the enabled bits in the operational status register is set to "1."

Issuing the *CLS command clears all bits from the status byte register.

Status Bit Definitions of Standard Event Status Register

Bit

Position

Name

Description

0

Operation Complete

Set to "1" upon completion of all operations done by commands that precede the *OPC? command.

1

Not used

Always 0

2

Query Error

1. Set to "1" when the E4990A receives a data output request but there is no data to output.

2. Set to "1" when the data of the E4990A's output queue has been cleared because of a new message received before the completion of data output.

3

Instrument Dependent Error

Set to "1" when an error has occurred and the error is not a command, query, or execution error.

4

Execution Error

1. Set to "1" when any parameter in an SCPI command exceeds its input range or is inconsistent with the E4990A's capabilities.

2. Set to "1" when an SCPI command cannot be properly executed due to some condition of the E4990A.

5

Command Error

1. Set to "1" when an IEEE 488.2 syntax error occurs (a command sent to the E4990A does not follow the IEEE 488.2 syntax). Possible violations include the command parameter violating the E4990A listening formats or being unacceptable.

2. Set to "1" when a semantic error occurs. Possible causes include a command containing misspellings being sent to the E4990A or an IEEE 488.2 command not supported by the E4990A being sent.

3. Set to "1" when GET (Group Execution Trigger) is input while a program message is being received.

6

Not used

Always 0

7

Power ON

Set to "1" when the E4990A is powered ON, or when the firmware is restarted.

Issuing the *CLS command clears all bits from the standard event status register.

Status Bit Definitions of the Operation Status Condition Register

Bit Position | Name | Description
0 - 3 | Not used | Always 0
4 | Measurement | Set to "1" during measurement
5 | Waiting for Trigger | Set to "1" while the instrument is waiting for a trigger.
6 - 15 | Not used | Always 0

Issuing the *CLS command clears all bits from the operation status event register.

Status Bit Definitions of the Questionable Status Condition Register

Bit Position | Name | Description
0 - 9 | Not used | Always 0
10 | Limit Test Fail (Questionable limit status register summary) | Set to "1" while one of the enabled bits in the questionable limit status event register is set to "1."
11 - 15 | Not used | Always 0

Status Bit Definitions of the Questionable Status Event Register

Bit Position | Name | Description
0 - 9 | Not used | Always 0
10 | Limit Test Fail (Questionable limit status register summary) | Set to "1" when a transition of the condition register occurs if the transition filters are set as valid values.
11 - 15 | Not used | Always 0

Issuing the *CLS command clears all bits from the questionable status event register.


Status Register for Limit Test (channel)

Status Bit Definitions of the Questionable Limit Status Condition Register

Bit Position | Name | Description
0 | Not used | Always 0
1 | Channel 1 Limit Test Fail (questionable limit channel 1 status register summary) | Set to "1" while one of the enabled bits in the questionable limit channel 1 status event register is set to "1."
2 | Channel 2 Limit Test Fail (questionable limit channel 2 status register summary) | Set to "1" while one of the enabled bits in the questionable limit channel 2 status event register is set to "1."
3 | Channel 3 Limit Test Fail (questionable limit channel 3 status register summary) | Set to "1" while one of the enabled bits in the questionable limit channel 3 status event register is set to "1."
4 | Channel 4 Limit Test Fail (questionable limit channel 4 status register summary) | Set to "1" while one of the enabled bits in the questionable limit channel 4 status event register is set to "1."
5 to 15 | Not used | Always 0

Issuing the *CLS command clears all bits from the questionable limit status event register.


Status Register for Limit Test (Trace)

Status Bit Definitions of the Questionable Limit Channel Status Condition Register

Bit Position | Name | Description
0 | Not used | Always 0
1 | Trace 1 Limit Test Fail | Set to "0" when a measurement cycle begins; set to "1" when the measurement cycle finishes and returns "fail" as the limit test result for trace 1.
2 | Trace 2 Limit Test Fail | Set to "0" when a measurement cycle begins; set to "1" when the measurement cycle finishes and returns "fail" as the limit test result for trace 2.
3 | Trace 3 Limit Test Fail | Set to "0" when a measurement cycle begins; set to "1" when the measurement cycle finishes and returns "fail" as the limit test result for trace 3.
4 | Trace 4 Limit Test Fail | Set to "0" when a measurement cycle begins; set to "1" when the measurement cycle finishes and returns "fail" as the limit test result for trace 4.
5 to 15 | Not used | Always 0

Issuing the *CLS command clears all the bits in the questionable limit channel status event register.


Using Macro

  • Overview

  • Reading Data

  • Using Echo Window

  • Using User Menu

  • Using Form


Overview

  • Macro Using COM

  • Executing Macro from Softkey/Hardkey

  • Using User Menu Function

Other topics about Using Macro

Macro Using COM

When you want to control the E4990A internally, you can use COM objects alone or in conjunction with SCPI commands and the Parse object. The latter method is a little slower than the former method because the Parse object is used to parse the messages of SCPI commands.

Example: Using COM object

Dim Ana

set Ana = CreateObject("E4990.Application")

Ana.scpi.display.split = "D12_34"

Ana.scpi.display.window(2).activate

Example: In conjunction with SCPI commands and the Parse object

Dim Ana

set Ana = CreateObject("E4990.Application")

Ana.parse "DISP:SPLIT D12_34"

Ana.parse "DISP:WIND2:ACT"

You can use this with VB Script. If you install the Excel (Excel VBA) or other programmable software in the E4990A, It also can control the E4990A.

Executing Macro from Softkey/Hardkey

Macros are executable programs that you write, load into the analyzer, and then run from the analyzer. Macros (.vbs and .exe) can be executed by clicking its file on the file explore. However, you can execute it from Softkey or Hardkey. You can have up to 25 macros set up to run on the analyzer.

Registering your macro

  1. Press Macro Setup > Macro Setup ... .

  2. Click Edit to start the Edit Macro Setup dialog.

  3. In the Macro Title box, type a descriptive title for your macro.

  4. Click Browse.

  5. Find and select your executable file. Change Files of Type if necessary.

  6. Click OK on the Edit Macro Setup dialog.

  7. Change the order by Up or Down keys as necessary.

  8. Click OK on the Macro Setup dialog.

Executing Macro by Soft key

  1. Press Macro Menu, then registered macro is listed in the softkey.

  2. Click the desired softkey to run the macro.

Executing Macro by Hard key

  • Pressing Macro Run executes the macro which is registered at the top of list.

Using User Menu Function

The E4990A lets you perform procedures assigned to specific softkeys (Macro Setup > User Menu > Button 1 to Button 10), without using user forms, when that softkey is pressed. This function is called the user menu function.

To execute a procedure assigned to a softkey, you need to generate an event of pressing the softkey.

Refer to Using User Menu.


Reading Data

  • Overview

  • Sample Program

Other topics about Using Macro

Overview

This sample program demonstrates how to save the formatted data arrays in csv file (Result.csv)

  1. Copy the following code into a Notepad file.

  2. Save the file on the analyzer storage in the D: folder. Name the file as "readingData.vbs".

  3. Double-click the file to execute.

Sample Program

On Error Resume Next

Dim ana

Dim Result

Dim Freq

Dim StrTemp

Dim objFSO

Dim objFile

Set ana = CreateObject("E4990.Application")

ana.parse ":CALC1:PAR1:SEL"

ana.parse ":INIT1:CONT OFF"

ana.parse ":ABOR"

NoOfPoint = ana.parse(":SENS1:SWE:POIN?")

StrTemp = ana.parse(":SENS1:FREQ:DATA?")

Freq = Split(StrTemp, ",")

StrTemp = ana.parse(":CALC1:DATA:FDAT?")

Result = Split(StrTemp, ",")

Set objFSO = WScript.CreateObject("Scripting.FileSystemObject")

If Err.Number = 0 Then

Set objFile = objFSO.OpenTextFile("Result.csv", 2, True)

If Err.Number = 0 Then

j = 0

For i = 1 To NoOfPoint

objFile.Writeline(Freq(i-1)&" , "&Result(j)&" , "&Result(j+1))

j = j + 2

Next

objFile.Close

Else

WScript.Echo "File Open Error: " & Err.Description

End If

Else

WScript.Echo "Error: " & Err.Description

End If

Set objFile = Nothing

Set objFSO = Nothing


Using Echo Window

  • Overview

  • Sample Program

Other topics about Using Macro

Overview

This sample program demonstrates the following operation.

  1. Activate Marker 1.

  2. Search Max point.

  3. Display the marker value in the echo window.

To use this sample:

  1. Copy the following code into a Notepad file.

  2. Save the file on the analyzer storage in the D: folder. Name the file as "echoMarker.vbs"

  3. Double-click the file to execute.

Sample Program

dim ana

set ana = CreateObject("E4990.Application")

ana.scpi.display.table.state = true

ana.scpi.display.table.type = "echo"

ana.scpi.display.echo.clear

ana.scpi.calculate.selected.marker(1).state = true

ana.scpi.calculate.selected.marker(1).activate

ana.scpi.calculate.selected.marker(1).function.type ="maximum"

ana.scpi.calculate.selected.marker(1).function.execute

axisx = ana.scpi.calculate.selected.marker(1).x.data

axisy = ana.scpi.calculate.selected.marker(1).y

ana.scpi.display.echo.data = cstr(axisx)

ana.scpi.display.echo.data = cstr(axisy(0))


Using User Menu

  • Overview

  • Sample Program

Other topics about Using Macro

Overview

This sample program demonstrates the following operation.

  1. Set the softkey label of user menu (Macro Setup > User Menu).

  2. When user menu softkey is pressed, the Sub UserMenuButton_OnPress(bNo) is executed with the key number.

  3. The marker is operated according to the key number.

To use this sample:

  1. Copy the following code into a Notepad file.

  2. Save the file on the analyzer storage in the D: folder. Name the file as "userMenu.vbs".

  3. Double-click the file to execute.

Sample Program

dim ana

dim userMenu

dim bNo

dim mkrNo

set userMenu = WScript.CreateObject("E4990.UserMenu", "UserMenuButton_")

set ana = CreateObject("E4990.Application")

for bNo=1 to 5

select case bNo

case 1, 2, 3

UserMenu.item(cint(bNo)).caption = "Marker" & bNo

case 4

UserMenu.item(cint(bNo)).caption = "Max"

case 5

UserMenu.item(cint(bNo)).caption = "Min"

end select

next

Do Until False

WScript.Sleep 500

Loop

Sub UserMenuButton_OnPress(bNo)

Select case bNo

case 1, 2, 3

mkrNo=bNo

ana.scpi.calculate.selected.marker(mkrNo).state = true

ana.scpi.calculate.selected.marker(mkrNo).activate

case 4

ana.scpi.calculate.selected.marker(mkrNo).function.type ="maximum"

ana.scpi.calculate.selected.marker(mkrNo).function.execute

case 5

ana.scpi.calculate.selected.marker(mkrNo).function.type ="minimum"

ana.scpi.calculate.selected.marker(mkrNo).function.execute

end select

End Sub


Using Form

  • Overview

  • Sample Program

Other topics about Using Macro

Overview

HTML Applications (HTAs) allows you to use a form with VB script.

This sample program demonstrates the following operation.

  • Pressing "Marker 1 => Max" moves the marker 1 at maximum point, then display the x and y value.

  • Pressing "Marker 2 => Min" moves the marker 2 at minimum point, then display the x and y value.

To use this sample:

  1. Copy the following code into a Notepad file.

  2. Save the file on the analyzer storage in the D: folder. Name the file as "form.hta".

  3. Double-click the file to execute.

Sample Program

<html><head>

<title>HTA Sample</title>

<script language="VBScript">

set ana = CreateObject("E4990.Application")

ana.scpi.system.preset

ana.scpi.initiate(1).continuous = false

Sub Window_OnLoad

Window.ResizeTo 500,200

End Sub

Sub max()

ana.scpi.calculate(1).selected.marker(1).state = true

ana.scpi.calculate(1).selected.marker(1).function.type="maximum"

ana.scpi.calculate(1).selected.MARKer(1).FUNCtion.EXECute

axisx = ana.scpi.calculate(1).selected.marker(1).x.data

axisy = ana.scpi.calculate(1).selected.marker(1).y

DataArea1.InnerHTML = cstr(axisx)

DataArea2.InnerHTML = cstr(axisy(0))

End Sub

Sub min()

ana.scpi.calculate(1).selected.marker(2).state = true

ana.scpi.calculate(1).selected.marker(2).function.type="minimum"

ana.scpi.calculate(1).selected.MARKer(2).FUNCtion.EXECute

axisx = ana.scpi.calculate(1).selected.marker(2).x.data

axisy = ana.scpi.calculate(1).selected.marker(2).y

DataArea1.InnerHTML = cstr(axisx)

DataArea2.InnerHTML = cstr(axisy(0))

End Sub

</script>

</head>

<body>

<form name="form1" style="font-size:24pt">

<input type="button" value="Marker 1 => Max" onClick="max()" />

<input type="button" value="Marker 2 => Min" onClick="min()" />

<p>


Command Reference

  • Notational Conventions

  • Command Finder

    • Analysis

    • Average

    • Calibration

    • Display

    • Format

    • Marker

    • Marker Function

    • Marker Search

    • Meas

    • Preset

    • Save/Recall

    • Scale

    • Stimulus

    • System

    • Trigger


Notational Conventions

This section describes the notational conventions used for the description of commands reference.

Type

  • Command/Query

  • Command

  • Query

Syntax

The part with heading “Syntax” describes the syntax used to send a command from the external controller to the E4990A. A syntax consists of a command part and a parameter part. The separator between these parts is a space.

If there are several parameters, the separator between adjacent parameters is a comma (,). Ellipsis (…) between commas indicates that parameters in that part are omitted. For example, <numeric 1>,…,<numeric 4> indicates that 4 parameters, <numeric 1>,<numeric 2>, <numeric 3>,<numeric 4>, are required.

String-type parameters, <string>, <string 1>, and so on, must be enclosed in double quotation marks ("). <block> shows block format data.

You can omit the lowercase letters in syntax. For example, ":CALibration:CABLe" can be shortened as ":CAL:CABL."

The definition of symbols used in the syntax is as follows:

<> | Characters enclosed in this pair of symbols are necessary parameters when sending the command.
[] | Part enclosed in this parenthesis pair can be omitted.
{} | Part enclosed in this parenthesis pair indicates that you must select one of the items in this part. Individual items are separated by a vertical bar (|).

For example, ":CALC:CORR:EDEL:TIME 0.1" ,":CALCULATE1:SELECTED:CORR:EDEL:TIME 25E-3," and so on are valid for the syntax given below.

:CALCulate<ch>[:SELected]:CORRection:EDELay:TIME <numeric>

Description

Part with heading “Description” describes how to use the command or the operation when executed.

Variable

Part with heading “Variable” describes necessary parameters when sending the command. When a parameter is a value type or a string type enclosed with <>, its description, allowable setup range, preset (factory-set) value, and so on are given; when a parameter is a selection type enclosed with {}, the description of each selection item is

Query Response

Part with heading “Query response” describes the data format read out when query (reading out data) is available with the command.

Each readout parameter is enclosed with {}. If there are several items within {} separated by the pipe (|), only one of them is read out.

When several parameters are read out, they are separated with a comma (,). Note that, 3 points (…) between commas indicate that the data of that part is omitted. For example, {numeric 1},…,{numeric 4} indicates that 4 data items, {numeric 1}, {numeric 2}, {numeric 3}, and {numeric 4}, are read out.

<newline><^END> after the parameters is the program message terminator.

Examples

Examples provide a sample coding with VISA-COM.

As per most programming practice, its up to the user to define any variable name for the instrument. Once defined, the variable is used throughout the program. In the examples provides, several variable names are used, as below:

Ana

Analyzer

Related Command

Related command provides information about other command that are similar/related with the command.

Equivalent Key

Equivalent key shows the operational procedure of the front panel keys that has the same effect as this command.

COM Command Syntax (Internal Control Only)

COM command syntax shows the command to execute using COM such as internal VB script or Visual Basic/Excel VBA which is installed in the E4990A.


:ABOR

Type

Command

Syntax

:ABORt

Description

This command aborts the current sweep.

Examples

Ana.WriteString ":ABOR", True

Related Commands

:TRIG

:TRIG:SING

Equivalent Softkey

Trigger > Restart

COM Command Syntax (Internal Control Only)

SCPI.ABORT


:CALC:AVER

:CALC<Ch>:AVER

Type

Command/Query

Syntax

:CALCulate<Ch>:AVERage[:STATe] {ON|OFF|1|0}

:CALCulate<Ch>:AVERage[:STATe]?

Description

This command sets/gets the averaging state.

Variable

Parameter | Selection Option
Description | Averaging state
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | OFF

Query Response

{1|0}<newline><^END>

Examples

Dim Var as Integer
Ana.WriteString ":CALC1:AVER ON", True
Ana.WriteString ":CALC1:AVER?", True
Var=Ana.ReadNumber

Related Commands

:CALC:AVER:CLE

:CALC:AVER:COUN

Equivalent Softkey

Average > Averaging

COM Command Syntax (Internal Control Only)

SCPI.CALCULATE(Ch).AVERAGE.STATE


:CALC:AVER:CLE

:CALC<Ch>:AVER:CLE

Type

Command

Syntax

:CALCulate<Ch>:AVERage:CLEar

Description

This command clears averaging count.

Examples

Ana.WriteString ":CALC1:AVER:CLE", True

Related Commands

:CALC:AVER

:CALC:AVER:COUN

Equivalent Softkey

Average > Averaging Restart

COM Command Syntax (Internal Control Only)

SCPI.CALCULATE(Ch).AVERAGE.CLEAR


:CALC:AVER:COUN

:CALC<Ch>:AVER:COUN

Type

Command/Query

Syntax

:CALCulate<Ch>:AVERage:COUNt <Value>

:CALCulate<Ch>:AVERage:COUNt?

Description

This command sets/gets the averaging count.

Variable

Parameter | Value
Description | averaging factor
Data Type | Numeric type (Integer)
Range | 1 ~ 999
Preset Value | 16

Query Response

{numeric}<newline><^END>

Examples

Dim Var as Long
Var= 10
Ana.WriteString ":CALC1:AVER:COUN " & Str(Var), True
Ana.WriteString ":CALC1:AVER:COUN?", True
Var=Ana.ReadNumber

Related Commands

:CALC:AVER

:CALC:AVER:CLE

Equivalent Softkey

Average > Avg Factor

COM Command Syntax (Internal Control Only)

SCPI.CALCULATE(Ch).AVERAGE.COUNT


:CALC:DATA:FDAT

:CALC<Ch>:DATA:FDAT

Type

Command/Query

Syntax

:CALCulate<Ch>[:SELected]:DATA:FDATa <Value>

:CALCulate<Ch>[:SELected]:DATA:FDATa?

Description

This command sets/gets the formatted data array.

The array data element varies in the data format. If valid data is not calculated because of the invalid measurement, “1.#QNB” is read out.

Variable

Parameter

Value

Description

Formatted data array

Where n is an integer between 1 and NOP (number of measurement points):

  • <numeric n×2-1>: Real part of data (complex number) at the n-th measurement point.

  • <numeric n×2>: Imaginary part of data (complex number) at the n-th measurement point. Always 0 when the data format is not the Smith chart format or the polar format

The number of data is {NOP×2}

Data Type

Variant type Array (Range)

Note

If there is no array data of NOP×2 when setting a formatted data array, an error occurs when executed.

Query Response

{numeric 1}, .... ,{numeric NOP×2}<newline><^END>

Examples

See Reading/Writing Data.

Related Commands

:CALC:DATA:FMEM

:CALC:DATA:RDAT

:CALC:DATA:RMEM

Equivalent Softkey

No equivalent key is available on the front panel.

COM Command Syntax (Internal Control Only)

SCPI.CALCULATE(Ch).SELECTED.DATA.FDATA


:CALC:DATA:FMEM

:CALC<Ch>:DATA:FMEM

Type

Command/Query

Syntax

:CALCulate<Ch>[:SELected]:DATA:FMEMory <Value>

:CALCulate<Ch>[:SELected]:DATA:FMEMory?

Description

This command sets/gets the formatted memory array.

The array data element varies in the data format. If valid data is not calculated because of the invalid measurement, “1.#QNB” is read out.

Variable

Parameter

Value

Description

Formatted memory array

Where n is an integer between 1 and NOP (number of measurement points):

  • <numeric n×2-1>: Real part of data (complex number) at the n-th measurement point.

  • <numeric n×2>: Imaginary part of data (complex number) at the n-th measurement point. Always 0 when the data format is not the Smith chart format or the polar format

The number of data is {NOP×2}

Data Type

Variant type Array (Range)

Note

If there is no array data of NOP×2 when setting a formatted data array, an error occurs when executed.

Query Response

{numeric 1}, .... ,{numeric NOP×2}<newline><^END>

Examples

See :CALC:DATA:FDAT

Related Commands

:CALC:DATA:FDAT

:CALC:DATA:RDAT

:CALC:DATA:RMEM

Equivalent Softkey

No equivalent key is available on the front panel.

COM Command Syntax (Internal Control Only)

SCPI.CALCULATE(Ch).SELECTED.DATA.FMEMORY


:CALC:DATA:RDAT

:CALC<Ch>:DATA:RDAT

Type

Command/Query

Syntax

:CALCulate<Ch>[:SELected]:DATA:RDATa <Value>

:CALCulate<Ch>[:SELected]:DATA:RDATa?

Description

This command sets/gets the raw data. Save/Recall valid when MMEM:STOR:STYPE = [DSTate|CDSTate]

Variable

Parameter

Value

Description

raw data array

Where n is an integer between 1 and NOP (number of measurement points):

  • <numeric n×2-1>: Real part of data (complex number) at the n-th measurement point.

  • <numeric n×2>: Imaginary part of data (complex number) at the n-th measurement point. Always 0 when the data format is not the Smith chart format or the polar format

The number of data is {NOP×2}

Data Type

Variant type Array (Range)

Note

If there is no array data of NOP×2 when setting a formatted data array, an error occurs when executed.

Query Response

{numeric 1}, .... ,{numeric NOP×2}<newline><^END>

Examples

See :CALC:DATA:FDAT

Related Commands

:CALC:DATA:FDAT

:CALC:DATA:FMEM

:CALC:DATA:RMEM

Equivalent Softkey

No equivalent key is available on the front panel.

COM Command Syntax (Internal Control Only)

SCPI.CALCULATE(Ch).SELECTED.DATA.RDATA


:CALC:DATA:RMEM

:CALC<Ch>:DATA:RMEM

Type

Command/Query

Syntax

:CALCulate<Ch>[:SELected]:DATA:RMEMory <Value>

:CALCulate<Ch>[:SELected]:DATA:RMEMory?

Description

This command sets/gets raw memory data. Save/Recall valid when MMEM:STOR:STYPE = [DSTate|CDSTate].

Variable

Parameter

Value

Description

raw memory array

Where n is an integer between 1 and NOP (number of measurement points):

  • <numeric n×2-1>: Real part of data (complex number) at the n-th measurement point.

  • <numeric n×2>: Imaginary part of data (complex number) at the n-th measurement point. Always 0 when the data format is not the Smith chart format or the polar format

The number of data is {NOP×2}

Data Type

Variant type Array (Range)

Note

If there is no array data of NOP×2 when setting a formatted data array, an error occurs when executed.

Query Response

{numeric 1}, .... ,{numeric NOP×2}<newline><^END>

Examples

See :CALC:DATA:FDAT

Related Commands

:CALC:DATA:RDAT

:CALC:DATA:FDAT

:CALC:DATA:FMEM

Equivalent Softkey

No equivalent key is available on the front panel.

COM Command Syntax (Internal Control Only)

SCPI.CALCULATE(Ch).SELECTED.DATA.RMEMORY


:CALC:DATA:XAX

:CALC<Ch>:DATA:XAX

Type

Query

Syntax

:CALCulate<Ch>[:SELected]:DATA:XAXis?

Description

This command returns the data of measurement points of X axis.

Variable

Query Response

{numeric 1} ... {numeric NOP}<newline><^END>

Examples

Dim Var as Variant
Ana.WriteString ":CALC1:DATA:XAX?", True
Var=Ana.ReadList(ASCIIType_R8, ",")

Related Commands

:SENS:FREQ:DATA

Equivalent Softkey

No equivalent key is available on the front panel.

COM Command Syntax (Internal Control Only)

SCPI.CALCULATE(Ch).SELECTED.DATA.XAXIS


:CALC:EPAR

:CALC<Ch>:EPAR

Type

Command

Syntax

:CALCulate<Ch>:EPARameters[:EXECute]

Description

This command executes the equivalent circuit analysis in the selected equivalent circuit model. Executes the equivalent circuit analysis in the partial search range.

Examples

Ana.WriteString ":CALC1:EPAR", True

Related Commands

:CALC:EPAR:CIRC

Equivalent Softkey

Analysis > Equivalent Circuit > Calculate

COM Command Syntax (Internal Control Only)

SCPI.CALCULATE(Ch).EPARAMETERS.EXECUTE


:CALC:EPAR:CIRC

:CALC<Ch>:EPAR:CIRC

Type

Command/Query

Syntax

:CALCulate<Ch>:EPARameters:CIRCuit[:TYPE] {A|B|C|D|E|F|G}

:CALCulate<Ch>:EPARameters:CIRCuit[:TYPE]?

Description

This command selects the equivalent circuit model.

Variable

Parameter | Selection Option
Description | Equivalent circuit model
Data Type | Character string type (String)
Range | A|B|C|D|E|F|G
Preset Value | A

Query Response

{A|B|C|D|E|F|G}<newline><^END>

Examples

Dim Var as String
Var= "A"
Ana.WriteString ":CALC1:EPAR:CIRC " & Var, True
Ana.WriteString ":CALC1:EPAR:CIRC?", True
Var=Ana.ReadString

Related Commands

:CALC:EPAR

:CALC:EPAR:CIRC:{A|B|C|D|E|F|G}:C0

:CALC:EPAR:CIRC:{A|B|C|D|E|F|G}:C1

:CALC:EPAR:CIRC:{A|B|C|D|E|F|G}:L1

:CALC:EPAR:CIRC:{A|B|C|D|E|F|G}:R0

:CALC:EPAR:CIRC:{A|B|C|D|E|F|G}:R1

:CALC:EPAR:DISP

Equivalent Softkey

Analysis > Equivalent Circuit > Select Circuit > A to G

COM Command Syntax (Internal Control Only)

SCPI.CALCULATE(Ch).EPARAMETERS.CIRCUIT.TYPE


:CALC:EPAR:CIRC:{A|B|C|D|E|F|G}:C1

:CALC<Ch>:EPAR:CIRC:{A|B|C|D|E|F|G}:C1

Type

Command/Query

Syntax

:CALCulate<Ch>:EPARameters:CIRCuit:{A|B|C|D|E|F|G}:C1 <Value>

:CALCulate<Ch>:EPARameters:CIRCuit:{A|B|C|D|E|F|G}:C1?

Description

This command sets/gets C1 value of equivalent circuit parameters

Variable

Parameter | Value
Description | C1 value
Data Type | Numeric type (Real)
Range | -1E ~ 1E
Preset Value | 0
Unit | F
Resolution | -

Query Response

{numeric}<newline><^END>

Examples

Dim Var as Double
Var= 0.0001
Ana.WriteString ":CALC1:EPAR:CIRC:A:C1 " & Str(Var), True
Ana.WriteString ":CALC1:EPAR:CIRC:A:C1?", True
Var=Ana.ReadNumber

Related Commands

:CALC:EPAR:CIRC

Equivalent Softkey

Analysis > Equivalent Circuit > C1

COM Command Syntax (Internal Control Only)

SCPI.CALCULATE(Ch).EPARAMETERS.CIRCUIT.{A|B|C|D|E|F|G}.C1


:CALC:EPAR:CIRC:{A|B|C|D|E|F|G}:L1

:CALC<Ch>:EPAR:CIRC:{A|B|C|D|E|F|G}:L1

Type

Command/Query

Syntax

:CALCulate<Ch>:EPARameters:CIRCuit:{A|B|C|D|E|F|G}:L1 <Value>

:CALCulate<Ch>:EPARameters:CIRCuit:{A|B|C|D|E|F|G}:L1?

Description

This command sets/gets L1 value of equivalent circuit parameters

Variable

Parameter | Value
Description | L1 value
Data Type | Numeric type (Real)
Range | -1E ~ 1E
Preset Value | 0
Unit | H
Resolution | -

Query Response

{numeric}<newline><^END>

Examples

Dim Var as Double
Var= 0.0001
Ana.WriteString ":CALC1:EPAR:CIRC:A:L1 " & Str(Var), True
Ana.WriteString ":CALC1:EPAR:CIRC:A:L1?", True
Var=Ana.ReadNumber

Related Commands

:CALC:EPAR:CIRC

Equivalent Softkey

Analysis > Equivalent Circuit > L1

COM Command Syntax (Internal Control Only)

SCPI.CALCULATE(Ch).EPARAMETERS.CIRCUIT.{A|B|C|D|E|F|G}.L1


:CALC:EPAR:CIRC:{A|B|C|D|E|F|G}:R1

:CALC<Ch>:EPAR:CIRC:{A|B|C|D|E|F|G}:R1

Type

Command/Query

Syntax

:CALCulate<Ch>:EPARameters:CIRCuit:{A|B|C|D|E|F|G}:R1 <Value>

:CALCulate<Ch>:EPARameters:CIRCuit:{A|B|C|D|E|F|G}:R1?

Description

This command sets/gets R1 value of equivalent circuit parameters

Variable

Parameter | Value
Description | R1 value
Data Type | Numeric type (Real)
Range | -1E ~ 1E
Preset Value | 0
Unit | Ω
Resolution | -

Query Response

{numeric}<newline><^END>

Examples

Dim Var as Double
Var= 0
Ana.WriteString ":CALC1:EPAR:CIRC:A:R1 " & Str(Var), True
Ana.WriteString ":CALC1:EPAR:CIRC:A:R1?", True
Var=Ana.ReadNumber

Related Commands

:CALC:EPAR:CIRC

Equivalent Softkey

Analysis > Equivalent Circuit > R1

COM Command Syntax (Internal Control Only)

SCPI.CALCULATE(Ch).EPARAMETERS.CIRCUIT.{A|B|C|D|E|F|G}.R1


:CALC:EPAR:CIRC:E:C0

:CALC<Ch>:EPAR:CIRC:E:C0

Type

Command/Query

Syntax

:CALCulate<Ch>:EPARameters:CIRCuit:E:C0 <Value>

:CALCulate<Ch>:EPARameters:CIRCuit:E:C0?

Description

This command sets/gets C0 value of equivalent circuit parameters (Model E)

Variable

Parameter | Value
Description | C0 value
Data Type | Numeric type (Real)
Range | -1E ~ 1E
Preset Value | 0
Unit | F
Resolution | -

Query Response

{numeric}<newline><^END>

Examples

Dim Var as Double
Var= 0.001
Ana.WriteString ":CALC1:EPAR:CIRC:E:C0 " & Str(Var), True
Ana.WriteString ":CALC1:EPAR:CIRC:E:C0?", True
Var=Ana.ReadNumber

Related Commands

:CALC:EPAR:CIRC

Equivalent Softkey

Analysis > Equivalent Circuit > C0

COM Command Syntax (Internal Control Only)

SCPI.CALCULATE(Ch).EPARAMETERS.CIRCUIT.E.C0


:CALC:EPAR:CIRC:{F|G}:R0

:CALC<Ch>:EPAR:CIRC:{F|G}:R0

Type

Command/Query

Syntax

:CALCulate<Ch>:EPARameters:CIRCuit:{F|G}:R0 <Value>

:CALCulate<Ch>:EPARameters:CIRCuit:{F|G}:R0?

Description

This command sets/gets R0 value of equivalent circuit parameters (Models F and G)

Variable

Parameter | Value
Description | R0 value
Data Type | Numeric type (Real)
Range | -1E ~ 1E
Preset Value | 0
Unit | Ω
Resolution | -

Query Response

{numeric}<newline><^END>

Examples

Dim Var as Double
Var= 0.01
Ana.WriteString ":CALC1:EPAR:CIRC:F:R0 " & Str(Var), True
Ana.WriteString ":CALC1:EPAR:CIRC:F:R0?", True
Var=Ana.ReadNumber

Related Commands

:CALC:EPAR

Equivalent Softkey

Analysis > Equivalent Circuit > R0

COM Command Syntax (Internal Control Only)

SCPI.CALCULATE(Ch).EPARAMETERS.CIRCUIT.{F|G}.R0


:CALC:EPAR:DISP

:CALC<Ch>:EPAR:DISP

Type

Command/Query

Syntax

:CALCulate<Ch>:EPARameters:DISPlay[:STATe] {ON|OFF|1|0}

:CALCulate<Ch>:EPARameters:DISPlay[:STATe]?

Description

This command displays the equivalent circuit model on the screen.

Variable

Parameter | Selection Option
Description | Equivalent circuit model display status
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | OFF

Query Response

{1|0}<newline><^END>

Examples

Dim Var as Integer
Ana.WriteString ":CALC1:EPAR:DISP ON", True
Ana.WriteString ":CALC1:EPAR:DISP?", True
Var=Ana.ReadNumber

Related Commands

:CALC:EPAR:CIRC

:CALC:EPAR:SIM

Equivalent Softkey

Analysis > Equivalent Circuit > Display

COM Command Syntax (Internal Control Only)

SCPI.CALCULATE(Ch).EPARAMETERS.DISPLAY.STATE


:CALC:EPAR:PC0

:CALC<Ch>:EPAR:PC0

Type

Query

Syntax

:CALCulate<Ch>:EPARameters:PC0? <value>

Description

This command returns the equivalent circuit parameter C0 (parallel capacitance) at the specified frequency. The sweep parameter should be frequency for this analysis.

Variable

Parameter | Value
Description | Frequency
Data Type | Numeric type (Real)
Range | 20 to 120M
Unit | Hz
Resolution | - -

Query Response

{numeric (C0 [F])}<newline><^END>

Examples

Dim Var as Double
Ana.WriteString ":CALC1:EPAR:PC0? 1E6",True
Var=Ana.ReadNumber

Related Commands

:SENS:SWE:TYPE

Equivalent Softkey

No equivalent key is available on the front panel.

COM Command Syntax (Internal Control Only)

SCPI.CALCULATE(Ch).EPARAMETERS.PC0


:CALC:EPAR:S4

:CALC<Ch>:EPAR:S4

Type

Query

Syntax

:CALCulate<Ch>:EPARameters:S4?

Description

This command returns the result of the 4-device equivalent circuit parameters of a crystal oscillator. The sweep parameter should be frequency, and the measurement parameter should be Z-θ for this analysis.

C0, C1, L1 and R1 are calculated using the following equations.

C0 = C1 × fr2/(fa2 - fr2)

C1 = 1 /(Q × R1 × 2 × π × fs)

L1 = Q × R1 /(2 × π × fs)

R1 = 1 / Gmax

Q = |fs / (f2 - f1)|

If there are no fa and fr points on the admittance chart, C0 is calculated using the following equation.

C0 = Bfs /(2 × π × fs)

Query Response

{numeric1 (C0)}, {numeric2 (C1)}, {numeric3 (L1)}, {numeric4 (R1)}, {numeric5 (fs)}, {numeric6 (fa)}, {numeric7 (fr)}, {numeric8 (f1)}, {numeric9 (f2)} <^END>

C0 (parallel capacitance)

C1 (motional capacitance)

L1 (motional inductance)

R1 (motional resistance)

fs (motional (series) resonant frequency)

fa (anti-resonant frequency)

fr (resonant frequency)

f1 (frequency at which the conductance is half the maximum value)

f2 (frequency at which the conductance is half the maximum value. Note that f1<f2)

Examples

Dim Var as Variant
Ana.WriteString ":CALC1:EPAR:S4?", True
Var=Ana.ReadList(ASCIIType_R8, ",")

Related Commands

:SENS:SWE:TYPE

:CALC:PAR:DEF

Equivalent Softkey

No equivalent key is available on the front panel.

COM Command Syntax (Internal Control Only)

SCPI.CALCULATE(Ch).EPARAMETERS.S4


:CALC:EPAR:SIM

:CALC<Ch>:EPAR:SIM

Type

Command

Syntax

:CALCulate<Ch>:EPARameters:SIMulate[:IMMediate]

Description

This command writes the simulation results into the memory trace, then set "Data & Mem" for the display setting. All traces related with impedance measurement are updated, even if :CALC:EPAR:SIM:AUTO is set at OFF.

Examples

Ana.WriteString ":CALC1:EPAR:SIM", True

Related Commands

:CALC:EPAR

:CALC:EPAR:DISP

:CALC:EPAR:SIM:AUTO

Equivalent Softkey

There is no equivalent key is available on the front panel. However, the similar key is:

Analysis > Equivalent Circuit > Simulate

  • When this softkey is turned ON, its equivalent to the set of following two commands:

  • :CALC:EPAR:SIM:AUTO ON

  • :CALC:EPAR:SIM

  • When this softkey is turned OFF, its equivalent to:

  • :CALC:EPAR:SIM:AUTO OFF

COM Command Syntax (Internal Control Only)

SCPI.CALCULATE(Ch).EPARAMETERS.SIMULATE.IMMEDIATE


:CALC:EPAR:SIM:AUTO

:CALC<Ch>:EPAR:SIM:AUTO

Type

Command/Query

Syntax

:CALCulate<Ch>:EPARameters:SIMulate:AUTO {ON|OFF|1|0}

:CALCulate<Ch>:EPARameters:SIMulate:AUTO?

Description

This command executes the equivalent circuit analysis simulation function automatically when parameters are changed. When this is set at ON, if one of the parameter is changed or set, the simulation calculation is done automatically. If its set at OFF, the simulation calculation is not executed but the simulated Memory Trace is still shown.

Variable

Parameter | Selection Option
Description | Simulate Auto Status
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | OFF

Query Response

{1|0}<newline><^END>

Examples

Dim Var as Integer
Ana.WriteString ":CALC1:EPAR:SIM:AUTO ON", True
Ana.WriteString ":CALC1:EPAR:SIM:AUTO?", True
Var=Ana.ReadNumber

Related Commands

:CALC:EPAR:SIM

Equivalent Softkey

See :CALC:EPAR:SIM

COM Command Syntax (Internal Control Only)

SCPI.CALCULATE(Ch).EPARAMETERS.SIMULATE.AUTO


:CALC:EQU:STAT

:CALC<Ch>:EQU:STAT

Type

Command/Query

Syntax

:CALCulate<Ch>[:SELected]:EQUation:STATe {ON|OFF|1|0}

:CALCulate<Ch>[:SELected]:EQUation:STATe?

Description

This command sets/gets the equation state.

Variable

Parameter | Selection Option
Description | Equation state
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | OFF

Query Response

{1|0}<newline><^END>

Examples

Dim Var as Integer
Ana.WriteString ":CALC1:EQU:STAT ON", True
Ana.WriteString ":CALC1:EQU:STAT?", True
Var=Ana.ReadNumber

Related Commands

:CALC:EQU:TEXT

:CALC:EQU:VAL

Equivalent Softkey

Display > Equation

COM Command Syntax (Internal Control Only)

SCPI.CALCULATE(Ch).SELECTED.EQUATION.STATE


:CALC:EQU:TEXT

:CALC<Ch>:EQU:TEXT

Type

Command/Query

Syntax

:CALCulate<Ch>[:SELected]:EQUation:TEXT <String>

:CALCulate<Ch>[:SELected]:EQUation:TEXT?

Description

This command sets/gets the equation in the Equation Editor. For valid parameters that can be used in this equation, refer to the Equation Editor.

Variable

Parameter | String
Description | Equation string.
Data Type | Character string type (String)
Range | 254 chars
Preset Value | ""

Query Response

{String}<newline><^END>

Examples

Dim Var as String
Var = "Z=ACV/ACI"
Ana.WriteString ":CALC1:EQU:TEXT " & Var, True
Ana.WriteString ":CALC1:EQU:TEXT?", True
Var=Ana.ReadString

Related Commands

:CALC:EQU:STAT

Equivalent Softkey

Equation in the Equation Editor

COM Command Syntax (Internal Control Only)

SCPI.CALCULATE(Ch).SELECTED.EQUATION.TEXT


:CALC:EQU:VAL

:CALC<Ch>:EQU:VAL

Type

Query

Syntax

:CALCulate<Ch>[:SELected]:EQUation:VALid?

Description

This command always returns 1.

Query Response

1<newline><^END>

Examples

Dim Var as Integer
Ana.WriteString ":CALC1:EQU:VAL?", True
Var=Ana.ReadNumber

Related Commands

:CALC:EQU:STAT

:CALC:EQU:TEXT

Equivalent Softkey

No equivalent key is available on the front panel.

COM Command Syntax (Internal Control Only)

SCPI.CALCULATE(Ch).SELECTED.EQUATION.VALID


:CALC:FORM:EPH

:CALC<Ch>:FORM:EPH

Type

Command/Query

Syntax

:CALCulate<Ch>[:SELected]:FORMat:EPHase {ON|OFF|1|0}

:CALCulate<Ch>[:SELected]:FORMat:EPHase?

Description

This command turns on/off the expand phase.

Variable

Parameter | Selection Option
Description | Expand phase
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | OFF

Query Response

{1|0}<newline><^END>

Examples

Dim Var as Integer
Ana.WriteString ":CALC1:FORM:EPH ON", True
Ana.WriteString ":CALC1:FORM:EPH?", True
Var=Ana.ReadNumber

Related Commands

:CALC:PAR:DEF

Equivalent Softkey

Format > Expand Phase

COM Command Syntax (Internal Control Only)

SCPI.CALCULATE(Ch).SELECTED.FORMAT.EPHASE


:CALC:FORM:TWOD

:CALC<Ch>:FORM:TWOD

Type

Command/Query

Syntax

:CALCulate<Ch>[:SELected]:FORMat:TWODimension {COMPlex|POLar}

:CALCulate<Ch>[:SELected]:FORMat:TWODimension?

Description

This command sets/gets a format type of 2-Dimensional graph.

Variable

Parameter | Selection Option
Description | Format type
Data Type | Character string type (String)
Range | COMPlex|POLar
Preset Value | COMPlex

Query Response

{COMP|POL}<newline><^END>

Examples

Dim Var as String
Var= "COMP"
Ana.WriteString ":CALC1:FORM:TWOD " & Var, True
Ana.WriteString ":CALC1:FORM:TWOD?", True
Var=Ana.ReadString

Related Commands

:CALC:PAR:DEF

Equivalent Softkey

Format > Complex Format

COM Command Syntax (Internal Control Only)

SCPI.CALCULATE(Ch).SELECTED.FORMAT.TWODIMENSION


:CALC:FUNC:DATA

:CALC<Ch>:FUNC:DATA

Type

Query

Syntax

:CALCulate<Ch>[:SELected]:FUNCtion:DATA?

Description

This command reads the analysis result of the :CALC:FUNC:EXEC.

Query Response

When :CALC:FUNC:TYPE is either PTP, STDEV, MEAN, MAX, MIN, PEAK, APE, ATAR, or SDEV.

{numeric 1}, .... ,{numeric Nx2}<newline><^END>

N (number of data pairs) can be read out with the :CALC:FUNC:POIN.

{numeric n×2-1}: Response value or analysis result of the searched n-th result. {numeric nx2}: Stimulus value of the searched n-th result.

When :CALC:FUNC:TYPE is either RPP, RPLH,RPLL, or RPLR.

{numeric}

When :CALC:FUNC:TYPE is RESO

{numeric (Zr: Resonant impedance)},{numeric (fr: Resonant frequency)}, {numeric (Za: Antiresonant impedance)}, {numeric (fa: Antiresonant frequency)}

When :CALC:FUNC:TYPE is RESR

{numeric (Zr: Resonant impedance)},{numeric (fr: Resonant frequency)}, {numeric (Za: Antiresonant impedance)}, {numeric (fa: Antiresonant frequency)}, {numeric (Ripple 1)}, {numeric (Ripple 2)}, {numeric (Ripple 3)}

  • Ripple 1: the maximum value of the left-side ripple (the sweep parameter difference between the peak and the left adjacent negative peak) within the range to the left of the resonant point within the waveform analysis range.

  • Ripple 2: the maximum value of the right ripple (the sweep parameter difference between the peak and the right adjacent negative peak) within the range between the resonant point and the anti-resonant point within the waveform analysis range.

  • Ripple 3: the maximum value of the left-side ripple within the range to the right of the resonant point within the waveform analysis range.

    • This searches for phase 0° points within the analysis range from the left edge, and defines the 1st detected point as the resonant point and the 2nd detected point as the anti-resonant point. Even if 3 or more phase 0° points are detected, only the first 2 points are used. If only 1 phase 0° point is detected, 0 is read out for parameters other than Zr, fr, and Rpl1. If no phase 0° point is detected, 0 is read out for all the parameters.

{numeric (Zr: Resonant impedance)},{numeric (fr: Resonant frequency)}, {numeric (Za: Antiresonant impedance)}, {numeric (fa: Antiresonant frequency)}, {numeric (Ripple 1)}, {numeric (Ripple 2)}, {numeric (Ripple 3)}

  • Ripple 1: the maximum value of the left-side ripple (the sweep parameter difference between the peak and the left adjacent negative peak) within the range to the left of the resonant point within the waveform analysis range.

  • Ripple 2: the maximum value of the right-side ripple (the sweep parameter difference between the peak and the right adjacent negative peak) within the range between the resonant point and the anti-resonant point within the waveform analysis range.

  • Ripple 3: the maximum value of the left-side ripple within the range to the right of the resonant point within the waveform analysis range.

Examples

Dim Var as Variant
Ana.WriteString ":CALC1:FUNC:DATA?", True
Var=Ana.ReadList(ASCIIType_R8, ",")

Related Commands

:CALC:FUNC:TYPE

:CALC:FUNC:EXEC

:CALC:FUNC:POIN

Equivalent Softkey

No equivalent key is available on the front panel.

COM Command Syntax (Internal Control Only)

SCPI.CALCULATE(Ch).SELECTED.FUNCTION.DATA


:CALC:FUNC:DOM

Type

Command/Query

Syntax

:CALCulate[:SELected]:FUNCtion:DOMain[:STATe] {ON|OFF|1|0}

:CALCulate[:SELected]:FUNCtion:DOMain[:STATe]?

Description

This command sets/gets an arbitrary range for analysis.

When the trace coupling is OFF, the active trace is the target to be set.

Variable

Parameter | Selection Option
Description | Analysis range On/Off status
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | OFF

Query Response

{1|0}<newline><^END>

Examples

Dim Var as Integer
Ana.WriteString ":CALC:FUNC:DOM ON", True
Ana.WriteString ":CALC:FUNC:DOM?", True
Var=Ana.ReadNumber

Related Commands

:CALC:FUNC:DOM:COUP

:CALC:FUNC:DOM:STAR

:CALC:FUNC:DOM:STOP

Equivalent Softkey

No equivalent key is available on the front panel.

COM Command Syntax (Internal Control Only)

SCPI.CALCULATE.SELECTED.FUNCTION.DOMAIN.STATE


:CALC:FUNC:DOM:COUP

Type

Command/Query

Syntax

:CALCulate[:SELected]:FUNCtion:DOMain:COUPle {ON|OFF|1|0}

:CALCulate[:SELected]:FUNCtion:DOMain:COUPle?

Description

This command sets/gets whether to set the coupling of the analysis range for all traces.

Variable

Parameter | Selection Option
Description | Couple state.
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | ON

Query Response

{1|0}<newline><^END>

Examples

Dim Var as Integer
Ana.WriteString ":CALC:FUNC:DOM:COUP ON", True
Ana.WriteString ":CALC:FUNC:DOM:COUP?", True
Var=Ana.ReadNumber

Related Commands

:CALC:FUNC:DOM

Equivalent Softkey

No equivalent key is available on the front panel.

COM Command Syntax (Internal Control Only)

SCPI.CALCULATE.SELECTED.FUNCTION.DOMAIN.COUPLE


:CALC:FUNC:DOM:STAR

Type

Command/Query

Syntax

:CALCulate[:SELected]:FUNCtion:DOMain:STARt <Value>

:CALCulate[:SELected]:FUNCtion:DOMain:STARt?

Description

This command sets/gets the start value of the analysis range.

When the trace coupling is OFF, the active trace or selected trace is the target to be set.

Variable

Parameter | Value
Description | Start value
Data Type | Numeric type (Real)
Range | -500G ~ 500G
Preset Value | 0
Unit | -
Resolution | -

Query Response

{numeric}<newline><^END>

Examples

Dim Var as Double
Var= 1000000
Ana.WriteString ":CALC1:FUNC:DOM:STAR " & Str(Var), True
Ana.WriteString ":CALC1:FUNC:DOM:STAR?", True
Var=Ana.ReadNumber

Related Commands

:CALC:FUNC:DOM:STOP

Equivalent Softkey

No equivalent key is available on the front panel.

COM Command Syntax (Internal Control Only)

SCPI.CALCULATE.SELECTED.FUNCTION.DOMAIN.START


:CALC:FUNC:DOM:STOP

Type

Command/Query

Syntax

:CALCulate[:SELected]:FUNCtion:DOMain:STOP <Value>

:CALCulate[:SELected]:FUNCtion:DOMain:STOP?

Description

This command sets/gets the stop value of the analysis range. When the trace coupling is OFF, the active trace or selected trace is the target to be set.

Variable

Parameter | Value
Description | Stop value
Data Type | Numeric type (Real)
Range | -500G ~ 500G
Preset Value | 0
Unit | -
Resolution | -

Query Response

{numeric}<newline><^END>

Examples

Dim Var as Double
Var= -500000000000
Ana.WriteString ":CALC:FUNC:DOM:STOP " & Str(Var), True
Ana.WriteString ":CALC:FUNC:DOM:STOP?", True
Var=Ana.ReadNumber

Related Commands

:CALC:FUNC:DOM:STAR

Equivalent Softkey

No equivalent key is available on the front panel.

COM Command Syntax (Internal Control Only)

SCPI.CALCULATE(Ch).SELECTED.FUNCTION.DOMAIN.STOP


:CALC:FUNC:EXEC

:CALC<Ch>:FUNC:EXEC

Type

Command

Syntax

:CALCulate<Ch>[:SELected]:FUNCtion:EXECute

Description

This command executes the analysis function.

Examples

Ana.WriteString ":CALC1:FUNC:EXEC", True

Related Commands

:CALC:PAR:DEF

Equivalent Softkey

No equivalent key is available on the front panel.

COM Command Syntax (Internal Control Only)

SCPI.CALCULATE(Ch).SELECTED.FUNCTION.EXECUTE


:CALC:FUNC:PEXC

:CALC<Ch>:FUNC:PEXC

Type

Command/Query

Syntax

:CALCulate<Ch>[:SELected]:FUNCtion:PEXCursion <Value>

:CALCulate<Ch>[:SELected]:FUNCtion:PEXCursion?

Description

This command sets/gets the peak excursion value.

Variable

Parameter | Value
Description | Peak excursion value
Data Type | Numeric type (Real)
Range | 0 ~ 500M
Preset Value | 3
Resolution | -

Query Response

{numeric}<newline><^END>

Examples

Dim Var as Double
Var= 10
Ana.WriteString ":CALC1:FUNC:PEXC " & Str(Var), True
Ana.WriteString ":CALC1:FUNC:PEXC?", True
Var=Ana.ReadNumber

Related Commands

:CALC:FUNC:TYPE

:CALC:FUNC:PPOL

Equivalent Softkey

No equivalent key is available on the front panel.

COM Command Syntax (Internal Control Only)

SCPI.CALCULATE(Ch).SELECTED.FUNCTION.PEXCURSION


:CALC:FUNC:POIN

:CALC<Ch>:FUNC:POIN

Type

Query

Syntax

:CALCulate<Ch>[:SELected]:FUNCtion:POINts?

Description

This command gets number of data pair in :CALC:FUNC:DATA.

Query Response

{numeric}<newline><^END>

Examples

Dim Var as Long
Ana.WriteString ":CALC1:FUNC:POIN?", True
Var=Ana.ReadNumber

Related Commands

:CALC:FUNC:DATA

Equivalent Softkey

No equivalent key is available on the front panel.

COM Command Syntax (Internal Control Only)

SCPI.CALCULATE(Ch).SELECTED.FUNCTION.POINTS


:CALC:FUNC:PPOL

:CALC<Ch>:FUNC:PPOL

Type

Command/Query

Syntax

:CALCulate<Ch>[:SELected]:FUNCtion:PPOLarity {POSitive|NEGative|BOTH}

:CALCulate<Ch>[:SELected]:FUNCtion:PPOLarity?

Description

This command sets/gets the polarity when performing the peak search with :CALC:FUNC:EXEC.

Variable

Parameter | Selection Option
Description | Peak polarity type
Data Type | Character string type (String)
Range | "POSitive": Positive peak. "NEGative": Negative peak. "BOTH":Both the positive peak and the negative peak
Preset Value | POSitive

Query Response

{POS|NEG|BOTH}<newline><^END>

Examples

Dim Var as String
Var= "POS"
Ana.WriteString ":CALC1:FUNC:PPOL " & Var, True
Ana.WriteString ":CALC1:FUNC:PPOL?", True
Var=Ana.ReadString

Related Commands

:CALC:FUNC:EXEC

:CALC:FUNC:TYPE

Equivalent Softkey

No equivalent key is available on the front panel.

COM Command Syntax (Internal Control Only)

SCPI.CALCULATE(Ch).SELECTED.FUNCTION.PPOLARITY


:CALC:FUNC:TARG

:CALC<Ch>:FUNC:TARG

Type

Command/Query

Syntax

:CALCulate<Ch>[:SELected]:FUNCtion:TARGet <Value>

:CALCulate<Ch>[:SELected]:FUNCtion:TARGet?

Description

This command sets/gets the target value when performing the target search with the :CALC:FUNC:EXEC.

Variable

Parameter | Value
Description | Target value
Data Type | Numeric type (Real)
Range | -500M ~ 500M
Preset Value | 0
Resolution | -

Query Response

{numeric}<newline><^END>

Examples

Dim Var as Double
Var= 100
Ana.WriteString ":CALC1:FUNC:TARG " & Str(Var), True
Ana.WriteString ":CALC1:FUNC:TARG?", True
Var=Ana.ReadNumber

Related Commands

:CALC:FUNC:EXEC

:CALC:FUNC:TYPE

Equivalent Softkey

No equivalent key is available on the front panel.

COM Command Syntax (Internal Control Only)

SCPI.CALCULATE(Ch).SELECTED.FUNCTION.TARGET


:CALC:FUNC:TTR

:CALC<Ch>:FUNC:TTR

Type

Command/Query

Syntax

:CALCulate<Ch>[:SELected]:FUNCtion:TTRansition {POSitive|NEGative|BOTH}

:CALCulate<Ch>[:SELected]:FUNCtion:TTRansition?

Description

This command sets/gets the transition type when performing the target search with the :CALC:FUNC:EXEC.

Variable

Parameter | Selection Option
Description | Transition type
Data Type | Character string type (String)
Range | "POSitive": Positive transition. "NEGative": Negative transition. "BOTH": Both the positive transition and the negative transition.
Preset Value | BOTH

Query Response

{POS|NEG|BOTH}<newline><^END>

Examples

Dim Var as String
Var= "POS"
Ana.WriteString ":CALC1:FUNC:TTR " & Var, True
Ana.WriteString ":CALC1:FUNC:TTR?", True
Var=Ana.ReadString

Related Commands

:CALC:FUNC:EXEC

:CALC:FUNC:TYPE

Equivalent Softkey

No equivalent key is available on the front panel.

COM Command Syntax (Internal Control Only)

SCPI.CALCULATE(Ch).SELECTED.FUNCTION.TTRANSITION


:CALC:FUNC:TYPE

:CALC<Ch>:FUNC:TYPE

Type

Command/Query

Syntax

:CALCulate<Ch>[:SELected]:FUNCtion:TYPE {PTPeak|STDEV|MEAN|MAXimum|MINimum|PEAK|APEak|ATARget|SDEViation|RPP|RPLHei|RPLLhei|RPLRhei|RESO|RESR|CERR}

:CALCulate<Ch>[:SELected]:FUNCtion:TYPE?

Description

This command sets/gets the type of analysis.

Variable

Parameter

Selection Option

Description

Analysis type

Data Type

Character string type (String)

Range

"PTPeak": Specifies the analysis of the difference between the maximum value and the minimum value (Peak to Peak).

"STDEV": Specifies the analysis of the standard deviation.

"MEAN": Specifies the analysis of the mean value.

"MAXimum": Specifies the search for the maximum value.

"MINimum": Specifies the search for the minimum value.

"PEAK": Specifies the search for the peak.

"APEak": Specifies the search for all peaks.

"ATARget": Specifies the search for all targets.

"SDEViation": Specifies the search for all deviations.

"RPP": Specifies the search for the difference value between the maximum peak measurement parameter value and the minimum negative peak measurement parameter value.

"RPLHei": Specifies the search for the maximum value after calculating the ripple (measurement parameter value difference between the peak and its both side adjacent negative peak).

"RPLLhei":Specifies the search for the maximum value after calculating the left-side ripple (measurement parameter value difference between the peak and its left adjacent negative peak).

"RPLRhei":Specifies the search for the maximum value after calculating the right-side ripple (measurement parameter value difference between the peak and its right adjacent negative peak).

"RESO":Specifies the resonant analysis.

"RESR":Specifies the resonant analysis with ripples.

"CERR":Specifies the ceramic oscillator analysis.

Preset Value

PTPeak

Query Response

{PTP|STDEV|MEAN|MAX|MIN|PEAK|APE|ATAR|SDEV|RPP|RPLH|RPLL|RPLR|RESO|RESR|CERR}<newline><^END>

Examples

Dim Var as String
Var= "PTP"
Ana.WriteString ":CALC1:FUNC:TYPE " & Var, True
Ana.WriteString ":CALC1:FUNC:TYPE?", True
Var=Ana.ReadString

Related Commands

:CALC:FUNC:DATA

:CALC:FUNC:EXEC

Equivalent Softkey

No equivalent key is available on the front panel.

COM Command Syntax (Internal Control Only)

SCPI.CALCULATE(Ch).SELECTED.FUNCTION.TYPE


:CALC:LIM

:CALC<Ch>:LIM

Type

Command/Query

Syntax

:CALCulate<Ch>[:SELected]:LIMit[:STATe] {ON|OFF|1|0}

:CALCulate<Ch>[:SELected]:LIMit[:STATe]?

Description

This command turns the limit test On/Off.

Variable

Parameter | Selection Option
Description | Limit test On/Off status
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | OFF

Query Response

{1|0}<newline><^END>

Examples

Dim Var as Integer
Ana.WriteString ":CALC1:LIM ON", True
Ana.WriteString ":CALC1:LIM?", True
Var=Ana.ReadNumber

Related Commands

:CALC:LIM:DATA

Equivalent Softkey

Analysis > Limit Test > Limit Test

COM Command Syntax (Internal Control Only)

SCPI.CALCULATE(Ch).SELECTED.LIMIT.STATE


:CALC:LIM:DATA

:CALC<Ch>:LIM:DATA

Type

Command/Query

Syntax

:CALCulate<Ch>[:SELected]:LIMit:DATA <Value>

:CALCulate<Ch>[:SELected]:LIMit:DATA?

Description

This command sets/gets the limit table for the limit test.

Variable

Parameter

Value

Description

Indicates the array data (for limit line) of 1 + Num (number of limit lines)*5. Where n is an integer between 1 and Num.

  • Data(0) :The number of limit lines you want to set. Specify an integer ranging 0 to 100. When the number of limit lines is set to 0 (clears the limit table), the variable Data is only required with Data(0).

  • Data(n*5-4) :The type of the n-th line.

Specify an integer 0 to 2 as follows.

0: OFF

1: Upper limit line

2: Lower limit line

  • Data(n*5-3) :The value on the horizontal axis (frequency/osc level/DC bias) of the start point of the n-th line.

  • Data(n*5-2) :The value on the horizontal axis (frequency/power/DC bias) of the end point of the n-th line.

  • Data(n*5-1) :The value on the vertical axis of the start point of the n-th line.

  • Data(n*5) :The value on the vertical axis of the end point of the n-th line.

The index of the array starts from 0.

Data Type

Variant type Array (Range)

Note

If there is no array data, an error occurs at execution and the object is ignored.

For Data(n×5-4) in the array data, if you specify an integer other than 0, 1 or 2, an error occurs at execution.

For Data(n×5-3), Data(n×5-2), Data(n×5-1), and Data(n×5) in the array data, if the specified value is out of the allowable setup range, the minimum value (if the lower limit of the range is not reached) or the maximum value (if the upper limit of the range is exceeded) is set.

Query Response

{numeric 1},...{numeric 1+(n*5)}<newline><^END>

Examples

See limit line.

Related Commands

:CALC:LIM

Equivalent Softkey

Analysis > Limit Test > Edit Limit Line

COM Command Syntax (Internal Control Only)

SCPI.CALCULATE(Ch).SELECTED.LIMIT.DATA


:CALC:LIM:DISP

:CALC<Ch>:LIM:DISP

Type

Command/Query

Syntax

:CALCulate<Ch>[:SELected]:LIMit:DISPlay[:STATe] {ON|OFF|1|0}

:CALCulate<Ch>[:SELected]:LIMit:DISPlay[:STATe]?

Description

This command shows/hides the limit line.

Variable

Parameter | Selection Option
Description | limit line On/Off status
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | OFF

Query Response

{1|0}<newline><^END>

Examples

Dim Var as Integer
Ana.WriteString ":CALC1:LIM:DISP ON", True
Ana.WriteString ":CALC1:LIM:DISP?", True
Var=Ana.ReadNumber

Related Commands

:CALC:LIM

Equivalent Softkey

Analysis > Limit Test > Limit Line

COM Command Syntax (Internal Control Only)

SCPI.CALCULATE(Ch).SELECTED.LIMIT.DISPLAY.STATE


:CALC:LIM:DISP:CLIP

:CALC<Ch>:LIM:DISP:CLIP

Type

Command/Query

Syntax

:CALCulate<Ch>[:SELected]:LIMit:DISPlay:CLIP {ON|OFF|1|0}

:CALCulate<Ch>[:SELected]:LIMit:DISPlay:CLIP?

Description

This command clips/unclips limit lines.

Variable

Parameter | Selection Option
Description | limit lines clip On/Off status
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | ON

Query Response

{1|0}<newline><^END>

Examples

Dim Var as Integer
Ana.WriteString ":CALC1:LIM:DISP:CLIP ON", True
Ana.WriteString ":CALC1:LIM:DISP:CLIP?", True
Var=Ana.ReadNumber

Related Commands

:CALC:LIM

Equivalent Softkey

Analysis > Limit Test > Clip Lines

COM Command Syntax (Internal Control Only)

SCPI.CALCULATE(Ch).SELECTED.LIMIT.DISPLAY.CLIP


:CALC:LIM:FAIL

:CALC<Ch>:LIM:FAIL

Type

Query

Syntax

:CALCulate<Ch>[:SELected]:LIMit:FAIL?

Description

This command returns the pass/fail result.

Query Response

{1|0}<newline><^END>

1: Fail, 0: Pass

Examples

Dim Var as Integer
Ana.WriteString ":CALC1:LIM:FAIL?", True
Var=Ana.ReadNumber

Related Commands

:CALC:LIM

Equivalent Softkey

No equivalent key is available on the front panel.

COM Command Syntax (Internal Control Only)

SCPI.CALCULATE(Ch).SELECTED.LIMIT.FAIL


:CALC:LIM:OFFS:AMPL

:CALC<Ch>:LIM:OFFS:AMPL

Type

Command/Query

Syntax

:CALCulate<Ch>[:SELected]:LIMit:OFFSet:AMPLitude <Value>

:CALCulate<Ch>[:SELected]:LIMit:OFFSet:AMPLitude?

Description

This command sets/gets the limit line amplitude offset.

Variable

Parameter | Value
Description | Amplitude offset value
Data Type | Numeric type (Real)
Range | -500M ~ 500M
Preset Value | 0
Unit | Depending on Measurement Format
Resolution | -

Query Response

{numeric}<newline><^END>

Examples

Dim Var as Double
Var= 10
Ana.WriteString ":CALC1:LIM:OFFS:AMPL " & Str(Var), True
Ana.WriteString ":CALC1:LIM:OFFS:AMPL?", True
Var=Ana.ReadNumber

Related Commands

:CALC:LIM

:CALC:LIM:OFFS:STIM

Equivalent Softkey

Analysis > Limit Test > Limit Line Offsets > Amplitude Offset

COM Command Syntax (Internal Control Only)

SCPI.CALCULATE(Ch).SELECTED.LIMIT.OFFSET.AMPLITUDE


:CALC:LIM:OFFS:MARK

:CALC<Ch>:LIM:OFFS:MARK

Type

Command

Syntax

:CALCulate<Ch>[:SELected]:LIMit:OFFSet:MARKer

Description

This command sets the current active marker value as the limit line amplitude offset value.

Examples

Ana.WriteString ":CALC1:LIM:OFFS:MARK", True

Related Commands

:CALC:LIM:OFFS:STIM

Equivalent Softkey

Analysis > Limit Test > Limit Line Offsets > Marker -> Amplitude Offset

COM Command Syntax (Internal Control Only)

SCPI.CALCULATE(Ch).SELECTED.LIMIT.OFFSET.MARKER


:CALC:LIM:OFFS:STIM

:CALC<Ch>:LIM:OFFS:STIM

Type

Command/Query

Syntax

:CALCulate<Ch>[:SELected]:LIMit:OFFSet:STIMulus <Value>

:CALCulate<Ch>[:SELected]:LIMit:OFFSet:STIMulus?

Description

This command sets/gets the limit line stimulus offset.

Variable

Parameter | Value
Description | Limit line stimulus offset
Data Type | Numeric type (Real)
Range | -1T ~ 1T
Preset Value | 0
Unit | Hz|V|A
Resolution | -

Query Response

{numeric}<newline><^END>

Examples

Dim Var as Double
Var= 10
Ana.WriteString ":CALC1:LIM:OFFS:STIM " & Str(Var), True
Ana.WriteString ":CALC1:LIM:OFFS:STIM?", True
Var=Ana.ReadNumber

Related Commands

:CALC:LIM

:CALC:LIM:OFFS:AMPL

Equivalent Softkey

Analysis > Limit Test > Limit Line Offsets > Stimulus Offset

COM Command Syntax (Internal Control Only)

SCPI.CALCULATE(Ch).SELECTED.LIMIT.OFFSET.STIMULUS


:CALC:LIM:REP

:CALC<Ch>:LIM:REP

Type

Query

Syntax

:CALCulate<Ch>[:SELected]:LIMit:REPort[:DATA]?

Description

This command returns the stimulus values at all the measurement points that failed the limit test. if no numbers, return 9.91E37.

Query Response

{numeric 1} ... {numeric NOP}<newline><^END>

NOP is the value retuned with :CALC:LIM:REP:POIN.

Examples

Dim Var as Variant
Ana.WriteString ":CALC1:LIM:REP?", True
Var=Ana.ReadList(ASCIIType_R8, ",")

Related Commands

:CALC:LIM:REP:POIN

Equivalent Softkey

No equivalent key is available on the front panel.

COM Command Syntax (Internal Control Only)

SCPI.CALCULATE(Ch).SELECTED.LIMIT.REPORT.DATA


:CALC:LIM:REP:ALL

:CALC<Ch>:LIM:REP:ALL

Type

Query

Syntax

:CALCulate<Ch>[:SELected]:LIMit:REPort:ALL?

Description

This command returns the limit test result of all measurement points.

Query Response

{numeric 1}, ..., {numeric (NOP×3)}<newline><^END>

{numeric (n×3)-2}: Limit test result

  • 0: FAIL

  • 1: PASS

  • -1: Limit test was off

{numeric (n×3)-1}: Upper border value of the limit (0 is returned if no limit line is set.)

{numeric (n×3)}: Lower border value of the limit (0 is returned if no limit line is set.)

Preset value is -1, 0, 0.

Examples

Dim Var as Variant
Ana.WriteString ":CALC1:LIM:REP:ALL?", True
Var=Ana.ReadList(ASCIIType_R8, ",")

Related Commands

:CALC:LIM:REP

Equivalent Softkey

No equivalent key is available on the front panel.

COM Command Syntax (Internal Control Only)

SCPI.CALCULATE(Ch).SELECTED.LIMIT.REPORT.ALL


:CALC:LIM:REP:MARK

:CALC<Ch>:LIM:REP:MARK<Mk>

Type

Query

Syntax

:CALCulate<Ch>[:SELected]:LIMit:REPort:MARKer<Mk>[:ALL]?

Description

This command returns the limit test result of measurement point of the active marker position. (Mk: marker 1 to 9 and reference marker 10.)

If the marker function is off, executing this command causes an error and invalid values are read out.

If marker discrete is set at Off and the marker is located between two points, the value at the closest point is returned.

Variable

Query Response

{numeric 1},{numeric 2},{numeric 3},{numeric 4}<newline><^END>

{numeric 1}: Sweep parameter value at Marker position

{numeric 2}: Limit test result

  • 0: FAIL

  • 1: PASS

  • -1: Limit test was off

{numeric 3}: Upper border value of the limit (0 is returned if no limit line is set.)

{numeric 4}: Lower border value of the limit (0 is returned if no limit line is set.)

Examples

Dim Var as Variant
Ana.WriteString ":CALC1:LIM:REP:MARK1?", True
Var=Ana.ReadList(ASCIIType_R8, ",")

Related Commands

:CALC:LIM

:CALC:LIM:REP:ALL

Equivalent Softkey

No equivalent key is available on the front panel.

COM Command Syntax (Internal Control Only)

SCPI.CALCULATE(Ch).SELECTED.LIMIT.REPORT.MARKER(Mk).ALL


:CALC:LIM:REP:POIN

:CALC<Ch>:LIM:REP:POIN

Type

Query

Syntax

:CALCulate<Ch>[:SELected]:LIMit:REPort:POINts?

Description

This command returns the number of the failed points of the limit test.

Query Response

{numeric}<newline><^END>

Examples

Dim Var as Long
Ana.WriteString ":CALC1:LIM:REP:POIN?", True
Var=Ana.ReadNumber

Related Commands

:CALC:LIM

:CALC:LIM:REP

Equivalent Softkey

No equivalent key is available on the front panel.

COM Command Syntax (Internal Control Only)

SCPI.CALCULATE(Ch).SELECTED.LIMIT.REPORT.POINTS


:CALC:MARK

:CALC<Ch>:MARK<Mk>

Type

Command/Query

Syntax

:CALCulate<Ch>[:SELected]:MARKer<Mk>[:STATe] {ON|OFF|1|0}

:CALCulate<Ch>[:SELected]:MARKer<Mk>[:STATe]?

Description

This command turns ON/OFF the display of marker 1 to 9 (Mk) and reference marker (Mk:10).

Variable

Parameter | Selection Option
Description | Marker On/Off
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | OFF

Query Response

{1|0}<newline><^END>

Examples

Dim Var as Integer
Ana.WriteString ":CALC1:MARK1 ON", True
Ana.WriteString ":CALC1:MARK1?", True
Var=Ana.ReadNumber

Related Commands

:CALC:MARK:AOFF

Equivalent Softkey

Marker > Marker 1 to Marker 9, Reference Marker

Marker > Clear Marker Menu > Marker 1 to Marker 9, Reference Marker

COM Command Syntax (Internal Control Only)

SCPI.CALCULATE(Ch).SELECTED.MARKER(Mk).STATE


:CALC:MARK:ACT

:CALC<Ch>:MARK<Mk>:ACT

Type

Command

Syntax

:CALCulate<Ch>[:SELected]:MARKer<Mk>:ACTivate

Description

This command sets as active marker.

Examples

Ana.WriteString ":CALC1:MARK1:ACT", True

Related Commands

:CALC:MARK

Equivalent Softkey

Marker > Marker 1 to Marker 9, Reference Marker

COM Command Syntax (Internal Control Only)

SCPI.CALCULATE(Ch).SELECTED.MARKER(Mk).ACTIVATE


:CALC:MARK:AOFF

:CALC<Ch>:MARK:AOFF

Type

Command

Syntax

:CALCulate<Ch>[:SELected]:MARKer:AOFF

Description

This command turns off all markers.

Examples

Ana.WriteString ":CALC1:MARK:AOFF", True

Related Commands

:CALC:MARK

Equivalent Softkey

Marker > Clear Marker Menu > All OFF

COM Command Syntax (Internal Control Only)

SCPI.CALCULATE(Ch).SELECTED.MARKER.AOFF


:CALC:MARK:BWID

:CALC<Ch>:MARK:BWID

Type

Command/Query

Syntax

:CALCulate<Ch>[:SELected]:MARKer:BWIDth[:STATe] {ON|OFF|1|0}

:CALCulate<Ch>[:SELected]:MARKer:BWIDth[:STATe]?

Description

This command shows/hides the marker bandwidth.

Variable

Parameter | Selection Option
Description | Maker bandwidth On/Off status
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | OFF

Query Response

{1|0}<newline><^END>

Examples

Dim Var as Integer
Ana.WriteString ":CALC1:MARK1:BWID ON", True
Ana.WriteString ":CALC1:MARK1:BWID?", True
Var=Ana.ReadNumber

Related Commands

:CALC:MARK:BWID:DATA

Equivalent Softkey

Marker Search > Bandwidth

COM Command Syntax (Internal Control Only)

SCPI.CALCULATE(Ch).SELECTED.MARKER.BWIDTH.STATE


:CALC:MARK:BWID:DATA

:CALC<Ch>:MARK:BWID:DATA

Type

Query

Syntax

:CALCulate<Ch>[:SELected]:MARKer:BWIDth:DATA?

Description

This command reads the bandwidth search result of marker 1 to 9 (Mk) and reference marker (Mk:10).

If the bandwidth search is impossible, an error occurs when executed and the object is ignored.

Query Response

{numeric 1}, {numeric 2}, {numeric 3}, {numeric 4}, {numeric 5}, {numeric 6}<newline><^END>

{numeric 1} : Bandwidth

{numeric 2} : Center point frequency of the 2 cutoff frequency points

{numeric 3} : Q value

{numeric 4} : marker value (peak value)

{numeric 5} : DL

{numeric 6} : DR

Examples

Dim Var as Variant
Ana.WriteString ":CALC1:MARK:BWID:DATA?", True
Var=Ana.ReadNumber

Related Commands

:CALC:MARK:BWID

Equivalent Softkey

No equivalent key is available on the front panel.
(Result on the screen for Marker Search > Bandwidth)

COM Command Syntax (Internal Control Only)

SCPI.CALCULATE(Ch).SELECTED.MARKER.BWIDTH.DATA


:CALC:MARK:BWID:FIX:VAL

:CALC<Ch>:MARK<Mk>:BWID:FIX:VAL

Type

Command/Query

Syntax

:CALCulate<Ch>[:SELected]:MARKer<Mk>:BWIDth:FIXed:VALue <Value>

:CALCulate<Ch>[:SELected]:MARKer<Mk>:BWIDth:FIXed:VALue?

Description

This command sets/gets the marker bandwidth fixed value.

Variable

Parameter | Value
Description | Marker bandwidth fixed value
Data Type | Numeric type (Real)
Range | -500M ~ 500M
Preset Value | 0
Unit | Depends on Measurement Format
Resolution | -

Query Response

{numeric}<newline><^END>

Examples

Dim Var as Double
Var= 10
Ana.WriteString ":CALC1:MARK1:BWID:FIX:VAL " & Str(Var), True
Ana.WriteString ":CALC1:MARK1:BWID:FIX:VAL?", True
Var=Ana.ReadNumber

Related Commands

:CALC:MARK:BWID

:CALC:MARK:BWID:TYPE

Equivalent Softkey

Marker Search > BW Fixed Value

COM Command Syntax (Internal Control Only)

SCPI.CALCULATE(Ch).SELECTED.MARKER(Mk).BWIDTH.FIXED.VALUE


:CALC:MARK:BWID:TYPE

:CALC<Ch>:MARK:BWID:TYPE

Type

Command/Query

Syntax

:CALCulate<Ch>[:SELected]:MARKer:BWIDth:TYPE {DIVS2|MULS2|DIV2|MUL2|SUB|ADD|FIXed}

:CALCulate<Ch>[:SELected]:MARKer:BWIDth:TYPE?

Description

This command sets/gets a cutoff point in the marker bandwidth analysis function.

Variable

Parameter | Selection Option
Description | Cutoff point type
Data Type | Character string type (String)
Range | DIVS2: MkrVal/sqrt(2) MULS2: MkrVal*srqt(2) DIV2: MkrVal/2 MUL2: MkrVal*2 SUB: MkrVal-Fixed ADD: MkrVal+Fixed FIXed: Fixed Value
Preset Value | FIXed

Query Response

{DIVS2|MULS2|DIV2|MUL2|SUB|ADD|FIX}<newline><^END>

Examples

Dim Var as String
Var= "DIVS2"
Ana.WriteString ":CALC1:MARK1:BWID:TYPE " & Var, True
Ana.WriteString ":CALC1:MARK1:BWID:TYPE?", True
Var=Ana.ReadString

Related Commands

:CALC:MARK:BWID

:CALC:MARK:BWID:FIX:VAL

Equivalent Softkey

Marker Search > Widths Def

COM Command Syntax (Internal Control Only)

SCPI.CALCULATE(Ch).SELECTED.MARKER.BWIDTH.TYPE


:CALC:MARK:COUP

:CALC<Ch>:MARK<Mk>:COUP

Type

Command/Query

Syntax

:CALCulate<Ch>[:SELected]:MARKer:COUPle {ON|OFF|1|0}

:CALCulate<Ch>[:SELected]:MARKer:COUPle?

Description

This command turns marker couple/uncouple.

Variable

Parameter | Selection Option
Description | Marker couple/uncouple status
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | ON

Query Response

{1|0}<newline><^END>

Examples

Dim Var as Integer
Ana.WriteString ":CALC1:MARK1:COUP ON", True
Ana.WriteString ":CALC1:MARK1:COUP?", True
Var=Ana.ReadNumber

Related Commands

:CALC:MARK

Equivalent Softkey

Marker Function > Couple

COM Command Syntax (Internal Control Only)

SCPI.CALCULATE(Ch).SELECTED.MARKER.COUPLE


:CALC:MARK:DISC

:CALC<Ch>:MARK:DISC

Type

Command/Query

Syntax

:CALCulate<Ch>[:SELected]:MARKer:DISCrete {ON|OFF|1|0}

:CALCulate<Ch>[:SELected]:MARKer:DISCrete?

Description

This command turns marker discrete mode On/Off.

Variable

Parameter | Selection Option
Description | Marker discrete mode On/Off status
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | OFF

Query Response

{1|0}<newline><^END>

Examples

Dim Var as Integer
Ana.WriteString ":CALC1:MARK:DISC ON", True
Ana.WriteString ":CALC1:MARK:DISC?", True
Var=Ana.ReadNumber

Related Commands

:CALC:MARK:Y

:CALC:MARK:X

Equivalent Softkey

Marker Function > Discrete

COM Command Syntax (Internal Control Only)

SCPI.CALCULATE(Ch).SELECTED.MARKER.DISCRETE


:CALC:MARK:FUNC:DOM

:CALC<Ch>:MARK:FUNC:DOM

Type

Command/Query

Syntax

:CALCulate<Ch>[:SELected]:MARKer:FUNCtion:DOMain[:STATe] {ON|OFF|1|0}

:CALCulate<Ch>[:SELected]:MARKer:FUNCtion:DOMain[:STATe]?

Description

This command sets/gets the search range state.

Variable

Parameter | Selection Option
Description | Search range On/Off state
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | OFF

Query Response

{1|0}<newline><^END>

Examples

Dim Var as Integer
Ana.WriteString ":CALC1:MARK:FUNC:DOM ON", True
Ana.WriteString ":CALC1:MARK:FUNC:DOM?", True
Var=Ana.ReadNumber

Related Commands

:CALC:MARK:FUNC:DOM:COUP

:CALC:MARK:FUNC:DOM:STAR

:CALC:MARK:FUNC:DOM:STOP

Equivalent Softkey

Marker Search > Search Range > Search Range

COM Command Syntax (Internal Control Only)

SCPI.CALCULATE(Ch).SELECTED.MARKER(Mk).FUNCTION.DOMAIN.STATE


:CALC:MARK:FUNC:DOM:COUP

:CALC<Ch>:MARK:FUNC:DOM:COUP

Type

Command/Query

Syntax

:CALCulate<Ch>[:SELected]:MARKer:FUNCtion:DOMain:COUPle {ON|OFF|1|0}

:CALCulate<Ch>[:SELected]:MARKer:FUNCtion:DOMain:COUPle?

Description

This command sets/gets the search range couple state.

Variable

Parameter | Selection Option
Description | Search range couple On/Off state
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | ON

Query Response

{1|0}<newline><^END>

Examples

Dim Var as Integer
Ana.WriteString ":CALC1:MARK:FUNC:DOM:COUP ON", True
Ana.WriteString ":CALC1:MARK:FUNC:DOM:COUP?", True
Var=Ana.ReadNumber

Related Commands

:CALC:MARK:FUNC:DOM

Equivalent Softkey

Marker Search > Search Range > Couple

COM Command Syntax (Internal Control Only)

SCPI.CALCULATE(Ch).SELECTED.MARKER.FUNCTION.DOMAIN.COUPLE


:CALC:MARK:FUNC:DOM:STAR

:CALC<Ch>:MARK:FUNC:DOM:STAR

Type

Command/Query

Syntax

:CALCulate<Ch>[:SELected]:MARKer:FUNCtion:DOMain:STARt <Value>

:CALCulate<Ch>[:SELected]:MARKer:FUNCtion:DOMain:STARt?

Description

This command sets/gets the start of search range.

Variable

Parameter | Value
Description | Start value
Data Type | Numeric type (Real)
Range | -500G ~ 500G
Preset Value | 0
Unit | Hz|V|A
Resolution | -

Query Response

{numeric}<newline><^END>

Examples

Dim Var as Double
Var= -500000000000
Ana.WriteString ":CALC1:MARK:FUNC:DOM:STAR " & Str(Var), True
Ana.WriteString ":CALC1:MARK:FUNC:DOM:STAR?", True
Var=Ana.ReadNumber

Related Commands

:CALC:MARK:FUNC:DOM:STOP

:CALC:MARK:FUNC:DOM

Equivalent Softkey

Marker Search > Search Range > Start

COM Command Syntax (Internal Control Only)

SCPI.CALCULATE(Ch).SELECTED.MARKER.FUNCTION.DOMAIN.START


:CALC:MARK:FUNC:DOM:STOP

:CALC<Ch>:MARK:FUNC:DOM:STOP

Type

Command/Query

Syntax

:CALCulate<Ch>[:SELected]:MARKer:FUNCtion:DOMain:STOP <Value>

:CALCulate<Ch>[:SELected]:MARKer:FUNCtion:DOMain:STOP?

Description

This command sets/gets the stop of search range.

Variable

Parameter | Value
Description | Stop value
Data Type | Numeric type (Real)
Range | -500G ~ 500G
Preset Value | 0
Unit | Hz|V|A
Resolution | -

Query Response

{numeric}<newline><^END>

Examples

Dim Var as Double
Var= -500000000000
Ana.WriteString ":CALC1:MARK:FUNC:DOM:STOP " & Str(Var), True
Ana.WriteString ":CALC1:MARK:FUNC:DOM:STOP?", True
Var=Ana.ReadNumber

Related Commands

:CALC:MARK:FUNC:DOM:STAR

:CALC:MARK:FUNC:DOM

Equivalent Softkey

Marker Search > Search Range > Stop

COM Command Syntax (Internal Control Only)

SCPI.CALCULATE(Ch).SELECTED.MARKER.FUNCTION.DOMAIN.STOP


:CALC:MARK:FUNC:EXEC

:CALC<Ch>:MARK<Mk>:FUNC:EXEC

Type

Command

Syntax

:CALCulate<Ch>[:SELected]:MARKer<Mk>:FUNCtion:EXECute

Description

This command executes the marker search.

Examples

Ana.WriteString ":CALC1:MARK1:FUNC:EXEC", True

Related Commands

:CALC:MARK:FUNC:MULT:TYPE

:CALC:MARK:FUNC:TYPE

Equivalent Softkey

Marker Search > Max | Min

Marker Search > Peak > Search Peak

Marker Search > Target > Search Target

Marker Search > Multi Peak > Search Multi Peak

Marker Search > Multi Target > Search Multi Target

These softkeys operation can be done by the following two commands:

  • Max/Min/Peak/Target :CALC:MARK:FUNC:TYPE and :CALC:MARK:FUNC:EXEC.

  • Multi Peak/Multi Target :CALC:MARK:FUNC:MULT:TYPE and :CALC:MARK:FUNC:EXEC.

COM Command Syntax (Internal Control Only)

SCPI.CALCULATE(Ch).SELECTED.MARKER(Mk).FUNCTION.EXECUTE


:CALC:MARK:FUNC:MULT:PEXC

:CALC<Ch>:MARK:FUNC:MULT:PEXC

Type

Command/Query

Syntax

:CALCulate<Ch>[:SELected]:MARKer:FUNCtion:MULTi:PEXCursion <Value>

:CALCulate<Ch>[:SELected]:MARKer:FUNCtion:MULTi:PEXCursion?

Description

This command sets/gets the peak excursion value.

Variable

Parameter | Value
Description | Peak excursion value
Data Type | Numeric type (Real)
Range | 0 ~ 500M
Preset Value | 3
Unit | Depends on Measurement Format
Resolution | -

Query Response

{numeric}<newline><^END>

Examples

Dim Var as Double
Var= 10
Ana.WriteString ":CALC1:MARK:FUNC:MULT:PEXC " & Str(Var), True
Ana.WriteString ":CALC1:MARK:FUNC:MULT:PEXC?", True
Var=Ana.ReadNumber

Related Commands

:CALC:MARK:FUNC:EXEC

:CALC:MARK:FUNC:MULT:TYPE

:CALC:MARK:FUNC:MULT:PPOL

Equivalent Softkey

Marker Search > Multi Peak > Peak Excursion

COM Command Syntax (Internal Control Only)

SCPI.CALCULATE(Ch).SELECTED.MARKER.FUNCTION.MULTI.PEXCURSION


:CALC:MARK:FUNC:MULT:PPOL

:CALC<Ch>:MARK:FUNC:MULT:PPOL

Type

Command/Query

Syntax

:CALCulate<Ch>[:SELected]:MARKer:FUNCtion:MULTi:PPOLarity {POSitive|NEGative|BOTH}

:CALCulate<Ch>[:SELected]:MARKer:FUNCtion:MULTi:PPOLarity?

Description

This command sets/gets the peak polarity type.

Variable

Parameter | Selection Option
Description | Polarity type
Data Type | Character string type (String)
Range | POSitive|NEGative|BOTH
Preset Value | POSitive

Query Response

{POS|NEG|BOTH}<newline><^END>

Examples

Dim Var as String
Var= "POS"
Ana.WriteString ":CALC1:MARK:FUNC:MULT:PPOL " & Var, True
Ana.WriteString ":CALC1:MARK:FUNC:MULT:PPOL?", True
Var=Ana.ReadString

Related Commands

Equivalent Softkey

No equivalent key is available on the front panel.

COM Command Syntax (Internal Control Only)

SCPI.CALCULATE(Ch).SELECTED.MARKER.FUNCTION.MULTI.PPOLARITY


:CALC:MARK:FUNC:MULT:TARG

:CALC<Ch>:MARK:FUNC:MULT:TARG

Type

Command/Query

Syntax

:CALCulate<Ch>[:SELected]:MARKer:FUNCtion:MULTi:TARGet <Value>

:CALCulate<Ch>[:SELected]:MARKer:FUNCtion:MULTi:TARGet?

Description

This command sets/gets the target value for multiple search.

Variable

Parameter | Value
Description | Target value
Data Type | Numeric type (Real)
Range | -500M ~ 500M
Preset Value | 0
Unit | Depends on Measurement Format
Resolution | -

Query Response

{numeric}<newline><^END>

Examples

Dim Var as Double
Var= 100
Ana.WriteString ":CALC1:MARK:FUNC:MULT:TARG " & Str(Var), True
Ana.WriteString ":CALC1:MARK:FUNC:MULT:TARG?", True
Var=Ana.ReadNumber

Related Commands

:CALC:MARK:FUNC:MULT:TYPE

:CALC:MARK:FUNC:MULT:TTR

:CALC:MARK:FUNC:EXEC

Equivalent Softkey

Marker Search > Multi Target > Target Value

COM Command Syntax (Internal Control Only)

SCPI.CALCULATE(Ch).SELECTED.MARKER.FUNCTION.MULTI.TARGET


:CALC:MARK:FUNC:MULT:TRAC

:CALC<Ch>:MARK:FUNC:MULT:TRAC

Type

Command/Query

Syntax

:CALCulate<Ch>[:SELected]:MARKer:FUNCtion:MULTi:TRACking {ON|OFF|1|0}

:CALCulate<Ch>[:SELected]:MARKer:FUNCtion:MULTi:TRACking?

Description

This command turns the tracking search capability On/Off for multiple search.

Variable

Parameter | Selection Option
Description | Tracking Search On/Off status
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | OFF

Query Response

{1|0}<newline><^END>

Examples

Dim Var as Integer
Ana.WriteString ":CALC1:MARK:FUNC:MULT:TRAC ON", True
Ana.WriteString ":CALC1:MARK:FUNC:MULT:TRAC?", True
Var=Ana.ReadNumber

Related Commands

:CALC:MARK:FUNC:EXEC

:CALC:MARK:FUNC:MULT:TYPE

Equivalent Softkey

Marker Search > Tracking

COM Command Syntax (Internal Control Only)

SCPI.CALCULATE(Ch).SELECTED.MARKER.FUNCTION.MULTI.TRACKING


:CALC:MARK:FUNC:MULT:TTR

:CALC<Ch>:MARK:FUNC:MULT:TTR

Type

Command/Query

Syntax

:CALCulate<Ch>[:SELected]:MARKer:FUNCtion:MULTi:TTRansition {POSitive|NEGative|BOTH}

:CALCulate<Ch>[:SELected]:MARKer:FUNCtion:MULTi:TTRansition?

Description

This command sets/gets the target transition type for multiple search.

Variable

Parameter | Selection Option
Description | Transition type
Data Type | Character string type (String)
Range | POSitive|NEGative|BOTH
Preset Value | BOTH

Query Response

{POS|NEG|BOTH}<newline><^END>

Examples

Dim Var as String
Var= "POS"
Ana.WriteString ":CALC1:MARK:FUNC:MULT:TTR " & Var, True
Ana.WriteString ":CALC1:MARK:FUNC:MULT:TTR?", True
Var=Ana.ReadString

Related Commands

:CALC:MARK:FUNC:MULT:TYPE

:CALC:MARK:FUNC:MULT:TARG

Equivalent Softkey

No equivalent key is available on the front panel.

COM Command Syntax (Internal Control Only)

SCPI.CALCULATE(Ch).SELECTED.MARKER.FUNCTION.MULTI.TTRANSITION


:CALC:MARK:FUNC:MULT:TYPE

:CALC<Ch>:MARK:FUNC:MULT:TYPE

Type

Command/Query

Syntax

:CALCulate<Ch>[:SELected]:MARKer:FUNCtion:MULTi:TYPE {OFF|PEAK|TARGet}

:CALCulate<Ch>[:SELected]:MARKer:FUNCtion:MULTi:TYPE?

Description

This command sets/gets the marker search type for multiple search.

Variable

Parameter | Selection Option
Description | Marker search type
Data Type | Character string type (String)
Range | OFF|PEAK|TARGet
Preset Value | OFF

Query Response

{OFF|PEAK|TARG}<newline><^END>

Examples

Dim Var as String
Var= "OFF"
Ana.WriteString ":CALC1:MARK:FUNC:MULT:TYPE " & Var, True
Ana.WriteString ":CALC1:MARK:FUNC:MULT:TYPE?", True
Var=Ana.ReadString

Related Commands

:CALC:MARK:FUNC:EXEC

Equivalent Softkey

Marker Search > Multi Peak > Search Multi Peak

Marker Search > Multi Target > Search Multi Target

COM Command Syntax (Internal Control Only)

SCPI.CALCULATE(Ch).SELECTED.MARKER.FUNCTION.MULTI.TYPE


:CALC:MARK:FUNC:PEXC

:CALC<Ch>:MARK<Mk>:FUNC:PEXC

Type

Command/Query

Syntax

:CALCulate<Ch>[:SELected]:MARKer<Mk>:FUNCtion:PEXCursion <Value>

:CALCulate<Ch>[:SELected]:MARKer<Mk>:FUNCtion:PEXCursion?

Description

This command sets/gets the peak excursion value with marker 1 to 9 (MK:1-9) and reference marker (Mk:10).

Variable

Parameter | Value
Description | Peak excursion value
Data Type | Numeric type (Real)
Range | 0 ~ 500M
Preset Value | 3
Unit | Depending on measurement value
Resolution | -

Query Response

{numeric}<newline><^END>

Examples

Dim Var as Double
Var= 5
Ana.WriteString ":CALC1:MARK1:FUNC:PEXC " & Str(Var), True
Ana.WriteString ":CALC1:MARK1:FUNC:PEXC?", True
Var=Ana.ReadNumber

Related Commands

:CALC:MARK:FUNC:TYPE

:CALC:MARK:FUNC:PPOL

:CALC:MARK:FUNC:EXEC

Equivalent Softkey

Marker Search > Peak > Peak Excursion

COM Command Syntax (Internal Control Only)

SCPI.CALCULATE(Ch).SELECTED.MARKER(Mk).FUNCTION.PEXCURSION


:CALC:MARK:FUNC:PPOL

:CALC<Ch>:MARK<Mk>:FUNC:PPOL

Type

Command/Query

Syntax

:CALCulate<Ch>[:SELected]:MARKer<Mk>:FUNCtion:PPOLarity {POSitive|NEGative|BOTH}

:CALCulate<Ch>[:SELected]:MARKer<Mk>:FUNCtion:PPOLarity?

Description

This command sets/gets the peak polarity type with marker 1 to 9 (MK:1-9) and reference marker (Mk:10).

Variable

Parameter | Selection Option
Description | Peak polarity type
Data Type | Character string type (String)
Range | POSitive|NEGative|BOTH
Preset Value | POSitive

Query Response

{POS|NEG|BOTH}<newline><^END>

Examples

Dim Var as String
Var= "POS"
Ana.WriteString ":CALC1:MARK1:FUNC:PPOL " & Var, True
Ana.WriteString ":CALC1:MARK1:FUNC:PPOL?", True
Var=Ana.ReadString

Related Commands

:CALC:MARK:FUNC:TYPE

:CALC:MARK:FUNC:PEXC

:CALC:MARK:FUNC:EXEC

Equivalent Softkey

Marker Search > Peak > Peak Polarity

COM Command Syntax (Internal Control Only)

SCPI.CALCULATE(Ch).SELECTED.MARKER(Mk).FUNCTION.PPOLARITY


:CALC:MARK:FUNC:TARG

:CALC<Ch>:MARK<Mk>:FUNC:TARG

Type

Command/Query

Syntax

:CALCulate<Ch>[:SELected]:MARKer<Mk>:FUNCtion:TARGet <Value>

:CALCulate<Ch>[:SELected]:MARKer<Mk>:FUNCtion:TARGet?

Description

This command sets/gets the target value with marker 1 to 9 (MK:1-9) and reference marker (Mk:10).

Variable

Parameter | Value
Description | Target value
Data Type | Numeric type (Real)
Range | -500M ~ 500M
Preset Value | 0
Unit | Depends on measurement format
Resolution | -

Query Response

{numeric}<newline><^END>

Examples

Dim Var as Double
Var= 100
Ana.WriteString ":CALC1:MARK1:FUNC:TARG " & Str(Var), True
Ana.WriteString ":CALC1:MARK1:FUNC:TARG?", True
Var=Ana.ReadNumber

Related Commands

:CALC:MARK:FUNC:TYPE

:CALC:MARK:FUNC:TTR

:CALC:MARK:FUNC:EXEC

Equivalent Softkey

Marker Search > Peak > Target Value

COM Command Syntax (Internal Control Only)

SCPI.CALCULATE(Ch).SELECTED.MARKER(Mk).FUNCTION.TARGET


:CALC:MARK:FUNC:TRAC

:CALC<Ch>:MARK<Mk>:FUNC:TRAC

Type

Command/Query

Syntax

:CALCulate<Ch>[:SELected]:MARKer<Mk>:FUNCtion:TRACking {ON|OFF|1|0}

:CALCulate<Ch>[:SELected]:MARKer<Mk>:FUNCtion:TRACking?

Description

This command turns the tracking capability On/Off with marker 1 to 9 (MK:1-9) and reference marker (Mk:10).

Variable

Parameter | Selection Option
Description | Tracking Search On/Off status
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | OFF

Query Response

{1|0}<newline><^END>

Examples

Dim Var as Integer
Ana.WriteString ":CALC1:MARK1:FUNC:TRAC ON", True
Ana.WriteString ":CALC1:MARK1:FUNC:TRAC?", True
Var=Ana.ReadNumber

Related Commands

:CALC:MARK:FUNC:EXEC

:CALC:MARK:FUNC:TYPE

Equivalent Softkey

Marker Search > Tracking

COM Command Syntax (Internal Control Only)

SCPI.CALCULATE(Ch).SELECTED.MARKER(Mk).FUNCTION.TRACKING


:CALC:MARK:FUNC:TTR

:CALC<Ch>:MARK<Mk>:FUNC:TTR

Type

Command/Query

Syntax

:CALCulate<Ch>[:SELected]:MARKer<Mk>:FUNCtion:TTRansition {POSitive|NEGative|BOTH}

:CALCulate<Ch>[:SELected]:MARKer<Mk>:FUNCtion:TTRansition?

Description

This command sets/gets target transition type with marker 1 to 9 (MK:1-9) and reference marker (Mk:10).

Variable

Parameter | Selection Option
Description | Transition type
Data Type | Character string type (String)
Range | POSitive|NEGative|BOTH
Preset Value | BOTH

Query Response

{POS|NEG|BOTH}<newline><^END>

Examples

Dim Var as String
Var= "POS"
Ana.WriteString ":CALC1:MARK1:FUNC:TTR " & Var, True
Ana.WriteString ":CALC1:MARK1:FUNC:TTR?", True
Var=Ana.ReadString

Related Commands

:CALC:MARK:FUNC:TARG

:CALC:MARK:FUNC:TYPE

Equivalent Softkey

Marker Search > Peak > Target Transition

COM Command Syntax (Internal Control Only)

SCPI.CALCULATE(Ch).SELECTED.MARKER(Mk).FUNCTION.TTRANSITION


:CALC:MARK:FUNC:TYPE

:CALC<Ch>:MARK<Mk>:FUNC:TYPE

Type

Command/Query

Syntax

:CALCulate<Ch>[:SELected]:MARKer<Mk>:FUNCtion:TYPE {MAXimum|MINimum|PEAK|LPEak|RPEak|TARGet|LTARget|RTARget}

:CALCulate<Ch>[:SELected]:MARKer<Mk>:FUNCtion:TYPE?

Description

This command selects the marker search type with marker 1 to 9 (MK:1-9) and reference marker (Mk:10).

Variable

Parameter | Selection Option
Description | Marker search type
Data Type | Character string type (String)
Range | MAXimum: Sets the search type to the maximum value. MINimum: Sets the search type to the minimum value. PEAK: Sets the search type to the peak search. LPEak: Sets the search type to the peak search to the left from the marker position. RPEak: Sets the search type to the peak search to the right from the marker position. TARGet: Sets the search type to the target search. LTARget: Sets the search type to the target search to the left from the marker position. RTARget: Sets the search type to the target search to the right from the marker position.
Preset Value | MAXimum

Query Response

{MAX|MIN|PEAK|LPE|RPE|TARG|LTAR|RTAR}<newline><^END>

Examples

Dim Var as String
Var= "MAX"
Ana.WriteString ":CALC1:MARK1:FUNC:TYPE " & Var, True
Ana.WriteString ":CALC1:MARK1:FUNC:TYPE?", True
Var=Ana.ReadString

Related Commands

:CALC:PAR:SEL

:CALC:MARK:FUNC:PEXC

:CALC:MARK:FUNC:PPOL

:CALC:MARK:FUNC:TARG

:CALC:MARK:FUNC:TTR

:CALC:MARK:FUNC:EXEC

Equivalent Softkey

Marker Search > Max | Min

Marker Search > Peak > Search Peak

Marker Search > Target > Search Target

These softkeys operation can be done the two commands, :CALC:MARK:FUNC:TYPE and :CALC:MARK:FUNC:EXEC.

COM Command Syntax (Internal Control Only)

SCPI.CALCULATE(Ch).SELECTED.MARKER(Mk).FUNCTION.TYPE


:CALC:MARK:MATH:STAT

:CALC<Ch>:MARK:MATH:STAT

Type

Command/Query

Syntax

:CALCulate<Ch>[:SELected]:MARKer:MATH:STATistics[:STATe] {ON|OFF|1|0}

:CALCulate<Ch>[:SELected]:MARKer:MATH:STATistics[:STATe]?

Description

This command shows/hides marker statistics.

Variable

Parameter | Selection Option
Description | Marker statistics On/Off status
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | OFF

Query Response

{1|0}<newline><^END>

Examples

Dim Var as Integer
Ana.WriteString ":CALC1:MARK:MATH:STAT ON", True
Ana.WriteString ":CALC1:MARK:MATH:STAT?", True
Var=Ana.ReadNumber

Related Commands

:CALC:MARK:MATH:STAT:DATA

Equivalent Softkey

Marker Function > Statistics

COM Command Syntax (Internal Control Only)

SCPI.CALCULATE(Ch).SELECTED.MARKER.MATH.STATISTICS.STATE


:CALC:MARK:MATH:STAT:DATA

:CALC<Ch>:MARK:MATH:STAT:DATA

Type

Query

Syntax

:CALCulate<Ch>[:SELected]:MARKer:MATH:STATistics:DATA?

Description

This command returns the marker statistics value.

Query Response

{numeric1}, {numeric2}, {numeric3}, {numeric4}<newline><^END>

{numeric1}: Span

{numeric2}: Mean

{numeric3}: Standard Deviation

{numeric4}: Peak to peak

Examples

Dim Var as Variant
Ana.WriteString ":CALC1:MARK:MATH:STAT:DATA?", True
Var=Ana.ReadNumber

Related Commands

:CALC:MARK:MATH:STAT

Equivalent Softkey

No equivalent key is available on the front panel.

(Result on screen for Marker Function > Statistics)

COM Command Syntax (Internal Control Only)

SCPI.CALCULATE(Ch).SELECTED.MARKER.MATH.STATISTICS.DATA


:CALC:MARK:REF

:CALC<Ch>:MARK:REF

Type

Command/Query

Syntax

:CALCulate<Ch>[:SELected]:MARKer:REFerence[:STATe] {ON|OFF|1|0}

:CALCulate<Ch>[:SELected]:MARKer:REFerence[:STATe]?

Description

This command turns on/off the delta marker mode.

Variable

Parameter | Selection Option
Description | Delta marker mode On/Off status
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | OFF

Query Response

{1|0}<newline><^END>

Examples

Dim Var as Integer
Ana.WriteString ":CALC1:MARK:REF ON", True
Ana.WriteString ":CALC1:MARK:REF?", True
Var=Ana.ReadNumber

Related Commands

:CALC:PAR:SEL

Equivalent Softkey

Marker > Ref Marker Mode

COM Command Syntax (Internal Control Only)

SCPI.CALCULATE(Ch).SELECTED.MARKER.REFERENCE.STATE


:CALC:MARK:SET

:CALC<Ch>:MARK<Mk>:SET

Type

Command

Syntax

:CALCulate<Ch>[:SELected]:MARKer<Mk>:SET {CENTer|STARt|STOP|RLEVel|ZOOM}

Description

This command sets the value at the position of marker 1 to 9 (Mk) and reference marker (Mk:10) to the value of the stimulus.

Variable

Parameter | Selection Option
Description | Type of stimulus value
Data Type | Character string type (String)
Range | "STARt": Sets the sweep start value to the stimulus value at the marker position. "STOP": Sets the sweep stop value to the stimulus value at the marker position. "CENTer": Sets the sweep center value to the stimulus value at the marker position. "RLEVel": Sets the reference line value to the response value at the marker position. "ZOOM": Sets the span value in order to zoom the span by specified zoom aperture.
Preset Value | -

Examples

Dim Var as String
Var= "CENT"
Ana.WriteString ":CALC1:MARK1:SET " & Var, True

Related Commands

:CALC:PAR:SEL

:CALC:MARK:REF

:CALC:MARK:ZAP

Equivalent Softkey

Marker Fctn > Marker > Start

Marker Fctn > Marker > Stop

Marker Fctn > Marker > Center

Marker Fctn > Marker > Reference

Marker Fctn > Marker > Zoom

COM Command Syntax (Internal Control Only)

SCPI.CALCULATE(Ch).SELECTED.MARKER(Mk).SET


:CALC:MARK:X

:CALC<Ch>:MARK<Mk>:X

Type

Command/Query

Syntax

:CALCulate<Ch>[:SELected]:MARKer<Mk>:X[:DATA] <Value>

:CALCulate<Ch>[:SELected]:MARKer<Mk>:X[:DATA]?

Description

This command sets/gets the stimulus value for marker 1 to 9 (Mk) and reference marker (Mk:10).

Variable

Parameter | Value
Description | Marker X-axis position value
Data Type | Numeric type (Real)
Range | -
Preset Value | 20
Unit | Depending on the stimulus parameter
Resolution | -

Query Response

{numeric}<newline><^END>

Examples

Dim Var as Double
Ana.WriteString ":CALC1:MARK1:X ON", True
Ana.WriteString ":CALC1:MARK1:X?", True
Var=Ana.ReadNumber

Related Commands

:CALC:MARK:Y

Equivalent Softkey

Marker > Marker 1 to Marker 9, Reference Marker

When performing the operation from the front panel, turn ON the marker and set the stimulus value at the same time.

COM Command Syntax (Internal Control Only)

SCPI.CALCULATE(Ch).SELECTED.MARKER(Mk).X.DATA


:CALC:MARK:X:POS

:CALC<Ch>:MARK<Mk>:X:POS

Type

Command/Query

Syntax

:CALCulate<Ch>[:SELected]:MARKer<Mk>:X:POSition <Value>

:CALCulate<Ch>[:SELected]:MARKer<Mk>:X:POSition?

Description

This command sets/gets the measurement point number of the selected marker (Mk:1-9) and reference marker (Mk:10).

Variable

Parameter | Value
Description | Point number
Data Type | Numeric type (Real)
Range | 1 to Number of Point
Preset Value | 1

Query Response

{numeric}<newline><^END>

Examples

Dim Var as Double
Var = 100
Ana.WriteString ":CALC1:MARK1:X:POS " & Str(Var), True
Ana.WriteString ":CALC1:MARK1:X:POS?", True
Var=Ana.ReadNumber

Related Commands

:CALC:MARK:X

:SENS:SWE:POIN

Equivalent Softkey

No equivalent key is available on the front panel.

COM Command Syntax (Internal Control Only)

SCPI.CALCULATE(Ch).SELECTED.MARKER(Mk).X.POSITION


:CALC:MARK:XUN

:CALC<Ch>:MARK:XUN

Type

Command/Query

Syntax

:CALCulate<Ch>[:SELected]:MARKer:XUNit {STIM|TIME|RFReq}

:CALCulate<Ch>[:SELected]:MARKer:XUNit?

Description

This command sets/gets the marker x-axis display method for the active trace.

Variable

Parameter | Selection Option
Description | Marker x-axis display method
Data Type | Character string type (String)
Range | STIM: Sweep parameter TIME: Time RFReq: Relaxation time
Preset Value | STIM

Query Response

{STIM|TIME|RFR}<newline><^END>

Examples

Dim Var as String
Var= "STIM"
Ana.WriteString ":CALC1:MARK:XUN " & Var, True
Ana.WriteString ":CALC1:MARK:XUN?", True
Var=Ana.ReadString

Related Commands

:CALC:MARK:ACT

Equivalent Softkey

Marker Function > X Unit

COM Command Syntax (Internal Control Only)

SCPI.CALCULATE(Ch).SELECTED.MARKER.XUNIT


:CALC:MARK:Y

:CALC<Ch>:MARK<Mk>:Y

Type

Query

Syntax

:CALCulate<Ch>[:SELected]:MARKer<Mk>:Y?

Description

This command gets the marker y-axis value.

Query Response

{numeric1 (primary)}, {numeric2 (secondary)}<newline><^END>

The secondary value is available when the format is 2 dimension such as R-X.

Examples

Dim Var as Variant
Var= STIM
Ana.WriteString ":CALC1:MARK1:Y?", True
Var=Ana.ReadList

Related Commands

:CALC:MARK:X

Equivalent Softkey

No equivalent key is available on the front panel.

COM Command Syntax (Internal Control Only)

SCPI.CALCULATE(Ch).SELECTED.MARKER(Mk).Y


:CALC:MARK:ZAP

:CALC<Ch>:MARK:ZAP

Type

Command/Query

Syntax

:CALCulate<Ch>[:SELected]:MARKer:ZAPerture <Value>

:CALCulate<Ch>[:SELected]:MARKer:ZAPerture?

Description

This command sets/gets the marker zooming aperture.

Variable

Parameter | Value
Description | Marker zooming aperture
Data Type | Numeric type (Real)
Range | 10m ~ 100
Preset Value | 10
Unit | %
Resolution | 10m

Query Response

{numeric}<newline><^END>

Examples

Dim Var as Double
Var= 0.01
Ana.WriteString ":CALC1:MARK:ZAP " & Str(Var), True
Ana.WriteString ":CALC1:MARK:ZAP?", True
Var=Ana.ReadNumber

Related Commands

:CALC:MARK:SET

Equivalent Softkey

Marker Function > Zooming Aperture

COM Command Syntax (Internal Control Only)

SCPI.CALCULATE(Ch).SELECTED.MARKER.ZAPERTURE


:CALC:MATH:FUNC

:CALC<Ch>:MATH:FUNC

Type

Command/Query

Syntax

:CALCulate<Ch>[:SELected]:MATH:FUNCtion {NORMal|DIVide|MULTiply|SUBTract|ADD}

:CALCulate<Ch>[:SELected]:MATH:FUNCtion?

Description

This command selects the math operation type. Causes error when memory trace is not valid, except NORM. When NOP is changed, operation type is set to NORM.

Variable

Parameter | Selection Option
Description | Math operation type
Data Type | Character string type (String)
Range | "NORMal": Data (no math). "DIVide": Data / Mem. "MULTiply": Data × Mem. "SUBTract": Data - Mem. "ADD": Data + Mem. Where Data is the measurement data (corrected data array) and Mem is the data stored in the memory trace (corrected memory array).
Preset Value | NORMal

Query Response

{NORM|DIV|MULT|SUBT|ADD}<newline><^END>

Examples

Dim Var as String
Var= "NORM"
Ana.WriteString ":CALC1:MATH:FUNC " & Var, True
Ana.WriteString ":CALC1:MATH:FUNC?", True
Var=Ana.ReadString

Related Commands

:CALC:MATH:MEM

Equivalent Softkey

Display > Data Math

COM Command Syntax (Internal Control Only)

SCPI.CALCULATE(Ch).SELECTED.MATH.FUNCTION


:CALC:MATH:MEM

:CALC<Ch>:MATH:MEM

Type

Command

Syntax

:CALCulate<Ch>[:SELected]:MATH:MEMorize

Description

This command copies the corrected data trace to the memory trace.

Examples

Ana.WriteString ":CALC1:MATH:MEM", True

Related Commands

:CALC:MATH:FUNC

Equivalent Softkey

Display > Data -> Mem

COM Command Syntax (Internal Control Only)

SCPI.CALCULATE(Ch).SELECTED.MATH.MEMORIZE


:CALC:MATH:OFFS

:CALC<Ch>:MATH:OFFS

Type

Command/Query

Syntax

:CALCulate<Ch>[:SELected]:MATH:OFFSet <Value>

:CALCulate<Ch>[:SELected]:MATH:OFFSet?

Description

This command sets/gets the math offset data

Variable

Parameter | Value
Description | Offset value
Data Type | Numeric type (Real)
Range | -100M ~ 100M
Preset Value | 0
Unit | Depends on measurement format
Resolution | -

Query Response

{numeric}<newline><^END>

Examples

Dim Var as Double
Var= 1000
Ana.WriteString ":CALC1:MATH:OFFS " & Str(Var), True
Ana.WriteString ":CALC1:MATH:OFFS?", True
Var=Ana.ReadNumber

Related Commands

:CALC:MATH:FUNC

Equivalent Softkey

Display > Data Math Offset

COM Command Syntax (Internal Control Only)

SCPI.CALCULATE(Ch).SELECTED.MATH.OFFSET


:CALC:MST

:CALC<Ch>:MST

Type

Command/Query

Syntax

:CALCulate<Ch>[:SELected]:MSTatistics[:STATe] {ON|OFF|1|0}

:CALCulate<Ch>[:SELected]:MSTatistics[:STATe]?

Description

This command shows/hides the marker statistics.

Variable

Parameter | Selection Option
Description | Marker statistics On/Off status
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | OFF

Query Response

{1|0}<newline><^END>

Examples

Dim Var as Integer
Ana.WriteString ":CALC1:MST ON", True
Ana.WriteString ":CALC1:MST?", True
Var=Ana.ReadNumber

Related Commands

:CALC:MST:DATA

Equivalent Softkey

Marker Function > Statistics

COM Command Syntax (Internal Control Only)

SCPI.CALCULATE(Ch).SELECTED.MSTATISTICS.STATE


:CALC:MST:DATA

:CALC<Ch>:MST:DATA

Type

Query

Syntax

:CALCulate<Ch>[:SELected]:MSTatistics:DATA?

Description

This command gets the marker statistics value. The statistical values contain: mean value, standard deviation and the difference between the maximum value and the minimum value.

Query Response

{numeric1}, {numeric2}, {numeric3}<newline><^END>

{numeric 1} : Mean value

{numeric 2} : Standard deviation

{numeric 3} : Difference between the maximum value and the minimum value (Peak to Peak)

Examples

Dim Var as Variant
Ana.WriteString ":CALC1:MST:DATA?", True
Var=Ana.ReadList

Related Commands

:CALC:MST

Equivalent Softkey

No equivalent key is available on the front panel.

(Result on screen for Marker Function > Statistics)

COM Command Syntax (Internal Control Only)

SCPI.CALCULATE(Ch).SELECTED.MSTATISTICS.DATA


:CALC:PAR:COUN

:CALC<Ch>:PAR:COUN

Type

Command/Query

Syntax

:CALCulate<Ch>:PARameter:COUNt <Value>

:CALCulate<Ch>:PARameter:COUNt?

Description

This command sets/gets the number of traces.

Variable

Parameter | Value
Description | Number of traces.
Data Type | Numeric type (Integer)
Range | 1|2|3|4
Preset Value | 2

Query Response

{numeric}<newline><^END>

Examples

Dim Var as Long
Var= 4
Ana.WriteString ":CALC1:PAR:COUN " & Str(Var), True
Ana.WriteString ":CALC1:PAR:COUN?", True
Var=Ana.ReadNumber

Related Commands

:CALC:PAR:SEL

Equivalent Softkey

Display > Num Of Traces

COM Command Syntax (Internal Control Only)

SCPI.CALCULATE(Ch).PARAMETER.COUNT


:CALC:PAR:DEF

:CALC<Ch>:PAR<Tr>:DEF

Type

Command/Query

Syntax

:CALCulate<Ch>:PARameter<Tr>:DEFine {Z|Y|R|X|G|B|LS|LP|CS|CP|RS|RP|Q|D|TZ|TY|VAC|IAC|VDC|IDC|IMP|ADM}

:CALCulate<Ch>:PARameter<Tr>:DEFine?

Description

This command sets/gets the measurement parameter. The VDC or IDC can be selected only at bias sweep or log bias sweep.

Variable

Parameter | Selection Option
Description | Measurement parameter
Data Type | Character string type (String)
Range | Z: Absolute impedance value Y: Absolute admittance R: Equivalent series resistance X: Equivalent series reactance G: Equivalent parallel conductance B: Equivalent parallel susceptance LS: Equivalent series inductance LP: Equivalent parallel inductance CS: Equivalent series capacitance CP: Equivalent parallel capacitance RS: Equivalent series resistance RP: Equivalent parallel resistance Q: Q value D: Dissipation factor TZ: Impedance phase TY: Absolute phase VAC: OSC level (Voltage) IAC: OSC level (Current) VDC: DC Bias (Voltage) IDC: DC Bias (Current) IMP: Impedance (complex value) ADM: Admittance (complex value)
Preset Value | Z

Query Response

{Z|Y|R|X|G|B|LS|LP|CS|CP|RS|RP|Q|D|TZ|TY|VAC|IAC|VDC|IDC|IMP|ADM}<newline><^END>

Examples

Dim Var as String
Var= "Z"
Ana.WriteString ":CALC1:PAR1:DEF " & Var, True
Ana.WriteString ":CALC1:PAR1:DEF?", True
Var=Ana.ReadString

Related Commands

:SENS:SWE:TYPE

Equivalent Softkey

Meas > Trace 1, Trace 2, Trace 3 or Trace 4

COM Command Syntax (Internal Control Only)

SCPI.CALCULATE(Ch).PARAMETER(Tr).DEFINE


:CALC:PAR:SEL

:CALC<Ch>:PAR<Tr>:SEL

Type

Command

Syntax

:CALCulate<Ch>:PARameter<Tr>:SELect

Description

This command sets the selected trace as active trace. Use :DISP:WIND:ACT to activate the channel.

Examples

Ana.WriteString ":CALC1:PAR1:SEL", True

Related Commands

:CALC:PAR:COUN

:DISP:WIND:ACT

Equivalent Softkey

Trace Next, Trace Prev

COM Command Syntax (Internal Control Only)

SCPI.CALCULATE(Ch).PARAMETER(Tr).SELECT


:CALC:UNIT:ANGL

:CALC<Ch>:UNIT:ANGL

Type

Command/Query

Syntax

:CALCulate<Ch>[:SELected]:UNIT:ANGLe {DEG|RAD}

:CALCulate<Ch>[:SELected]:UNIT:ANGLe?

Description

This command sets/gets Phase Unit for the selected channel. All traces in a channel has the same setting.

Variable

Parameter | Selection Option
Description | Phase Unit
Data Type | Character string type (String)
Range | DEG|RAD
Preset Value | DEG

Query Response

{DEG|RAD}<newline><^END>

Examples

Dim Var as String
Var= "DEG"
Ana.WriteString ":CALC1:UNIT:ANGL " & Var, True
Ana.WriteString ":CALC1:UNIT:ANGL?", True
Var=Ana.ReadString

Related Commands

:CALC:PAR:DEF

Equivalent Softkey

Format > Phase Unit

COM Command Syntax (Internal Control Only)

SCPI.CALCULATE(Ch).SELECTED.UNIT.ANGLE


:CONT:HAND:A

Type

Command

Syntax

:CONTrol:HANDler:A[:DATA] <Value>

Description

This command sets/gets information of output port A (A0 to A7) of the handler I/O. Port information is output as 8-bit binary data using A0 as LSB and A7 as MSB.

Variable

Parameter | Value
Description | Port information (output)
Data Type | Numeric type (Integer)
Range | 0 ~ 255

Examples

Dim Var as Long
Var= 10
Ana.WriteString ":CONT:HAND:A " & Str(Var), True

Equivalent Softkey

No equivalent key is available on the front panel.

COM Command Syntax (Internal Control Only)

SCPI.CONTROL.HANDLER.A.DATA


:CONT:HAND:B

Type

Command

Syntax

:CONTrol:HANDler:B[:DATA] <Value>

Description

This command sets/gets information of output port B (B0 to B7) of the handler I/O. Port information is output as 8-bit binary data using B0 as LSB and B7 as MSB.

The bit 6 of the data outputted by this project is ignored when outputting the INDEX signal is turned ON (specifying True with the :CONT:HAND:IND:STAT object).

The bit 7 of the data outputted by this project is ignored when outputting the READY FOR TRIGGER signal is turned ON (specifying True with the :CONT:HAND:RTR:STAT object).

Variable

Parameter | Value
Description | Port information (output)
Data Type | Numeric type (Integer)
Range | 0 ~ 255

Examples

Dim Var as Long
Var= 11
Ana.WriteString ":CONT:HAND:B " & Str(Var), True

Equivalent Softkey

No equivalent key is available on the front panel.

COM Command Syntax (Internal Control Only)

SCPI.CONTROL.HANDLER.B.DATA


:CONT:HAND:C

Type

Command/Query

Syntax

:CONTrol:HANDler:C[:DATA] <Value>

:CONTrol:HANDler:C[:DATA]?

Description

When input/output port C of the handler I/O is set to the output port, it outputs port information to the output port C (C0 to C3).

When input/output port C of the handler I/O is set to the input port, it reads out port information inputted to port C (C0 to C3).

Port information is input/output as 4-bit binary data, using C0 as LSB and C3 as MSB.

Variable

Parameter | Value
Description | Port information (input/output)
Data Type | Numeric type (Integer)
Range | 0 ~ 15

Query Response

{numeric}<newline><^END>

Examples

Dim Var as Long
Var= 15
Ana.WriteString ":CONT:HAND:C " & Str(Var), True
Ana.WriteString ":CONT:HAND:C?", True
Var=Ana.ReadNumber

Related Commands

:CONT:HAND:C:MODE

Equivalent Softkey

No equivalent key is available on the front panel.

COM Command Syntax (Internal Control Only)

SCPI.CONTROL.HANDLER.C.DATA


:CONT:HAND:C:MODE

Type

Command/Query

Syntax

:CONTrol:HANDler:C:MODE {INPut|OUTPut}

:CONTrol:HANDler:C:MODE?

Description

This command sets/gets the input/output direction of port C of the handler I/O.

Variable

Parameter | Selection Option
Description | Input/output direction of port C
Data Type | Character string type (String)
Range | INPut|OUTPut
Preset Value | INPut

Query Response

{INP|OUTP}<newline><^END>

Examples

Dim Var as String
Var= "INPut"
Ana.WriteString ":CONT:HAND:C:MODE " & Var, True
Ana.WriteString ":CONT:HAND:C:MODE?", True
Var=Ana.ReadString

Related Commands

:CONT:HAND:C

Equivalent Softkey

No equivalent key is available on the front panel.

COM Command Syntax (Internal Control Only)

SCPI.CONTROL.HANDLER.C.MODE


:CONT:HAND:D

Type

Command/Query

Syntax

:CONTrol:HANDler:D[:DATA] <Value>

:CONTrol:HANDler:D[:DATA]?

Description

When input/output port D of the handler I/O is set to the output port, it outputs port information to output port D (D0 to D3).

When input/output port D of the handler I/O is set to the input port, it reads out port information to input to port D (D0 to D3).

Port information is output as 4-bit binary data using D0 as LSB and D3 as MSB.

Variable

Parameter | Value
Description | Port information (input/output)
Data Type | Numeric type (Integer)
Range | 0 ~ 15

Query Response

{numeric}<newline><^END>

Examples

Dim Var as Long
Var= 0
Ana.WriteString ":CONT:HAND:D" & Str(Var), True
Ana.WriteString ":CONT:HAND:D?", True
Var=Ana.ReadNumber

Related Commands

:CONT:HAND:D:MODE

Equivalent Softkey

No equivalent key is available on the front panel.

COM Command Syntax (Internal Control Only)

SCPI.CONTROL.HANDLER.D.DATA


:CONT:HAND:D:MODE

Type

Command/Query

Syntax

:CONTrol:HANDler:D:MODE {INPut|OUTPut}

:CONTrol:HANDler:D:MODE?

Description

This command sets/gets the input/output direction of port D of the handler I/O.

Variable

Parameter | Selection Option
Description | Input/output direction of port D
Data Type | Character string type (String)
Range | INPut|OUTPut
Preset Value | INPut

Query Response

{INP|OUTP}<newline><^END>

Examples

Dim Var as String
Var= "INPut"
Ana.WriteString ":CONT:HAND:D:MODE " & Var, True
Ana.WriteString ":CONT:HAND:D:MODE?", True
Var=Ana.ReadString

Related Commands

:CONT:HAND:D

Equivalent Softkey

No equivalent key is available on the front panel.

COM Command Syntax (Internal Control Only)

SCPI.CONTROL.HANDLER.D.MODE


:CONT:HAND:E

Type

Command/Query

Syntax

:CONTrol:HANDler:E[:DATA] <Value>

:CONTrol:HANDler:E[:DATA]?

Description

When input/output port E (port C + port D) of the handler I/O is set to the output port, it outputs port information to output port E (C0 to D3).

When input/output port E of the handler I/O is set to the input port, it reads out port information inputted to port E (C0 to D3).

Port information is output as 8-bit binary data using C0 as LSB and D3 as MSB.

Variable

Parameter | Value
Description | Port information (input/output)
Data Type | Numeric type (Integer)
Range | 0 ~ 255

Query Response

{numeric}<newline><^END>

Examples

Dim Var as Long
Var= 0
Ana.WriteString ":CONT:HAND:E " & Str(Var), True
Ana.WriteString ":CONT:HAND:E?", True
Var=Ana.ReadNumber

Related Commands

:CONT:HAND:C

:CONT:HAND:C:MODE

:CONT:HAND:D

:CONT:HAND:D:MODE

Equivalent Softkey

No equivalent key is available on the front panel.

COM Command Syntax (Internal Control Only)

SCPI.CONTROL.HANDLER.E.DATA


:CONT:HAND:F

Type

Command

Syntax

:CONTrol:HANDler:F[:DATA] <Value>

Description

Outputs port information to output port F (port A + port B) of the handler I/O. Port information is output as 16-bit binary using A0 as LSB and B7 as MSB.

The bit 14 of the data output by this project is ignored when outputting the INDEX signal is turned ON (specifying True with the :CONT:HAND:IND:STAT).

The bit 15 of the data output by this project is ignored when outputting the READY FOR TRIGGER signal is turned ON (specifying True with the :CONT:HAND:RTR:STAT).

Variable

Parameter | Value
Description | Port information (output)
Data Type | Numeric type (Integer)
Range | 0 ~ 65535

Examples

Dim Var as Long
Var= 0
Ana.WriteString ":CONT:HAND:F " & Str(Var), True

Related Commands

:CONT:HAND:A

:CONT:HAND:B

Equivalent Softkey

No equivalent key is available on the front panel.

COM Command Syntax (Internal Control Only)

SCPI.CONTROL.HANDLER.F.DATA


:CONT:HAND:IND:STAT

Type

Command/Query

Syntax

:CONTrol:HANDler[:EXTension]:INDex:STATe {ON|OFF|1|0}

:CONTrol:HANDler[:EXTension]:INDex:STATe?

Description

Turns ON/OFF output of the INDEX signal to B6 of the handler I/O.

When you use port B6 as the output port, turn OFF the INDEX signal output. When output of the INDEX signal is turned ON, the bit 6 of the data output by the :CONT:HAND:B (the bit 14 of the data outputted by the :CONT:HAND:F) is ignored.

Variable

Parameter | Selection Option
Description | State of the INDEX signal output
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | OFF

Query Response

{1|0}<newline><^END>

Examples

Dim Var as Integer
Ana.WriteString ":CONT:HAND:IND:STAT ON", True
Ana.WriteString ":CONT:HAND:IND:STAT?", True
Var=Ana.ReadNumber

Related Commands

:CONT:HAND:RTR:STAT

Equivalent Softkey

No equivalent key is available on the front panel.

COM Command Syntax (Internal Control Only)

SCPI.CONTROL.HANDLER.EXTENSION.INDEX.STATE


:CONT:HAND:OUTP

:CONT:HAND:OUTP<Pt>

Type

Command/Query

Syntax

:CONTrol:HANDler:OUTPut<Pt>[:DATA] <Value>

:CONTrol:HANDler:OUTPut<Pt>[:DATA]?

Description

This command sets/gets data to OUTPUT1 or OUTPUT2 of the handler I/O.

Variable

Parameter | Value
Description | OUTPUT terminal number
Data Type | Numeric type (Integer)
Range | 0 ~ 1

Query Response

{numeric}<newline><^END>

Examples

Dim Var as Long
Var= 1
Ana.WriteString ":CONT:HAND:OUTP1 " & Str(Var), True
Ana.WriteString ":CONT:HAND:OUTP1?", True
Var=Ana.ReadNumber

Equivalent Softkey

No equivalent key is available on the front panel.

COM Command Syntax (Internal Control Only)

SCPI.CONTROL.HANDLER.OUTPUT(Pt).DATA


:CONT:HAND:RTR:STAT

Type

Command/Query

Syntax

:CONTrol:HANDler[:EXTension]:RTRigger:STATe {ON|OFF|1|0}

:CONTrol:HANDler[:EXTension]:RTRigger:STATe?

Description

This command turns ON/OFF the output of READY FOR TRIGGER signal to B7 of the handler I/O.

When you use port B7 as the output port, turn OFF the READY FOR TRIGGER signal output. When outputting the READY FOR TRIGGER signal is turned ON, the bit 7 of the data output by the :CONT:HAND:B (the bit 15 of the data output by the :CONT:HAND:F) is ignored.

Variable

Parameter | Selection Option
Description | Status of the READY FOR TRIGGER signal output
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | OFF

Query Response

{1|0}<newline><^END>

Examples

Dim Var as Integer
Ana.WriteString ":CONT:HAND:RTR:STAT ON", True
Ana.WriteString ":CONT:HAND:RTR:STAT?", True
Var=Ana.ReadNumber

Related Commands

:CONT:HAND:IND:STAT

Equivalent Softkey

No equivalent key is available on the front panel.

COM Command Syntax (Internal Control Only)

SCPI.CONTROL.HANDLER.EXTENSION.RTRIGGER.STATE


:DISP:ANN:FREQ

Type

Command/Query

Syntax

:DISPlay:ANNotation:FREQuency[:STATe] {ON|OFF|1|0}

:DISPlay:ANNotation:FREQuency[:STATe]?

Description

This command show/hide the frequency information display on the LCD display.

Variable

Parameter | Selection Option
Description | Status of the frequency display
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | ON

Query Response

{1|0}<newline><^END>

Examples

Dim Var as Boolean
Var= 1
Ana.WriteString ":DISP:ANN:FREQ " & Str(Var), True
Ana.WriteString ":DISP:ANN:FREQ?", True
Aar=Ana.ReadNumber

Equivalent Softkey

Display > Frequency

COM Command Syntax (Internal Control Only)

SCPI.DISPLAY.ANNOTATION.FREQUENCY.STATE


:DISP:CCL

Type

Command

Syntax

:DISPlay:CCLear

Description

This command clears the caution/error message displayed in the status bar (at the bottom of the LCD display).

Examples

Ana.WriteString ":DISP:CCL", True

Equivalent Softkey

No equivalent key is available on the front panel.

COM Command Syntax (Internal Control Only)

SCPI.DISPLAY.CCLEAR


:DISP:CLOC

Type

Command/Query

Syntax

:DISPlay:CLOCk {ON|OFF|1|0}

:DISPlay:CLOCk?

Description

This command show/hide the clock display in the instrument status bar (at the right bottom of the LCD display).

Variable

Parameter | Selection Option
Description | ON/OFF of the clock display
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | ON

Query Response

{1|0}<newline><^END>

Examples

Dim Var as Boolean
Var= 1
Ana.WriteString ":DISP:CLOC" & Str(Var), True
Ana.WriteString ":DISP:CLOC?", True
Var=Ana.ReadNumber

Equivalent Softkey

System > Misc Setup > Clock Setup > Show Clock

COM Command Syntax (Internal Control Only)

SCPI.DISPLAY.CLOCK


:DISP:COL:BACK

:DISP:COL<Dnum>:BACK

Type

Command/Query

Syntax

:DISPlay:COLor<Dnum>:BACK <Value1>, <Value2>, <Value3>

:DISPlay:COLor<Dnum>:BACK?

Description

This command sets/gets the background color.

<Dnum> Normal display: 1, Inverted display: 2

Variable

Parameter | Value1
Description | Red
Data Type | Numeric type (Integer)
Range | 0 to 5
Preset Value | 0

Parameter | Value2
Description | Green
Data Type | Numeric type (Integer)
Range | 0 to 5
Preset Value | 0

Parameter | Value3
Description | Blue
Data Type | Numeric type (Integer)
Range | 0 to 5
Preset Value | 0

Query Response

{numeric 1}, {numeric 2}, {numeric 3}<newline><^END>

Examples

Dim Var as Variant
Ana.WriteString ":DISP:COL:BACK 5,5,5", True
Ana.WriteString ":DISP:COL:BACK?", True
Var=Ana.ReadList

Related Commands

:DISP:COL:RES

Equivalent Softkey

System > Misc Setup > Display Setup > Color Setup > Normal | Invert > Background

COM Command Syntax (Internal Control Only)

SCPI.DISPLAY.COLOR(Dnum).BACK


:DISP:COL:GRAT

:DISP:COL<Dnum>:GRAT<Gnum>

Type

Command/Query

Syntax

:DISPlay:COLor<Dnum>:GRATicule<Gnum> <Value1>, <Value2>, <Value3>
:DISPlay:COLor<Dnum>:GRATicule<Gnum>?

Description

This command sets/gets the color of the graticule label.

<Dnum> Normal display: 1, Inverted display: 2

<Gnum> Outer frame line of the graph: 1, Color of the grid line of the graph: 2

Variable

Parameter | Value1
Description | Red
Data Type | Numeric type (Integer)
Range | 0 to 5
Preset Value | 3

Parameter | Value2
Description | Green
Data Type | Numeric type (Integer)
Range | 0 to 5
Preset Value | 3

Parameter | Value3
Description | Blue
Data Type | Numeric type (Integer)
Range | 0 to 5
Preset Value | 3

Query Response

{numeric 1}, {numeric 2}, {numeric 3}<newline><^END>

Example

Dim Var as Variant
Ana.WriteString ":DISP:COL:GRAT1 5, 5, 5", True
Ana.WriteString ":DISP:COL:GRAT1?", True
Var=Ana.ReadList

Related Commands

:DISP:COL:RES

Equivalent Softkey

System > Misc Setup > Display Setup > Color Setup > Normal | Invert > Graticule Main

System > Misc Setup > Display Setup > Color Setup > Normal | Invert > Graticule Sub

COM Command Syntax (Internal Control Only)

SCPI.DISPLAY.COLOR(Dnum).GRATICULE(Gnum)


:DISP:COL:LIM

:DISP:COL<Dnum>:LIM<Lnum>

Type

Command/Query

Syntax

:DISPlay:COLor<Dnum>:LIMit<Lnum> <Value1>, <Value2>, <Value3>

:DISPlay:COLor<Dnum>:LIMit<Lnum>?

Description

This command sets/gets the fail display color used for the limit test result and the color of the limit line.

<Lnum> Fail display color: 1, limit line color: 2

<Dnum> Normal display: 1, Inverted display: 2.

Variable

Parameter | Value1
Description | Red
Data Type | Numeric type (Integer)
Range | 0 to 5
Preset Value | 5 for Lnum=1, 3 for Lnum=2

Parameter | Value2
Description | Green
Data Type | Numeric type (Integer)
Range | 0 to 5
Preset Value | 0

Parameter | Value3
Description | Blue
Data Type | Numeric type (Integer)
Range | 0 to 5
Preset Value | 0

Query Response

{numeric 1}, {numeric 2}, {numeric 3}<newline><^END>

Examples

Dim Var as Variant
Ana.WriteString ":DISP:COL:LIM1 0, 1, 3", True
Ana.WriteString ":DISP:COL:LIM1?", True
Var=Ana.ReadList

Related Commands

Equivalent Softkey

System > Misc Setup > Display Setup > Color Setup > Normal | Invert > Limit Fail

System > Misc Setup > Display Setup > Color Setup > Normal | Invert > Limit Line

COM Command Syntax (Internal Control Only)

SCPI.DISPLAY.COLOR(Dnum).LIMIT(Lnum)


:DISP:COL:RES

:DISP:COL<Dnum>:RES

Type

Command

Syntax

:DISPlay:COLor<Dnum>:RESet

Description

This command resets the display color settings for all the items to the factory preset state.

<Dnum> Normal display: 1, Inverted display: 2

Examples

Ana.WriteString ":DISP:COL1:RES", True

Related Commands

Equivalent Softkey

System > Misc Setup > Display Setup > Color Setup > Normal | Invert > Reset Color > OK

COM Command Syntax (Internal Control Only)

SCPI.DISPLAY.COLOR(Dnum).RESET


:DISP:COL:TRAC:DATA

:DISP:COL<Dnum>:TRAC<Tr>:DATA

Type

Command/Query

Syntax

:DISPlay:COLor<Dnum>:TRACe<Tr>:DATA <Value1>, <Value2>, <Value3>

:DISPlay:COLor<Dnum>:TRACe<Tr>:DATA?

Description

This command sets/gets the color of the data trace.

<Dnum> Normal display: 1, Inverted display: 2.

Variable

Parameter | Value1
Description | Red
Data Type | Numeric type (Integer)
Range | 0 to 5

Parameter | Value2
Description | Green
Data Type | Numeric type (Integer)
Range | 0 to 5

Parameter | Value3
Description | Blue
Data Type | Numeric type (Integer)
Range | 0 to 5

Query Response

{numeric 1}, {numeric 2}, {numeric 3}<newline><^END>

Examples

Dim Var as Variant
Ana.WriteString ":DISP:COL:TRAC1:DATA 5, 5, 0", True
Ana.WriteString ":DISP:COL:TRAC1:DATA?", True
Var=Ana.ReadList

Related Commands

:DISP:COL:RES

Equivalent Softkey

System > Misc Setup > Display Setup > Color Setup > Normal | Invert > Data Trace 1 to Data Trace 4

COM Command Syntax (Internal Control Only)

SCPI.DISPLAY.COLOR(Dnum).TRACE(Tr).DATA


:DISP:COL:TRAC:MEM

:DISP:COL<Dnum>:TRAC<Tr>:MEM

Type

Command/Query

Syntax

:DISPlay:COLor<Dnum>:TRACe<Tr>:MEMory <Value1>, <Value2>, <Value3>

:DISPlay:COLor<Dnum>:TRACe<Tr>:MEMory?

Description

This command sets/gets the color of the memory trace.

<Dnum> Normal display: 1, Inverted display: 2.

Variable

Parameter | Value1
Description | Red
Data Type | Numeric type (Integer)
Range | 0 to 5

Parameter | Value2
Description | Green
Data Type | Numeric type (Integer)
Range | 0 to 5

Parameter | Value3
Description | Blue
Data Type | Numeric type (Integer)
Range | 0 to 5

Query Response

{numeric 1}, {numeric 2}, {numeric 3}<newline><^END>

Examples

Dim Var as Variant
Ana.WriteString ":DISP:COL:TRAC1:MEM 3, 3, 0", True
Ana.WriteString ":DISP:COL:TRAC1:MEM?", True
Var=Ana.ReadList

Related Commands

:DISP:COL:RES

Equivalent Softkey

System > Misc Setup > Display Setup > Color Setup > Normal | Invert > Mem Trace 1 to Mem Trace 4

COM Command Syntax (Internal Control Only)

SCPI.DISPLAY.COLOR(Dnum).TRACE(Tr).MEMORY


:DISP:ECHO

Type

Command

Syntax

:DISPlay:ECHO[:DATA] <Value>

Description

This command displays a character strings in the echo window. This command is different from ECHO command as it displays a single character string.

Variable

Parameter | Value
Description | String you want to display in the echo window.
Data Type | Character string type (String)
Range | 254 characters

Examples

Dim Var as String
Ana.WriteString ":DISP:ECHO & Var, True

Related Commands

:DISP:TABL

:DISP:TABL:TYPE

:DISP:ECHO:CLE

Equivalent Softkey

No equivalent key is available on the front panel.

COM Command Syntax (Internal Control Only)

SCPI.DISPLAY.ECHO.DATA


:DISP:ECHO:CLE

Type

Command

Syntax

:DISPlay:ECHO:CLEar

Description

This command clears all character strings displayed in the echo window.

Examples

Ana.WriteString ":DISPlay:ECHO:CLEar", True

Related Commands

:DISP:ECHO

Equivalent Softkey

Macro Setup > Clear Echo

COM Command Syntax (Internal Control Only)

SCPI.DISPLAY.ECHO.CLEAR


:DISP:ENAB

Type

Command/Query

Syntax

:DISPlay:ENABle {ON|OFF|1|0}

:DISPlay:ENABle?

Description

This command enable/disable the display update on the measurement screen.

Variable

Parameter | Selection Option
Description | ON/OFF of the display update of the measurement screen
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | ON

Query Response

{1|0}<newline><^END>

Examples

Dim Var as Integer
Ana.WriteString ":DISP:ENAB ON", True
Ana.WriteString ":DISP:ENAB?", True
Var=Ana.ReadNumber

Equivalent Softkey

Display > Update

COM Command Syntax (Internal Control Only)

SCPI.DISPLAY.ENABLE


:DISP:FSIG

Type

Command/Query

Syntax

:DISPlay:FSIGn {ON|OFF|1|0}

:DISPlay:FSIGn?

Description

This command turns ON/OFF the large "Fail" display on the LCD screen when the limit test fails.

Variable

Parameter | Selection Option
Description | ON/OFF of the "Fail" display when the limit test fails
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | ON

Query Response

{1|0}<newline><^END>

Examples

Dim Var as Integer
Ana.WriteString ":DISP:FSIG ON", True
Ana.WriteString ":DISP:FSIG?", True
Var=Ana.ReadNumber

Related Commands

:CALC:LIM

Equivalent Softkey

Analysis > Limit Test > Fail Sign

COM Command Syntax (Internal Control Only)

SCPI.DISPLAY.FSIGN


:DISP:IMAG

Type

Command/Query

Syntax

:DISPlay:IMAGe {NORMal|INVert}

:DISPlay:IMAGe?

Description

This command selects the image type of the LCD display.

Variable

Parameter | Selection Option
Description | Display type of the LCD display
Data Type | Character string type (String)
Range | NORMal: Normal color INVert: Invert color
Preset Value | NORMal

Query Response

{NORM|INV}<newline><^END>

Examples

Dim Var as String
Var= "NORMal"
Ana.WriteString ":DISP:IMAG" & Var, True
Ana.WriteString ":DISP:IMAG?", True
Var=Ana.ReadString

Equivalent Softkey

Display > Invert Color

COM Command Syntax (Internal Control Only)

SCPI.DISPLAY.IMAGE


:DISP:MAX

Type

Command/Query

Syntax

:DISPlay:MAXimize {ON|OFF|1|0}

:DISPlay:MAXimize?

Description

This command turns ON/OFF the window maximization of the active channel.

Only the window of the active channel is maximized on the LCD display and the windows of the other channels are not displayed.

Variable

Parameter | Selection Option
Description | ON/OFF of the window maximization
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | OFF

Query Response

{1|0}<newline><^END>

Examples

Dim Var as Integer
Ana.WriteString ":DISP:MAX ON", True
Ana.WriteString ":DISP:MAX?", True
Var=Ana.ReadNumber

Related Commands

:DISP:WIND:ACT

Equivalent Softkey

Channel Max

COM Command Syntax (Internal Control Only)

SCPI.DISPLAY.MAXIMIZE


:DISP:SKEY

Type

Command/Query

Syntax

:DISPlay:SKEY[:STATe] {ON|OFF|1|0}

:DISPlay:SKEY[:STATe]?

Description

This command show/hide the display of the softkey menu bar.

Variable

Parameter | Selection Option
Description | ON/OFF of the softkey menu bar display
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | ON

Query Response

{1|0}<newline><^END>

Examples

Dim Var as Integer
Ana.WriteString ":DISP:SKEY ON", True
Ana.WriteString ":DISP:SKEY?", True
Var=Ana.ReadNumber

Equivalent Softkey

Entry Off (Softkey On/Off)

COM Command Syntax (Internal Control Only)

SCPI.DISPLAY.SKEY.STATE


:DISP:SPL

Type

Command/Query

Syntax

:DISPlay:SPLit {D1|D1_2|D12|D1_2_3|D12_34|D1_1_2|D112|D12_33|D13_23|D123|D11_23|D12_13|D1234|D1_2_3_4}

:DISPlay:SPLit?

Description

This command split the display layout of the channel windows on the LCD display.

Variable

Parameter | Selection Option
Description | Layout of channel windows
Data Type | Character string type (String)
Range | D1|D1_2|D12|D1_2_3|D12_34|D1_1_2|D112|D12_33|D13_23|D123|D11_23|D12_13|D1234|D1_2_3_4
Preset Value | D1

Query Response

{D1|D1_2|D12|D1_2_3|D12_34|D1_1_2|D112|D12_33|D13_23|D123|D11_23|D12_13|D1234|D1_2_3_4}<newline><^END>

Examples

Dim Var as String
Var= "D1"
Ana.WriteString ":DISP:SPL " & Var, True
Ana.WriteString ":DISP:SPL?", True
Var=Ana.ReadString

Related Commands

:DISP:WIND:ACT

:DISP:WIND:SPL

Equivalent Softkey

Display > Allocate Channels > {Display Layout}

COM Command Syntax (Internal Control Only)

SCPI.DISPLAY.SPLIT


:DISP:TABL

Type

Command/Query

Syntax

:DISPlay:TABLe[:STATe] {ON|OFF|1|0}

:DISPlay:TABLe[:STATe]?

Description

This command shows/hides the list table of the window that appears in the lower part of the LCD display (specified by :DISP:TABL:TYPE).

Variable

Parameter | Selection Option
Description | ON/OFF of the list table of the window that appears in the lower part of the LCD display
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | OFF

Query Response

{1|0}<newline><^END>

Examples

Dim Var as Integer
Ana.WriteString ":DISP:TABL ON", True
Ana.WriteString ":DISP:TABL?", True
Var=Ana.ReadNumber

Related Commands

:DISP:TABL:TYPE

:DISP:TABL:POS

Equivalent Softkey

Marker Fctn > Marker Table

Analysis > Limit Test > Edit Limit Line

Sweep Setup > Edit Segment Table

Macro Setup > Echo Window

:DISP:TABL:TYPE specifies the table type.

COM Command Syntax (Internal Control Only)

SCPI.DISPLAY.TABLE.STATE


:DISP:TABL:POS

Type

Query

Syntax

:DISPlay:TABLe:POSition[:RECTangle]?

Description

This command get/returns the rectangle position of list table.

Variable

Query Response

{numeric 1}, {numeric 2}, {numeric 3}, {numeric 4}<newline><^END>

  • {numeric 1} : coordinates X position of top left of Table Area.

  • {numeric 2} : coordinates Y position of top left of Table Area.

  • {numeric 3} : coordinates X position of bottom right of Table Area.

  • {numeric 4} : coordinates Y position of bottom right of Table Area.

Examples

Dim Var as Variant

Ana.WriteString ":DISP:TABL:POS?", True
Var=Ana.ReadNList

Related Commands

:DISP:TABL

:DISP:TABL:TYPE

Equivalent Softkey

No equivalent key is available on the front panel.

COM Command Syntax (Internal Control Only)

SCPI.DISPLAY.TABLE.POSITION.RECTANGLE


:DISP:TABL:TYPE

Type

Command/Query

Syntax

:DISPlay:TABLe:TYPE {MARKer|LIMit|SEGMent|ECHO}

:DISPlay:TABLe:TYPE?

Description

This command selects the table type in the window.

Variable

Parameter | Selection Option
Description | Table
Data Type | Character string type (String)
Range | MARKer: Maker list LIMit:Limit table SEGMent: Segment table ECHO: Echo window
Preset Value | MARKer

Query Response

{MARK|LIM|SEGM|ECHO}<newline><^END>

Examples

Dim Var as String
Var= "MARKer"
Ana.WriteString ":DISP:TABL:TYPE " & Var, True
Ana.WriteString ":DISP:TABL:TYPE?", True
Var=Ana.ReadString

Related Commands

:DISP:TABL

:DISP:TABL:POS

Equivalent Softkey

Marker Fctn > Marker Table

Analysis > Limit Test > Edit Limit Line

Sweep Setup > Edit Segment Table

Macro Setup > Echo Window

COM Command Syntax (Internal Control Only)

SCPI.DISPLAY.TABLE.TYPE


:DISP:UPD

Type

Command

Syntax

:DISPlay:UPDate[:IMMediate]

Description

This command executes the display update once when the display update of the LCD screen is set to OFF (specifying False with the :DISP:ENAB).

Examples

Ana.WriteString ":DISP:UPD", True

Related Commands

:DISP:ENAB

Equivalent Softkey

No equivalent key is available on the front panel.

COM Command Syntax (Internal Control Only)

SCPI.DISPLAY.UPDATE.IMMEDIATE


:DISP:WIND:ACT

:DISP:WIND<Ch>:ACT

Type

Command

Syntax

:DISPlay:WINDow<Ch>:ACTivate

Description

This command specifies the active channel. You can set only a channel displayed to the active channel. If this object is used to set a channel not displayed to the active channel, an error occurs when executed and the object is ignored.

Use :CALC:PAR:SEL to activate the trace.

Examples

Ana.WriteString ":DISP:WIND:ACT", True

Related Commands

:DISP:WIND:SPL

:CALC:PAR:SEL

Equivalent Softkey

Channel Prev, Channel Next

COM Command Syntax (Internal Control Only)

SCPI.DISPLAY.WINDOW(Ch).ACTIVATE


:DISP:WIND:ANN:MARK:ALIG

:DISP:WIND<Ch>:ANN:MARK:ALIG

Type

Command/Query

Syntax

:DISPlay:WINDow<Ch>:ANNotation:MARKer:ALIGn[:STATe] {ON|OFF|1|0}

:DISPlay:WINDow<Ch>:ANNotation:MARKer:ALIGn[:STATe]?

Description

This command turns ON/OFF mode that align the marker display position of each trace based on trace 1.

Variable

Parameter | Selection Option
Description | State of alignment
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | ON

Query Response

{1|0}<newline><^END>

Examples

Dim Var as Integer
Ana.WriteString ":DISP:WIND1:ANN:MARK:ALIG ON", True
Ana.WriteString ":DISP:WIND1:ANN:MARK:ALIG?", True
Var=Ana.ReadNumber

Related Commands

:DISP:WIND:TRAC:ANN:MARK:POS:X

:DISP:WIND:TRAC:ANN:MARK:POS:Y

Equivalent Softkey

Marker Fctn > Annotation Options > Align

COM Command Syntax (Internal Control Only)

SCPI.DISPLAY.WINDOW(Ch).ANNOTATION.MARKER.ALIGN.STATE


:DISP:WIND:ANN:MARK:SING

:DISP:WIND<Ch>:ANN:MARK:SING

Type

Command/Query

Syntax

:DISPlay:WINDow<Ch>:ANNotation:MARKer:SINGle[:STATe] {ON|OFF|1|0}

:DISPlay:WINDow<Ch>:ANNotation:MARKer:SINGle[:STATe]?

Description

This command turns ON/OFF the display of the marker value of only active traces.

If the function is turned OFF, marker values of all traces (markers) are displayed.

Variable

Parameter | Selection Option
Description | State of marker value display mode
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | ON

Query Response

{1|0}<newline><^END>

Examples

Dim Var as Integer
Ana.WriteString ":DISP:WIND1:ANN:MARK:SING ON", True
Ana.WriteString ":DISP:WIND1:ANN:MARK:SING?", True
Var=Aa.ReadNumber

Related Commands

:DISP:WIND:ANN:MARK:ALIG

Equivalent Softkey

Marker Fctn > Annotation Options > Active Only

COM Command Syntax (Internal Control Only)

SCPI.DISPLAY.WINDOW(Ch).ANNOTATION.MARKER.SINGLE.STATE


:DISP:WIND:LAB

:DISP:WIND<Ch>:LAB

Type

Command/Query

Syntax

:DISPlay:WINDow<Ch>:LABel {ON|OFF|1|0}

:DISPlay:WINDow<Ch>:LABel?

Description

This command shows/hides the graticule label display of the graph.

Variable

Parameter | Selection Option
Description | ON/OFF of the graticule label display of the graph
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | ON

Query Response

{1|0}<newline><^END>

Examples

Dim Var as Integer
Ana.WriteString ":DISP:WIND1:LAB ON", True
Ana.WriteString ":DISP:WIND1:LAB?", True
Var=Ana.ReadNumber

Equivalent Softkey

Display > Graticule Label

COM Command Syntax (Internal Control Only)

SCPI.DISPLAY.WINDOW(Ch).LABEL


:DISP:WIND:MAX

:DISP:WIND<Ch>:MAX

Type

Command/Query

Syntax

:DISPlay:WINDow<Ch>:MAXimize {ON|OFF|1|0}

:DISPlay:WINDow<Ch>:MAXimize?

Description

This command turns ON/OFF the maximization of the active trace.

Only the maximized active trace is displayed in the window and the other traces are not displayed.

Variable

Parameter | Selection Option
Description | ON/OFF of the maximization of the active trace
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | OFF

Query Response

{1|0}<newline><^END>

Examples

Dim Var as Integer
Ana.WriteString ":DISP:WIND1:MAX ON", True
Ana.WriteString ":DISP:WIND1:MAX?", True
Var=Ana.ReadNumber

Related Commands

:DISP:MAX

Equivalent Softkey

Trace Max

COM Command Syntax (Internal Control Only)

SCPI.DISPLAY.WINDOW(Ch).MAXIMIZE


:DISP:WIND:SPL

:DISP:WIND<Ch>:SPL

Type

Command/Query

Syntax

:DISPlay:WINDow<Ch>:SPLit {D1|D1_2|D12|D1_2_3|D12_34|D1_1_2|D112|D12_33|D13_23|D123|D11_23|D12_13|D1234|D1_2_3_4}

:DISPlay:WINDow<Ch>:SPLit?

Description

This command split the traces of the channel display layout on the LCD display.

Variable

Parameter | Selection Option
Description | Display layout
Data Type | Character string type (String)
Range | D1|D1_2|D12|D1_2_3|D12_34|D1_1_2|D112|D12_33|D13_23|D123|D11_23|D12_13|D1234|D1_2_3_4
Preset Value | D1

Query Response

{D1|D1_2|D12|D1_2_3|D12_34|D1_1_2|D112|D12_33|D13_23|D123|D11_23|D12_13|D1234|D1_2_3_4}<newline><^END>

Examples

Dim Var as String
Var= "D1"
Ana.WriteString ":DISP:WIND1:SPL " & Var, True
Ana.WriteString ":DISP:WIND1:SPL?", True
Var=Ana.ReadString

Related Commands

:DISP:SPL

Equivalent Softkey

Display > Allocate Traces > {Display Layout }

COM Command Syntax (Internal Control Only)

SCPI.DISPLAY.WINDOW(Ch).SPLIT


:DISP:WIND:TITL

:DISP:WIND<Ch>:TITL

Type

Command/Query

Syntax

:DISPlay:WINDow<Ch>:TITLe[:STATe] {ON|OFF|1|0}

:DISPlay:WINDow<Ch>:TITLe[:STATe]?

Description

This command shows/hides the title label display in the title area.

Variable

Parameter | Selection Option
Description | ON/OFF of the title label display
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | OFF

Query Response

{1|0}<newline><^END>

Examples

Dim Var as String
Var = "MyTitle"
Ana.WriteString ":DISP:WIND1:TITL ON", True
Ana.WriteString ":DISP:WIND1:TITL:DATA " & Var, True
Ana.WriteString ":DISP:WIND1:TITL:DATA?", True
Var=Ana.ReadString

Related Commands

:DISP:WIND:TITL:DATA

Equivalent Softkey

Display > Title Label

COM Command Syntax (Internal Control Only)

SCPI.DISPLAY.WINDOW(Ch).TITLE.STATE


:DISP:WIND:TITL:DATA

:DISP:WIND<Ch>:TITL:DATA

Type

Command/Query

Syntax

:DISPlay:WINDow<Ch>:TITLe:DATA <String>

:DISPlay:WINDow<Ch>:TITLe:DATA?

Description

This command sets/gets the title label displayed in the title area.

Variable

Parameter | String
Description | Title label
Data Type | Character string type (String)
Range | 254 chars
Preset Value | ""

Query Response

{String}<newline><^END>

Examples

See :DISP:WIND:TITL

Related Commands

:DISP:WIND:TITL

Equivalent Softkey

Display > Edit Title Label

COM Command Syntax (Internal Control Only)

SCPI.DISPLAY.WINDOW(Ch).TITLE.DATA


:DISP:WIND:TRAC:ACC

:DISP:WIND<Ch>:TRAC<Tr>:ACC

Type

Command/Query

Syntax

:DISPlay:WINDow<Ch>:TRACe<Tr>:ACCumulate[:STATe] {ON|OFF|1|0}

:DISPlay:WINDow<Ch>:TRACe<Tr>:ACCumulate[:STATe]?

Description

This command turn on/off the trace accumulate mode. The traces are not erased at each sweep and they are overwritten at each sweep.

Variable

Parameter | Selection Option
Description | Status of accumulate mode
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | OFF

Query Response

{1|0}<newline><^END>

Examples

Dim Var as Integer
Ana.WriteString ":DISP:WIND1:TRAC1:ACC ON", True
Ana.WriteString ":DISP:WIND1:TRAC1:ACC?", True
Var=Ana.ReadNumber

Equivalent Softkey

System > Service Menu > Accumulate

COM Command Syntax (Internal Control Only)

SCPI.DISPLAY.WINDOW(Ch).TRACE(Tr).ACCUMULATE.STATE


:DISP:WIND:TRAC:ANN:MARK:POS:X

:DISP:WIND<Ch>:TRAC<Tr>:ANN:MARK:POS:X

Type

Command/Query

Syntax

:DISPlay:WINDow<Ch>:TRACe<Tr>:ANNotation:MARKer:POSition:X <Value>

:DISPlay:WINDow<Ch>:TRACe<Tr>:ANNotation:MARKer:POSition:X?

Description

This command sets/gets the display position of the marker value on the X-axis by a percentage of a width of the display span.

Variable

Parameter | Value
Description | Display position of the marker value on the X-axis
Data Type | Numeric type (Integer)
Range | -15 to 100
Preset Value | 1
Unit | %

Query Response

{numeric}<newline><^END>

Examples

Dim Var as Long
Var= -15
Ana.WriteString ":DISP:WIND1:TRAC1:ANN:MARK:POS:X " & Str(Var), True
Ana.WriteString ":DISP:WIND1:TRAC1:ANN:MARK:POS:X?", True
Var=Ana.ReadNumber

Related Commands

:DISP:WIND:TRAC:ANN:MARK:POS:Y

Equivalent Softkey

Marker Fctn > Annotation Options > Marker Info X Pos

COM Command Syntax (Internal Control Only)

SCPI.DISPLAY.WINDOW(Ch).TRACE(Tr).ANNOTATION.MARKER.POSITION.X


:DISP:WIND:TRAC:ANN:MARK:POS:Y

:DISP:WIND<Ch>:TRAC<Tr>:ANN:MARK:POS:Y

Type

Command/Query

Syntax

:DISPlay:WINDow<Ch>:TRACe<Tr>:ANNotation:MARKer:POSition:Y <Value>

:DISPlay:WINDow<Ch>:TRACe<Tr>:ANNotation:MARKer:POSition:Y?

Description

This command sets/gets the display position of the marker value on Y axis by a percentage of a height of the display span.

Variable

Parameter | Value
Description | Display position of the marker value on the Y-axis
Data Type | Numeric type (Integer)
Range | -15 to 100
Preset Value | 1
Unit | %

Query Response

{numeric}<newline><^END>

Examples

Dim Var as Long
Var= -15
Ana.WriteString ":DISP:WIND1:TRAC1:ANN:MARK:POS:Y " & Str(Var), True
Ana.WriteString ":DISP:WIND1:TRAC1:ANN:MARK:POS:Y?", True
Var=Ana.ReadNumber

Related Commands

:DISP:WIND:TRAC:ANN:MARK:POS:X

Equivalent Softkey

Marker Fctn > Annotation Options > Marker Info Y Pos

COM Command Syntax (Internal Control Only)

SCPI.DISPLAY.WINDOW(Ch).TRACE(Tr).ANNOTATION.MARKER.POSITION.Y


:DISP:WIND:TRAC:ANN:YAX:MODE

:DISP:WIND<Ch>:TRAC<Tr>:ANN:YAX:MODE

Type

Command/Query

Syntax

:DISPlay:WINDow<Ch>:TRACe<Tr>:ANNotation:YAXis:MODE {AUTO|RELative}

:DISPlay:WINDow<Ch>:TRACe<Tr>:ANNotation:YAXis:MODE?

Description

This command sets mode for the Y-axis labels.

Variable

Parameter | Selection Option
Description | Y-axis labels mode
Data Type | Character string type (String)
Range | AUTO|RELative
Preset Value | AUTO

Query Response

{AUTO|REL}<newline><^END>

Examples

Dim Var as String
Var= "AUTO"
Ana.WriteString ":DISP:WIND1:TRAC1:ANN:YAX:MODE " & Var, True
Ana.WriteString ":DISP:WIND1:TRAC1:ANN:YAX:MODE?", True
Var=Ana.ReadString

Related Commands

:DISP:WIND:TRAC:ANN:MARK:POS:Y

Equivalent Softkey

No equivalent key is available on the front panel.

COM Command Syntax (Internal Control Only)

SCPI.DISPLAY.WINDOW(Ch).TRACE(Tr).ANNOTATION.YAXIS.MODE


:DISP:WIND:TRAC:MEM

:DISP:WIND<Ch>:TRAC<Tr>:MEM

Type

Command/Query

Syntax

:DISPlay:WINDow<Ch>:TRACe<Tr>:MEMory[:STATe] {ON|OFF|1|0}

:DISPlay:WINDow<Ch>:TRACe<Tr>:MEMory[:STATe]?

Description

This command shows/hides the memory trace display.

Variable

Parameter | Selection Option
Description | ON/OFF of the memory trace display
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | OFF

Query Response

{1|0}<newline><^END>

Examples

Dim Var as Integer
Ana.WriteString ":DISP:WIND1:TRAC1:MEM ON", True
Ana.WriteString ":DISP:WIND1:TRAC1:MEM?", True
Var=Ana.ReadNumber

Related Commands

:CALC:MATH:MEM

:DISP:WIND:TRAC:STAT

Equivalent Softkey

Display > Display > Mem | Data & Mem | OFF

COM Command Syntax (Internal Control Only)

SCPI.DISPLAY.WINDOW(Ch).TRACE(Tr).MEMORY.STATE


:DISP:WIND:TRAC:STAT

:DISP:WIND<Ch>:TRAC<Tr>:STAT

Type

Command/Query

Syntax

:DISPlay:WINDow<Ch>:TRACe<Tr>:STATe {ON|OFF|1|0}

:DISPlay:WINDow<Ch>:TRACe<Tr>:STATe?

Description

This command turns ON/OFF the data trace display.

Variable

Parameter | Selection Option
Description | ON/OFF of the data trace display
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | ON

Query Response

{1|0}<newline><^END>

Examples

Dim Var as Interger
Ana.WriteString ":DISP:WIND1:TRAC1:STAT ON", True
Ana.WriteString ":DISP:WIND1:TRAC1:STAT?", True
Var=Ana.ReadNumber

Related Commands

:DISP:WIND:TRAC:MEM

Equivalent Softkey

Display > Display > Data | Data & Mem | OFF

COM Command Syntax (Internal Control Only)

SCPI.DISPLAY.WINDOW(Ch).TRACE(Tr).STATE


:DISP:WIND:TRAC:X:RLEV

:DISP:WIND<Ch>:TRAC<Tr>:X:RLEV

Type

Command/Query

Syntax

:DISPlay:WINDow<Ch>:TRACe<Tr>:X[:SCALe]:RLEVel <Value>

:DISPlay:WINDow<Ch>:TRACe<Tr>:X[:SCALe]:RLEVel?

Description

This command sets/gets the value of the reference division line for X-axis.

Variable

Parameter | Value
Description | Value of reference division line
Data Type | Numeric type (Real)
Range | -500M to 500M
Preset Value | 0
Unit | Depends on measurement format

Query Response

{numeric}<newline><^END>

Examples

Dim Var as Double
Var= -10
Ana.WriteString ":DISP:WIND1:TRAC1:X:RLEV " & Str(Var), True
Ana.WriteString ":DISP:WIND1:TRAC1:X:RLEV?", True
Var=Ana.ReadNumber

Related Commands

:FORM:DATA

Equivalent Softkey

Scale > Reference X Value

COM Command Syntax (Internal Control Only)

SCPI.DISPLAY.WINDOW(Ch).TRACE(Tr).X.SCALE.RLEVEL


:DISP:WIND:TRAC:Y:AUTO

:DISP:WIND<Ch>:TRAC<Tr>:Y:AUTO

Type

Command

Syntax

:DISPlay:WINDow<Ch>:TRACe<Tr>:Y[:SCALe]:AUTO

Description

This command executes the auto scale function. The Auto Scale function automatically adjusts the value of the reference division line and the scale per division to display the trace appropriately.

Examples

Ana.WriteString ":DISPl:WIND:TRAC:Y:AUTO", True

Related Commands

:DISP:WIND:TRAC:Y:PDIV

:DISP:WIND:TRAC:Y:RLEV

Equivalent Softkey

Scale > Auto Scale

COM Command Syntax (Internal Control Only)

SCPI.DISPLAY.WINDOW(Ch).TRACE(Tr).Y.SCALE.AUTO


:DISP:WIND:TRAC:Y:BOTT

:DISP:WIND<Ch>:TRAC<Tr>:Y:BOTT

Type

Command/Query

Syntax

:DISPlay:WINDow<Ch>:TRACe<Tr>:Y[:SCALe]:BOTTom <Value>

:DISPlay:WINDow<Ch>:TRACe<Tr>:Y[:SCALe]:BOTTom?

Description

This command sets the minimum scale value for the Log Y-axis.

Variable

Parameter | Value
Description | Minimum scale value
Data Type | Numeric type (Real)
Range | 1a to 500P
Preset Value | 1m
Unit | Depends on Measurement Format

Query Response

{numeric}<newline><^END>

Examples

Dim Var as Double
Var=10
Ana.WriteString ":DISP:WIND1:TRAC1:Y:BOTT" & Str(Var), True
Ana.WriteString ":DISP:WIND1:TRAC1:Y:BOTT?", True
Var=Ana.ReadNumber

Related Commands

:DISP:WIND:TRAC:Y:TOP

Equivalent Softkey

Scale > Log Y-Axis Top/Bottom > Bottom Value

COM Command Syntax (Internal Control Only)

SCPI.DISPLAY.WINDOW(Ch).TRACE(Tr).Y.SCALE.BOTTOM


:DISP:WIND:TRAC:Y:PDIV

:DISP:WIND<Ch>:TRAC<Tr>:Y:PDIV

Type

Command/Query

Syntax

:DISPlay:WINDow<Ch>:TRACe<Tr>:Y[:SCALe]:PDIVision <Value>

:DISPlay:WINDow<Ch>:TRACe<Tr>:Y[:SCALe]:PDIVision?

Description

This command sets the scale per division for the data format.

Variable

Parameter | Value
Description | Scale value
Data Type | Numeric type (Real)
Range | 1a to 100M
Preset Value | 10
Unit | Depends on Measurement Format

Query Response

{numeric}<newline><^END>

Examples

Dim Var as Double
Var= 0.1
Ana.WriteString ":DISP:WIND1:TRAC1:Y:PDIV " & Str(Var), True
Ana.WriteString ":DISP:WIND1:TRAC1:Y:PDIV?", True
Var=Ana.ReadNumber

Related Commands

:FORM:DATA

:DISP:WIND:TRAC:Y:AUTO

:DISP:WIND:TRAC:Y:RLEV

:DISP:WIND:TRAC:Y:RPOS

Equivalent Softkey

Scale > Scale/Div

COM Command Syntax (Internal Control Only)

SCPI.DISPLAY.WINDOW(Ch).TRACE(Tr).Y.SCALE.PDIVISION


:DISP:WIND:TRAC:Y:RLEV

:DISP:WIND<Ch>:TRAC<Tr>:Y:RLEV

Type

Command/Query

Syntax

:DISPlay:WINDow<Ch>:TRACe<Tr>:Y[:SCALe]:RLEVel <Value>

:DISPlay:WINDow<Ch>:TRACe<Tr>:Y[:SCALe]:RLEVel?

Description

This command sets/gets the value of the reference division line for y-axis.

Variable

Parameter | Value
Description | Value of reference division line
Data Type | Numeric type (Real)
Range | -500M to 500M
Preset Value | 0
Unit | Depends on Measurement Format

Query Response

{numeric}<newline><^END>

Examples

Dim Var as Double
Var= -10
Ana.WriteString ":DISP:WIND1:TRAC1:Y:RLEV " & Str(Var), True
Ana.WriteString ":DISP:WIND1:TRAC1:Y:RLEV?", True
Var=Ana.ReadNumber

Related Commands

:FORM:DATA

:DISP:WIND:TRAC:Y:PDIV

:DISP:WIND:TRAC:Y:RPOS

Equivalent Softkey

Scale > Reference Y Value

COM Command Syntax (Internal Control Only)

SCPI.DISPLAY.WINDOW(Ch).TRACE(Tr).Y.SCALE.RLEVEL


:DISP:WIND:TRAC:Y:RPOS

:DISP:WIND<Ch>:TRAC<Tr>:Y:RPOS

Type

Command/Query

Syntax

:DISPlay:WINDow<Ch>:TRACe<Tr>:Y[:SCALe]:RPOSition <Value>

:DISPlay:WINDow<Ch>:TRACe<Tr>:Y[:SCALe]:RPOSition?

Description

This command specifies the position of a reference division line with its number (an integer assigned starting from 0 from the lowest division).

Variable

Parameter | Value
Description | Position of reference division line
Data Type | Numeric type (Integer)
Range | 0 to 30
Preset Value | 5
Unit | Div
Resolution | 1

Query Response

{numeric}<newline><^END>

Examples

Dim Var as Long
Var= 8
Ana.WriteString ":DISP:WIND1:TRAC1:Y:RPOS " & Str(Var), True
Ana.WriteString ":DISP:WIND1:TRAC1:Y:RPOS?", True
Var=Ana.ReadNumber

Related Commands

:DISP:WIND:TRAC:Y:RLEV

:DISP:WIND:TRAC:Y:PDIV

Equivalent Softkey

Scale > Reference Position

COM Command Syntax (Internal Control Only)

SCPI.DISPLAY.WINDOW(Ch).TRACE(Tr).Y.SCALE.RPOSITION


:DISP:WIND:TRAC:Y:TOP

:DISP:WIND<Ch>:TRAC<Tr>:Y:TOP

Type

Command/Query

Syntax

:DISPlay:WINDow<Ch>:TRACe<Tr>:Y[:SCALe]:TOP <Value>

:DISPlay:WINDow<Ch>:TRACe<Tr>:Y[:SCALe]:TOP?

Description

This command sets the maximum scale value for the Log Y-axis.

Variable

Parameter | Value
Description | Maximum scale value
Data Type | Numeric type (Real)
Range | 2a to 1E
Preset Value | 1k
Unit | Depends on Measurement Format

Query Response

{numeric}<newline><^END>

Examples

Dim Var as Double
Var= 1000
Ana.WriteString ":DISP:WIND1:TRAC1:Y:TOP" & Str(Var), True
Ana.WriteString ":DISP:WIND1:TRAC1:Y:TOP?", True
Var=Ana.ReadNumber

Related Commands

:DISP:WIND:TRAC:Y:BOTT

Equivalent Softkey

Scale > Log Y-Axis Top/Bottom > Top Value

COM Command Syntax (Internal Control Only)

SCPI.DISPLAY.WINDOW(Ch).TRACE(Tr).Y.SCALE.TOP


:DISP:WIND:TRAC:Y:SPAC

:DISP:WIND<Ch>:TRAC<Tr>:Y:SPAC

Type

Command/Query

Syntax

:DISPlay:WINDow<Ch>:TRACe<Tr>:Y:SPACing {LINear|LOGarithmic}

:DISPlay:WINDow<Ch>:TRACe<Tr>:Y:SPACing?

Description

This command sets the display type of the graph vertical axis (Y-axis).

Variable

Parameter | Selection Option
Description | Vertical axis display type of the graph
Data Type | Character string type (String)
Range | LINear|LOGarithmic
Preset Value | LINear

Query Response

{LIN|LOG}<newline><^END>

Examples

Dim Var as String
Var= "LIN"
Ana.WriteString ":DISP:WIND1:TRAC1:Y:SPAC" & Var, True
Ana.WriteString ":DISP:WIND1:TRAC1:Y:SPAC?", True
Var=Ana.ReadString

Related Commands

:SENS:SWE:TYPE

Equivalent Softkey

Format > Y-Axis

Instr Setup > Y-Axis

COM Command Syntax (Internal Control Only)

SCPI.DISPLAY.WINDOW(Ch).TRACE(Tr).Y.SPACING


:DISP:WIND:TRAC:Y:TRAC:FREQ

:DISP:WIND<Ch>:TRAC<Tr>:Y:TRAC:FREQ

Type

Command/Query

Syntax

:DISPlay:WINDow<Ch>:TRACe<Tr>:Y:TRACk:FREQuency <Value>

:DISPlay:WINDow<Ch>:TRACe<Tr>:Y:TRACk:FREQuency?

Description

This command selects frequency to track with reference tracking.

Variable

Parameter | Value
Description | Frequency reference tracking
Data Type | Numeric type (Real)
Range | -1T to 1T
Preset Value | 0
Unit | Hz|V|A

Query Response

{numeric}<newline><^END>

Examples

Dim Var as Double

Var=1000
Ana.WriteString ":DISP:WIND1:TRAC1:Y:TRAC:FREQ" & Var, True
Ana.WriteString ":DISP:WIND1:TRAC1:Y:TRAC:FREQ?", True
Var=Ana.ReadString

Related Commands

:DISP:WIND:TRAC:Y:TRAC:MODE

Equivalent Softkey

Scale > Reference Tracking > Tracking Frequency

COM Command Syntax (Internal Control Only)

SCPI.DISPLAY.WINDOW(Ch).TRACE(Tr).Y.TRACK.FREQUENCY


:DISP:WIND:TRAC:Y:TRAC:MODE

:DISP:WIND<Ch>:TRAC<Tr>:Y:TRAC:MODE

Type

Command/Query

Syntax

:DISPlay:WINDow<Ch>:TRACe<Tr>:Y:TRACk:MODE {OFF|PEAK|FREQuency}

:DISPlay:WINDow<Ch>:TRACe<Tr>:Y:TRACk:MODE?

Description

This command selects reference offset tracking method.

Variable

Parameter | Selection Option
Description | Reference offset tracking
Data Type | Character string type (String)
Range | OFF|PEAK|FREQuency
Preset Value | OFF

Query Response

{OFF|PEAK|FREQ}<newline><^END>

Examples

Dim Var as String
Var= "peak"
Ana.WriteString ":DISP:WIND1:TRAC1:Y:TRAC:MODE" & Var, True
Ana.WriteString ":DISP:WIND1:TRAC1:Y:TRAC:MODE?", True
Var=Ana.ReadString

Related Commands

:DISP:WIND:TRAC:Y:TRAC:FREQ

Equivalent Softkey

Scale > Reference Tracking > Tracking > OFF|Track Peak|Track Freq

COM Command Syntax (Internal Control Only)

SCPI.DISPLAY.WINDOW(Ch).TRACE(Tr).Y.TRACK.MODE


:DISP:WIND:X:SPAC

:DISP:WIND<Ch>:X:SPAC

Type

Command/Query

Syntax

:DISPlay:WINDow<Ch>:X:SPACing {LINear|OBASe}

:DISPlay:WINDow<Ch>:X:SPACing?

Description

This command selects the display type of the graph horizontal axis (x-axis) for segment sweep.

Variable

Parameter | Selection Option
Description | Horizontal axis display type of the graph for segment sweep
Data Type | Character string type (String)
Range | LINear: Frequency Base OBASe: Order Base
Preset Value | OBASe

Query Response

{LIN|OBAS}<newline><^END>

Examples

Dim Var as String
Var= "LINear"
Ana.WriteString ":DISP:WIND1:X:SPAC" & Var, True
Ana.WriteString ":DISP:WIND1:X:SPAC?", True
Var=Ana.ReadString

Related Commands

:SENS:SWE:TYPE

Equivalent Softkey

Sweep Setup > Segment Display

COM Command Syntax (Internal Control Only)

SCPI.DISPLAY.WINDOW(Ch).X.SPACING


:DISP:WIND:Y:DIV

:DISP:WIND<Ch>:Y:DIV

Type

Command/Query

Syntax

:DISPlay:WINDow<Ch>:Y[:SCALe]:DIVisions <Value>

:DISPlay:WINDow<Ch>:Y[:SCALe]:DIVisions?

Description

This command sets/gets the number of divisions in all the graphs.

Variable

Parameter | Value
Description | Number of divisions of graph
Data Type | Numeric type (Integer)
Range | 4 to 30
Preset Value | 10
Resolution | 2

Query Response

{numeric}<newline><^END>

Examples

Dim Var as Long
Var= 20
Ana.WriteString ":DISP:WIND1:Y:DIV " & Str(Var), True
Ana.WriteString ":DISP:WIND1:Y:DIV?", True
Var=Ana.ReadNumber

Related Commands

:DISP:WIND:TRAC:Y:PDIV

:DISP:WIND:TRAC:Y:RLEV

:DISP:WIND:TRAC:Y:RPOS

Equivalent Softkey

Scale > Divisions

COM Command Syntax (Internal Control Only)

SCPI.DISPLAY.WINDOW(Ch).Y.SCALE.DIVISIONS


:FORM:BORD

Type

Command/Query

Syntax

:FORMat:BORDer {NORMal|SWAPped}

:FORMat:BORDer?

Description

This command sets/gets the byte order setting for binary transfer.

Variable

Parameter | Selection Option
Description | Byte order setting
Data Type | Character string type (String)
Range | NORMal|SWAPped
Preset Value | NORMal

Query Response

{NORM|SWAP}<newline><^END>

Examples

Dim Var as String
Var= "NORM"
Ana.WriteString ":FORM:BORD " & Var, True
Ana.WriteString ":FORM:BORD?", True
Var=Ana.ReadString

Related Commands

:FORM:DATA

Equivalent Softkey

No equivalent key is available on the front panel.

COM Command Syntax (Internal Control Only)

SCPI.FORMAT.BORDER


:FORM:DATA

Type

Command/Query

Syntax

:FORMat:DATA {ASCii|REAL|REAL32}

:FORMat:DATA?

Description

This command can be used to set/get the format data using the following SCPI commands:

:CALC:DATA:FDAT

:CALC:DATA:FMEM

:CALC:DATA:RDAT

:CALC:DATA:RMEM

:CALC:DATA:XAX

:CALC:FUNC:DATA

:CALC:LIM:DATA

:CALC:LIM:REP

:CALC:LIM:REP:ALL

:SENS:FREQ:DATA

:SENS:SEGM:DATA

Variable

Parameter | Selection Option
Description | Data transfer mode
Data Type | Character string type (String)
Range | ASCii: ASCII transfer format REAL: IEEE 64-bit floating point binary transfer format REAL32: IEEE 32-bit floating point binary transfer format
Preset Value | ASCii

Query Response

{ASC|REAL|REAL32}<newline><^END>

Examples

Dim Var as String
Var= "ASC"
Ana.WriteString ":FORM:DATA " & Var, True
Ana.WriteString ":FORM:DATA?", True
Var=Ana.ReadString

Related Commands

:FORM:REAL:ASC:LENG

Equivalent Softkey

No equivalent key is available on the front panel.

COM Command Syntax (Internal Control Only)

SCPI.FORMAT.DATA


:FORM:REAL:ASC:LENG

Type

Command/Query

Syntax

:FORMat:REAL:ASCii:LENGth <Value>

:FORMat:REAL:ASCii:LENGth?

Description

This command sets/gets the number of significant digits of a floating point number value to be returned as ascii bytes in format.

Variable

Parameter | Value
Description | Number of significant digits
Data Type | Numeric type (Integer)
Range | 12|14
Preset Value | 12

Query Response

{numeric}<newline><^END>

Examples

Dim Var as Long
Ana.WriteString ":FORM:REAL:ASC:LENG 12", True
Ana.WriteString ":FORM:REAL:ASC:LENG?", True
Var=Ana.ReadNumber

Related Commands

:FORM:DATA

Equivalent Softkey

No equivalent key is available on the front panel.

COM Command Syntax (Internal Control Only)

SCPI.FORMAT.REAL.ASCII.LENGTH


:HCOP

Type

Command

Syntax

:HCOPy[:IMMediate]

Description

This command is print screen image. This function outputs the display image on the LCD display to the printer with connected to the E4990A.

Examples

Ana.WriteString ":HCOP", True

Related Commands

:HCOP:ABOR

:HCOP:IMAG

Equivalent Softkey

System > Print

COM Command Syntax (Internal Control Only)

SCPI.HCOPY.IMMEDIATE


:HCOP:ABOR

Type

Command

Syntax

:HCOPy:ABORt

Description

This command aborts the print output.

Examples

Ana.WriteString ":HCOP:ABOR", True

Related Commands

:HCOP

Equivalent Softkey

No equivalent key is available on the front panel.

      • Printer output can be aborts from Windows Printer Dialog box.
        Windows Start > Device and Printers > {installed Printer}
        In menu of the printer dialog box, Documentation > Cancel

COM Command Syntax (Internal Control Only)

SCPI.HCOPY.ABORT


:HCOP:IMAG

Type

Command/Query

Syntax

:HCOPy:IMAGe {NORMal|INVert}

:HCOPy:IMAGe?

Description

This command selects the print image color (to the printer).

Variable

Parameter | Selection Option
Description | Print color for output to the printer
Data Type | Character string type (String)
Range | NORMal: Normal color INVert: Invert color
Preset Value | INVert

Query Response

{NORM|INV}<newline><^END>

Examples

Dim Var as String
Var= "NORMal"
Ana.WriteString ":HCOP:IMAG" & Var, True
Ana.WriteString ":HCOP:IMAG?", True
Var=Ana.ReadString

Related Commands

:HCOP

Equivalent Softkey

System > Invert Image

COM Command Syntax (Internal Control Only)

SCPI.HCOPY.IMAGE


:HCOP:SDUM:DATA

Type

Query

Syntax

:HCOPy:SDUMp:DATA[:IMMediate]?

Description

This command allows to save the print screen image into an external PC.

Variable

Query Response

{byte}<newline><^END>

Examples

See Capturing Screen Into PC.

Related Commands

:HCOP:SDUM:DATA:FORM

Equivalent Softkey

No equivalent key is available on the front panel.

COM Command Syntax (Internal Control Only)

SCPI.HCOPY.SDUMP.DATA.IMMEDIATE


:HCOP:SDUM:DATA:FORM

Type

Command/Query

Syntax

:HCOPy:SDUMp:DATA:FORMat {PNG|BMP}

:HCOPy:SDUMp:DATA:FORMat?

Description

This command selects the image format of screen capture.

Variable

Parameter | Selection Option
Description | Image format
Data Type | Character string type (String)
Range | PNG: Portable network graphics BMP: bitmap image
Preset Value | PNG

Query Response

{PNG|BMP}<newline><^END>

Examples

See Capturing Screen Into PC.

Related Commands

:HCOP:SDUM:DATA

Equivalent Softkey

No equivalent key is available on the front panel.

COM Command Syntax (Internal Control Only)

SCPI.HCOPY.SDUMP.DATA.FORMAT


*CLS

Type

Command

Syntax

*CLS

Description

This command clears the following:

  • Error Queue

  • Status Byte Register

  • Standard Event Status Register

  • Operation Status Event Register

  • Questionable Status Event Register

  • Questionable Limit Status Event Register

  • Questionable Limit Channel Status Event Register

Examples

Ana.WriteString "*CLS", True

Related Commands

*STB

Equivalent Softkey

No equivalent key is available on the front panel.

COM Command Syntax (Internal Control Only)

SCPI.IEEE4882.CLS


*ESE

Type

Command/Query

Syntax

*ESE <Value>

*ESE?

Description

This command sets/gets the value of the Standard Event Status Enable Register.

Variable

Parameter | Value
Description | Value of the Standard Event Status Enable Register
Data Type | Numeric type (Integer)
Preset Value | 0

Query Response

{numeric}<newline><^END>

Examples

Dim Var as Long
Ana.WriteString "*ESE" & Var, True
Ana.WriteString "*ESE?", True
Var=Ana.ReadString

Related Commands

*SRE

See Status Register

Equivalent Softkey

No equivalent key is available on the front panel.

COM Command Syntax (Internal Control Only)

SCPI.IEEE4882.ESE


*ESR

Type

Query

Syntax

*ESR?

Description

This command reads the value of the Standard Event Status Register. Execution of this command clears the register value.

Variable

Parameter | Value
Description | Value of the Standard Event Status Register
Data Type | Numeric type (Integer)
Preset Value | 128

Query Response

{numeric}<newline><^END>

Examples

Dim Var as Long
Ana.WriteString "*ESR?", True
Var=Ana.ReadString

Related Commands

See Status Register

Equivalent Softkey

No equivalent key is available on the front panel.

COM Command Syntax (Internal Control Only)

SCPI.IEEE4882.ESR


*IDN

Type

Query

Syntax

*IDN?

Description

This command reads the product information (manufacturer, model number, serial number, and firmware revision number) of the E4990A.

Variable

Query Response

{string 1},{string 2},{string 3},{string 4}<newline><^END>

  • {string 1}: Manufacturer. "Keysight Technologies" is always read out.

  • {string 2}: Model number. "E4990A" is always read out.

  • {string 3}: Serial number (example: MY123400101).

  • {string 4}: Firmware revision number (example: A.01.00).

Examples

Dim Var as String
Ana.WriteString "*IDN?", True
Var=Ana.ReadString

Related Commands

*OPT

Equivalent Softkey

System > Firmware Revision

COM Command Syntax (Internal Control Only)

SCPI.IEEE4882.IDN


*LRN

Type

Query

Syntax

*LRN?

Description

This command gets the device setup query. This command is defined as "Learn Device Setup Query" in IEEE 488.2. The command returns instrument settings by binary block data (same as Save/Recall state file contents) with "SYSTem:SET " prefix.

The returned data is the same as the contents of state file which can be saved by the :MMEM:STOR. Therefore, the returned data contents is changed according to the setting of :MMEM:STOR:STYP.

Variable

Query Response

{binary}<newline><^END>

Examples

Dim LRNData() As Byte, SETData() As Byte, NoofByte As Double

'*** Get the LRN data as Binary data

Ana.WriteString "*LRN?", True

LRNData = Ana.ReadIEEEBlock(BinaryType_UI1, False, True)

'*** Save the LRN data in the file

Open "C:\LRN.dat" For Binary As #1

Put #1, , LRNData()

Close

MsgBox "Get Data"

'*** Recall the LRN data from the file

Open "C:\LRN.dat" For Binary As #1

NoofByte = LOF(1)

ReDim SETData(NoofByte)

Get #1, , SETData()

Close

'*** Send the LRN data to E4990A

Ana.IO.Write SETData, NoofByte

Related Commands

:MMEM:STOR

:MMEM:STOR:STYP

:SYST:SET

Equivalent Softkey

No equivalent key is available on the front panel.

COM Command Syntax (Internal Control Only)

SCPI.IEEE4882.LRN


*OPC

Type

Command/Query

Syntax

*OPC

*OPC?

Description

This command sets/gets the operation complete (OPC) bit (bit 0) of the Standard Event Status Register. When all of pending operations complete, *OPC returns 1.

Variable

Query Response

{1}<newline><^END>

Examples

Dim Var as Integer
Ana.WriteString "*OPC?", True
Var=Ana.ReadNumber

Related Commands

*CLS

*ESE

Equivalent Softkey

No equivalent key is available on the front panel.

COM Command Syntax (Internal Control Only)

SCPI.IEEE4882.OPC


*OPT

Type

Query

Syntax

*OPT?

Description

This command reads the identification numbers of options installed in the E4990A.

Variable

Query Response

{String}<newline><^END>

Option number with "," separator (Example: "010, 120")

Examples

Dim Var as String
Ana.WriteString "*OPT?", True
Var=Ana.ReadNumber

Related Commands

*IDN

Equivalent Softkey

System > Firmware Revision

COM Command Syntax (Internal Control Only)

SCPI.IEEE4882.OPT


*RST

Type

Command

Syntax

*RST

Description

This command presets the E4990A to its default settings and is different from setting state preset with the :SYST:PRES as the continuous initiation mode (see :INIT:CONT) of channel 1 is set to OFF.

Examples

Ana.WriteString "*RST", True

Related Commands

:SYST:PRES

:SYST:UPR

Equivalent Softkey

No equivalent key is available on the front panel.

COM Command Syntax (Internal Control Only)

SCPI.IEEE4882.RST


*SRE

Type

Command/Query

Syntax

*SRE <Value>

*SRE?

Description

This command sets/gets the value of Service Request Enable Register. Only bit [0-5,7] are used.

Variable

Parameter | Value
Description | Value of the Service Request Enable Register
Data Type | Numeric type (Integer)

Query Response

{numeric}<newline><^END>

Examples

Dim Var as Long
Ana.WriteString "*SRE " & Var, True
Ana.WriteString "*SRE?", True
Var=Ana.ReadString

Related Commands

*ESE

:STAT:OPER:ENAB

:STAT:QUES:ENAB

See Status Register

Equivalent Softkey

No equivalent key is available on the front panel.

COM Command Syntax (Internal Control Only)

SCPI.IEEE4882.SRE


*STB

Type

Query

Syntax

*STB?

Description

This command reads the value of Status Byte Register.

Variable

Query Response

{numeric}<newline><^END>

Examples

Dim Var as Integer
Ana.WriteString "*STB?", True
Var=Ana.ReadNumber

Related Commands

See Status Register

Equivalent Softkey

No equivalent key is available on the front panel.

COM Command Syntax (Internal Control Only)

SCPI.IEEE4882.STB


*TRG

Type

Command

Syntax

*TRG

Description

This command triggers the E4990A if the trigger source is set to Bus.

Examples

Ana.WriteString "*TRG", True

Related Commands

:TRIG:SOUR

:TRIG:SING

:TRIG

Equivalent Softkey

No equivalent key is available on the front panel.

COM Command Syntax (Internal Control Only)

SCPI.IEEE4882.TRG


*TST

Type

Query

Syntax

*TST?

Description

This command is self-test query. The self-test is not executed by this command in the case of the E4990A. Always returns 0 for IEEE compliance.

Variable

Query Response

{0}<newline><^END>

Examples

Dim Var as Integer
Ana.WriteString "*TST?", True
Var=Ana.ReadNumber

Equivalent Softkey

No equivalent key is available on the front panel.

COM Command Syntax (Internal Control Only)

SCPI.IEEE4882.TST


*WAI

Type

Command

Syntax

*WAI

Description

This command waits for the execution of all objects sent before this command is completed.

Examples

Ana.WriteString "*WAI", True

Equivalent Softkey

No equivalent key is available on the front panel.

COM Command Syntax (Internal Control Only)

SCPI.IEEE4882.WAI


:INIT

:INIT<Ch>

Type

Command

Syntax

:INITiate<Ch>[:IMMediate]

Description

This command changes the state of each channel to the initiation state in the trigger system.

When this command is executed for a channel in the idle state in the trigger system, it goes into the initiation state immediately. Then, after measurement is executed once, it goes back to the idle state.

If this command is executed for a channel that is not in the idle state or a channel for which the continuous initiation mode is set to ON (setting by which the trigger system initiates continuously) in the trigger system, an error occurs when executed and the object is ignored.

Examples

Ana.WriteString ":INIT", True

Related Commands

:INIT:CONT

Equivalent Softkey

Trigger > Single (When :INIT:CONT is OFF.)

COM Command Syntax (Internal Control Only)

SCPI.INITIATE(ch).IMMEDIATE


:INIT:CONT

:INIT<Ch>:CONT

Type

Command/Query

Syntax

:INITiate<Ch>:CONTinuous {ON|OFF|1|0}

:INITiate<Ch>:CONTinuous?

Description

This command turns ON/OFF the continuous initiation mode (setting by which the trigger system initiates continuously) in the trigger system.

Variable

Parameter | Selection Option
Description | ON/OFF of the continuous initiation mode
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | OFF

Query Response

{1|0}<newline><^END>

Examples

Dim Var as Long
Ana.WriteString ":INIT1:CONT ON", True
Ana.WriteString ":INIT1:CONT?", True
Var=Ana.ReadNumber

Related Commands

:INIT

Equivalent Softkey

Trigger > Hold | Continuous | Hold All Channels (This is not exact equivalent softkey.)

COM Command Syntax (Internal Control Only)

SCPI.INITIATE(Ch).CONTINUOUS


:LXI:IDEN

Type

Command/Query

Syntax

:LXI:IDENtify[:STATe] {ON|OFF|1|0}

:LXI:IDENtify[:STATe]?

Description

This command sets or gets the LXI Status Indicator state.

Variable

Parameter | Selection Option
Description | ON/OFF LXI Control Identification
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | OFF

Query Response

{1|0}<newline><^END>

Examples

Dim Var as Long
Ana.WriteString ":LXI:IDEN ON", True
Ana.WriteString ":LXI:IDEN?", True
Var=Ana.ReadNumber

Equivalent Softkey

No equivalent key is available on the front panel.

COM Command Syntax (Internal Control Only)

SCPI.LXI.IDENTIFY.STATE


:MMEM:CAT

Type

Query

Syntax

:MMEMory:CATalog?

Description

This command reads the following information on the built-in storage device of the E4990A:

  • Space in use

  • Available space

  • Name and size of all files (including directories) in the specified directory

      • To read out the information in the root directory (folder), specify "\" (backslash). Separate between directory names (file name) with "\ " (back slash), or "/" (slash).

Variable

Parameter | Value1
Description | Directory name of which the information you want to read out
Data Type | Character string type (String)
Range | 254 chars

Query Response

{Value 2}<newline><^END>

Parameter | Value2
Description | Directory information ("{A},{B},{Name 1},{Size 1},{Name 2},{Size 2}, ... ,{Name N},{Size N}") Where N is the number of all files in the specified directory and n is an integer between 1 and N. {A}: Space in use of the built-in storage device (byte). {B}: Available space of the built-in storage device (byte). {Name n}: Name of the n-th file (directory). {Size n}: Size (byte) of the n-th file (directory). Always 0 for directories.
Data Type | Character string type (String)
Range | 254 chars

Examples

Dim Var as Variant
Ana.WriteString ":MMEM:CAT? ""D:""", True
Var=Ana.Readlist

Equivalent Softkey

No equivalent key is available on the front panel.

COM Command Syntax (Internal Control Only)

SCPI.MMEMORY.CATALOG


:MMEM:COPY

Type

Command

Syntax

:MMEMory:COPY <Value1>, <Value2>

Description

This command copies a file.

    • Specify the file name with the extension. When you use directory names (folder names) and file name, separate them with "\" (back slash), or "/" (slash).

Variable

Parameter | Value1
Description | Source file name
Data Type | Character string type (String)
Range | 254 chars

Parameter | Value2
Description | Destination file name
Data Type | Character string type (String)
Range | 254 chars

Examples

Ana.WriteString ":MMEM:COPY ""D:\temp1.txt"", ""D:\temp2.txt""", True

Equivalent Softkey

No equivalent key is available on the front panel.

COM Command Syntax (Internal Control Only)

SCPI.MMEMORY.COPY


:MMEM:DEL

Type

Command

Syntax

:MMEMory:DELete <Value>

Description

This command deletes an existing file or directory (folder).

      • When you delete a directory, all the files and directories in it are deleted.

Specify the file name with the extension.

When you specify a file (directory) under an existing directory, separate them with "\" (back slash), or "/" (slash).

To delete all the files in the directory (folder), specify "\" (backslash).

Variable

Parameter | Value
Description | File name or directory name you want to delete
Data Type | Character string type (String)
Range | 254 chars

Examples

Dim Var as String
Var ="C:\temp\temp.txt"
Ana.WriteString ":MMEM:DEL" & Var, True

Equivalent Softkey

No equivalent key is available on the front panel.

COM Command Syntax (Internal Control Only)

SCPI.MMEMORY.DELETE


:MMEM:LOAD

Type

Command

Syntax

:MMEMory:LOAD[:STATe] <Value>

Description

This command recalls the specified instrument state file (file with a .sta extension saved with :MMEM:STOR)

      • Specify the file name with the extension. When you use directory names and file name, separate them with "\" (back slash), or "/" (slash).

Variable

Parameter | Value
Description | File name of instrument state (extension ".sta")
Data Type | Character string type (String)
Range | 254 chars

Examples

Dim Var as String
Var = "D:\state1.sta"
Ana.WriteString ":MMEM:LOAD " & Var, True

Related Commands

:MMEM:STOR

Equivalent Softkey

Save/Recall > Recall State > State01 to State08

Save/Recall > Recall State > Autorec

Save/Recall > Recall State > UserPres

Save/Recall > Recall State > File Dialog...

COM Command Syntax (Internal Control Only)

SCPI.MMEMORY.LOAD.STATE


:MMEM:LOAD:CHAN

Type

Command

Syntax

:MMEMory:LOAD:CHANnel[:STATe] {A|B|C|D}

Description

This command recalls the instrument state for an individual channel from the specified register as the setting of the active channel.

Variable

Parameter | Selection Option
Description | Register
Data Type | Character string type (String)
Range | A|B|C|D

Examples

Dim Var as String
Var= "A"
Ana.WriteString ":MMEM:LOAD:CHAN " & Var, True

Related Commands

:MMEM:STOR:CHAN

:DISP:WIND:ACT

Equivalent Softkey

Save/Recall > Recall Channel > Unknown A | Unknown B | Unknown C | Unknown D

COM Command Syntax (Internal Control Only)

SCPI.MMEMORY.LOAD.CHANNEL.STATE


:MMEM:LOAD:CHAN:COEF

Type

Command

Syntax

:MMEMory:LOAD:CHANnel:COEFficient {A|B|C|D}

Description

This command recalls the channel coefficient data of the active channel from the specified register.

Variable

Parameter | Selection Option
Description | Register
Data Type | Character string type (String)
Range | A|B|C|D

Examples

Dim Var as String
Var= "A"
Ana.WriteString ":MMEM:LOAD:CHAN " & Var, True

Related Commands

:MMEM:STOR:CHAN

:DISP:WIND:ACT

Equivalent Softkey

Save/Recall > Recall Channel > Cal Only A | Cal Only B | Cal Only C | Cal Only D

COM Command Syntax (Internal Control Only)

SCPI.MMEMORY.LOAD.CHANNEL.COEFICIENT


:MMEM:LOAD:LIM

Type

Command

Syntax

:MMEMory:LOAD:LIMit <Value>

Description

This command load the specified limit table file of active channel from CSV file (file with the .csv extension saved with :MMEM:STOR:LIM).

      • Specify the file name with the extension. When you use directory names and file name, separate them with "\" (back slash), or "/" (slash).

Variable

Parameter | Value
Description | File name to save the limit table (extension ".csv")
Data Type | Character string type (String)
Range | 254 chars

Examples

Dim Var as String
Var = "D:\limit.csv"
Ana.WriteString ":MMEM:LOAD:LIM " & Var, True

Related Commands

:DISP:WIND:ACT

:CALC:PAR:SEL

:MMEM:STOR:LIM

Equivalent Softkey

Analysis > Limit Test > Edit Limit Line > Import from CSV File...

COM Command Syntax (Internal Control Only)

SCPI.MMEMORY.LOAD.LIMIT


:MMEM:LOAD:SEGM

Type

Command

Syntax

:MMEMory:LOAD:SEGMent <Value>

Description

This command load the specified segment table file of active channel from CSV file (file with a .csv extension saved with the:MMEM:STOR:SEGM).

      • Specify the file name with the extension. When you use directory names and file name, separate them with "\" (back slash), or "/" (slash).

Variable

Parameter | Value
Description | File name (extension ".csv")
Data Type | Character string type (String)
Range | 254 chars

Examples

Dim Var as String
Var = "D:\segtable1.csv"
Ana.WriteString ":MMEM:LOAD:SEGM " & Var, True

Related Commands

:DISP:WIND:ACT

:MMEM:STOR:SEGM

Equivalent Softkey

Sweep Setup > Edit Segment Table > Import from CSV File...

COM Command Syntax (Internal Control Only)

SCPI.MMEMORY.LOAD.SEGMENT


:MMEM:MDIR

Type

Command

Syntax

:MMEMory:MDIRectory <Value>

Description

This command creates a new directory (folder).

      • When you create a directory under an existing directory, separate between the directory names with "\" (back slash), or "/" (slash).

Variable

Parameter | Value
Description | Directory name you want to create
Data Type | Character string type (String)
Range | 254 chars

Examples

Dim Var as String
Var = "mysetup1"
Ana.WriteString ":MMEM:MDIR " & Var, True

Equivalent Softkey

No equivalent key is available on the front panel.

COM Command Syntax (Internal Control Only)

SCPI.MMEMORY.MDIRECTORY


:MMEM:STOR

Type

Command

Syntax

:MMEMory:STORe[:STATe] <Value>

Description

This command saves the instrument state (contents to be saved specified with the :MMEM:STOR:STYP) into a file (file with the .sta extension).

State1 to State8 are named as "State1.sta" to "State8.sta" and saved into D: directory.

Autorec and UserPres are named as "Autorec.sta" and "UserPres.sta" and saved into D: directory.

      • Specify the file name with the extension. When you use directory names and file name, separate them with "\" (back slash), or "/" (slash).

Variable

Parameter | Value
Description | File name to save the instrument state (extension ".sta")
Data Type | Character string type (String)
Range | 254 chars

Examples

Dim FType as String, Var as String
FType= "STATe"
Var = "mystate1.sta"
Ana.WriteString ":MMEM:STOR:STYP " & FType, True
Ana.WriteString ":MMEM:STOR " & Var, True

Related Commands

:MMEM:STOR:STYP

:MMEM:LOAD

:MMEM:STOR:SALL

Equivalent Softkey

Save/Recall > Save State > State01 to State08

Save/Recall > Save State > Autorec

Save/Recall > Save State > UserPres

Save/Recall > Save State > File Dialog...

COM Command Syntax (Internal Control Only)

SCPI.MMEMORY.STORE.STATE


:MMEM:STOR:CHAN

Type

Command

Syntax

:MMEMory:STORe:CHANnel[:STATe] {A|B|C|D}

Description

This command saves the instrument state of the items set for the active channel specific to that channel only into the specified register (volatile memory).

Variable

Parameter | Selection Option
Description | Register
Data Type | Character string type (String)
Range | A|B|C|D

Examples

Dim Var as String
Var= "A"
Ana.WriteString ":MMEM:STOR:CHAN " & Var, True

Related Commands

:MMEM:LOAD:CHAN

:DISP:WIND:ACT

Equivalent Softkey

Save/Recall > Save Channel > State & Cal A | State & Cal B | State & Cal C | State & Cal D

COM Command Syntax (Internal Control Only)

SCPI.MMEMORY.STORE.CHANNEL.STATE


:MMEM:STOR:CHAN:CLE

Type

Command

Syntax

:MMEMory:STORe:CHANnel:CLEar

Description

This command deletes the instrument state for each channel (saved with the :MMEM:STOR:CHAN) in all the registers.

Examples

Ana.WriteString ":MMEM:STOR:CHAN:CLE", True

Related Commands

:MMEM:STOR:CHAN

Equivalent Softkey

Save/Recall > Save Channel > Clear States > OK

COM Command Syntax (Internal Control Only)

SCPI.MMEMORY.STORE.CHANNEL.CLEAR


:MMEM:STOR:CHAN:COEF

Type

Command

Syntax

:MMEMory:STORe:CHANnel:COEFficient {A|B|C|D}

Description

This command saves the channel coefficient data of the active channel specific to that channel only into the specified register (volatile memory).

Variable

Parameter | Selection Option
Description | Register
Data Type | Character string type (String)
Range | A|B|C|D

Examples

Dim Var as String
Var= "A"
Ana.WriteString ":MMEM:STOR:CHAN:COEF " & Var, True

Related Commands

:MMEM:LOAD:CHAN

:DISP:WIND:ACT

Equivalent Softkey

Save/Recall > Save Channel > Cal Only A | Cal Only B | Cal Only C | Cal Only D

COM Command Syntax (Internal Control Only)

SCPI.MMEMORY.STORE.CHANNEL.COEFICIENT


:MMEM:STOR:EPAR

Type

Command

Syntax

:MMEMory:STORe:EPARameters <Value>

Description

This command saves the equivalent circuit parameters of an active channel into a CSV file at defined location.

      • Specify the file name with the extension. When you use directory names and file name, separate them with "\" (back slash), or "/" (slash).

Variable

Parameter | Value
Description | Filename and destination name you want save
Data Type | Character string type (String)
Range | 254 chars

Examples

Dim Var as String
Var= "C:\sample.csv"
Ana.WriteString ":MMEM:STOR:EPAR " & Var, True

Equivalent Softkey

There is no equivalent key available on the front panel. However, similar key which exports to TXT file is shown below:

Analysis > Equivalent Circuit > Export to TXT File...

COM Command Syntax (Internal Control Only)

SCPI.MMEMORY.STORE.EPARAMETERS


:MMEM:STOR:FDAT

Type

Command

Syntax

:MMEMory:STORe:FDATa <Value>

Description

This command saves the formatted data array for the active trace of the active channel into a file in the CSV format (extension ".csv"). If you want to save several traces at one time, use :MMEM:STOR:TRAC.

      • Specify the file name with the extension. When you use directory names and file name, separate them with "\" (back slash), or "/" (slash).

Variable

Parameter | Value
Description | File name in which you want to save the formatted data array (extension ".csv")
Data Type | Character string type (String)
Range | 254 chars

Examples

Dim Var as String
Var = "D:\data1.csv"
Ana.WriteString ":MMEM:STOR:FDAT" & Var, True

Related Commands

:DISP:WIND:ACT

:CALC:PAR:SEL

:MMEM:STOR:TRAC

Equivalent Softkey

Save/Recall > Save Trace Data... > Single

COM Command Syntax (Internal Control Only)

SCPI.MMEMORY.STORE.FDATA


:MMEM:STOR:IMAG

Type

Command

Syntax

:MMEMory:STORe:IMAGe <Value>

Description

This command saves the display image on the LCD display (screen image) at the execution of the object into a file in the bitmap (extension ".bmp") or portable network graphics (extension ".png") format.

      • Specify the file name with the extension When you use directory names and file name, separate them with "\ " (back slash), or "/" (slash).

Variable

Parameter | Value
Description | File name in which you want to save the display image on the LCD display (extension ".bmp" or ".png")
Data Type | Character string type (String)
Range | 254 chars

Examples

Dim Var as String
Var = "D:\img.png"
Ana.WriteString ":MMEM:STOR:IMAG " & Var, True

Equivalent Softkey

System > Dump Screen Image...

COM Command Syntax (Internal Control Only)

SCPI.MMEMORY.STORE.IMAGE


:MMEM:STOR:LIM

Type

Command

Syntax

:MMEMory:STORe:LIMit <Value>

Description

This command saves the limit table of the active trace of the active channel into a file in the CSV format (extension ".csv").

      • Specify the file name with the extension. When you use directory names and file name, separate them with "\" (back slash), or "/" (slash).

Variable

Parameter | Value
Description | File name to save the limit table (extension ".csv")
Data Type | Character string type (String)
Range | 254 chars

Examples

Dim Var as String
Var = "D:\limit.csv"
Ana.WriteString ":MMEM:STOR:LIM " & Var, True

Related Commands

:DISP:WIND:ACT

:CALC:PAR:SEL

:MMEM:LOAD:LIM

Equivalent Softkey

Analysis > Limit Test > Edit Limit Line > Export to CSV File...

COM Command Syntax (Internal Control Only)

SCPI.MMEMORY.STORE.LIMIT


:MMEM:STOR:S1P

Type

Command

Syntax

:MMEMory:STORe:S1P[:DATA] <Value>

Description

This command saves the measurement data for the active channel into a file in the touchstone format.

      • Specify the file name with the extension. When you use directory names and file name, separate them with "\" (back slash), or "/" (slash).

Variable

Parameter | Value
Description | Touchstone file format
Data Type | Character string type (String)
Range | 254 chars

Examples

Dim Var as String
Var = "TS1.s1p"
Ana.WriteString ":MMEM:STOR:S1P" & Var, True

Related Commands

:DISP:WIND:ACT

:MMEM:STOR:S1P:FORM

Equivalent Softkey

Save/Recall > Save S1P > SaveS1P

COM Command Syntax (Internal Control Only)

SCPI.MMEMORY.STORE.S1P.DATA


:MMEM:STOR:S1P:FORM

Type

Command/Query

Syntax

:MMEMory:STORe:S1P:FORMat {MA|DB|RI}

:MMEMory:STORe:S1P:FORMat?

Description

This command sets/gets the data format for saving measurement data for the active channel into a file in the touchstone format.

Variable

Parameter | Selection Option
Description | Touchstone file format
Data Type | Character string type (String)
Range | MA : LinMag/Angle DB : LogMag/Angle RI : Real/Imaginary
Preset Value | MA

Query Response

{MA|DB|RI}<newline><^END>

Examples

Dim Var as String
Var= "DB"
Ana.WriteString ":MMEM:STOR:S1P:FORM " & Var, True
Ana.WriteString ":MMEM:STOR:S1P:FORM?", True
Var=Ana.ReadString

Related Commands

:DISP:WIND:ACT

:MMEM:STOR:S1P

Equivalent Softkey

Save/Recall > Save S1P > S1P Format

COM Command Syntax (Internal Control Only)

SCPI.MMEMORY.STORE.S1P.FORMAT


:MMEM:STOR:SALL

Type

Command/Query

Syntax

:MMEMory:STORe:SALL {ON|OFF|1|0}

:MMEMory:STORe:SALL?

Description

This command selects whether to save the settings of all channels/traces state or that of the displayed channels/traces state only, as the instrument state to be saved.

Variable

Parameter | Selection Option
Description | Selecting content to be saved as the instrument state setting.
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | OFF

Query Response

{1|0}<newline><^END>

Examples

Dim Var as Boolean
Var= 1
Ana.WriteString ":MMEM:STOR:SALL " & Str(Var), True
Ana.WriteString ":MMEM:STOR:SALL?", True
Var=Ana.ReadNumber

Related Commands

:MMEM:STOR

:MMEM:STOR:STYP

Equivalent Softkey

Save/Recall > Channel/Trace

COM Command Syntax (Internal Control Only)

SCPI.MMEMORY.STORE.SALL


:MMEM:STOR:SEGM

Type

Command

Syntax

:MMEMory:STORe:SEGMent <Value>

Description

This command saves the segment table of the active channel into a file in the CSV format (extension ".csv").

      • Specify the file name with the extension. When you use directory names and file name, separate them with "\" (back slash), or "/" (slash).

Variable

Parameter | Value
Description | File name (extension ".csv")
Data Type | Character string type (String)
Range | 254 chars

Examples

Dim Var as String
Var = "D:\segtable1.csv"
Ana.WriteString ":MMEM:STOR:SEGM " & Var, True

Related Commands

:DISP:WIND:ACT

:MMEM:LOAD:SEGM

Equivalent Softkey

Sweep Setup > Edit Segment Table > Export to CSV File...

COM Command Syntax (Internal Control Only)

SCPI.MMEMORY.STORE.SEGMENT


:MMEM:STOR:STYP

Type

Command/Query

Syntax

:MMEMory:STORe:STYPe {STATe|CSTate|DSTate|CDSTate}

:MMEMory:STORe:STYPe?

Description

The command selects the contents saved when saving the instrument state into a file with the :MMEM:STOR.

Variable

Parameter | Selection Option
Description | Data of instrument state
Data Type | Character string type (String)
Range | STATe : Instrument State Only CSTate : Instrument States and Calibration Data DSTate : Instrument States and Trace Data CDSTate : Instrument States, Calibration and Trace Data (All)
Preset Value | CSTate

Query Response

{STAT|CST|DST|CDST}<newline><^END>

Examples

See :MMEM:STOR.

Related Commands

:MMEM:STOR

Equivalent Softkey

Save/Recall > Save Type

COM Command Syntax (Internal Control Only)

SCPI.MMEMORY.STORE.STYPE


:MMEM:STOR:TRAC

Type

Command

Syntax

:MMEMory:STORe:TRACe <Value>, {TRACe|CHANnel|DISPlayed}

Description

This command saves the formatted data array for the traces into a file in the CSV format (extension ".csv"). This command is available at revision A.2.10 and above.

      • Specify the file name with the extension. When you use directory names and file name, separate them with "\" (back slash), or "/" (slash).

Variable

Parameter | Value
Description | File name in which you want to save the formatted data array (extension ".csv")
Data Type | Character string type (String)
Range | 254 chars

Parameter | Selection Option
Description | Target traces for save
Data Type | Character string type (String)
Range | TRACe: Active trace only (This is the same as :MMEM:STOR:FDAT) CHANnel: All traces in the active channel DISPlayed: All displayed traces in displayed channels
Preset Value | TRACe

Examples

Dim Var as String
Var = "D:\data1.csv"
Ana.WriteString ":MMEM:STOR:FDAT " & Var & ", CHAN", True

Related Commands

:MMEM:STOR:FDAT

Equivalent Softkey

Save/Recall > Save Trace Data...

COM Command Syntax (Internal Control Only)

SCPI.MMEMORY.STORE.TRACE


:MMEM:TRAN

Type

Command/Query

Syntax

:MMEMory:TRANsfer <Value>

Description

This command transfers data (file) between the built-in storage device of the E4990A and external PC through SCPI command, but not through COM command.

      • When you use directory names and file name, separate them with "/" (slash) or "\" (backslash). If a file with the specified file name already exists for writing or if the specified file does not exist for reading out (Query), an error occurs and the command is ignored.

Variable

Parameter | Value
Description | File name on the built-in storage device
Data Type | Character string type (String)
Range | 254 chars

Query Response

{Byte}<newline><^END>

Examples

See Transferring Files.

Equivalent Softkey

No equivalent key is available on the front panel.

COM Command Syntax (Internal Control Only)

SCPI.MMEMORY.TRANSFER


:SENS:ADAP

Type

Command/Query

Syntax

:SENSe:ADAPter[:TYPE] {NONE|E4M1|E4M2|E4A7|E4AE7|E4PR|E4PE}

:SENSe:ADAPter[:TYPE]?

Description

This command sets/gets the adapter type.

Variable

Parameter | Selection Option
Description | Adapter type
Data Type | Character string type (String)
Range | NONE: None E4M1: 4TP 1m E4M2: 4TP 2m E4A7: 7mm 42942A E4AE7: 42942A Extension E4PR: Probe 42941A E4PE: 42941A Extension
Preset Value | NONE

Query Response

{NONE|E4M1|E4M2|E4A7|E4AE7|E4PR|E4PE}<newline><^END>

Examples

Dim Var as String
Var= "E4M1"
Ana.WriteString ":SENS:ADAP " & Var, True
Ana.WriteString ":SENS:ADAP?", True
Var=Ana.ReadString

Related Commands

:SENS:FIXT:SEL

Equivalent Softkey

Cal > Adapter

Instrument Setup > Adapter

COM Command Syntax (Internal Control Only)

SCPI.SENSE.ADAPTER.TYPE


:SENS:ADAP:CORR:COLL

:SENS<Ch>:ADAP:CORR:COLL

Type

Command

Syntax

:SENSe:ADAPter:CORRection:COLLect[:ACQuire] {OPEN|SHORt|LOAD|PHASe}

Description

This command measures the adapter setup standard.

Variable

Parameter | Selection Option
Description | Adapter setup standard
Data Type | Character string type (String)
Range | OPEN: Open SHORt: Short LOAD: Load or E4990-61001 PHASe: Phase

Examples

Dim Var as String
Var= "OPEN"
Ana.WriteString ":SENS:ADAP:CORR:COLL " & Var, True

Related Commands

:SENS:ADAP:CORR:COLL:SAVE

Equivalent Softkey

Cal > Adapter Setup > Phase

Cal > Adapter Setup > Open

Cal > Adapter Setup > Short

Cal > Adapter Setup > Load

Cal > Adapter Setup > E4990-61001

Instrument Setup > Adapter Setup > Phase

Instrument Setup > Adapter Setup > Open

Instrument Setup > Adapter Setup > Short

Instrument Setup > Adapter Setup > Load

Instrument Setup > Adapter Setup > E4990-61001

COM Command Syntax (Internal Control Only)

SCPI.SENSE.ADAPTER.CORRECTION.COLLECT.ACQUIRE


:SENS:ADAP:CORR:COLL:SAVE

Type

Command

Syntax

:SENSe:ADAPter:CORRection:COLLect:SAVE {IMPedance|PHASe}

Description

This command calculates the adapter setup data.

Variable

Parameter | Selection Option
Description | Adapter setup type
Data Type | Character string type (String)
Range | IMPedance|PHASe

Examples

Dim Var as String
Var= "IMP"
Ana.WriteString ":SENS:ADAP:CORR:COLL:SAVE " & Var, True

Related Commands

:SENS:ADAP:CORR:COLL

Equivalent Softkey

Cal > Adapter Setup > Save Phase

Cal > Adapter Setup > Save Impedance

Instrument Setup > Adapter Setup > Save Phase

Instrument Setup > Adapter Setup > Save Impedance

COM Command Syntax (Internal Control Only)

SCPI.SENSE.ADAPTER.CORRECTION.COLLECT.SAVE


:SENS:APER

:SENS<Ch>:APER

Type

Command/Query

Syntax

:SENSe<Ch>:APERture[:TIME] <Value>

:SENSe<Ch>:APERture[:TIME]?

Description

This command sets/gets the measurement speed. 1 is the fastest setting.

Variable

Parameter | Value
Description | Measurement speed
Data Type | Numeric type (Integer)
Range | 1|2|3|4|5
Preset Value | 1

Query Response

{numeric}<newline><^END>

Examples

Dim Var as Long
Var= 5
Ana.WriteString ":SENS1:APER " & Str(Var), True
Ana.WriteString ":SENS1:APER?", True
Var=Ana.ReadNumber

Related Commands

:SENS:SWE:TIME

Equivalent Softkey

Average > Meas Time

Instrument Setup > Meas Time

COM Command Syntax (Internal Control Only)

SCPI.SENSE(Ch).APERTURE.TIME


:SENS:AVER

:SENS<Ch>:AVER

Type

Command/Query

Syntax

:SENSe<Ch>:AVERage[:STATe] {ON|OFF|1|0}

:SENSe<Ch>:AVERage[:STATe]?

Description

This command sets/gets the point averaging state.

Variable

Parameter | Selection Option
Description | Point averaging On/Off state
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | OFF

Query Response

{1|0}<newline><^END>

Examples

Dim Var as Integer
Ana.WriteString ":SENS1:AVER ON", True
Ana.WriteString ":SENS1:AVER?", True
Var=Ana.ReadNumber

Related Commands

:SENS:AVER:COUN

Equivalent Softkey

Average > Point Avg

COM Command Syntax (Internal Control Only)

SCPI.SENSE(Ch).AVERAGE.STATE


:SENS:AVER:COUN

:SENS<Ch>:AVER:COUN

Type

Command/Query

Syntax

:SENSe<Ch>:AVERage:COUNt <Value>

:SENSe<Ch>:AVERage:COUNt?

Description

This command sets/gets the point averaging factor.

Variable

Parameter | Value
Description | Averaging factor
Data Type | Numeric type (Integer)
Range | 1 ~ 999
Preset Value | 16
Unit | -
Resolution | 1

Query Response

{numeric}<newline><^END>

Examples

Dim Var as Long
Var= 10
Ana.WriteString ":SENS1:AVER:COUN " & Str(Var), True
Ana.WriteString ":SENS1:AVER:COUN?", True
Var=Ana.ReadNumber

Related Commands

:SENS:AVER

Equivalent Softkey

Average > Point Avg Factor

COM Command Syntax (Internal Control Only)

SCPI.SENSE(Ch).AVERAGE.COUNT


:SENS:CORR:CKIT:LOAD:C

:SENS<Ch>:CORR<Type>:CKIT:LOAD:C

Type

Command/Query

Syntax

:SENSe<Ch>:CORRection<Type>:CKIT:LOAD:C <Value>

:SENSe<Ch>:CORRection<Type>:CKIT:LOAD:C?

Description

This command sets/gets the load capacitance value for the user calibration and fixture compensation.

(<type>: User calibration=1, Fixture Compensation=2)

Variable

Parameter | Value
Description | Load capacitance value
Data Type | Numeric type (Real)
Range | -1M ~ 1M
Preset Value | 0
Unit | F
Resolution | -

Query Response

{numeric}<newline><^END>

Examples

Dim Var as Double
Var= -1000000
Ana.WriteString ":SENS1:CORR1:CKIT:LOAD:C " & Str(Var), True
Ana.WriteString ":SENS1:CORR1:CKIT:LOAD:C?", True
Var=Ana.ReadNumber

Related Commands

:SENS:CORR:CKIT:LOAD:MOD

Equivalent Softkey

Cal > User Cal > Define Value > Load Cap (C)

Cal > Fixture Compen > Define Value > Load Cap (C)

COM Command Syntax (Internal Control Only)

SCPI.SENSE(Ch).CORRECTION(Type).CKIT.LOAD.C


:SENS:CORR:CKIT:LOAD:L

:SENS<Ch>:CORR<Type>:CKIT:LOAD:L

Type

Command/Query

Syntax

:SENSe<Ch>:CORRection<Type>:CKIT:LOAD:L <Value>

:SENSe<Ch>:CORRection<Type>:CKIT:LOAD:L?

Description

This command sets/gets the load inductance value for the user calibration and fixture compensation.

(<type>: User calibration=1, Fixture Compensation=2)

Variable

Parameter | Value
Description | Load inductance value
Data Type | Numeric type (Real)
Range | -1M ~ 1M
Preset Value | 0
Unit | H
Resolution | 1p

Query Response

{numeric}<newline><^END>

Examples

Dim Var as Double
Var= -1000000
Ana.WriteString ":SENS1:CORR1:CKIT:LOAD:L " & Str(Var), True
Ana.WriteString ":SENS1:CORR1:CKIT:LOAD:L?", True
Var=Ana.ReadNumber

Related Commands

:SENS:CORR:CKIT:LOAD:MOD

Equivalent Softkey

Cal > User Cal > Define Value > Load Induct (L)

Cal > Fixture Compen > Define Value > Load Induct (L)

COM Command Syntax (Internal Control Only)

SCPI.SENSE(Ch).CORRECTION(Type).CKIT.LOAD.L


:SENS:CORR:CKIT:LOAD:MOD

:SENS<Ch>:CORR<Type>:CKIT:LOAD:MOD

Type

Command/Query

Syntax

:SENSe<Ch>:CORRection<Type>:CKIT:LOAD:MODel {EQUiv|TABLe}

:SENSe<Ch>:CORRection<Type>:CKIT:LOAD:MODel?

Description

This command selects the load standard impedance model for the user calibration and fixture compensation.

(<type>: User calibration=1, Fixture Compensation=2)

Variable

Parameter | Selection Option
Description | Load standard impedance model
Data Type | Character string type (String)
Range | EQUiv: Equivalent Circuit TABLe: f-Z Table
Preset Value | EQUiv

Query Response

{EQU|TABL}<newline><^END>

Examples

Dim Var as String
Var= "EQU"
Ana.WriteString ":SENS1:CORR1:CKIT:LOAD:MOD " & Var, True
Ana.WriteString ":SENS1:CORR1:CKIT:LOAD:MOD?", True
Var=Ana.ReadString

Related Commands

:SENS:CORR:CKIT:LOAD:TABL

:SENS:CORR:CKIT:LOAD:C

:SENS:CORR:CKIT:LOAD:L

:SENS:CORR:CKIT:LOAD:R

Equivalent Softkey

Cal > User Cal > Define Value > Load Model > Equivalent Circuit | f-Z Table

Cal > Fixture Compen > Define Value > Load Model > Equivalent Circuit | f-Z Table

COM Command Syntax (Internal Control Only)

SCPI.SENSE(Ch).CORRECTION(Type).CKIT.LOAD.MODEL


:SENS:CORR:CKIT:LOAD:R

:SENS<Ch>:CORR<Type>:CKIT:LOAD:R

Type

Command/Query

Syntax

:SENSe<Ch>:CORRection<Type>:CKIT:LOAD:R <Value>

:SENSe<Ch>:CORRection<Type>:CKIT:LOAD:R?

Description

This command sets/gets the load resistance value for the user calibration and fixture compensation.

(<type>: User calibration=1, Fixture Compensation=2)

Variable

Parameter | Value
Description | Load resistance
Data Type | Numeric type (Real)
Range | -100G ~ 100G
Preset Value | 50
Unit | Ω
Resolution | 1p

Query Response

{numeric}<newline><^END>

Examples

Dim Var as Double
Var= -100000000000
Ana.WriteString ":SENS1:CORR1:CKIT:LOAD:R " & Str(Var), True
Ana.WriteString ":SENS1:CORR1:CKIT:LOAD:R?", True
Var=Ana.ReadNumber

Related Commands

:SENS:CORR:CKIT:LOAD:MOD

Equivalent Softkey

Cal > User Cal > Define Value > Load Resist (R)

Cal > Fixture Compen > Define Value > Load Resist (R)

COM Command Syntax (Internal Control Only)

SCPI.SENSE(Ch).CORRECTION(Type).CKIT.LOAD.R


:SENS:CORR:CKIT:LOAD:TABL

:SENS<Ch>:CORR<Type>:CKIT:LOAD:TABL

Type

Command/Query

Syntax

:SENSe<Ch>:CORRection<Type>:CKIT:LOAD:TABLe <Value 1>, ... , <Value (n×3+1)>

:SENSe<Ch>:CORRection<Type>:CKIT:LOAD:TABLe?

Description

This command defines the table of load model for the user calibration and fixture compensation.

(<type>: User calibration=1, Fixture Compensation=2)

Variable

Parameter | Value
Description | Load standard definition table: Indicates the array data of 1 + NOP (number of standard data points) × 3. Where n is an integer between 1 and NOP. <value 1> :The number of standard data points you want to set. Specify an integer ranging 1 to 1601. <Value (n×3-1)> :Frequency at the n-th of standard data. <Value (n×3)> :Real part of data (complex number) at the n-th standard data point. <Value (n×3+1)> :Imaginary part of data (complex number) at the n-th standard data point.
Data Type | Variant type Array (Range)
Preset Value | 0

Query Response

{numeric 1}, ... , {numeric (n×3+1)}<newline><^END>

Examples

Dim SetTableAry() as Double
SetTableAry = Array(3, 1000000#, 50.1, 0, 2000000#, 50.05, 0, 3000000#, 51, 0)
Ana.WriteString ":SENS1:CORR1:CKIT:LOAD:TABL " & SetTableAry(), True
Ana.WriteString ":SENS1:CORR1:CKIT:LOAD:TABL?", True
SetTableAry=Ana.ReadList(ASCIIType_R8, ",")

Related Commands

:SENS:CORR:CKIT:LOAD:MOD

:SENS:CORR:CKIT:OPEN:TABL

:SENS:CORR:CKIT:SHOR:TABL

Equivalent Softkey

No equivalent key is available on the front panel.

COM Command Syntax (Internal Control Only)

SCPI.SENSE(Ch).CORRECTION(Type).CKIT.LOAD.TABLE


:SENS:CORR:CKIT:OPEN:C

:SENS<Ch>:CORR<Type>:CKIT:OPEN:C

Type

Command/Query

Syntax

:SENSe<Ch>:CORRection<Type>:CKIT:OPEN:C <Value>

:SENSe<Ch>:CORRection<Type>:CKIT:OPEN:C?

Description

This command sets/gets the open capacitance value for the user calibration and fixture compensation.

(<type>: User calibration=1, Fixture Compensation=2)

Variable

Parameter | Value
Description | Open capacitance value
Data Type | Numeric type (Real)
Range | -1M ~ 1M
Preset Value | 0
Unit | F
Resolution | -

Query Response

{numeric}<newline><^END>

Examples

Dim Var as Double
Var= -1000000
Ana.WriteString ":SENS1:CORR1:CKIT:OPEN:C " & Str(Var), True
Ana.WriteString ":SENS1:CORR1:CKIT:OPEN:C?", True
Var=Ana.ReadNumber

Related Commands

:SENS:CORR:CKIT:OPEN:MOD

Equivalent Softkey

Cal > User Cal > Define Value > Open Cap (C)

Cal > Fixture Compen > Define Value > Open Cap (C)

COM Command Syntax (Internal Control Only)

SCPI.SENSE(Ch).CORRECTION(Type).CKIT.OPEN.C


:SENS:CORR:CKIT:OPEN:G

:SENS<Ch>:CORR<Type>:CKIT:OPEN:G

Type

Command/Query

Syntax

:SENSe<Ch>:CORRection<Type>:CKIT:OPEN:G <Value>

:SENSe<Ch>:CORRection<Type>:CKIT:OPEN:G?

Description

This command sets/gets the open conductance value for the user calibration and fixture compensation.

(<type>: User calibration=1, Fixture Compensation=2)

Variable

Parameter | Value
Description | Open conductance value
Data Type | Numeric type (Real)
Range | -1M ~ 1M
Preset Value | 0
Unit | S
Resolution | 1p

Query Response

{numeric}<newline><^END>

Examples

Dim Var as Double
Var= -1000000
Ana.WriteString ":SENS1:CORR1:CKIT:OPEN:G " & Str(Var), True
Ana.WriteString ":SENS1:CORR1:CKIT:OPEN:G?", True
Var=Ana.ReadNumber

Related Commands

:SENS:CORR:CKIT:OPEN:C

Equivalent Softkey

Cal > User Cal > Define Value > Open Conduct (G)

Cal > Fixture Compen > Define Value > Open Conduct (G)

COM Command Syntax (Internal Control Only)

SCPI.SENSE(Ch).CORRECTION(Type).CKIT.OPEN.G


:SENS:CORR:CKIT:OPEN:MOD

:SENS<Ch>:CORR<Type>:CKIT:OPEN:MOD

Type

Command/Query

Syntax

:SENSe<Ch>:CORRection<Type>:CKIT:OPEN:MODel {EQUiv|TABLe}

:SENSe<Ch>:CORRection<Type>:CKIT:OPEN:MODel?

Description

This command selects the open standard impedance model for the user calibration and fixture compensation.

(<type>: User calibration=1, Fixture Compensation=2)

Variable

Parameter | Selection Option
Description | Open standard impedance model
Data Type | Character string type (String)
Range | EQUiv: Equivalent Circuit TABLe: f-Z Table
Preset Value | EQUiv

Query Response

{EQU|TABL}<newline><^END>

Examples

Dim Var as String
Var= "EQU"
Ana.WriteString ":SENS1:CORR1:CKIT:OPEN:MOD " & Var, True
Ana.WriteString ":SENS1:CORR1:CKIT:OPEN:MOD?", True
Var=Ana.ReadString

Related Commands

:SENS:CORR:CKIT:OPEN:C

:SENS:CORR:CKIT:OPEN:G

:SENS:CORR:CKIT:OPEN:TABL

Equivalent Softkey

Cal > User Cal > Define Value > Open Model > Equivalent Circuit | f-Z Table

Cal > Fixture Compen > Define Value > Open Model > Equivalent Circuit | f-Z Table

COM Command Syntax (Internal Control Only)

SCPI.SENSE(Ch).CORRECTION(Type).CKIT.OPEN.MODEL


:SENS:CORR:CKIT:OPEN:TABL

:SENS<Ch>:CORR<Type>:CKIT:OPEN:TABL

Type

Command/Query

Syntax

:SENSe<Ch>:CORRection<Type>:CKIT:OPEN:TABLe <Value 1>, ... , <Value (n×3+1)>
:SENSe<Ch>:CORRection<Type>:CKIT:OPEN:TABLe?

Description

This command defines the table of open model for the user calibration and fixture compensation.

(<type>: User calibration=1, Fixture Compensation=2)

Variable

Parameter | Value
Description | Open standard definition table: Indicates the array data of 1 + NOP (number of standard data points) × 3. Where n is an integer between 1 and NOP. <value 1> :The number of standard data points you want to set. Specify an integer ranging 1 to 1601. <Value (n×3-1)> :Frequency at the n-th of standard data. <Value (n×3)> :Real part of data (complex number) at the n-th standard data point. <Value (n×3+1)> :Imaginary part of data (complex number) at the n-th standard data point.
Data Type | Variant type Array (Range)
Preset Value | 0

Query Response

{numeric 1}, ... , {numeric (n×3+1)}<newline><^END>

Examples

Dim SetTableAry() as Double
SetTableAry = Array(3, 1000000#, 50.1, 0, 2000000#, 50.05, 0, 3000000#, 51, 0)
Ana.WriteString ":SENS1:CORR1:CKIT:OPEN:TABL " & SetTableAry(), True
Ana.WriteString ":SENS1:CORR1:CKIT:OPEN:TABL?", True
SetTableAry=Ana.ReadList(ASCIIType_R8, ",")

Related Commands

:SENS:CORR:CKIT:OPEN:MOD

:SENS:CORR:CKIT:SHOR:TABL

:SENS:CORR:CKIT:LOAD:TABL

Equivalent Softkey

No equivalent key is available on the front panel.

COM Command Syntax (Internal Control Only)

SCPI.SENSE(Ch).CORRECTION(Type).CKIT.OPEN.TABLE


:SENS:CORR:CKIT:SHOR:L

:SENS<Ch>:CORR<Type>:CKIT:SHOR:L

Type

Command/Query

Syntax

:SENSe<Ch>:CORRection<Type>:CKIT:SHORt:L <Value>

:SENSe<Ch>:CORRection<Type>:CKIT:SHORt:L?

Description

This command sets/gets the short inductance value for the user calibration and fixture compensation.

(<type>: User calibration=1, Fixture Compensation=2)

Variable

Parameter | Value
Description | Short inductance value
Data Type | Numeric type (Real)
Range | -1M ~ 1M
Preset Value | 0
Unit | H
Resolution | 1p

Query Response

{numeric}<newline><^END>

Examples

Dim Var as Double
Var= -1000000
Ana.WriteString ":SENS1:CORR1:CKIT:SHOR:L " & Str(Var), True
Ana.WriteString ":SENS1:CORR1:CKIT:SHOR:L?", True
Var=Ana.ReadNumber

Related Commands

:SENS:CORR:CKIT:SHOR:MOD

Equivalent Softkey

Cal > User Cal > Define Value > Short Induct (L)

Cal > Fixture Compen > Define Value > Short Induct (L)

COM Command Syntax (Internal Control Only)

SCPI.SENSE(Ch).CORRECTION(Type).CKIT.SHORT.L


:SENS:CORR:CKIT:SHOR:MOD

:SENS<Ch>:CORR<Type>:CKIT:SHOR:MOD

Type

Command/Query

Syntax

:SENSe<Ch>:CORRection<Type>:CKIT:SHORt:MODel {EQUiv|TABLe}

:SENSe<Ch>:CORRection<Type>:CKIT:SHORt:MODel?

Description

This command selects the short standard impedance model for the user calibration and fixture compensation.

(<type>: User calibration=1, Fixture Compensation=2)

Variable

Parameter | Selection Option
Description | Short standard impedance model
Data Type | Character string type (String)
Range | EQUiv: Equivalent Circuit TABLe: f-Z Table
Preset Value | EQUiv

Query Response

{EQU|TABL}<newline><^END>

Examples

Dim Var as String
Var= "EQU"
Ana.WriteString ":SENS1:CORR1:CKIT:SHOR:MOD " & Var, True
Ana.WriteString ":SENS1:CORR1:CKIT:SHOR:MOD?", True
Var=Ana.ReadString

Related Commands

:SENS:CORR:CKIT:SHOR:L

:SENS:CORR:CKIT:SHOR:R

:SENS:CORR:CKIT:SHOR:TABL

Equivalent Softkey

Cal > User Cal > Define Value > Short Model > Equivalent Circuit | f-Z Table

Cal > Fixture Compen > Define Value > Short Model > Equivalent Circuit | f-Z Table

COM Command Syntax (Internal Control Only)

SCPI.SENSE(Ch).CORRECTION(Type).CKIT.SHORT.MODEL


:SENS:CORR:CKIT:SHOR:R

:SENS<Ch>:CORR<Type>:CKIT:SHOR:R

Type

Command/Query

Syntax

:SENSe<Ch>:CORRection<Type>:CKIT:SHORt:R <Value>

:SENSe<Ch>:CORRection<Type>:CKIT:SHORt:R?

Description

This command sets/gets the short resistance value for the user calibration and fixture compensation.

(<type>: User calibration=1, Fixture Compensation=2)

Variable

Parameter | Value
Description | Short resistance value
Data Type | Numeric type (Real)
Range | -1M ~ 1M
Preset Value | 0
Unit | Ω
Resolution | 1p

Query Response

{numeric}<newline><^END>

Examples

Dim Var as Double
Var= -1000000
Ana.WriteString ":SENS1:CORR1:CKIT:SHOR:R " & Str(Var), True
Ana.WriteString ":SENS1:CORR1:CKIT:SHOR:R?", True
Var=Ana.ReadNumber

Related Commands

:SENS:CORR:CKIT:SHOR:MOD

Equivalent Softkey

Cal > User Cal > Define Value > Short Resist (R)

Cal > Fixture Compen > Define Value > Short Resist (R)

COM Command Syntax (Internal Control Only)

SCPI.SENSE(Ch).CORRECTION(Type).CKIT.SHORT.R


:SENS:CORR:CKIT:SHOR:TABL

:SENS<Ch>:CORR<Type>:CKIT:SHOR:TABL

Type

Command/Query

Syntax

:SENSe<Ch>:CORRection<Type>:CKIT:SHORt:TABLe <Value 1>, ... , <Value (n×3+1)>

:SENSe<Ch>:CORRection<Type>:CKIT:SHORt:TABLe?

Description

This command defines the table of short model for the user calibration and fixture compensation.

(<type>: User calibration=1, Fixture Compensation=2)

Variable

Parameter | Value
Description | Short standard definition table: Indicates the array data of 1 + NOP (number of standard data points) × 3. Where n is an integer between 1 and NOP. <value 1> :The number of standard data points you want to set. Specify an integer ranging 1 to 1601. <Value (n×3-1)> :Frequency at the n-th of standard data. <Value (n×3)> :Real part of data (complex number) at the n-th standard data point. <Value (n×3+1)> :Imaginary part of data (complex number) at the n-th standard data point.
Data Type | Variant type Array (Range)
Preset Value | 0

Query Response

{numeric 1}, ... , {numeric (n×3+1)}<newline><^END>

Examples

Dim SetTableAry() as Double
SetTableAry = Array(3, 1000000#, 0.1, 0, 2000000#, 0.05, 0, 3000000#, 0.5, 0)
Ana.WriteString ":SENS1:CORR1:CKIT:SHOR:TABL " & SetTableAry(), True
Ana.WriteString ":SENS1:CORR1:CKIT:SHOR:TABL?", True
SetTableAry=Ana.ReadList(ASCIIType_R8, ",")

Related Commands

:SENS:CORR:CKIT:SHOR:MOD

:SENS:CORR:CKIT:OPEN:TABL

:SENS:CORR:CKIT:LOAD:TABL

Equivalent Softkey

No equivalent key is available on the front panel.

COM Command Syntax (Internal Control Only)

SCPI.SENSE(Ch).CORRECTION(Type).CKIT.SHORT.TABLE


:SENS:CORR:CLE

:SENS<Ch>:CORR<Type>:CLE

Type

Command

Syntax

:SENSe<Ch>:CORRection<Type>:CLEar

Description

This command clears the calibration parameters.

<type>: User calibration=1, Fixture Compensation=2

Examples

Ana.WriteString ":SENS1:CORR1:CLE", True

Related Commands

:SENS:CORR:STAT

Equivalent Softkey

No equivalent key is available on the front panel.

COM Command Syntax (Internal Control Only)

SCPI.SENSE(Ch).CORRECTION(Type).CLEAR


:SENS:CORR:COLL:ACQ:LOAD

:SENS<Ch>:CORR<Type>:COLL:ACQ:LOAD

Type

Command

Syntax

:SENSe<Ch>:CORRection<Type>:COLLect:ACQuire:LOAD

Description

This command measures the load data for the user calibration and the fixture compensation.

<type>: User calibration=1, Fixture Compensation=2

In the user calibration, the :SENS:CORR:COLL:SAVE should be executed after open/short/load calibrations.

Examples

Ana.WriteString ":SENS1:CORR1:COLL:ACQ:LOAD", True

Related Commands

:SENS:CORR:COLL:ACQ:OPEN

:SENS:CORR:COLL:ACQ:SHOR

:SENS:CORR:COLL:SAVE

Equivalent Softkey

Cal > User Cal > Execute Cal > Load

Cal > Fixture Compen > Load (Optional)

COM Command Syntax (Internal Control Only)

SCPI.SENSE(Ch).CORRECTION(Type).COLLECT.ACQUIRE.LOAD


:SENS:CORR:COLL:ACQ:OPEN

:SENS<Ch>:CORR<Type>:COLL:ACQ:OPEN

Type

Command

Syntax

:SENSe<Ch>:CORRection<Type>:COLLect:ACQuire:OPEN

Description

This command measures the open data for the user calibration and the fixture compensation.

<type>: User calibration=1, Fixture Compensation=2

In the user calibration, the :SENS:CORR:COLL:SAVE should be executed after open/short/load calibrations.

Examples

Ana.WriteString ":SENS1:CORR1:COLL:ACQ:OPEN", True

Related Commands

:SENS:CORR:COLL:ACQ:LOAD

:SENS:CORR:COLL:ACQ:SHOR

:SENS:CORR:COLL:SAVE

Equivalent Softkey

Cal > User Cal > Execute Cal > Open

Cal > Fixture Compen > Open (x S x F)

COM Command Syntax (Internal Control Only)

SCPI.SENSE(Ch).CORRECTION(Type).COLLECT.ACQUIRE.OPEN


:SENS:CORR:COLL:ACQ:SHOR

:SENS<Ch>:CORR<Type>:COLL:ACQ:SHOR

Type

Command

Syntax

:SENSe<Ch>:CORRection<Type>:COLLect:ACQuire:SHORt

Description

This command measures the short data for the user calibration and the fixture compensation.

<type>: User calibration=1, Fixture Compensation=2

In the user calibration, the :SENS:CORR:COLL:SAVE should be executed after open/short/load calibrations.

Examples

Ana.WriteString ":SENS1:CORR1:COLL:ACQ:SHOR", True

Related Commands

:SENS:CORR:COLL:ACQ:LOAD

:SENS:CORR:COLL:ACQ:OPEN

:SENS:CORR:COLL:SAVE

Equivalent Softkey

Cal > User Cal > Execute Cal > Short

Cal > Fixture Compen > Short (x Ω x H)

COM Command Syntax (Internal Control Only)

SCPI.SENSE(Ch).CORRECTION(Type).COLLECT.ACQUIRE.SHORT


:SENS:CORR:COLL:CLE

:SENS<Ch>:CORR<Type>:COLL:CLE

Type

Command

Syntax

:SENSe<Ch>:CORRection<Type>:COLLect:CLEar

Description

This command clears the measured data.

Examples

Ana.WriteString ":SENS1:CORR1:COLL:CLE", True

Related Commands

:SENS:CORR:COLL:ACQ:LOAD

:SENS:CORR:COLL:ACQ:OPEN

:SENS:CORR:COLL:ACQ:SHOR

Equivalent Softkey

Cal > User Cal > Execute Cal > Cancel > OK

COM Command Syntax (Internal Control Only)

SCPI.SENSE(Ch).CORRECTION(Type).COLLECT.CLEAR


:SENS:CORR:COLL:FPO

:SENS<Ch>:CORR:COLL:FPO

Type

Command/Query

Syntax

:SENSe<Ch>:CORRection:COLLect:FPOints {FIXed|USER}

:SENSe<Ch>:CORRection:COLLect:FPOints?

Description

This command selects the frequency point type for both user calibration and fixture compensation. The same type is applied to both user calibration and fixture compensation.

Variable

Parameter | Selection Option
Description | Frequency point type
Data Type | Character string type (String)
Range | FIXed|USER
Preset Value | FIXed

Query Response

{FIX|USER}<newline><^END>

Examples

Dim Var as String
Var= "FIX"
Ana.WriteString ":SENS1:CORR:COLL:FPO " & Var, True
Ana.WriteString ":SENS1:CORR:COLL:FPO?", True
Var=Ana.ReadString

Related Commands

:SENS:CORR:COLL:SAVE

:SENS:CORR:COLL:ACQ:LOAD

:SENS:CORR:COLL:ACQ:OPEN

:SENS:CORR:COLL:ACQ:SHOR

Equivalent Softkey

Cal > Compen Point

Instr Setup > Fixture Compen > Compen Point

COM Command Syntax (Internal Control Only)

SCPI.SENSE(Ch).CORRECTION.COLLECT.FPOINTS


:SENS:CORR:COLL:SAVE

:SENS<Ch>:CORR1:COLL:SAVE

Type

Command

Syntax

:SENSe<Ch>:CORRection1:COLLect:SAVE

Description

This command calculates the user calibration data after open/short/load measurements.

SENS:CORR2:COLL:SAVE causes an undefined header error.

Examples

Ana.WriteString ":SENS1:CORR1:COLL:SAVE", True

Related Commands

:SENS:CORR:COLL1:ACQ:LOAD

:SENS:CORR:COLL1:ACQ:OPEN

:SENS:CORR:COLL1:ACQ:SHOR

Equivalent Softkey

Cal > User Cal > Execute Cal > Done

COM Command Syntax (Internal Control Only)

SCPI.SENSE(Ch).CORRECTION(1).COLLECT.SAVE


:SENS:CORR:EDEL:LENG

:SENS<Ch>:CORR2:EDEL:LENG

Type

Command/Query

Syntax

:SENSe<Ch>:CORRection2:EDELay:LENGth <Value>

:SENSe<Ch>:CORRection2:EDELay:LENGth?

Description

This command sets/gets the extension value in meter.

SENS:CORR1:EDEL:LENG causes an undefined header error.

Variable

Parameter | Value
Description | Extension
Data Type | Numeric type (Real)
Range | -
Preset Value | 0
Unit | meter
Resolution | -

Query Response

{numeric}<newline><^END>

Examples

Dim Var as Double
Ana.WriteString ":SENS1:CORR2:EDEL:LENG " & Var, True
Ana.WriteString ":SENS1:CORR2:EDEL:LENG?", True
Var=Ana.ReadString

Related Commands

:SENS:CORR:EDEL:STAT

:SENS:CORR:EDEL:TIME

Equivalent Softkey

Cal > Port Extension > Extension (Length)

COM Command Syntax (Internal Control Only)

SCPI.SENSE(Ch).CORRECTION(2).EDELAY.LENGTH


:SENS:CORR:EDEL:STAT

:SENS<Ch>:CORR2:EDEL:STAT

Type

Command/Query

Syntax

:SENSe<Ch>:CORRection2:EDELay:STATe {ON|OFF|1|0}

:SENSe<Ch>:CORRection2:EDELay:STATe?

Description

This command sets/gets the port extension state.

SENS:CORR1:EDEL:STAT causes an undefined header error.

Variable

Parameter | Selection Option
Description | Port extension On/Off status
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | OFF

Query Response

{1|0}<newline><^END>

Examples

Dim Var as Integer
Ana.WriteString ":SENS1:CORR2:EDEL:STAT ON", True
Ana.WriteString ":SENS1:CORR2:EDEL:STAT?", True
Var=Ana.ReadNumber

Related Commands

:SENS:CORR:EDEL:LENG

:SENS:CORR:EDEL:TIME

Equivalent Softkey

Cal > Port Extension > Extension

COM Command Syntax (Internal Control Only)

SCPI.SENSE(Ch).CORRECTION(2).EDELAY.STATE


:SENS:CORR:EDEL:TIME

:SENS<Ch>:CORR2:EDEL:TIME

Type

Command/Query

Syntax

:SENSe<Ch>:CORRection2:EDELay:TIME <Value>

:SENSe<Ch>:CORRection2:EDELay:TIME?

Description

This command sets/gets the port extension value in time.

SENS:CORR1:EDEL:TIME causes an undefined header error.

Variable

Parameter | Value
Description | Port extension value
Data Type | Numeric type (Real)
Range | -
Preset Value | 0
Unit | sec
Resolution | -

Query Response

{numeric}<newline><^END>

Examples

Dim Var as Double
Ana.WriteString ":SENS1:CORR1:EDEL:TIME ON", True
Ana.WriteString ":SENS1:CORR1:EDEL:TIME?", True
Var=Ana.ReadNumber

Related Commands

:SENS:CORR:EDEL:STAT

:SENS:CORR:EDEL:LENG

Equivalent Softkey

Cal > Port Extension > Extension (Time)

COM Command Syntax (Internal Control Only)

SCPI.SENSE(Ch).CORRECTION(Type).EDELAY.TIME


:SENS:CORR:LOAD

:SENS<Ch>:CORR2:LOAD

Type

Command/Query

Syntax

:SENSe<Ch>:CORRection2:LOAD[:STATe] {ON|OFF|1|0}

:SENSe<Ch>:CORRection2:LOAD[:STATe]?

Description

This command sets/gets the Load fixture compensation On/Off status.

SENS:CORR1:LOAD causes an undefined header error.

Variable

Parameter | Selection Option
Description | Load fixture compensation On/Off status
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | OFF

Query Response

{1|0}<newline><^END>

Examples

Dim Var as Integer
Ana.WriteString ":SENS1:CORR2:LOAD ON", True
Ana.WriteString ":SENS1:CORR2:LOAD?", True
Var=Ana.ReadNumber

Related Commands

:SENS:CORR:COLL:ACQ:LOAD

:SENS:CORR:OPEN

:SENS:CORR:SHOR

:SENS:CORR:STAT

Equivalent Softkey

Cal > Fixture Compen > Load

COM Command Syntax (Internal Control Only)

SCPI.SENSE(Ch).CORRECTION(2).LOAD.STATE


:SENS:CORR:OPEN

:SENS<Ch>:CORR2:OPEN

Type

Command/Query

Syntax

:SENSe<Ch>:CORRection2:OPEN[:STATe] {ON|OFF|1|0}

:SENSe<Ch>:CORRection2:OPEN[:STATe]?

Description

This command sets/gets the open fixture compensation On/Off status.

SENS:CORR1:OPEN causes an undefined header error.

Variable

Parameter | Selection Option
Description | Open fixture compensation On/Off status
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | OFF

Query Response

{1|0}<newline><^END>

Examples

Dim Var as Integer
Ana.WriteString ":SENS1:CORR2:OPEN ON", True
Ana.WriteString ":SENS1:CORR2:OPEN?", True
Var=Ana.ReadNumber

Related Commands

:SENS:CORR:COLL:ACQ:OPEN

:SENS:CORR:LOAD

:SENS:CORR:SHOR

:SENS:CORR:STAT

Equivalent Softkey

Cal > Fixture Compen > Open

COM Command Syntax (Internal Control Only)

SCPI.SENSE(Ch).CORRECTION(2).OPEN.STATE


:SENS:CORR:SHOR

:SENS<Ch>:CORR2:SHOR

Type

Command/Query

Syntax

:SENSe<Ch>:CORRection2:SHORt[:STATe] {ON|OFF|1|0}

:SENSe<Ch>:CORRection2:SHORt[:STATe]?

Description

This command sets/gets the short fixture compensation On/Off status.

SENS:CORR1:SHOR causes an undefined header error.

Variable

Parameter | Selection Option
Description | Short fixture compensation On/Off status
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | OFF

Query Response

{1|0}<newline><^END>

Examples

Dim Var as Integer
Ana.WriteString ":SENS1:CORR2:SHOR ON", True
Ana.WriteString ":SENS1:CORR2:SHOR?", True
Var=Ana.ReadNumber

Related Commands

:SENS:CORR:COLL:ACQ:SHOR

:SENS:CORR:OPEN

:SENS:CORR:LOAD

:SENS:CORR:STAT

Equivalent Softkey

Cal > Fixture Compen > Short

COM Command Syntax (Internal Control Only)

SCPI.SENSE(Ch).CORRECTION(2).SHORT.STATE


:SENS:CORR:STAT

:SENS<Ch>:CORR1:STAT

Type

Command/Query

Syntax

:SENSe<Ch>:CORRection1:STATe {ON|OFF|1|0}

:SENSe<Ch>:CORRection1:STATe?

Description

This command sets/gets the user calibration On/Off status.

SENS:CORR2:STATE causes an undefined header error.

Variable

Parameter | Selection Option
Description | User calibration On/Off status
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | OFF

Query Response

{1|0}<newline><^END>

Examples

Dim Var as Integer
Ana.WriteString ":SENS1:CORR1:STAT ON", True
Ana.WriteString ":SENS1:CORR1:STAT?", True
Var=Ana.ReadNumber

Related Commands

:SENS:CORR:OPEN

:SENS:CORR:SHOR

:SENS:CORR:LOAD

Equivalent Softkey

Cal > User Cal > Correction

COM Command Syntax (Internal Control Only)

SCPI.SENSE(Ch).CORRECTION(1).STATE


:SENS:CORR:ZME:FREQ

:SENS<Ch>:CORR1:ZME:FREQ

Type

Query

Syntax

:SENSe<Ch>:CORRection1:ZMEas:FREQuency?

Description

This command gets the frequency stimulus array for the user calibration. The array size (number of point) is returned by :SENS:CORR:ZME:POIN.

Query Response

{numeric}, ... , {numeric}<newline><^END>

Examples

Dim Var as Variant
Ana.WriteString ":SENS1:CORR1:ZME:FREQ?", True
Var=Ana.ReadList(ASCIIType_R8, ",")

Related Commands

:SENS:CORR:ZME:POIN

Equivalent Softkey

No equivalent key is available on the front panel.

COM Command Syntax (Internal Control Only)

SCPI.SENSE(Ch).CORRECTION(1).ZMEAS.FREQUENCY


:SENS:CORR:ZME:LOAD

:SENS<Ch>:CORR<Type>:ZME:LOAD

Type

Command/Query

Syntax

:SENSe<Ch>:CORRection<Type>:ZMEas:LOAD[:DATA] <Value>

:SENSe<Ch>:CORRection<Type>:ZMEas:LOAD[:DATA]?

Description

This command sets/gets the actual impedance array of Load standard for the user calibration and the fixture compensation.

<type>: User calibration=1, Fixture Compensation=2

The array size (number of point):

  • User calibration: 2 × (value returned by :SENS:CORR:ZME:POIN)

  • Fixture compensation: 2 × (value returned by :SENS:CORR:ZME:LOAD:POIN)

Variable

Parameter | Value
Description | Load standard impedance array
Data Type | Variant type Array (Range)

Query Response

{numeric}, ... , {numeric}<newline><^END>

Examples

Dim Var as Variant
Ana.WriteString ":SENS1:CORR1:ZME:LOAD " & Var(), True
Ana.WriteString ":SENS1:CORR1:ZME:LOAD?", True
Var=Ana.ReadList(ASCIIType_R8, ",")

Related Commands

:SENS:CORR:ZME:OPEN

:SENS:CORR:ZME:SHOR

:SENS:CORR:ZME:LOAD:POIN

:SENS:CORR:ZME:POIN

Equivalent Softkey

No equivalent key is available on the front panel.

COM Command Syntax (Internal Control Only)

SCPI.SENSE(Ch).CORRECTION(Type).ZMEAS.LOAD.DATA


:SENS:CORR:ZME:LOAD:FREQ

:SENS<Ch>:CORR2:ZME:LOAD:FREQ

Type

Query

Syntax

:SENSe<Ch>:CORRection2:ZMEas:LOAD:FREQuency?

Description

This command gets the frequency stimulus array of Load standard for fixture compensation. The array size (number of point) is returned by :SENS:CORR:ZME:LOAD:POIN. SENS:CORR1:ZME:LOAD:FREQ causes an undefined header error.

Query Response

{numeric}, ... , {numeric}<newline><^END>

Examples

Dim Var as Variant
Ana.WriteString ":SENS1:CORR2:ZME:LOAD:FREQ?", True
Var=Ana.ReadList(ASCIIType_R8, ",")

Related Commands

:SENS:CORR:ZME:LOAD:POIN

Equivalent Softkey

No equivalent key is available on the front panel.

COM Command Syntax (Internal Control Only)

SCPI.SENSE(Ch).CORRECTION(2).ZMEAS.LOAD.FREQUENCY


:SENS:CORR:ZME:LOAD:POIN

:SENS<Ch>:CORR2:ZME:LOAD:POIN

Type

Query

Syntax

:SENSe<Ch>:CORRection2:ZMEas:LOAD:POINts?

Description

This command returns the number of points of frequency stimulus array of Load for the fixture compensation. SENS:CORR1:ZME:LOAD:POIN causes an undefined header error.

Query Response

{numeric}<newline><^END>

Examples

Dim Var as Long
Ana.WriteString ":SENS1:CORR2:ZME:LOAD:POIN?", True
Var=Ana.ReadNumber

Related Commands

:SENS:CORR:ZME:LOAD:FREQ

Equivalent Softkey

No equivalent key is available on the front panel.

COM Command Syntax (Internal Control Only)

SCPI.SENSE(Ch).CORRECTION(2).ZMEAS.LOAD.POINTS


:SENS:CORR:ZME:OPEN

:SENS<Ch>:CORR<Type>:ZME:OPEN

Type

Command/Query

Syntax

:SENSe<Ch>:CORRection<Type>:ZMEas:OPEN[:DATA] <Value>

:SENSe<Ch>:CORRection<Type>:ZMEas:OPEN[:DATA]?

Description

This command gets the actual impedance array of the open standard for the fixture compensation. <type>: User calibration=1, Fixture Compensation=2

The array size (number of point):

  • User calibration: 2 × (value returned by :SENS:CORR:ZME:POIN)

  • Fixture compensation: 2 × (value returned by :SENS:CORR:ZME:OPEN:POIN)

Variable

Parameter | Value
Description | Open standard impedance array
Data Type | Variant type Array (Range)

Query Response

{numeric}, ... , {numeric}<newline><^END>

Examples

See :SENS:CORR:ZME:LOAD

Related Commands

:SENS:CORR:ZME:SHOR

:SENS:CORR:ZME:LOAD

:SENS:CORR:ZME:OPEN:POIN

:SENS:CORR:ZME:POIN

Equivalent Softkey

No equivalent key is available on the front panel.

COM Command Syntax (Internal Control Only)

SCPI.SENSE(Ch).CORRECTION(2).ZMEAS.OPEN.DATA


:SENS:CORR:ZME:OPEN:FREQ

:SENS<Ch>:CORR2:ZME:OPEN:FREQ

Type

Query

Syntax

:SENSe<Ch>:CORRection2:ZMEas:OPEN:FREQuency?

Description

This command returns the frequency stimulus array of the open standard for the fixture compensation. The array size (number of point) is returned by:SENS:CORR:ZME:OPEN:POIN. SENS:CORR1:ZME:OPEN:FREQ causes an undefined header error.

Variable

Query Response

{numeric}, ... , {numeric}<newline><^END>

Examples

Dim Var as Variant
Ana.WriteString ":SENS1:CORR2:ZME:OPEN:FREQ?", True
Var=Ana.ReadList(ASCIIType_R8, ",")

Related Commands

:SENS:CORR:ZME:OPEN:POIN

Equivalent Softkey

No equivalent key is available on the front panel.

COM Command Syntax (Internal Control Only)

SCPI.SENSE(Ch).CORRECTION(2).ZMEAS.OPEN.FREQUENCY


:SENS:CORR:ZME:OPEN:POIN

:SENS<Ch>:CORR2:ZME:OPEN:POIN

Type

Query

Syntax

:SENSe<Ch>:CORRection2:ZMEas:OPEN:POINts?

Description

This command returns the number of points of frequency stimulus array of open for the fixture compensation. SENS:CORR1:ZME:OPEN:POIN causes an undefined header error.

Query Response

{numeric}<newline><^END>

Examples

Dim Var as Long
Ana.WriteString ":SENS1:CORR2:ZME:OPEN:POIN?", True
Var=Ana.ReadNumber

Related Commands

:SENS:CORR:ZME:OPEN:FREQ

Equivalent Softkey

No equivalent key is available on the front panel.

COM Command Syntax (Internal Control Only)

SCPI.SENSE(Ch).CORRECTION(2).ZMEAS.OPEN.POINTS


:SENS:CORR:ZME:POIN

:SENS<Ch>:CORR1:ZME:POIN

Type

Query

Syntax

:SENSe<Ch>:CORRection1:ZMEas:POINts?

Description

This command returns the number of points of the frequency stimulus array for the user calibration. SENS:CORR2:ZME:POIN causes an undefined header error.

Query Response

{numeric}<newline><^END>

Examples

Dim Var as Long
Ana.WriteString ":SENS1:CORR1:ZME:POIN?", True
Var=Ana.ReadNumber

Related Commands

:SENS:CORR:ZME:FREQ

:SENS:CORR:ZME:LOAD

:SENS:CORR:ZME:OPEN

:SENS:CORR:ZME:SHOR

Equivalent Softkey

No equivalent key is available on the front panel.

COM Command Syntax (Internal Control Only)

SCPI.SENSE(Ch).CORRECTION(1).ZMEAS.POINTS


:SENS:CORR:ZME:SHOR

:SENS<Ch>:CORR<Type>:ZME:SHOR

Type

Command/Query

Syntax

:SENSe<Ch>:CORRection<Type>:ZMEas:SHORt[:DATA] <Value>

:SENSe<Ch>:CORRection<Type>:ZMEas:SHORt[:DATA]?

Description

This command sets/gets the actual impedance array of the short standard for the user calibration and the fixture compensation.

<type>: User calibration=1, Fixture Compensation=2

The array size (number of point):

  • User calibration: 2 × (value returned by :SENS:CORR:ZME:POIN)

  • Fixture compensation: 2 × (value returned by :SENS:CORR:ZME:SHOR:POIN)

Variable

Parameter | Value
Description | Short standard impedance array
Data Type | Variant type Array (Range)

Query Response

{numeric}, ... , {numeric}<newline><^END>

Examples

See :SENS:CORR:ZME:LOAD

Related Commands

:SENS:CORR:ZME:OPEN

:SENS:CORR:ZME:LOAD

:SENS:CORR:ZME:SHOR:POIN

:SENS:CORR:ZME:POIN

Equivalent Softkey

No equivalent key is available on the front panel.

COM Command Syntax (Internal Control Only)

SCPI.SENSE(Ch).CORRECTION(Type).ZMEAS.SHORT.DATA


:SENS:CORR:ZME:SHOR:FREQ

:SENS<Ch>:CORR2:ZME:SHOR:FREQ

Type

Query

Syntax

:SENSe<Ch>:CORRection2:ZMEas:SHORt:FREQuency?

Description

This command returns the frequency stimulus array of the short standard for the fixture compensation. The array size (number of point) is returned by :SENS:CORR:ZME:SHOR:POIN. SENS:CORR1:ZME:SHOR:FREQ causes an undefined header error.

Query Response

{numeric}, ... , {numeric}<newline><^END>

Examples

Dim Var as Variant
Ana.WriteString ":SENS1:CORR2:ZME:SHOR:FREQ?", True
Var=Ana.ReadList(ASCIIType_R8, ",")

Related Commands

:SENS:CORR:ZME:SHOR:POIN

Equivalent Softkey

No equivalent key is available on the front panel.

COM Command Syntax (Internal Control Only)

SCPI.SENSE(Ch).CORRECTION(2).ZMEAS.SHORT.FREQUENCY


:SENS:CORR:ZME:SHOR:POIN

:SENS<Ch>:CORR2:ZME:SHOR:POIN

Type

Query

Syntax

:SENSe<Ch>:CORRection2:ZMEas:SHORt:POINts?

Description

This command returns the number of points of frequency stimulus array of short for the fixture compensation. SENS:CORR1:ZME:SHOR:POIN causes an undefined header error.

Query Response

{numeric}<newline><^END>

Examples

Dim Var as Long
Ana.WriteString ":SENS1:CORR2:ZME:SHOR:POIN?", True
Var=Ana.ReadNumber

Related Commands

:SENS:CORR:ZME:SHOR:FREQ

Equivalent Softkey

No equivalent key is available on the front panel.

COM Command Syntax (Internal Control Only)

SCPI.SENSE(Ch).CORRECTION(2).ZMEAS.SHORT.POINTS


:SENS:DC:MEAS:CLE

:SENS<Ch>:DC:MEAS:CLE

Type

Command

Syntax

:SENSe<Ch>:DC:MEASure:CLEar

Description

This command clears DC Monitor measurement data.

Examples

Ana.WriteString ":SENS1:DC:MEAS:CLE", True

Related Commands

:SENS:DC:MEAS:ENAB

Equivalent Softkey

Meas > DC Monitor Setup > Clear

COM Command Syntax (Internal Control Only)

SCPI.SENSE(Ch).DC.MEASURE.CLEAR


:SENS:DC:MEAS:DATA:DCI

:SENS<Ch>:DC:MEAS:DATA:DCI

Type

Query

Syntax

:SENSe<Ch>:DC:MEASure:DATA:DCI?

Description

This command returns the DC Monitor current measurement data at the sweep start.

Query Response

{numeric}<newline><^END>

Examples

Dim Var as Double
Ana.WriteString ":SENS1:DC:MEAS:DATA:DCI?", True
Var=Ana.ReadNumber

Related Commands

:SENS:DC:MEAS:ENAB

Equivalent Softkey

No equivalent key is available on the front panel.

(DC monitor result at right-upper corner on screen)

COM Command Syntax (Internal Control Only)

SCPI.SENSE(Ch).DC.MEASURE.DATA.DCI


:SENS:DC:MEAS:DATA:DCV

:SENS<Ch>:DC:MEAS:DATA:DCV

Type

Query

Syntax

:SENSe<Ch>:DC:MEASure:DATA:DCV?

Description

This command returns the DC Monitor voltage measurement data at the sweep start.

Query Response

{numeric}<newline><^END>

Examples

Dim Var as Double
Ana.WriteString ":SENS1:DC:MEAS:DATA:DCV?", True
Var=Ana.ReadNumber

Related Commands

:SENS:DC:MEAS:ENAB

Equivalent Softkey

No equivalent key is available on the front panel.

(DC monitor display at right-upper corner)

COM Command Syntax (Internal Control Only)

SCPI.SENSE(Ch).DC.MEASURE.DATA.DCV


:SENS:DC:MEAS:ENAB

:SENS<Ch>:DC:MEAS:ENAB

Type

Command/Query

Syntax

:SENSe<Ch>:DC:MEASure:ENABle {ON|OFF|1|0}

:SENSe<Ch>:DC:MEASure:ENABle?

Description

This command enable/disable DC Monitor measurement at the sweep start.

Variable

Parameter | Selection Option
Description | DC Monitor measurement On/Off status
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | OFF

Query Response

{1|0}<newline><^END>

Examples

Dim Var as Integer
Ana.WriteString ":SENS1:DC:MEAS:ENAB ON", True
Ana.WriteString ":SENS1:DC:MEAS:ENAB?", True
Var=Ana.ReadNumber

Related Commands

:SENS:DC:MEAS:DATA:DCI

:SENS:DC:MEAS:DATA:DCV

Equivalent Softkey

Measurement > DC Monitor Setup > DC Monitor

COM Command Syntax (Internal Control Only)

SCPI.SENSE(Ch).DC.MEASURE.ENABLE


:SENS:FIXT:SEL

Type

Command/Query

Syntax

:SENSe:FIXTure:SELect {FIXT16034E|FIXT16044A|FIXT16047A|FIXT16047D|FIXT16047E|FIXT16065A|FIXT16089|FIXT16034G|FIXT16034H|FIXT16334A|FIXT16092A|FIXT16192A|FIXT16194A|FIXT16196|FIXT16197A|FIXT42941A|ARBitrary}

:SENSe:FIXTure:SELect?

Description

This command sets/gets the fixture.

Variable

Parameter | Selection Option
Description | Fixture Type
Data Type | Character string type (String)
Range | FIXT16034E|FIXT16044A|FIXT16047A|FIXT16047D|FIXT16047E|FIXT16065A|FIXT16089|FIXT16034G|FIXT16034H|FIXT16334A|FIXT16092A|FIXT16192A|FIXT16194A|FIXT16196|FIXT16197A|FIXT42941A|ARBitrary
Preset Value | ARBitrary

Query Response

{FIXT16034E|FIXT16044A|FIXT16047A|FIXT16047D|FIXT16047E|FIXT16065A|FIXT16089|FIXT16034G|FIXT16034H|FIXT16334A|FIXT16092A|FIXT16192A|FIXT16194A|FIXT16196|FIXT16197A|FIXT42941A|ARB}<newline><^END>

Examples

Dim Var as String
Var= "FIXT16034E"
Ana.WriteString ":SENS:FIXT:SEL " & Var, True
Ana.WriteString ":SENS:FIXT:SEL?", True
Var=Ana.ReadString

Related Commands

:SENS:ADAP

Equivalent Softkey

Cal > Accessory

Instrument Setup > Accessory

COM Command Syntax (Internal Control Only)

SCPI.SENSE.FIXTURE.SELECT


:SENS:FREQ

:SENS<Ch>:FREQ

Type

Command/Query

Syntax

:SENSe<Ch>:FREQuency[:CW] <Value>

:SENSe<Ch>:FREQuency[:CW]?

Description

This command sets/gets the continuous wave frequency.

Variable

Parameter | Value
Description | Continuous wave frequency
Data Type | Numeric type (Real)
Range | 20 ~ 120M
Preset Value | 1M
Unit | Hz
Resolution | 1m

Query Response

{numeric}<newline><^END>

Examples

Dim Var as Double
Var= 100000
Ana.WriteString ":SENS1:FREQ " & Str(Var), True
Ana.WriteString ":SENS1:FREQ?", True
Var=Ana.ReadNumber

Related Commands

:SENS:SWE:TYPE

Equivalent Softkey

Sweep Setup > CW Freq

COM Command Syntax (Internal Control Only)

SCPI.SENSE(Ch).FREQUENCY.CW


:SENS:FREQ:CENT

:SENS<Ch>:FREQ:CENT

Type

Command/Query

Syntax

:SENSe<Ch>:FREQuency:CENTer <Value>

:SENSe<Ch>:FREQuency:CENTer?

Description

This command sets/gets the center frequency in frequency sweep.

Variable

Parameter | Value
Description | Center frequency
Data Type | Numeric type (Real)
Range | 20 to Maximum Frequency
Preset Value | 60.00001M
Unit | Hz
Resolution | 500μ

Query Response

{numeric}<newline><^END>

Examples

Dim Var as Double
Var= 1E6
Ana.WriteString ":SENS1:FREQ:CENT " & Str(Var), True
Ana.WriteString ":SENS1:FREQ:CENT?", True
Var=Ana.ReadNumber

Related Commands

:SENS:FREQ:SPAN

Equivalent Softkey

Center (in frequency sweep)

COM Command Syntax (Internal Control Only)

SCPI.SENSE(Ch).FREQUENCY.CENTER


:SENS:FREQ:DATA

:SENS<Ch>:FREQ:DATA

Type

Query

Syntax

:SENSe<Ch>:FREQuency:DATA?

Description

This command returns the frequency stimulus data.

Variable

Parameter | Value
Description | Indicates the array data (frequency) of NOP (number of measurement points). Where n is an integer between 1 and NOP. Data(n-1): Frequency at the n-th measurement point The index of the array starts from 0.
Data Type | Variant type Array (Range)

Query Response

{numeric 1}, .... ,{numeric NOP}<newline><^END>

Examples

Dim Var as Variant
Ana.WriteString ":SENS1:FREQ:DATA?", True
Var=Ana.ReadList(ASCIIType_R8, ",")

Related Commands

:SENS:FREQ

Equivalent Softkey

No equivalent key is available on the front panel.

COM Command Syntax (Internal Control Only)

SCPI.SENSE(Ch).FREQUENCY.DATA


:SENS:FREQ:SPAN

:SENS<Ch>:FREQ:SPAN

Type

Command/Query

Syntax

:SENSe<Ch>:FREQuency:SPAN <Value>

:SENSe<Ch>:FREQuency:SPAN?

Description

This command sets/gets the frequency span in frequency sweep.

Variable

Parameter | Value
Description | Frequency span
Data Type | Numeric type (Real)
Range | 0 ~ 119.99998M
Preset Value | 119.99998M
Unit | Hz
Resolution | 1m

Query Response

{numeric}<newline><^END>

Examples

Dim Var as Double
Var= 100000
Ana.WriteString ":SENS1:FREQ:SPAN " & Str(Var), True
Ana.WriteString ":SENS1:FREQ:SPAN?", True
Var=Ana.ReadNumber

Related Commands

:SENS:FREQ:CENT

Equivalent Softkey

Span (in frequency sweep)

COM Command Syntax (Internal Control Only)

SCPI.SENSE(Ch).FREQUENCY.SPAN


:SENS:FREQ:STAR

:SENS<Ch>:FREQ:STAR

Type

Command/Query

Syntax

:SENSe<Ch>:FREQuency:STARt <Value>

:SENSe<Ch>:FREQuency:STARt?

Description

This command sets/gets the start frequency in frequency sweep.

Variable

Parameter | Value
Description | Start frequency
Data Type | Numeric type (Real)
Range | 20 to Maximum Frequency
Preset Value | 20
Unit | Hz
Resolution | 1m

Query Response

{numeric}<newline><^END>

Examples

Dim Var as Double
Var= 1000
Ana.WriteString ":SENS1:FREQ:STAR " & Str(Var), True
Ana.WriteString ":SENS1:FREQ:STAR?", True
Var=Ana.ReadNumber

Related Commands

:SENS:FREQ:STOP

Equivalent Softkey

Start (in frequency sweep)

COM Command Syntax (Internal Control Only)

SCPI.SENSE(Ch).FREQUENCY.START


:SENS:FREQ:STOP

:SENS<Ch>:FREQ:STOP

Type

Command/Query

Syntax

:SENSe<Ch>:FREQuency:STOP <Value>

:SENSe<Ch>:FREQuency:STOP?

Description

This command sets/gets the stop frequency in frequency sweep.

Variable

Parameter | Value
Description | Stop frequency
Data Type | Numeric type (Real)
Range | 20 to Maximum Frequency
Preset Value | 120M
Unit | Hz
Resolution | 1m

Query Response

{numeric}<newline><^END>

Examples

Dim Var as Double
Var= 100E6
Ana.WriteString ":SENS1:FREQ:STOP " & Str(Var), True
Ana.WriteString ":SENS1:FREQ:STOP?", True
Var=Ana.ReadNumber

Related Commands

:SENS:FREQ:STAR

Equivalent Softkey

Stop (in frequency sweep)

COM Command Syntax (Internal Control Only)

SCPI.SENSE(Ch).FREQUENCY.STOP


:SENS:ROSC:SOUR

Type

Query

Syntax

:SENSe:ROSCillator:SOURce?

Description

This command returns whether the external reference signal is inputted to the Ref In connector on the rear panel.

Query Response

{INT|EXT}<newline><^END>

INT: Internal
EXT: External reference signal is inputted

Examples

Dim Var as String
Ana.WriteString ":SENS:ROSC:SOUR?", True
Var=Ana.ReadString

Equivalent Softkey

Displayed on the instrument status bar (at the bottom of the LCD display).

COM Command Syntax (Internal Control Only)

SCPI.SENSE(Ch).ROSCILLATOR.SOURCE


:SENS:SEGM:DATA

:SENS<Ch>:SEGM:DATA

Type

Command/Query

Syntax

:SENSe<Ch>:SEGMent:DATA <Value>

:SENSe<Ch>:SEGMent:DATA?

Description

This command sets/gets the list for segment sweep.

Variable

Parameter

Value

Description

Segment Table Setup

Indicates the array data arranged in the following order (for the segment sweep table); where N is the number of segments (specified with <segm>) and n is an integer between 1 and N.

Data = {<buf>,<stim mode>,<list OSC level on/off>,<list bias on/off>,<list meas time o/off>,<list average on/off>, <list segment time on/off>, <list delay time on/off>,<segm>, <star 1>,<stop 1>,<poin>,[OSC Level type 1],[OSC Level 1],[Bias type 1],[Bias Level 1],[meas time 1],[averaging factor 1],[segment time 1],[delay time 1], ... ,[OSC Level type N],[OSC Level N],[Bias type N],[Bias Level N],[meas time N],[averaging factor N],[segment time N],[delay time N] }

Each parameter in the above array data is detailed below:

<buf>: Always specify 7.

<stim mode>: Stimulus setting mode

0: Specifies with start/stop values

1: Specifies with center/span values

<list OSC level on/off>: ON/OFF of the list OSC level fo each segment

0: OFF, 1: ON

<list bias on/off>: ON/OFF of the list bias for each segment

0: OFF, 1: ON

<list meas time o/off>: ON/OFF of the meas time setting for each segment

0: OFF, 1: ON

<list average on/off>: ON/OFF of the average for each segment

0: OFF, 1: ON

<segment time on/off>: ON/OFF of the segment time setting for each segment

0: OFF, 1: ON

<delay time on/off>: ON/OFF of the delay time setting for each segment

0: OFF, 1: ON

<segm>: Number of segments. Specify an integer ranging 1 to 201.

<star n>: Start value/center value of the n-th segment

<stop n>: Stop value/span value of the n-th segment

<poin n>: number of measurement point of the n-th segment.

[OSC Level type n]: OSC level type: Voltage=0, Current=1. This is not necessary when <list OSC level on/off>=0.

[OSC Level n]: OSC level of the n-th segment. This is not necessary when <list OSC level on/off>=0.
[Bias type n]: DC Bias type: Voltage=0, Current=1. This is not necessary when <list Bias on/off>=0.

[Bias Level n]: DC Bias level of the n-th segment. This is not necessary when <list Bias on/off>=0.

[meas time n]: measurement time (1 to 5) of the n-th segment. This is not necessary when<meas time on/off>=0.

[averaging factor n]: averaging factor of the n-th segment. This is not necessary when<list average on/off>=0.

[segment time n]: segment time of the n-th segment. This is not necessary when<segment time on/off>=0.

[delay time n]: delay time of the n-th segment. This is not necessary when<delay time on/off>=0.

If the necessary amount of array data for the specified number of segments is not available while setting the segment sweep table, an error occurs when its executed and the object is ignored.

Data Type

Variant type Array (Range)

Preset Value

7,0,0,0,0,0,0,0,1,20,20,2

Query Response

{numeric}, ... , {numeric}<newline><^END>

Examples

Dim Var as String
riantAna.WriteString ":SENS1:SEGM:DATA 7, 0, 1, 0, 1 ,1, 0, 0, 2, 1E6, 2E6, 10, 0, 5E-3, 1, 1, 3E6, 5E6, 20, 1 , 2E-3, 5, 10", True
Ana.WriteString ":SENS1:SEGM:DATA?", True

Var=Ana.ReadString

 | Start | Stop | Points | OSC Mode | OSC Level | Meas Time | Point Avg
1 | 1 MHz | 2 MHz | 10 | Volt | 5 mV | 1 | 1
2 | 3 MHz | 5 MHz | 20 | Curr | 2 mA | 5 | 10

Related Commands

:SENS:SWE:TYPE

:SENS:SEGM:SWE:POIN

Equivalent Softkey

Sweep Setup > Edit Segment Table

COM Command Syntax (Internal Control Only)

SCPI.SENSE(Ch).SEGMENT.DATA


:SENS:SEGM:SWE:POIN

:SENS<Ch>:SEGM:SWE:POIN

Type

Query

Syntax

:SENSe<Ch>:SEGMent:SWEep:POINts?

Description

This command returns the total number of points of segment sweep.

Query Response

{numeric}<newline><^END>

Examples

Dim Var as Long
Ana.WriteString ":SENS1:SEGM:SWE:POIN?", True
Var=Ana.ReadNumber

Related Commands

:SENS:SEGM:DATA

:SENS:SWE:POIN

Equivalent Softkey

No equivalent key is available on the front panel.

COM Command Syntax (Internal Control Only)

SCPI.SENSE(Ch).SEGMENT.SWEEP.POINTS


:SENS:SWE:DEL

:SENS<Ch>:SWE:DEL

Type

Command/Query

Syntax

:SENSe<Ch>:SWEep:DELay <Value>

:SENSe<Ch>:SWEep:DELay?

Description

This command sets/gets the sweep delay time.

Variable

Parameter | Value
Description | Sweep delay time
Data Type | Numeric type (Real)
Range | 0 ~ 30
Preset Value | 0
Unit | s
Resolution | 1m

Query Response

{numeric}<newline><^END>

Examples

Dim Var as Double
Var= 0.1
Ana.WriteString ":SENS1:SWE:DEL " & Str(Var), True
Ana.WriteString ":SENS1:SWE:DEL?", True
Var=Ana.ReadNumber

Related Commands

:SENS:SWE:PDEL

Equivalent Softkey

Sweep Setup > Sweep Delay

COM Command Syntax (Internal Control Only)

SCPI.SENSE(Ch).SWEEP.DELAY


:SENS:SWE:DIR

:SENS<Ch>:SWE:DIR

Type

Command/Query

Syntax

:SENSe<Ch>:SWEep:DIRection {UP|DOWN}

:SENSe<Ch>:SWEep:DIRection?

Description

This command sets/gets the Sweep direction.

Variable

Parameter | Selection Option
Description | Sweep direction
Data Type | Character string type (String)
Range | UP|DOWN
Preset Value | UP

Query Response

{UP|DOWN}<newline><^END>

Examples

Dim Var as String
Var= "UP"
Ana.WriteString ":SENS1:SWE:DIR " & Var, True
Ana.WriteString ":SENS1:SWE:DIR?", True
Var=Ana.ReadString

Related Commands

:SENS:SWE:TYPE

Equivalent Softkey

Sweep Setup > Direction

COM Command Syntax (Internal Control Only)

SCPI.SENSE(Ch).SWEEP.DIRECTION


:SENS:SWE:PDEL

:SENS<Ch>:SWE:PDEL

Type

Command/Query

Syntax

:SENSe<Ch>:SWEep:PDELay <Value>

:SENSe<Ch>:SWEep:PDELay?

Description

This command sets/gets the point delay time.

Variable

Parameter | Value
Description | Point Delay time
Data Type | Numeric type (Real)
Range | 0 ~ 30
Preset Value | 0
Unit | s
Resolution | 1m

Query Response

{numeric}<newline><^END>

Examples

Dim Var as Double
Var= 0.1
Ana.WriteString ":SENS1:SWE:PDEL " & Str(Var), True
Ana.WriteString ":SENS1:SWE:PDEL?", True
Var=Ana.ReadNumber

Related Commands

:SENS:SWE:DEL

Equivalent Softkey

Sweep Setup > Point Delay

COM Command Syntax (Internal Control Only)

SCPI.SENSE(Ch).SWEEP.PDELAY


:SENS:SWE:POIN

:SENS<Ch>:SWE:POIN

Type

Command/Query

Syntax

:SENSe<Ch>:SWEep:POINts <Value>

:SENSe<Ch>:SWEep:POINts?

Description

This command sets/gets the number of points for stimulus.

Variable

Parameter | Value
Description | Number of point
Data Type | Numeric type (Integer)
Range | 2 ~ 1601
Preset Value | 201
Unit | -
Resolution | -

Query Response

{numeric}<newline><^END>

Examples

Dim Var as Long
Var= 2
Ana.WriteString ":SENS1:SWE:POIN " & Str(Var), True
Ana.WriteString ":SENS1:SWE:POIN?", True
Var=Ana.ReadNumber

Related Commands

:SENS:SEGM:SWE:POIN

Equivalent Softkey

Sweep Setup > Points

Instrument Setup > Points

COM Command Syntax (Internal Control Only)

SCPI.SENSE(Ch).SWEEP.POINTS


:SENS:SWE:TIME

:SENS<Ch>:SWE:TIME

Type

Command/Query

Syntax

:SENSe<Ch>:SWEep:TIME <Value>

:SENSe<Ch>:SWEep:TIME?

Description

This command sets/gets the additional sweep time.

Variable

Parameter | Value
Description | Additional sweep time
Data Type | Numeric type (Real)
Range | 0 ~ 2M
Preset Value | 0
Unit | sec
Resolution | 1m

Query Response

{numeric}<newline><^END>

Examples

Dim Var as Double
Var =0.1
Ana.WriteString ":SENS1:SWE:TIME " & Str(Var), True
Ana.WriteString ":SENS1:SWE:TIME?", True
Var=Ana.ReadNumber

Related Commands

:SENS:SWE:PDEL

:SENS:SWE:DEL

Equivalent Softkey

Sweep Setup > Sweep Time

COM Command Syntax (Internal Control Only)

SCPI.SENSE(Ch).SWEEP.TIME


:SENS:SWE:TYPE

:SENS<Ch>:SWE:TYPE

Type

Command/Query

Syntax

:SENSe<Ch>:SWEep:TYPE {LINear|LOGarithmic|SEGMent|POWer|BIAS|LBIas}

:SENSe<Ch>:SWEep:TYPE?

Description

This command sets/gets the sweep type.

Variable

Parameter | Selection Option
Description | Sweep Type
Data Type | Character string type (String)
Range | LINear: Linear LOGarithmic: Logarithmic SEGMent: Segment POWer: Power BIAS: DC Bias (Linear) LBIas: DC Bias (Log)
Preset Value | LINear

Query Response

{LIN|LOG|SEGM|POW|BIAS|LBI}<newline><^END>

Examples

Dim Var as String
Var= "LIN"
Ana.WriteString ":SENS1:SWE:TYPE " & Var, True
Ana.WriteString ":SENS1:SWE:TYPE?", True
Var=Ana.ReadString

Related Commands

:SENS:SEGM:DATA

Equivalent Softkey

Sweep Setup > Sweep Type

COM Command Syntax (Internal Control Only)

SCPI.SENSE(Ch).SWEEP.TYPE


:SERV:ACH:ACT

Type

Command/Query

Syntax

:SERVice:ACHannel:ACTive <Value>

:SERVice:ACHannel:ACTive?

Description

This command set/get active channel number.

Variable

Parameter | Value
Description | Active channel number
Data Type | Long integer type (Long)
Range | 1 to 4
Preset Value | 1

Query Response

{numeric}<newline><^END>

Examples

Dim Var as Long
Ana.WriteString ":SERV:ACH:ACT"& Str(Var), True

Ana.WriteString ":SERV:ACH:ACT?", True
Var=Ana.ReadString

Equivalent Softkey

No equivalent key is available on the front panel.

COM Command Syntax (Internal Control Only)

SCPI.SERVICE.ACHANNEL.ACTIVE


:SERV:ACH:COUN

Type

Query

Syntax

:SERVice:ACHannel:COUNt?

Description

This command returns the number of channels.

Query Response

{numeric}<newline><^END>

Examples

Dim Var as Long
Ana.WriteString ":SERV:ACH:COUN?", True
Var=Ana.ReadString

Equivalent Softkey

No equivalent key is available on the front panel.

COM Command Syntax (Internal Control Only)

SCPI.SERVICE.ACHANNEL.COUNT


:SERV:CHAN:ATR:ACT

:SERV:CHAN<Ch>:ATR:ACT

Type

Command/Query

Syntax

:SERVice:CHANnel<Ch>:ATRace:ACTive <Value>

:SERVice:CHANnel<Ch>:ATRace:ACTive?

Description

This command sets/gets active trace number.

Variable

Parameter | Value
Description | Active trace number
Data Type | Long integer type (Long)
Range | 1 to 4
Preset Value | 1

Query Response

{numeric}<newline><^END>

Examples

Dim Var as Long
Ana.WriteString ":SERV:CHAN1:ATR:ACT"& Str(Var), True
Ana.WriteString ":SERV:CHAN1:ATR:ACT?", True
Var=Ana.ReadNumber

Equivalent Softkey

No equivalent key is available on the front panel.

COM Command Syntax (Internal Control Only)

SCPI.SERVICE.CHANNEL(Ch).ATRACE.ACTIVE


:SERV:CHAN:ATR:COUN

:SERV:CHAN<Ch>:ATR:COUN

Type

Query

Syntax

:SERVice:CHANnel<Ch>:ATRace:COUNt?

Description

This command returns the number of traces (one per channel).

Query Response

{numeric}<newline><^END>

Examples

Dim Var as Long
Ana.WriteString ":SERV:CHAN1:ATR:COUN?", True
Var=Ana.ReadNumber

Equivalent Softkey

No equivalent key is available on the front panel.

COM Command Syntax (Internal Control Only)

SCPI.SERVICE.CHANNEL(Ch).ATRACE.COUNT


:SERV:CHAN:CAL:LOAD

:SERV:CHAN<Ch>:CAL<Type>:LOAD

Type

Query

Syntax

:SERVice:CHANnel<Ch>:CAL<Type>:LOAD?

Description

This command returns the number of data for correction table.

(<type>: User calibration=1, Fixture Compensation=2)

Query Response

{numeric 1}, ... , {numeric NOP×2}<newline><^END>

{numeric (n×2)-1}: Value at N-th point (Primary)

{numeric (n×2)}: Value at N-th point (Secondary)

Examples

Dim Var as Variant
Ana.WriteString ":SERV:CHAN1:CAL1:LOAD?", True
Var=Ana.ReadList

Equivalent Softkey

No equivalent key is available on the front panel.

COM Command Syntax (Internal Control Only)

SCPI.SERVICE.CHANNEL(Ch).CAL(Type).LOAD


:SERV:CHAN:CAL:OPEN

:SERV:CHAN(Ch):CAL<Type>:OPEN

Type

Query

Syntax

:SERVice:CHANnel<Ch>:CAL<Type>:OPEN?

Description

This command returns the number of data for correction table.

(<type>: User calibration=1, Fixture Compensation=2)

Query Response

{numeric 1}, ... , {numeric NOP×2}<newline><^END>

{numeric (n×2)-1}: Value at N-th point (Primary)

{numeric (n×2)}: Value at N-th point (Secondary)

Examples

Dim Var as Variant
Ana.WriteString ":SERV:CHAN1:CAL1:OPEN?", True
Var=Ana.ReadList

Equivalent Softkey

No equivalent key is available on the front panel.

COM Command Syntax (Internal Control Only)

SCPI.SERVICE.CHANNEL(Ch).CAL(Type).OPEN


:SERV:CHAN:CAL:SHORT

:SERV:CHAN<Ch>:CAL<Type>:SHORT

Type

Query

Syntax

:SERVice:CHANnel<Ch>:CAL<Type>:SHORT?

Description

This command returns the number of data for correction table.

(<type>: User calibration=1, Fixture Compensation=2)

Query Response

{numeric 1}, ... , {numeric NOP×2}<newline><^END>

{numeric (n×2)-1}: Value at N-th point (Primary)

{numeric (n×2)}: Value at N-th point (Secondary)

Examples

Dim Var as Variant
Ana.WriteString ":SERV:CHAN1:CAL1:SHORT?", True
Var=Ana.ReadList

Equivalent Softkey

No equivalent key is available on the front panel.

COM Command Syntax (Internal Control Only)

SCPI.SERVICE.CHANNEL(Ch).CAL(Type).SHORT


:SERV:CHAN:DISP:ANN:XAX:MODE:BIAS

Type

Command/Query

Syntax

:SERVice:CHANnel<Ch>:DISPlay:ANNotation:XAXis:MODE:BIAS {SSTop|CSPan}

:SERVice:CHANnel<Ch>:DISPlay:ANNotation:XAXis:MODE:BIAS?

Description

This command sets/gets x-axis annotation mode (Start/Stop or Center/Span).

Variable

Parameter | Selection Option
Description | X-axis annotation mode
Data Type | Character string type (String)
Range | SSTop: Start/Stop CSPan: Center/Span
Preset Value | SSTop

Query Response

{SST|CSP}<newline><^END>

Examples

Dim Var as String
Var= "SSTop"
Ana.WriteString ":SERV:CHAN1:DISP:ANN:XAX:MODE:BIAS " & Var, True
Ana.WriteString ":SERV:CHAN1:DISP:ANN:XAX:MODE:BIAS?", True
Var=Ana.ReadString

Equivalent Softkey

No equivalent key is available on the front panel.

COM Command Syntax (Internal Control Only)

SCPI.SERVICE.CHANNEL(Ch).DISPLAY.ANNOTATION.XAXIS.MODE.BIAS


:SERV:CHAN:DISP:ANN:XAX:MODE:FREQ

:SERV:CHAN<Ch>:DISP:ANN:XAX:MODE:FREQ

Type

Command/Query

Syntax

:SERVice:CHANnel<Ch>:DISPlay:ANNotation:XAXis:MODE:FREQuency {SSTop|CSPan}

:SERVice:CHANnel<Ch>:DISPlay:ANNotation:XAXis:MODE:FREQuency?

Description

This command sets/gets x-axis annotation mode (Start/Stop or Center/Span).

Variable

Parameter | Selection Option
Description | X-axis annotation mode
Data Type | Character string type (String)
Range | SSTop: Start/Stop CSPan: Center/Span
Preset Value | SSTop

Query Response

{SST|CSP}<newline><^END>

Examples

Dim Var as String
Var= "SSTop"
Ana.WriteString ":SERV:CHAN1:DISP:ANN:XAX:MODE:FREQ " & Var, True
Ana.WriteString ":SERV:CHAN1:DISP:ANN:XAX:MODE:FREQ?", True
Var=Ana.ReadString

Equivalent Softkey

No equivalent key is available on the front panel.

COM Command Syntax (Internal Control Only)

SCPI.SERVICE.CHANNEL(Ch).DISPLAY.ANNOTATION.XAXIS.MODE.FREQUENCY


:SERV:CHAN:DISP:ANN:XAX:MODE:POW

Type

Command/Query

Syntax

:SERVice:CHANnel<Ch>:DISPlay:ANNotation:XAXis:MODE:POWer {SSTop|CSPan}

:SERVice:CHANnel<Ch>:DISPlay:ANNotation:XAXis:MODE:POwer?

Description

This command sets/gets x-axis annotation mode (Start/Stop or Center/Span).

Variable

Parameter | Selection Option
Description | X-axis annotation mode
Data Type | Character string type (String)
Range | SSTop: Start/Stop CSPan: Center/Span
Preset Value | SSTop

Query Response

{SST|CSP}<newline><^END>

Examples

Dim Var as String
Var= "SSTop"
Ana.WriteString ":SERV:CHAN1:DISP:ANN:XAX:MODE:POW " & Var, True
Ana.WriteString ":SERV:CHAN1:DISP:ANN:XAX:MODE:POW?", True
Var=Ana.ReadString

Equivalent Softkey

No equivalent key is available on the front panel.

COM Command Syntax (Internal Control Only)

SCPI.SERVICE.CHANNEL(Ch).DISPLAY.ANNOTATION.XAXIS.MODE.POWER


:SERV:CHAN:SEGM:DATA

:SERV:CHAN<Ch>:SEGM:DATA

Type

Query

Syntax

:SERVice:CHANnel<Ch>:SEGMent:DATA?

Description

This command returns the number of data for the segment table.

Query Response

{numeric}<newline><^END>

Examples

Dim Var as Long
Ana.WriteString ":SERV:CHAN1:SEGM:DATA?", True
Var=Ana.ReadNumber

Equivalent Softkey

No equivalent key is available on the front panel.

COM Command Syntax (Internal Control Only)

SCPI.SERVICE.CHANNEL(Ch).SEGMENT.DATA


:SERV:CHAN:SWE:ALC:AC:STAT

Type

Query

Syntax

:SERVice:CHANnel<Ch>:SWEep:ALC:AC:STATe?

Description

This command returns the current ALC status for each point.

Query Response

{numeric 1}, ... , {numeric (3×NOP)}<newline><^END>

{numeric (n×3)-2}: Status [-1=No ALC performed, 0=Leveled, 1=Resolution Limit, 2=Vs Limit, 3=Iteration Limit]

{numeric (n×3)-1}: Number of iteration

{numeric (n×3)}: Actual voltage

Examples

Dim Var as Variant
Ana.WriteString ":SERV:CHAN1:SWE:ALC:AC:STAT?", True
Var=Ana.ReadList

Equivalent Softkey

No equivalent key is available on the front panel.

COM Command Syntax (Internal Control Only)

SCPI.SERVICE.CHANNEL(Ch).SWEEP.ALC.AC.STATE


:SERV:CHAN:SWE:POIN

:SERV:CHAN<Ch>:SWE:POIN

Type

Query

Syntax

:SERVice:CHANnel<Ch>:SWEep:POINts?

Description

This command gets current number of point for active sweep type (SENS:SWE:POIN? or SENS:SEG:SWE:POIN?).

Query Response

{numeric}<newline><^END>

Examples

Dim Var as Long
Ana.WriteString ":SERV:CHAN1:SWE:POIN?", True
Var=Ana.ReadNumber

Equivalent Softkey

No equivalent key is available on the front panel.

COM Command Syntax (Internal Control Only)

SCPI.SERVICE.CHANNEL(Ch).SWEEP.POINTS


:SERV:CHAN:TRAC:MARK:ACT

:SERV:CHAN<Ch>:TRAC<Tr>:AMRK:ACT

Type

Command/Query

Syntax

:SERVice:CHANnel<Ch>:TRACe<Tr>:AMRKer:ACTive <Value>

:SERVice:CHANnel<Ch>:TRACe<Tr>:AMRKer:ACTive?

Description

This command sets/gets active marker number (one per trace). 0 is returned if no marker is activated.

Variable

Parameter | Long
Description | Active marker number of selected trace in selected channel
Data Type | Long integer type (Long)
Range | 0 to 10
Preset Value | 0

Query Response

{numeric}<newline><^END>

0: No marker

1-10: Active marker number

Examples

Dim Var as Long
Var= 1
Ana.WriteString ":SERV:CHAN1:TRAC1:AmRK:ACT " & Str(Var), True
Ana.WriteString ":SERV:CHAN1:TRAC1:AMRK:ACT?", True
Var=Ana.ReadNumber

Related Commands

:CALC:MARK:ACT

Equivalent Softkey

Marker > {Marker n}

Marker > Ref Maker

COM Command Syntax (Internal Control Only)

SCPI.SERVICE.CHANNEL(Ch).TRACE(Tr).AMRKER.ACTIVE


:SERV:CHAN:TRAC:LIM:DATA

:SERV:CHAN<Ch>:TRAC<Tr>:LIM:DATA

Type

Query

Syntax

:SERVice:CHANnel<Ch>:TRACe<Tr>:LIMit:DATA?

Description

This command gets the number of limit data.

Variable

Parameter | Long
Description | Number of array elements
Data Type | Long integer type (Long)
Range | 1 to 501
Preset Value | 1

Query Response

{numeric}<newline><^END>

Examples

Dim Var as Long
Var= 1
Ana.WriteString ":SERV:CHAN1:TRAC1:LIM:DATA?", True
Var=Ana.ReadNumber

Equivalent Softkey

No equivalent key is available on the front panel.

COM Command Syntax (Internal Control Only)

SCPI.SERVICE.CHANNEL(Ch).TRACE(Tr).LIMIT.DATA


:SERV:CHAN:TRAC:MEMV

:SERV:CHAN<Ch>:TRAC<Tr>:MEMV

Type

Command/Query

Syntax

:SERVice:CHANnel<Ch>:TRACe<Tr>:MEMValid {ON|OFF|1|0}

:SERVice:CHANnel<Ch>:TRACe<Tr>:MEMValid?

Description

This command sets/gets the memory trace data valid flag. Always set to 0 after preset.

Variable

Parameter | Selection Option
Description | Memory trace data
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | OFF

Query Response

{1|0}<newline><^END>

Examples

Dim Var as Integer
Ana.WriteString ":SERV:CHAN1:TRAC1:MEMV OFF", True
Ana.WriteString ":SERV:CHAN1:TRAC1:MEMV?", True
Var=Ana.ReadNumber

Equivalent Softkey

No equivalent key is available on the front panel.

COM Command Syntax (Internal Control Only)

SCPI.SERVICE.CHANNEL(Ch).TRACE(Tr).MEMVALID


:SERV:LOGG:CLE

Type

Command

Syntax

:SERVice:LOGGing:CLEar

Description

This command clear all log files about Event, Power on test, Mech sw, Overload, FW close, Recovery. (no action if simulator mode)

Examples

Ana.WriteString ":SERV:LOGG:CLE", True

Equivalent Softkey

No equivalent key is available on the front panel.

COM Command Syntax (Internal Control Only)

SCPI.SERVICE.LOGGING.CLEAR


:SERV:SREV

Type

Query

Syntax

:SERVice:SREVision?

Description

This command gets system/spec revision.

Variable

Parameter | Long
Description | 0: applying current system specifications
Data Type | Long integer type (Long)

Query Response

{numeric}<newline><^END>

Examples

Dim Var as Long
Ana.WriteString ":SERV:SREV?", True
Var=Ana.ReadNumber

Equivalent Softkey

No equivalent key is available on the front panel.

COM Command Syntax (Internal Control Only)

SCPI.SERVICE.SREVISION


:SERV:SWE:FREQ:EXP

Type

Command

Syntax

:SERVice:SWEep:FREQuency:EXPand

Description

This command expands the frequency range for adjustment. The expand mode will automatically be disabled on the next restart.

Examples

Ana.WriteString ":SERV:SWE:FREQ:EXP", True

Equivalent Softkey

No equivalent key is available on the front panel.

COM Command Syntax (Internal Control Only)

SCPI.SERVICE.SWEEP.FREQUENCY.EXPAND


:SERV:SWE:FREQ:MAX

Type

Query

Syntax

:SERVice:SWEep:FREQuency:MAXimum?

Description

This command gets the maximum frequency.

Variable

Parameter | Double
Description | Upper limit of measurement frequency
Data Type | Double precision floating point type

Query Response

{numeric}<newline><^END>

Examples

Dim Var as Double
Ana.WriteString ":SERV:SWE:FREQ:MAX?", True
Var=Ana.ReadNumber

Equivalent Softkey

No equivalent key is available on the front panel.

COM Command Syntax (Internal Control Only)

SCPI.SERVICE.SWEEP.FREQUENCY.MAXIMUM


:SERV:SWE:FREQ:MIN

Type

Query

Syntax

:SERVice:SWEep:FREQuency:MINimum?

Description

This command gets the minimum frequency.

Variable

Parameter | Double
Description | Lower limit of measurement frequency
Data Type | Double precision floating point type

Query Response

{numeric} <newline><^END>

Examples

Dim Var as Double
Ana.WriteString ":SERV:SWE:FREQ:MIN?", True
Var=Ana.ReadNumber

Equivalent Softkey

No equivalent key is available on the front panel.

COM Command Syntax (Internal Control Only)

SCPI.SERVICE.SWEEP.FREQUENCY.MINIMUM


:SERV:SWE:POIN

Type

Query

Syntax

:SERVice:SWEep:POINts?

Description

This command gets the number of points.

Variable

Parameter | Long
Description | Number of points
Data Type | Long integer type (Long)

Query Response

{numeric}<newline><^END>

Examples

Dim Var as Long
Ana.WriteString ":SERV:SWE:POIN?", True
Var=Ana.ReadNumber

Equivalent Softkey

No equivalent key is available on the front panel.

COM Command Syntax (Internal Control Only)

SCPI.SERVICE.SWEEP.POINTS


:SERV:SYST:STOR:REV

Type

Query

Syntax

:SERVice:SYSTem:STORage:REVision?

Description

This command storage image revision. Return 'RYxxx' for RY100, RY110 etc. Return 'UNKNOWN' if os image not identified.

Variable

Parameter | Value
Description | Revision of image stored
Data Type | Character string type (String)
Range | 254 Chars

Query Response

{254 chars}<newline><^END>

Examples

Dim Var as String
Ana.WriteString ":SERV:SYST:STOR:REV?", True
Var=Ana.ReadString

Equivalent Softkey

No equivalent key is available on the front panel.

COM Command Syntax (Internal Control Only)

SCPI.SERVICE.SYSTEM.STORAGE.REVISION


:SOUR:ALC

:SOUR<Ch>:ALC

Type

Command/Query

Syntax

:SOURce<Ch>:ALC[:STATe] {ON|OFF|1|0}

:SOURce<Ch>:ALC[:STATe]?

Description

This command turn on/off the ALC function.

Variable

Parameter | Selection Option
Description | ALC On/Off status
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | OFF

Query Response

{1|0}<newline><^END>

Examples

Dim Var as Integer
Ana.WriteString ":SOUR1:ALC ON", True
Ana.WriteString ":SOUR1:ALC?", True
Var=Ana.ReadNumber

Related Commands

:SOUR:ALC:COUN

:SOUR:ALC:TOL

Equivalent Softkey

Sweep Setup > OSC Level > ALC > ALC

COM Command Syntax (Internal Control Only)

SCPI.SOURCE(Ch).ALC.STATE


:SOUR:ALC:COUN

:SOUR<Ch>:ALC:COUN

Type

Command/Query

Syntax

:SOURce<Ch>:ALC:COUNt <Value>

:SOURce<Ch>:ALC:COUNt?

Description

This command sets/gets the AC ALC maximum iteration count.

Variable

Parameter | Value
Description | Maximum iteration count
Data Type | Numeric type (Integer)
Range | 2 ~ 10
Preset Value | 10
Unit | -
Resolution | -

Query Response

{numeric}<newline><^END>

Examples

Dim Var as Long
Var= 4
Ana.WriteString ":SOUR1:ALC:COUN " & Str(Var), True
Ana.WriteString ":SOUR1:ALC:COUN?", True
Var=Ana.ReadNumber

Related Commands

:SOUR:ALC

Equivalent Softkey

Sweep Setup > OSC Level > ALC > Max Iteration

COM Command Syntax (Internal Control Only)

SCPI.SOURCE(Ch).ALC.COUNT


:SOUR:ALC:TOL

:SOUR<Ch>:ALC:TOL

Type

Command/Query

Syntax

:SOURce<Ch>:ALC:TOLerance <Value>

:SOURce<Ch>:ALC:TOLerance?

Description

This command sets/gets the ALC target %.

Variable

Parameter | Value
Description | Tolerance value
Data Type | Numeric type (Real)
Range | 0.05 ~ 10
Preset Value | 5
Unit | %
Resolution | -

Query Response

{numeric}<newline><^END>

Examples

Dim Var as Double
Var= 0.1
Ana.WriteString ":SOUR1:ALC:TOL " & Str(Var), True
Ana.WriteString ":SOUR1:ALC:TOL?", True
Var=Ana.ReadNumber

Related Commands

:SOUR:ALC

:SOUR:ALC:COUN

Equivalent Softkey

Sweep Setup > OSC Level > ALC > Target %

COM Command Syntax (Internal Control Only)

SCPI.SOURCE(Ch).ALC.TOLERANCE


:SOUR:BAND:DEL

:SOUR<Ch>:BAND:DEL

Type

Command/Query

Syntax

:SOURce<Ch>:BAND:DELay <Value>

:SOURce<Ch>:BAND:DELay?

Description

This command sets/gets wait time after band change.

Variable

Parameter | Value
Description | Delay
Data Type | Numeric type (Real)
Range | 0 ~ 10
Preset Value | 0
Unit | s
Resolution | 1m

Query Response

{numeric}<newline><^END>

Examples

Dim Var as Double
Var= 0.01
Ana.WriteString ":SOUR1:BAND:DEL " & Str(Var), True
Ana.WriteString ":SOUR1:BAND:DEL?", True
Var=Ana.ReadNumber

Equivalent Softkey

System > Meas Setup > Band Delay

COM Command Syntax (Internal Control Only)

SCPI.SOURCE(Ch).BAND.DELAY


:SOUR:BIAS:ALC

:SOUR<Ch>:BIAS:ALC

Type

Command/Query

Syntax

:SOURce<Ch>:BIAS:ALC[:STATe] {ON|OFF|1|0}

:SOURce<Ch>:BIAS:ALC[:STATe]?

Description

This command turn on/off the DC bias constant mode.

Variable

Parameter | Selection Option
Description | DC bias constant mode On/Off status
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | OFF

Query Response

{1|0}<newline><^END>

Examples

Dim Var as Integer
Ana.WriteString ":SOUR1:BIAS:ALC ON", True
Ana.WriteString ":SOUR1:BIAS:ALC?", True
Var=Ana.ReadNumber

Related Commands

:SOUR:BIAS:MODE

:SOUR:BIAS:STAT

Equivalent Softkey

Sweep Setup > DC Bias > Constant Mode

COM Command Syntax (Internal Control Only)

SCPI.SOURCE(Ch).BIAS.ALC.STATE


:SOUR:BIAS:CURR:AMPL

Type

Command/Query

Syntax

:SOURce<Ch>:BIAS:CURRent[:LEVel][:IMMediate]:AMPLitude <Value>

:SOURce<Ch>:BIAS:CURRent[:LEVel][:IMMediate]:AMPLitude?

Description

This command sets/gets the current level of DC Bias output.

Variable

Parameter | Value
Description | Current level
Data Type | Numeric type (Real)
Range | -100m ~ 100m
Preset Value | 0
Unit | A
Resolution | 40μ

Query Response

{numeric}<newline><^END>

Examples

Dim Var as Double
Var= 0.01
Ana.WriteString ":SOUR1:BIAS:CURR:AMPL " & Str(Var), True
Ana.WriteString ":SOUR1:BIAS:CURR:AMPL?", True
Var=Ana.ReadNumber

Related Commands

:SOUR:BIAS:MODE

Equivalent Softkey

Sweep Setup > DC Bias > Current Level

COM Command Syntax (Internal Control Only)

SCPI.SOURCE(Ch).BIAS.CURRENT.LEVEL.IMMEDIATE.AMPLITUDE


:SOUR:BIAS:CURR:CENT

:SOUR<Ch>:BIAS:CURR:CENT

Type

Command/Query

Syntax

:SOURce<Ch>:BIAS:CURRent:CENTer <Value>

:SOURce<Ch>:BIAS:CURRent:CENTer?

Description

This command sets/gets the center of bias current value in DC bias sweep.

Variable

Parameter | Value
Description | Center value
Data Type | Numeric type (Real)
Range | -100m ~ 100m
Preset Value | 0
Unit | A
Resolution | 20μ

Query Response

{numeric}<newline><^END>

Examples

Dim Var as Double
Var= 0.3
Ana.WriteString ":SOUR1:BIAS:CURR:CENT " & Str(Var), True
Ana.WriteString ":SOUR1:BIAS:CURR:CENT?", True
Var=Ana.ReadNumber

Related Commands

:SOUR:BIAS:CURR:SPAN

:SOUR:BIAS:MODE

Equivalent Softkey

Center (in DC Bias current sweep)

COM Command Syntax (Internal Control Only)

SCPI.SOURCE(Ch).BIAS.CURRENT.CENTER


:SOUR:BIAS:CURR:SPAN

:SOUR<Ch>:BIAS:CURR:SPAN

Type

Command/Query

Syntax

:SOURce<Ch>:BIAS:CURRent:SPAN <Value>

:SOURce<Ch>:BIAS:CURRent:SPAN?

Description

This command sets/gets the span of bias current value in DC bias sweep.

Variable

Parameter | Value
Description | Span value
Data Type | Numeric type (Real)
Range | 0 ~ 200m
Preset Value | 0
Unit | A
Resolution | 40μ

Query Response

{numeric}<newline><^END>

Examples

Dim Var as Double
Var= 0.1
Ana.WriteString ":SOUR1:BIAS:CURR:SPAN " & Str(Var), True
Ana.WriteString ":SOUR1:BIAS:CURR:SPAN?", True
Var=Ana.ReadNumber

Related Commands

:SOUR:BIAS:CURR:CENT

:SOUR:BIAS:MODE

Equivalent Softkey

Span (in DC Bias current sweep)

COM Command Syntax (Internal Control Only)

SCPI.SOURCE(Ch).BIAS.CURRENT.SPAN


:SOUR:BIAS:CURR:STAR

:SOUR<Ch>:BIAS:CURR:STAR

Type

Command/Query

Syntax

:SOURce<Ch>:BIAS:CURRent:STARt <Value>

:SOURce<Ch>:BIAS:CURRent:STARt?

Description

This command sets/gets the start of bias current value in DC bias sweep.

Variable

Parameter | Value
Description | start value
Data Type | Numeric type (Real)
Range | -100m ~ 100m
Preset Value | 0
Unit | A
Resolution | 40μ

Query Response

{numeric}<newline><^END>

Examples

Dim Var as Double
Var= -0.1
Ana.WriteString ":SOUR1:BIAS:CURR:STAR " & Str(Var), True
Ana.WriteString ":SOUR1:BIAS:CURR:STAR?", True
Var=Ana.ReadNumber

Related Commands

:SOUR:BIAS:CURR:STOP

:SOUR:BIAS:CURR:STAR

Equivalent Softkey

Start (in DC Bias current sweep)

COM Command Syntax (Internal Control Only)

SCPI.SOURCE(Ch).BIAS.CURRENT.START


:SOUR:BIAS:CURR:STOP

:SOUR<Ch>:BIAS:CURR:STOP

Type

Command/Query

Syntax

:SOURce<Ch>:BIAS:CURRent:STOP <Value>

:SOURce<Ch>:BIAS:CURRent:STOP?

Description

This command sets/gets the stop of bias current value in DC bias sweep.

Variable

Parameter | Value
Description | Stop value
Data Type | Numeric type (Real)
Range | -100m ~ 100m
Preset Value | 0
Unit | A
Resolution | 40μ

Query Response

{numeric}<newline><^END>

Examples

Dim Var as Double
Var= 0.1
Ana.WriteString ":SOUR1:BIAS:CURR:STOP " & Str(Var), True
Ana.WriteString ":SOUR1:BIAS:CURR:STOP?", True
Var=Ana.ReadNumber

Related Commands

:SOUR:BIAS:CURR:STAR

:SOUR:BIAS:MODE

Equivalent Softkey

Stop (in DC Bias current sweep)

COM Command Syntax (Internal Control Only)

SCPI.SOURCE(Ch).BIAS.CURRENT.STOP


:SOUR:BIAS:DEL

:SOUR<Ch>:BIAS:DEL

Type

Command/Query

Syntax

:SOURce<Ch>:BIAS:DELay <Value>

:SOURce<Ch>:BIAS:DELay?

Description

This command sets/gets wait time after DC bias setup

Variable

Parameter | Value
Description | Delay
Data Type | Numeric type (Real)
Range | 0 ~ 30
Preset Value | 0
Unit | s
Resolution | 1m

Query Response

{numeric}<newline><^END>

Examples

Dim Var as Double
Var= 0.01
Ana.WriteString ":SOUR1:BIAS:DEL " & Str(Var), True
Ana.WriteString ":SOUR1:BIAS:DEL?", True
Var=Ana.ReadNumber

Related Commands

:SOUR:BIAS:STAT

Equivalent Softkey

Sweep Setup > DC Bias > DC Bias Delay

COM Command Syntax (Internal Control Only)

SCPI.SOURCE(Ch).BIAS.DELAY


:SOUR:BIAS:HOLD

:SOUR<Ch>:BIAS:HOLD

Type

Command/Query

Syntax

:SOURce<Ch>:BIAS:HOLD[:OUTPut] {ON|OFF|1|0}

:SOURce<Ch>:BIAS:HOLD[:OUTPut]?

Description

This command sets/gets bias output when sweep is held. (one per instrument)

Variable

Parameter | Selection Option
Description | bias output hold on/off status
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | ON

Query Response

{1|0}<newline><^END>

Examples

Dim Var as Integer
Ana.WriteString ":SOUR1:BIAS:HOLD ON", True
Ana.WriteString ":SOUR1:BIAS:HOLD?", True
Var=Ana.ReadNumber

Related Commands

:SOUR:BIAS:STAT

Equivalent Softkey

System > Meas Setup > DC Output@Hold

COM Command Syntax (Internal Control Only)

SCPI.SOURCE(Ch).BIAS.HOLD.OUTPUT


:SOUR:BIAS:MODE

:SOUR<Ch>:BIAS:MODE

Type

Command/Query

Syntax

:SOURce<Ch>:BIAS:MODE {VOLTage|CURRent}

:SOURce<Ch>:BIAS:MODE?

Description

This command sets/gets the DC bias mode.

Variable

Parameter | Selection Option
Description | DC Bias Output Mode
Data Type | Character string type (String)
Range | VOLTage|CURRent
Preset Value | VOLTage

Query Response

{VOLT|CURR}<newline><^END>

Examples

Dim Var as String
Var= "VOLT"
Ana.WriteString ":SOUR1:BIAS:MODE " & Var, True
Ana.WriteString ":SOUR1:BIAS:MODE?", True
Var=Ana.ReadString

Related Commands

:SOUR:BIAS:CURR:AMPL

:SOUR:BIAS:VOLT

Equivalent Softkey

Sweep Setup > DC Bias > DC Bias Mode

COM Command Syntax (Internal Control Only)

SCPI.SOURCE(Ch).BIAS.MODE


:SOUR:BIAS:RANG

:SOUR<Ch>:BIAS:RANG

Type

Command/Query

Syntax

:SOURce<Ch>:BIAS:RANGe {M1|M10|M100}

:SOURce<Ch>:BIAS:RANGe?

Description

This command sets/gets the DC Bias range.

Variable

Parameter | Selection Option
Description | DC Bias range
Data Type | Character string type (String)
Range | M1: 1mA M10: 10mA M100: 100mA
Preset Value | M1

Query Response

{M1|M10|M100}<newline><^END>

Examples

Dim Var as String
Var= "M10"
Ana.WriteString ":SOUR1:BIAS:RANG " & Var, True
Ana.WriteString ":SOUR1:BIAS:RANG?", True
Var=Ana.ReadString

Related Commands

:SOUR:BIAS:STAT

Equivalent Softkey

Sweep Setup > DC Bias > Meas Range

COM Command Syntax (Internal Control Only)

SCPI.SOURCE(Ch).BIAS.RANGE


:SOUR:BIAS:STAT

Type

Command/Query

Syntax

:SOURce:BIAS:STATe {ON|OFF|1|0}

:SOURce:BIAS:STATe?

Description

This command sets/gets the DC Bias Output State. This setting is applied for all channels and traces. The DC bias is automatically turned off after recall the status file.

Variable

Parameter | Selection Option
Description | DC bias output On/off state
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | OFF

Query Response

{1|0}<newline><^END>

Examples

Dim Var as Integer
Ana.WriteString ":SOUR:BIAS:STAT ON", True
Ana.WriteString ":SOUR:BIAS:STAT?", True
Var=Ana.ReadNumber

Related Commands

:SOUR:BIAS:MODE

Equivalent Softkey

Sweep Setup > DC Bias > DC Bias State

Sweep Setup > DC Bias State

COM Command Syntax (Internal Control Only)

SCPI.SOURCE.BIAS.STATE


:SOUR:BIAS:VOLT

Type

Command/Query

Syntax

:SOURce<Ch>:BIAS:VOLTage[:LEVel][:IMMediate][:AMPLitude] <Value>

:SOURce<Ch>:BIAS:VOLTage[:LEVel][:IMMediate][:AMPLitude]?

Description

This command sets/gets the voltage level of DC Bias output.

Variable

Parameter | Value
Description | Voltage level
Data Type | Numeric type (Real)
Range | -40 ~ 40
Preset Value | 0
Unit | V
Resolution | 1m

Query Response

{numeric}<newline><^END>

Examples

Dim Var as Double
Var= 0.5
Ana.WriteString ":SOUR1:BIAS:VOLT " & Str(Var), True
Ana.WriteString ":SOUR1:BIAS:VOLT?", True
Var=Ana.ReadNumber

Related Commands

:SOUR:BIAS:MODE

Equivalent Softkey

Sweep Setup > DC Bias > Voltage Level

COM Command Syntax (Internal Control Only)

SCPI.SOURCE(Ch).BIAS.VOLTAGE.LEVEL.IMMEDIATE.AMPLITUDE


:SOUR:BIAS:VOLT:CENT

:SOUR<Ch>:BIAS:VOLT:CENT

Type

Command/Query

Syntax

:SOURce<Ch>:BIAS:VOLTage:CENTer <Value>

:SOURce<Ch>:BIAS:VOLTage:CENTer?

Description

This command sets/gets the center of bias voltage value in DC bias sweep.

Variable

Parameter | Value
Description | Center value
Data Type | Numeric type (Real)
Range | -40 ~ 40
Preset Value | 0
Unit | V
Resolution | 500μ

Query Response

{numeric}<newline><^END>

Examples

Dim Var as Double
Var= 10
Ana.WriteString ":SOUR1:BIAS:VOLT:CENT " & Str(Var), True
Ana.WriteString ":SOUR1:BIAS:VOLT:CENT?", True
Var=Ana.ReadNumber

Related Commands

:SOUR:BIAS:VOLT:SPAN

:SOUR:BIAS:MODE

Equivalent Softkey

Center (in DC Bias voltage sweep)

COM Command Syntax (Internal Control Only)

SCPI.SOURCE(Ch).BIAS.VOLTAGE.CENTER


:SOUR:BIAS:VOLT:LIM:MAX

Type

Command/Query

Syntax

:SOURce:BIAS:VOLTage:LIMit:MAXimum <Value>

:SOURce:BIAS:VOLTage:LIMit:MAXimum?

Description

This command sets/gets the bias limit maximum. This setting is applied for all channels and traces.

Variable

Parameter | Value
Description | Maximum limit
Data Type | Numeric type (Real)
Range | -40 ~ 40
Preset Value | 40
Unit | V
Resolution | 1m

Query Response

{numeric}<newline><^END>

Examples

Dim Var as Double
Var= 30
Ana.WriteString ":SOUR:BIAS:VOLT:LIM:MAX " & Str(Var), True
Ana.WriteString ":SOUR:BIAS:VOLT:LIM:MAX?", True
Var=Ana.ReadNumber

Related Commands

:SOUR:BIAS:VOLT:LIM:MIN

Equivalent Softkey

Sweep Setup > DC Bias > Max Limit Voltage

COM Command Syntax (Internal Control Only)

SCPI.SOURCE.BIAS.VOLTAGE.LIMIT.MAXIMUM


:SOUR:BIAS:VOLT:LIM:MIN

:SOUR<Ch>:BIAS:VOLT:LIM:MIN

Type

Command/Query

Syntax

:SOURce<Ch>:BIAS:VOLTage:LIMit:MINimum <Value>

:SOURce<Ch>:BIAS:VOLTage:LIMit:MINimum?

Description

This command sets/gets the bias limit minimum. This setting is applied for all channels and traces.

Variable

Parameter | Value
Description | Minimum limit
Data Type | Numeric type (Real)
Range | -40 ~ 40
Preset Value | -40
Unit | V
Resolution | 1m

Query Response

{numeric}<newline><^END>

Examples

Dim Var as Double
Var= -20
Ana.WriteString ":SOUR:BIAS:VOLT:LIM:MIN " & Str(Var), True
Ana.WriteString ":SOUR:BIAS:VOLT:LIM:MIN?", True
Var=Ana.ReadNumber

Related Commands

:SOUR:BIAS:VOLT:LIM:MAX

Equivalent Softkey

Sweep Setup > DC Bias > Min Limit Voltage

COM Command Syntax (Internal Control Only)

SCPI.SOURCE.BIAS.VOLTAGE.LIMIT.MINIMUM


:SOUR:BIAS:VOLT:SPAN

:SOUR<Ch>:BIAS:VOLT:SPAN

Type

Command/Query

Syntax

:SOURce<Ch>:BIAS:VOLTage:SPAN <Value>

:SOURce<Ch>:BIAS:VOLTage:SPAN?

Description

This command sets/gets the span of bias voltage value in DC bias sweep.

Variable

Parameter | Value
Description | Span value
Data Type | Numeric type (Real)
Range | 0 ~ 80
Preset Value | 0
Unit | V
Resolution | 1m

Query Response

{numeric}<newline><^END>

Examples

Dim Var as Double
Var= 20
Ana.WriteString ":SOUR1:BIAS:VOLT:SPAN " & Str(Var), True
Ana.WriteString ":SOUR1:BIAS:VOLT:SPAN?", True
Var=Ana.ReadNumber

Related Commands

:SOUR:BIAS:VOLT:CENT

:SOUR:BIAS:MODE

Equivalent Softkey

Span (in DC Bias voltage sweep)

COM Command Syntax (Internal Control Only)

SCPI.SOURCE(Ch).BIAS.VOLTAGE.SPAN


:SOUR:BIAS:VOLT:STAR

:SOUR<Ch>:BIAS:VOLT:STAR

Type

Command/Query

Syntax

:SOURce<Ch>:BIAS:VOLTage:STARt <Value>

:SOURce<Ch>:BIAS:VOLTage:STARt?

Description

This command sets/gets the start of bias voltage value in DC bias sweep.

Variable

Parameter | Value
Description | Start value
Data Type | Numeric type (Real)
Range | -40 ~ 40
Preset Value | 0
Unit | V
Resolution | 1m

Query Response

{numeric}<newline><^END>

Examples

Dim Var as Double
Var= 0
Ana.WriteString ":SOUR1:BIAS:VOLT:STAR " & Str(Var), True
Ana.WriteString ":SOUR1:BIAS:VOLT:STAR?", True
Var=Ana.ReadNumber

Related Commands

:SOUR:BIAS:VOLT:STOP

:SOUR:BIAS:MODE

Equivalent Softkey

Start (in DC Bias voltage sweep)

COM Command Syntax (Internal Control Only)

SCPI.SOURCE(Ch).BIAS.VOLTAGE.START


:SOUR:BIAS:VOLT:STOP

:SOUR<Ch>:BIAS:VOLT:STOP

Type

Command/Query

Syntax

:SOURce<Ch>:BIAS:VOLTage:STOP <Value>

:SOURce<Ch>:BIAS:VOLTage:STOP?

Description

This command sets/gets the stop of bias voltage value in DC bias sweep.

Variable

Parameter | Value
Description | Stop value
Data Type | Numeric type (Real)
Range | -40 ~ 40
Preset Value | 0
Unit | V
Resolution | 1m

Query Response

{numeric}<newline><^END>

Examples

Dim Var as Double
Var= 10
Ana.WriteString ":SOUR1:BIAS:VOLT:STOP " & Str(Var), True
Ana.WriteString ":SOUR1:BIAS:VOLT:STOP?", True
Var=Ana.ReadNumber

Related Commands

:SOUR:BIAS:VOLT:STAR

:SOUR:BIAS:MODE

Equivalent Softkey

Stop (in DC Bias voltage sweep)

COM Command Syntax (Internal Control Only)

SCPI.SOURCE(Ch).BIAS.VOLTAGE.STOP


:SOUR:CURR

:SOUR<Ch>:CURR

Type

Command/Query

Syntax

:SOURce<Ch>:CURRent[:LEVel][:IMMediate][:AMPLitude] <Value>

:SOURce<Ch>:CURRent[:LEVel][:IMMediate][:AMPLitude]?

Description

This command sets/gets the source current level.

Variable

Parameter | Value
Description | Current level
Data Type | Numeric type (Real)
Range | 200μ ~ 20m
Preset Value | 20m
Unit | A
Resolution | 20μ

Query Response

{numeric}<newline><^END>

Examples

Dim Var as Double
Var= 0.01
Ana.WriteString ":SOUR1:CURR " & Str(Var), True
Ana.WriteString ":SOUR1:CURR?", True
Var=Ana.ReadNumber

Related Commands

:SOUR:MODE

Equivalent Softkey

Sweep Setup > OSC Level > Current Level

COM Command Syntax (Internal Control Only)

SCPI.SOURCE(Ch).CURRENT.LEVEL.IMMEDIATE.AMPLITUDE


:SOUR:CURR:CENT

:SOUR<Ch>:CURR:CENT

Type

Command/Query

Syntax

:SOURce<Ch>:CURRent:CENTer <Value>

:SOURce<Ch>:CURRent:CENTer?

Description

This command sets/gets the center of current value in OSC level sweep.

Variable

Parameter | Value
Description | Center value
Data Type | Numeric type (Real)
Range | 200μ ~ 20m
Preset Value | 10.1m
Unit | A
Resolution | 10μ

Query Response

{numeric}<newline><^END>

Examples

Dim Var as Double
Var= 0.001
Ana.WriteString ":SOUR1:CURR:CENT " & Str(Var), True
Ana.WriteString ":SOUR1:CURR:CENT?", True
Var=Ana.ReadNumber

Related Commands

:SOUR:CURR:SPAN

:SOUR:MODE

Equivalent Softkey

Center (in OSC level sweep)

COM Command Syntax (Internal Control Only)

SCPI.SOURCE(Ch).CURRENT.CENTER


:SOUR:CURR:SPAN

:SOUR<Ch>:CURR:SPAN

Type

Command/Query

Syntax

:SOURce<Ch>:CURRent:SPAN <Value>

:SOURce<Ch>:CURRent:SPAN?

Description

This command sets/gets the span of current value in OSC level sweep.

Variable

Parameter | Value
Description | Span value
Data Type | Numeric type (Real)
Range | 0 ~ 19.8m
Preset Value | 19.8m
Unit | A
Resolution | 20μ

Query Response

{numeric}<newline><^END>

Examples

Dim Var as Double
Var= 0.01
Ana.WriteString ":SOUR1:CURR:SPAN " & Str(Var), True
Ana.WriteString ":SOUR1:CURR:SPAN?", True
Var=Ana.ReadNumber

Related Commands

:SOUR:CURR:CENT

:SOUR:MODE

Equivalent Softkey

Span (in OSC level sweep)

COM Command Syntax (Internal Control Only)

SCPI.SOURCE(Ch).CURRENT.SPAN


:SOUR:CURR:STAR

:SOUR<Ch>:CURR:STAR

Type

Command/Query

Syntax

:SOURce<Ch>:CURRent:STARt <Value>

:SOURce<Ch>:CURRent:STARt?

Description

This command sets/gets the start of current value in OSC level sweep.

Variable

Parameter | Value
Description | Start value
Data Type | Numeric type (Real)
Range | 200μ ~ 20m
Preset Value | 200μ
Unit | A
Resolution | 20μ

Query Response

{numeric}<newline><^END>

Examples

Dim Var as Double
Var= 0.001
Ana.WriteString ":SOUR1:CURR:STAR " & Str(Var), True
Ana.WriteString ":SOUR1:CURR:STAR?", True
Var=Ana.ReadNumber

Related Commands

:SOUR:CURR:STOP

:SOUR:MODE

Equivalent Softkey

Start (in OSC level sweep)

COM Command Syntax (Internal Control Only)

SCPI.SOURCE(Ch).CURRENT.START


:SOUR:CURR:STOP

:SOUR<Ch>:CURR:STOP

Type

Command/Query

Syntax

:SOURce<Ch>:CURRent:STOP <Value>

:SOURce<Ch>:CURRent:STOP?

Description

This command sets/gets the stop of current value in OSC level sweep.

Variable

Parameter | Value
Description | Stop value
Data Type | Numeric type (Real)
Range | 200μ ~ 20m
Preset Value | 20m
Unit | A
Resolution | 20μ

Query Response

{numeric}<newline><^END>

Examples

Dim Var as Double
Var= 0.01
Ana.WriteString ":SOUR1:CURR:STOP " & Str(Var), True
Ana.WriteString ":SOUR1:CURR:STOP?", True
Var=Ana.ReadNumber

Related Commands

:SOUR:CURR:STAR

:SOUR:MODE

Equivalent Softkey

Stop (in OSC level sweep)

COM Command Syntax (Internal Control Only)

SCPI.SOURCE(Ch).CURRENT.STOP


:SOUR:MODE

:SOUR<Ch>:MODE

Type

Command/Query

Syntax

:SOURce<Ch>:MODE {VOLTage|CURRent}

:SOURce<Ch>:MODE?

Description

This command sets/gets the unit for OSC level.

Variable

Parameter | Selection Option
Description | OSC unit
Data Type | Character string type (String)
Range | VOLTage|CURRent
Preset Value | VOLTage

Query Response

{VOLT|CURR}<newline><^END>

Examples

Dim Var as String
Var= "VOLT"
Ana.WriteString ":SOUR1:MODE " & Var, True
Ana.WriteString ":SOUR1:MODE?", True
Var=Ana.ReadString

Related Commands

:SOUR:VOLT

:SOUR:CURR

Equivalent Softkey

Sweep Setup > OSC Level > OSC Unit

COM Command Syntax (Internal Control Only)

SCPI.SOURCE(Ch).MODE


:SOUR:VOLT

:SOUR<Ch>:VOLT

Type

Command/Query

Syntax

:SOURce<Ch>:VOLTage[:LEVel][:IMMediate][:AMPLitude] <Value>

:SOURce<Ch>:VOLTage[:LEVel][:IMMediate][:AMPLitude]?

Description

This command sets/gets the source voltage level.

Variable

Parameter | Value
Description | Voltage level
Data Type | Numeric type (Real)
Range | 5m ~ 1
Preset Value | 500m
Unit | V
Resolution | 1m

Query Response

{numeric}<newline><^END>

Examples

Dim Var as Double
Var= 0.005
Ana.WriteString ":SOUR1:VOLT " & Str(Var), True
Ana.WriteString ":SOUR1:VOLT?", True
Var=Ana.ReadNumber

Related Commands

:SOUR:MODE

Equivalent Softkey

Sweep Setup > OSC Level > Voltage Level

COM Command Syntax (Internal Control Only)

SCPI.SOURCE(Ch).VOLTAGE.LEVEL.IMMEDIATE.AMPLITUDE


:SOUR:VOLT:CENT

:SOUR<Ch>:VOLT:CENT

Type

Command/Query

Syntax

:SOURce<Ch>:VOLTage:CENTer <Value>

:SOURce<Ch>:VOLTage:CENTer?

Description

This command sets/gets the center of voltage value in OSC level sweep.

Variable

Parameter | Value
Description | Center value
Data Type | Numeric type (Real)
Range | 5m ~ 1
Preset Value | 502.5m
Unit | V
Resolution | 500μ

Query Response

{numeric}<newline><^END>

Examples

Dim Var as Double
Var= 0.01
Ana.WriteString ":SOUR1:VOLT:CENT " & Str(Var), True
Ana.WriteString ":SOUR1:VOLT:CENT?", True
Var=Ana.ReadNumber

Related Commands

:SOUR:VOLT:SPAN

:SOUR:MODE

Equivalent Softkey

Center (in OSC level voltage sweep)

COM Command Syntax (Internal Control Only)

SCPI.SOURCE(Ch).VOLTAGE.CENTER


:SOUR:VOLT:SPAN

:SOUR<Ch>:VOLT:SPAN

Type

Command/Query

Syntax

:SOURce<Ch>:VOLTage:SPAN <Value>

:SOURce<Ch>:VOLTage:SPAN?

Description

This command sets/gets the span of voltage value in OSC level sweep.

Variable

Parameter | Value
Description | Span value
Data Type | Numeric type (Real)
Range | 0 ~ 995m
Preset Value | 995m
Unit | V
Resolution | 1m

Query Response

{numeric}<newline><^END>

Examples

Dim Var as Double
Var= 0.1
Ana.WriteString ":SOUR1:VOLT:SPAN " & Str(Var), True
Ana.WriteString ":SOUR1:VOLT:SPAN?", True
Var=Ana.ReadNumber

Related Commands

:SOUR:VOLT:CENT

:SOUR:MODE

Equivalent Softkey

Span (in OSC level voltage sweep)

COM Command Syntax (Internal Control Only)

SCPI.SOURCE(Ch).VOLTAGE.SPAN


:SOUR:VOLT:STAR

:SOUR<Ch>:VOLT:STAR

Type

Command/Query

Syntax

:SOURce<Ch>:VOLTage:STARt <Value>

:SOURce<Ch>:VOLTage:STARt?

Description

This command sets/gets the start of voltage value in OSC level sweep.

Variable

Parameter | Value
Description | Start value
Data Type | Numeric type (Real)
Range | 5m ~ 1
Preset Value | 5m
Unit | V
Resolution | 1m

Query Response

{numeric}<newline><^END>

Examples

Dim Var as Double
Var= 0.005
Ana.WriteString ":SOUR1:VOLT:STAR " & Str(Var), True
Ana.WriteString ":SOUR1:VOLT:STAR?", True
Var=Ana.ReadNumber

Related Commands

:SOUR:VOLT:STOP

:SOUR:MODE

Equivalent Softkey

Start (in OSC level voltage sweep)

COM Command Syntax (Internal Control Only)

SCPI.SOURCE(Ch).VOLTAGE.START


:SOUR:VOLT:STOP

:SOUR<Ch>:VOLT:STOP

Type

Command/Query

Syntax

:SOURce<Ch>:VOLTage:STOP <Value>

:SOURce<Ch>:VOLTage:STOP?

Description

This command sets/gets the stop of voltage value in OSC level sweep.

Variable

Parameter | Value
Description | Stop value
Data Type | Numeric type (Real)
Range | 5m ~ 1
Preset Value | 1
Unit | V
Resolution | 1m

Query Response

{numeric}<newline><^END>

Examples

Dim Var as Double
Var= 1
Ana.WriteString ":SOUR1:VOLT:STOP " & Str(Var), True
Ana.WriteString ":SOUR1:VOLT:STOP?", True
Var=Ana.ReadNumber

Related Commands

:SOUR:VOLT:STAR

:SOUR:MODE

Equivalent Softkey

Stop (in OSC level voltage sweep)

COM Command Syntax (Internal Control Only)

SCPI.SOURCE(Ch).VOLTAGE.STOP


:STAT:OPER

Type

Query

Syntax

:STATus:OPERation[:EVENt]?

Description

This command gets operation status event register.

Query Response

{Numeric}<newline><^END>

Examples

Dim Var as Long
Ana.WriteString ":STAT:OPER?", True
Var=Ana.ReadNumber

Related Commands

*CLS

:STAT:OPER:NTR

:STAT:OPER:PTR

See Status Register

Equivalent Softkey

No equivalent key is available on the front panel.

COM Command Syntax (Internal Control Only)

SCPI.STATUS.OPERATION.EVENT


:STAT:OPER:COND

Type

Query

Syntax

:STATus:OPERation:CONDition?

Description

This command reads the value of the Operation Status Condition Register.

Variable

Parameter | Value
Description | Value of the Operation Status Condition Register
Data Type | Long integer type (Long)

Query Response

{numeric}<newline><^END>

Examples

Dim Var as Long
Ana.WriteString ":STAT:OPER:COND?", True
Var=Ana.ReadNumber

Related Commands

:STAT:OPER:NTR

:STAT:OPER:PTR

See Status Register

Equivalent Softkey

No equivalent key is available on the front panel.

COM Command Syntax (Internal Control Only)

SCPI.STATUS.OPERATION.CONDITION


:STAT:OPER:ENAB

Type

Command/Query

Syntax

:STATus:OPERation:ENABle <Value>

:STATus:OPERation:ENABle?

Description

This command sets/gets the value of Operation Status Enable Register.

      • The bit 0 to 3, and bit 6 to 15 cannot be set to 1.

Variable

Parameter | Value
Description | Value of the Operation Status Enable Register
Data Type | Numeric type (Integer)
Range | 0 to 65535
Preset Value | 0

Query Response

{numeric}<newline><^END>

Examples

Dim Var as Long
Var= 1
Ana.WriteString ":STAT:OPER:ENAB " & Str(Var), True
Ana.WriteString ":STAT:OPER:ENAB?", True
Var=Ana.ReadNumber

Related Commands

*SRE

:STAT:OPER:NTR

:STAT:OPER:PTR

See Status Register

Equivalent Softkey

No equivalent key is available on the front panel.

COM Command Syntax (Internal Control Only)

SCPI.STATUS.OPERATION.ENABLE


:STAT:OPER:NTR

Type

Command/Query

Syntax

:STATus:OPERation:NTRansition <Value>

:STATus:OPERation:NTRansition?

Description

This command sets/gets the value of negative transition filter of the Operation Status Register.

      • The bit 0 to 3, and bit 6 to 15 cannot be set to 1.

Variable

Parameter | Value
Description | Value of the negative transition filter
Data Type | Numeric type (Integer)
Range | 0 to 65535
Preset Value | 0

Query Response

{numeric}<newline><^END>

Examples

Dim Var as Long
Var= 0
Ana.WriteString ":STAT:OPER:NTR " & Str(Var), True
Ana.WriteString ":STAT:OPER:NTR?", True
Var=Ana.ReadNumber

Related Commands

:STAT:OPER

:STAT:OPER:PTR

See Status Register

Equivalent Softkey

No equivalent key is available on the front panel.

COM Command Syntax (Internal Control Only)

SCPI.STATUS.OPERATION.NTRANSITION


:STAT:OPER:PTR

Type

Command/Query

Syntax

:STATus:OPERation:PTRansition <Value>

:STATus:OPERation:PTRansition?

Description

This command sets/gets the value of positive transition filter of the Operation Status Register.

      • The bit 0 to 3, and bit 6 to 15 cannot be set to 1.

Variable

Parameter | Value
Description | Value of the positive transition filter
Data Type | Numeric type (Integer)
Range | 0 to 65535
Preset Value | 48

Query Response

{numeric}<newline><^END>

Examples

Dim Var as Long
Var= 0
Ana.WriteString ":STAT:OPER:PTR" & Str(Var), True
Ana.WriteString ":STAT:OPER:PTR?", True
Var=Ana.ReadNumber

Related Commands

:STAT:OPER

:STAT:OPER:NTR

See Status Register

Equivalent Softkey

No equivalent key is available on the front panel.

COM Command Syntax (Internal Control Only)

SCPI.STATUS.OPERATION.PTRANSITION


:STAT:PRES

Type

Command

Syntax

:STATus:PRESet

Description

This command initializes all the status registers.

Examples

Ana.WriteString ":STAT:PRE", True

Equivalent Softkey

No equivalent key is available on the front panel.

COM Command Syntax (Internal Control Only)

SCPI.STATUS.PRESET


:STAT:QUES

Type

Query

Syntax

:STATus:QUEStionable[:EVENt]?

Description

This command reads the value of the Questionable Status Event Register.

Variable

Parameter | Value
Description | Value of the Questionable Status Event Register
Data Type | Long integer type (Long)

Query Response

{numeric}<newline><^END>

Examples

Dim Var as Long
Ana.WriteString ":STAT:QUES?", True
Var=Ana.ReadNumber

Related Commands

*CLS

:STAT:OPER:NTR

:STAT:OPER:PTR

See Status Register

Equivalent Softkey

No equivalent key is available on the front panel.

COM Command Syntax (Internal Control Only)

SCPI.STATUS.QUESTIONABLE.EVENT


:STAT:QUES:COND

Type

Query

Syntax

:STATus:QUEStionable:CONDition?

Description

This command reads the value of the Questionable Status Condition Register.

Variable

Parameter | Value
Description | Value of the Questionable Status Condition Register
Data Type | Long integer type (Long)

Query Response

{numeric}<newline><^END>

Examples

Dim Var as Long
Ana.WriteString ":STAT:QUES:COND?", True
Var=Ana.ReadNumber

Related Commands

:STAT:QUES:NTR

:STAT:QUES:PTR

See Status Register

Equivalent Softkey

No equivalent key is available on the front panel.

COM Command Syntax (Internal Control Only)

SCPI.STATUS.QUESTIONABLE.CONDITION


:STAT:QUES:ENAB

Type

Command/Query

Syntax

:STATus:QUEStionable:ENABle <Value>

:STATus:QUEStionable:ENABle?

Description

This command sets/gets the value of the Questionable Status Enable Register.

    • The bit 0 to 9 and bit 11 to 15 cannot be set to 1.

Variable

Parameter | Value
Description | Value of the Questionable Status Enable Register
Data Type | Numeric type (Integer)
Range | 0 to 65535
Preset Value | 0

Query Response

{numeric}<newline><^END>

Examples

Dim Var as Long
Var= 0
Ana.WriteString ":STAT:QUES:ENAB" & Str(Var), True
Ana.WriteString ":STAT:QUES:ENAB?", True
Var=Ana.ReadNumber

Related Commands

*SRE

See Status Register

Equivalent Softkey

No equivalent key is available on the front panel.

COM Command Syntax (Internal Control Only)

SCPI.STATUS.QUESTIONABLE.ENABLE


:STAT:QUES:LIM

Type

Query

Syntax

:STATus:QUEStionable:LIMit[:EVENt]?

Description

This command reads the value of the Questionable Limit Status Event Register.

Variable

Parameter | Value
Description | Value of the Questionable Limit Status Event Register
Data Type | Long integer type (Long)

Query Response

{numeric}<newline><^END>

Examples

Dim Var as Long
Ana.WriteString ":STAT:QUES:LIM?", True
Var=Ana.ReadNumber

Related Commands

*CLS

Equivalent Softkey

No equivalent key is available on the front panel.

COM Command Syntax (Internal Control Only)

SCPI.STATUS.QUESTIONABLE.LIMIT.EVENT


:STAT:QUES:LIM:CHAN

:STAT:QUES:LIM:CHAN<Ch>

Type

Query

Syntax

:STATus:QUEStionable:LIMit:CHANnel<Ch>[:EVENt]?

Description

This command reads the value of the Questionable Limit Channel Status Event Register.

Variable

Parameter | Value
Description | Value of the Questionable Limit Channel Status Event Register
Data Type | Long integer type (Long)

Query Response

{numerc}<newline><^END>

Examples

Dim Var as Long
Ana.WriteString ":STAT:QUES:LIM:CHAN1?", True
Var=Ana.ReadNumber

Related Commands

*CLS

Equivalent Softkey

No equivalent key is available on the front panel.

COM Command Syntax (Internal Control Only)

SCPI.STATUS.QUESTIONABLE.LIMIT.CHANNEL(Ch).EVENT


:STAT:QUES:LIM:CHAN:COND

:STAT:QUES:LIM:CHAN<Ch>:COND

Type

Query

Syntax

:STATus:QUEStionable:LIMit:CHANnel<Ch>:CONDition?

Description

This command reads the value of the Questionable Limit Channel Status Condition Register.

Variable

Parameter | Value
Description | Value of the Questionable Limit Channel Status Condition Register
Data Type | Long integer type (Long)

Query Response

{numeric}<newline><^END>

Examples

Dim Var as Long
Ana.WriteString ":STAT:QUES:LIM:CHAN1:COND?", True
Var=Ana.ReadNumber

Related Commands

:STAT:QUES:LIM:CHAN:NTR

:STAT:QUES:LIM:CHAN:PTR

Equivalent Softkey

No equivalent key is available on the front panel.

COM Command Syntax (Internal Control Only)

SCPI.STATUS.QUESTIONABLE.LIMIT.CHANNEL(Ch).CONDITION


:STAT:QUES:LIM:CHAN:ENAB

:STAT:QUES:LIM:CHAN<Ch>:ENAB

Type

Command/Query

Syntax

:STATus:QUEStionable:LIMit:CHANnel<Ch>:ENABle <Value>

:STATus:QUEStionable:LIMit:CHANnel<Ch>:ENABle?

Description

This command sets/gets the value of the Questionable Limit Channel Status Enable Register.

      • The bit 0, and bit 5 to 15 cannot be set to 1.

Variable

Parameter | Value
Description | Value of the Questionable Limit Channel Status Enable Register
Data Type | Numeric type (Integer)
Range | 0 to 65535
Preset Value | 0

Query Response

{numeric}<newline><^END>

Examples

Dim Var as Long
Var= 0
Ana.WriteString ":STAT:QUES:LIM:CHAN1:ENAB " & Str(Var), True
Ana.WriteString ":STAT:QUES:LIM:CHAN1:ENAB?", True
Var=Ana.ReadNumber

Related Commands

:STAT:QUES:LIM:ENAB

Equivalent Softkey

No equivalent key is available on the front panel.

COM Command Syntax (Internal Control Only)

SCPI.STATUS.QUESTIONABLE.LIMIT.CHANNEL(Ch).ENABLE


:STAT:QUES:LIM:CHAN:NTR

:STAT:QUES:LIM:CHAN<Ch>:NTR

Type

Command/Query

Syntax

:STATus:QUEStionable:LIMit:CHANnel<Ch>:NTRansition <Value>

:STATus:QUEStionable:LIMit:CHANnel<Ch>:NTRansition?

Description

This command sets/gets the value of the negative transition filter of the Questionable Limit Channel Status Register.

      • The bit 0, and bit 5 to 15 cannot be set to 1.

Variable

Parameter | Value
Description | Value of the negative transition filter
Data Type | Numeric type (Integer)
Range | 0 to 65535
Preset Value | 0

Query Response

{numeric}<newline><^END>

Examples

Dim Var as Long
Var= 0
Ana.WriteString ":STAT:QUES:LIM:CHAN1:NTR " & Str(Var), True
Ana.WriteString ":STAT:QUES:LIM:CHAN1:NTR?", True
Var=Ana.ReadNumber

Related Commands

:STAT:QUES:LIM:CHAN

:STAT:QUES:LIM:CHAN:PTR

Equivalent Softkey

No equivalent key is available on the front panel.

COM Command Syntax (Internal Control Only)

SCPI.STATUS.QUESTIONABLE.LIMIT.CHANNEL(Ch).NTRANSITION


:STAT:QUES:LIM:CHAN:PTR

:STAT:QUES:LIM:CHAN<Ch>:PTR

Type

Command/Query

Syntax

:STATus:QUEStionable:LIMit:CHANnel<Ch>:PTRansition <Value>

:STATus:QUEStionable:LIMit:CHANnel<Ch>:PTRansition?

Description

This command sets/gets the value of the positive transition filter of the Questionable Limit Channel Status Register .

      • The bit 0, and bit 5 to 15 cannot be set to 1.

Variable

Parameter | Value
Description | Value of the positive transition filter
Data Type | Numeric type (Integer)
Range | 0 to 65535
Preset Value | 30

Query Response

{numeric}<newline><^END>

Examples

Dim Var as Long
Var= 0
Ana.WriteString ":STAT:QUES:LIM:CHAN1:PTR " & Str(Var), True
Ana.WriteString ":STAT:QUES:LIM:CHAN1:PTR?", True
Var=Ana.ReadNumber

Related Commands

:STAT:QUES:LIM:CHAN

:STAT:QUES:LIM:CHAN:NTR

Equivalent Softkey

No equivalent key is available on the front panel.

COM Command Syntax (Internal Control Only)

SCPI.STATUS.QUESTIONABLE.LIMIT.CHANNEL(Ch).PTRANSITION


:STAT:QUES:LIM:COND

Type

Query

Syntax

:STATus:QUEStionable:LIMit:CONDition?

Description

This command reads the value of the Questionable Limit Status Condition Register.

Variable

Parameter | Value
Description | Value of the Questionable Limit Status Condition Register
Data Type | Long integer type (Long)

Query Response

{numeric}<newline><^END>

Examples

Dim Var as Long
Ana.WriteString ":STAT:QUES:LIM:COND?", True
Var=Ana.ReadNumber

Related Commands

:STAT:QUES:LIM:CHAN:NTR

:STAT:QUES:LIM:CHAN:PTR

Equivalent Softkey

No equivalent key is available on the front panel.

COM Command Syntax (Internal Control Only)

SCPI.STATUS.QUESTIONABLE.LIMIT.CONDITION


:STAT:QUES:LIM:ENAB

Type

Command/Query

Syntax

:STATus:QUEStionable:LIMit:ENABle <Value>

:STATus:QUEStionable:LIMit:ENABle?

Description

This command sets/gets the value of the Questionable Limit Status Enable Register.

      • The bit 0, and bit 5 to 15 cannot be set to 1.

Variable

Parameter | Value
Description | Value of the Questionable Limit Status Enable Register
Data Type | Numeric type (Integer)
Range | 0 to 65535
Preset Value | 0

Query Response

{numeric}<newline><^END>

Examples

Dim Var as Long
Var= 0
Ana.WriteString ":STAT:QUES:LIM:ENAB" & Str(Var), True
Ana.WriteString ":STAT:QUES:LIM:ENAB?", True
Var=Ana.ReadNumber

Related Commands

:STAT:QUES:ENAB

Equivalent Softkey

No equivalent key is available on the front panel.

COM Command Syntax (Internal Control Only)

SCPI.STATUS.QUESTIONABLE.LIMIT.ENABLE


:STAT:QUES:LIM:NTR

Type

Command/Query

Syntax

:STATus:QUEStionable:LIMit:NTRansition <Value>

:STATus:QUEStionable:LIMit:NTRansition?

Description

This command sets/gets the value of the negative transition filter of the Questionable Limit Status Register.

      • The bit 0, and bit 5 to 15 cannot be set to 1.

Variable

Parameter | Value
Description | Value of the negative transition filter
Data Type | Numeric type (Integer)
Range | 0 to 65535
Preset Value | 0

Query Response

{numeric}<newline><^END>

Examples

Dim Var as Long
Var= 0
Ana.WriteString ":STAT:QUES:LIM:NTR " & Str(Var), True
Ana.WriteString ":STAT:QUES:LIM:NTR?", True
Var=Ana.ReadNumber

Related Commands

:STAT:QUES:LIM

:STAT:QUES:LIM:PTR

Equivalent Softkey

No equivalent key is available on the front panel.

COM Command Syntax (Internal Control Only)

SCPI.STATUS.QUESTIONABLE.LIMIT.NTRANSITION


:STAT:QUES:LIM:PTR

Type

Command/Query

Syntax

:STATus:QUEStionable:LIMit:PTRansition <Value>

:STATus:QUEStionable:LIMit:PTRansition?

Description

This command sets/gets the value of positive transition filter of the Questionable Limit Status Register.

      • The bit 0, and bit 5 to 15 cannot be set to 1.

Variable

Parameter | Value
Description | Value of the positive transition filter
Data Type | Numeric type (Integer)
Range | 0 to 65535
Preset Value | 30

Query Response

{numeric}<newline><^END>

Examples

Dim Var as Long
Var= 0
Ana.WriteString ":STAT:QUES:LIM:PTR " & Str(Var), True
Ana.WriteString ":STAT:QUES:LIM:PTR?", True
Var=Ana.ReadNumber

Related Commands

:STAT:QUES:LIM

:STAT:QUES:LIM:NTR

Equivalent Softkey

No equivalent key is available on the front panel.

COM Command Syntax (Internal Control Only)

SCPI.STATUS.QUESTIONABLE.LIMIT.PTRANSITION


:STAT:QUES:NTR

Type

Command/Query

Syntax

:STATus:QUEStionable:NTRansition <Value>

:STATus:QUEStionable:NTRansition?

Description

This command sets/gets the value of negative transition filter of the Questionable Status Register.

    • The bit 0 to 9 and bit 11 to 15 cannot be set to 1.

Variable

Parameter | Value
Description | Value of the negative transition filter
Data Type | Numeric type (Integer)
Range | 0 to 65535
Preset Value | 0

Query Response

{numeric}<newline><^END>

Examples

Dim Var as Long
Var= 0
Ana.WriteString ":STAT:QUES:NTR " & Str(Var), True
Ana.WriteString ":STAT:QUES:NTR?", True
Var=Ana.ReadNumber

Related Commands

:STAT:QUES

:STAT:QUES:PTR

See Status Register

Equivalent Softkey

No equivalent key is available on the front panel.

COM Command Syntax (Internal Control Only)

SCPI.STATUS.QUESTIONABLE.NTRANSITION


:STAT:QUES:PTR

Type

Command/Query

Syntax

:STATus:QUEStionable:PTRansition <Value>

:STATus:QUEStionable:PTRansition?

Description

This command sets/gets the value of the positive transition filter of the Questionable Status Register.

    • The bit 0 to 9 and bit 11 to 15 cannot be set to 1.

Variable

Parameter | Value
Description | Value of positive transition filter
Data Type | Numeric type (Integer)
Range | 0 to 65535
Preset Value | 1024

Query Response

{numeric}<newline><^END>

Examples

Dim Var as Long
Var= 0
Ana.WriteString ":STAT:QUES:PTR " & Str(Var), True
Ana.WriteString ":STAT:QUES:PTR?", True
Var=Ana.ReadNumber

Related Commands

:STAT:QUES

:STAT:QUES:NTR

See Status Register

Equivalent Softkey

No equivalent key is available on the front panel.

COM Command Syntax (Internal Control Only)

SCPI.STATUS.QUESTIONABLE.PTRANSITION


:SYST:ADAP:SET:CLE

Type

Command

Syntax

:SYSTem:ADAPter:SETup:CLEar

Description

This command clears the adapter setup data of current adapter.

Examples

Ana.WriteString ":SYST:ADAP:SET:CLE", True

Related Commands

Equivalent Softkey

No equivalent key is available on the front panel.

COM Command Syntax (Internal Control Only)

SCPI.SYSTEM.ADAPTER.SETUP.CLEAR


:SYST:BACK

Type

Command/Query

Syntax

:SYSTem:BACKlight {ON|OFF|1|0}

:SYSTem:BACKlight?

Description

This command turns ON/OFF or return the status of the backlight of the LCD display.

      • When the backlight is OFF, you cannot read the information on the display.

Variable

Parameter | Selection Option
Description | ON/OFF of the backlight
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | ON

Query Response

{1|0}<newline><^END>

Examples

Dim Var as Integer
Ana.WriteString ":SYST:BACK ON", True
Ana.WriteString ":SYST:BACK?", True
Var=Ana.ReadNumber

Equivalent Softkey

System > Backlight

COM Command Syntax (Internal Control Only)

SCPI.SYSTEM.BACKLIGHT


:SYST:BEEP:COMP:IMM

Type

Command

Syntax

:SYSTem:BEEPer:COMPlete:IMMediate

Description

This command sounds a beep for the notification of completion.

Examples

Ana.WriteString ":SYST:BEEP:COMP:IMM", True

Related Commands

:SYST:BEEP:COMP:STAT

:SYST:BEEP:WARN:IMM

Equivalent Softkey

System > Misc Setup > Beeper > Test Beep Complete

COM Command Syntax (Internal Control Only)

SCPI.SYSTEM.BEEPER.COMPLETE.IMMEDIATE


:SYST:BEEP:COMP:STAT

Type

Command/Query

Syntax

:SYSTem:BEEPer:COMPlete:STATe {ON|OFF|1|0}

:SYSTem:BEEPer:COMPlete:STATe?

Description

This command turns ON/OFF or returns the status of the beeper for the notification of the completion of the operation.

Variable

Parameter | Selection Option
Description | ON/OFF of the beeper for the notification of the completion of the operation
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | ON

Query Response

{1|0}<newline><^END>

Examples

Dim Var as Long
Ana.WriteString ":SYST:BEEP:COMP:STAT ON", True
Ana.WriteString ":SYST:BEEP:COMP:STAT?", True
Var=Ana.ReadNumber

Related Commands

:SYST:BEEP:COMP:IMM

:SYST:BEEP:WARN:STAT

Equivalent Softkey

System > Misc Setup > Beeper > Beep Complete

COM Command Syntax (Internal Control Only)

SCPI.SYSTEM.BEEPER.COMPLETE.STATE


:SYST:BEEP:WARN:IMM

Type

Command

Syntax

:SYSTem:BEEPer:WARNing:IMMediate

Description

This command sounds a beep for the notification of warning/limit test results.

Examples

Ana.WriteString ":SYST:BEEP:WARN:IMM", True

Related Commands

:SYST:BEEP:WARN:STAT

:SYST:BEEP:COMP:IMM

Equivalent Softkey

System > Misc Setup > Beeper > Test Beep Warning

COM Command Syntax (Internal Control Only)

SCPI.SYSTEM.BEEPER.WARNING.IMMEDIATE


:SYST:BEEP:WARN:STAT

Type

Command/Query

Syntax

:SYSTem:BEEPer:WARNing:STATe {ON|OFF|1|0}

:SYSTem:BEEPer:WARNing:STATe?

Description

This command turns ON/OFF or return the status of the beeper for the notification of warning/limit test results.

Variable

Parameter | Selection Option
Description | ON/OFF of the beeper for the notification of warning/limit test result
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | ON

Query Response

{1|0}<newline><^END>

Examples

Dim Var as Long
Ana.WriteString ":SYST:BEEP:WARN:STAT ON", True
Ana.WriteString ":SYST:BEEP:WARN:STAT?", True
Var=Ana.ReadNumber

Related Commands

:SYST:BEEP:WARN:IMM

:SYST:BEEP:COMP:STAT

Equivalent Softkey

System > Misc Setup > Beeper > Beep Warning

COM Command Syntax (Internal Control Only)

SCPI.SYSTEM.BEEPER.WARNING.STATE


:SYST:COMM:LAN:CONT

Type

Query

Syntax

:SYSTem:COMMunicate:LAN:CONTrol?

Description

This command gets control port number of socket connection.

Variable

Parameter | Long
Description | Control port number of socket
Data Type | Long integer type (Long)

Query Response

{numeric}<newline><^END>

Socket connection control port number

Examples

Dim Var as Long
Ana.WriteString ":SYST:COMM:LAN:CONT?", True
Var=Ana.ReadNumber

Equivalent Softkey

No equivalent key is available on the front panel.

COM Command Syntax (Internal Control Only)

SCPI.SYSTEM.COMMUNICATE.LAN.CONTROL


:SYST:DATE

Type

Command/Query

Syntax

:SYSTem:DATE <Value1>, <Value2>, <Value3>

:SYSTem:DATE?

Description

This command sets/gets the date of the clock built in the E4990A. When you logged in the E4990A as standard user, an error occurs.

Variable

Parameter | Value1
Description | Year
Data Type | Numeric type (Integer)
Range | 2001 ~ 2099
Resolution | 1

Parameter | Value2
Description | Month
Data Type | Numeric type (Integer)
Range | 1 to 12
Resolution | 1

Parameter | Value3
Description | Date
Data Type | Numeric type (Integer)
Range | 1 to 31
Resolution | 1

Query Response

{numeric1(year)}, {numerc2(month}, {numerc3(date)}<newline><^END>

Examples

Dim Var as Variant
Ana.WriteString ":SYST:DATE 2013,1,10", True
Ana.WriteString ":SYST:DATE?", True
Var=Ana.ReadList

Related Commands

:SYST:TIME

Equivalent Softkey

System > Misc Setup > Clock Setup > Set Data and Time...

COM Command Syntax (Internal Control Only)

SCPI.SYSTEM.DATE


:SYST:ERR

Type

Query

Syntax

:SYSTem:ERRor?

Description

This command reads the oldest error from the list of errors stored in the error queue of the E4990A. The read-out error is deleted from the error queue. The size of the error queue is 100.

Executing *CLS command clears the errors stored in the error queue.

This object can not return an error that occurs by the manual operation or the SCPI command used in controlling the E4990A from the external con-troller.

Query Response

{numeric (error number)}, {String (error message)}<newline><^END>

If no error is stored in the error queue, 0 and "No error" are read out as the error number and the error message.

Examples

Dim Var As Variant, ErrNo As Long, ErrDesc As String
Ana.WriteString ":SYST:ERR?", True
Var = Ana.ReadList
ErrNo = Var(0)
ErrDesc = Var(1)

Related Commands

*CLS

Equivalent Softkey

No equivalent key is available on the front panel.

COM Command Syntax (Internal Control Only)

SCPI.SYSTEM.ERROR


:SYST:KLOC:KBD

Type

Command/Query

Syntax

:SYSTem:KLOCk:KBD {ON|OFF|1|0}

:SYSTem:KLOCk:KBD?

Description

This command sets/gets whether to lock the operation of the front panel (key and rotary knob) and keyboard.

Variable

Parameter | Selection Option
Description | ON/OFF of lock
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | OFF

Query Response

{1|0}<newline><^END>

Examples

Dim Var as Integer
Ana.WriteString ":SYST:KLOC:KBD ON", True
Ana.WriteString ":SYST:KLOC:KBD?", True
Var=Ana.ReadNumber

Related Commands

:SYST:KLOC:MOUS

Equivalent Softkey

System > Misc Setup > Key Lock > Front Panel & Keyboard Lock

COM Command Syntax (Internal Control Only)

SCPI.SYSTEM.KLOCK.KBD


:SYST:KLOC:MOUS

Type

Command/Query

Syntax

:SYSTem:KLOCk:MOUSe {ON|OFF|1|0}

:SYSTem:KLOCk:MOUSe?

Description

This command sets/gets whether to lock the operation of the mouse and touch screen.

Variable

Parameter | Selection Option
Description | ON/OFF of lock
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | OFF

Query Response

{1|0}<newline><^END>

Examples

Dim Var as Integer
Ana.WriteString ":SYST:KLOC:MOUS ON", True
Ana.WriteString ":SYST:KLOC:MOUS?", True
Var=Ana.ReadNumber

Related Commands

:SYST:KLOC:KBD

Equivalent Softkey

System > Misc Setup > Key Lock > Touch Screen & Mouse Lock

COM Command Syntax (Internal Control Only)

SCPI.SYSTEM.KLOCK.MOUSE


:SYST:POFF

Type

Command

Syntax

:SYSTem:POFF

Description

This command turns OFF the E4990A.

Examples

Ana.WriteString ":SYST:POFF", True

Equivalent Softkey

No equivalent key is available on the front panel.

COM Command Syntax (Internal Control Only)

SCPI.SYSTEM.POFF


:SYST:PRES

Type

Command

Syntax

:SYSTem:PRESet

Description

This command presets the setting state of the E4990A to the original factory setting (Default Conditions). This command is different from *RST as the continuous startup mode (:INIT:CONT) of channel 1 is set to ON.

Examples

Ana.WriteString ":SYST:PRES", True

Related Commands

*RST

:SYST:UPR

Equivalent Softkey

Preset (When System > Misc Setup > Preset Setup > State > Factory is selected.)

COM Command Syntax (Internal Control Only)

SCPI.SYSTEM.PRESET


:SYST:SEC

Type

Command/Query

Syntax

:SYSTem:SECurity[:LEVel] {NONE|LOW|HIGH}

:SYSTem:SECurity[:LEVel]?

Description

This command sets/gets security level for frequency blanking. Once it becomes HIGH, it cannot be changed.

Variable

Parameter | Selection Option
Description | The security level
Data Type | Character string type (String)
Range | NONE|LOW|HIGH
Preset Value | NONE

Query Response

{NONE|LOW|HIGH}<newline><^END>

Examples

Dim Var as String
Var= "NONE"
Ana.WriteString ":SYST:SEC " & Var, True
Ana.WriteString ":SYST:SEC?", True
Var=Ana.ReadString

Equivalent Softkey

System > Service Menu > Security Level

COM Command Syntax (Internal Control Only)

SCPI.SYSTEM.SECURITY.LEVEL


:SYST:SERV

Type

Query

Syntax

:SYSTem:SERVice?

Description

This command reads whether the E4990A is in the service mode or not.

Query Response

{1|0}<newline><^END>

Examples

Dim Var as Long
Ana.WriteString ":SYST:SERV?", True
Var=Ana.ReadNumber

Equivalent Softkey

Displayed on the instrument status bar (at the bottom of the LCD display).

COM Command Syntax (Internal Control Only)

SCPI.SYSTEM.SERVICE


:SYST:SET

Type

Command

Syntax

:SYSTem:SET <Value>

Description

This command recalls the state of the instrument when the *LRN? query is executed. The contents to be recalled depends on the contents of the block data.

If the block data contains trace state, the trigger source (:TRIG:SOUR) becomes "MANual". The result of *LRN? query contains ":SYSTem:SET " prefix. Hence, the *LRN? simply executes this command.

This command requires instrument settings by binary block data (same as Save/Recall state file contents).

Variable

Parameter | Value
Description | Command Setup
Data Type | Binary Type

Examples

Dim SETData() As Byte, NoofByte As Double

'*** Recall the State data from the file, State01.sta is a state file saved by E4990A

Open "C:\State01.sta" For Binary As #1

NoofByte = LOF(1)

ReDim SETData(NoofByte)

Get #1, , SETData()

Close

'*** Send the State file data to E4990A

Ana.WriteIEEEBlock ":SYST:SET ", SETData, True

Related Commands

*LRN

Equivalent Softkey

No equivalent key is available on the front panel.

COM Command Syntax (Internal Control Only)

SCPI.SYSTEM.SET


:SYST:TIME

Type

Command/Query

Syntax

:SYSTem:TIME <Value1>, <Value2>, <Value3>

:SYSTem:TIME?

Description

This command sets/gets the time of the clock built in the E4990A. When you logged in the E4990A as standard user, an error occurs.

Variable

Parameter | Value1
Description | hour
Data Type | Numeric type (Integer)
Range | 0 to 23
Resolution | 1

Parameter | Value2
Description | Minute
Data Type | Numeric type (Integer)
Range | 0 to 59
Resolution | 1

Parameter | Value3
Description | Second
Data Type | Numeric type (Integer)
Range | 0 to 59
Resolution | 1

Query Response

{numeric1(hour)}, {numerc2(minute)}, {numerc3(second)}<newline><^END>

Examples

Dim Var as Variant
Ana.WriteString ":SYST:TIME 10,10, 20", True
Ana.WriteString ":SYST:TIME?", True
Var=Ana.ReadList

Related Commands

:SYST:DATE

Equivalent Softkey

System > Misc Setup > Clock Setup > Set Data and Time...

COM Command Syntax (Internal Control Only)

SCPI.SYSTEM.TIME


:SYST:UPR

Type

Command

Syntax

:SYSTem:UPReset

Description

This command presets the E4990A with the user settings. The command is executed regardless of the operation mode in preset state.

If you try to specify a file for a preset (D:\UserPreset.sta) that does not exist, a warning message will be displayed and :SYST:PRES will be executed.

Examples

Ana.WriteString ":SYST:UPR", True

Related Commands

*RST

:SYST:PRES

Equivalent Softkey

Preset (When System > Misc Setup > Preset Setup > State > User is selected.)

COM Command Syntax (Internal Control Only)

SCPI.SYSTEM.UPRESET


:TRIG:AVER

Type

Command/Query

Syntax

:TRIGger[:SEQuence]:AVERage {ON|OFF|1|0}

:TRIGger[:SEQuence]:AVERage?

Description

This command turns ON/OFF or gets the status of the averaging trigger function.

      • The sweep averaging feature must be set to ON when turning on the averaging trigger feature.

Variable

Parameter | Selection Option
Description | ON/OFF status of the averaging trigger
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | OFF

Query Response

{1|0}<newline><^END>

Examples

Dim Var as Boolean
Var= 1
Ana.WriteString ":TRIG:AVER " & Str(Var), True
Ana.WriteString ":TRIG:AVER?", True
Var=Ana.ReadNumber

Related Commands

:TRIG

Equivalent Softkey

Average > Avg Trigger

COM Command Syntax (Internal Control Only)

SCPI.TRIGGER.SEQUENCE.AVERAGE


:TRIG

Type

Command

Syntax

:TRIGger[:SEQuence][:IMMediate]

Description

This command generates a trigger immediately and executes a measurement, regardless of the setting of the trigger mode.

This command is different from :TRIG:SING as the execution of the object finishes at the time of a trigger.

      • If you execute this object when the trigger system is not in the trigger wait state (trigger event detection state), an error occurs when executed and the object is ignored.

Examples

Ana.WriteString ":TRIG", True

Related Commands

:TRIG:SOUR

:TRIG:SING

*TRG

Equivalent Softkey

Trigger > Trigger (This is for manual trigger.)

COM Command Syntax (Internal Control Only)

SCPI.TRIGGER.SEQUENCE.IMMEDIATE


:TRIG:POIN

Type

Command/Query

Syntax

:TRIGger[:SEQuence]:POINt {ON|OFF|1|0}

:TRIGger[:SEQuence]:POINt?

Description

This command turns ON/OFF or returns the status of the point trigger feature.

      • When the trigger source is set to the internal trigger (Internal), the setting is ignored.

Variable

Parameter | Selection Option
Description | Turns ON/OFF the point trigger
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | OFF

Query Response

{1|0}<newline><^END>

Examples

Dim Var as Boolean
Var= 1
Ana.WriteString ":TRIG:POIN " & Str(Var), True
Ana.WriteString ":TRIG:POIN?", True
Var=Ana.ReadNumber

Related Commands

:TRIG:SOUR

Equivalent Softkey

Trigger > Trigger Event

COM Command Syntax (Internal Control Only)

SCPI.TRIGGER.SEQUENCE.POINT


:TRIG:EXT:DEL

Type

Command/Query

Syntax

:TRIGger[:SEQuence]:EXTernal:DELay <Value>

:TRIGger[:SEQuence]:EXTernal:DELay?

Description

This command sets/gets the time that it takes from receiving the trigger to starting measurement when the trigger source is external.

Variable

Parameter | Value
Description | External trigger delay time
Data Type | Numeric type (Real)
Range | 0 to 10
Preset Value | 0
Unit | s
Resolution | 10u

Query Response

{0 ~ 10}<newline><^END>

Examples

Dim Var as Double
Var= 0
Ana.WriteString ":TRIG:EXT:DEL" & Str(Var), True
Ana.WriteString ":TRIG:EXT:DEL?", True
Var=Ana.ReadNumber

Related Commands

:TRIG:POIN

Equivalent Softkey

Trigger > Trigger Delay

COM Command Syntax (Internal Control Only)

SCPI.TRIGGER.SEQUENCE.EXTERNAL.DELAY


:TRIG:EXT:SLOP

Type

Command/Query

Syntax

:TRIGger[:SEQuence]:EXTernal:SLOPe {POSitive|NEGative}

:TRIGger[:SEQuence]:EXTernal:SLOPe?

Description

This command sets/gets the polarity of external trigger input.

Variable

Parameter | Selection Option
Description | Polarity of the external input trigger.
Data Type | Character string type (String)
Range | POSitive|NEGative
Preset Value | NEGative

Query Response

{POS|NEG}<newline><^END>

Examples

Dim Var as String
Var= "POSitive"
Ana.WriteString ":TRIG:EXT:SLOP " & Var, True
Ana.WriteString ":TRIG:EXT:SLOP?", True
Var=Ana.ReadString

Related Commands

:TRIG:EXT:DEL

Equivalent Softkey

Trigger > Ext Trig Input

COM Command Syntax (Internal Control Only)

SCPI.TRIGGER.SEQUENCE.EXTERNAL.SLOPE


:TRIG:SOUR

Type

Command/Query

Syntax

:TRIGger[:SEQuence]:SOURce {INTernal|EXTernal|MANual|BUS}

:TRIGger[:SEQuence]:SOURce?

Description

This command sets/gets the trigger source from the following 4 types:

  • Internal Trigger: Uses the internal trigger to generate continuous triggers automatically.

  • External Trigger: Generates a trigger when the trigger signal is inputted externally via the Ext Trig connector or the handler interface.

  • Manual Trigger: Generates a trigger when the key operation of Trigger > Trigger is executed from the front panel.

  • Bus Trigger: Generates a trigger when the *TRG is executed.

    • When you change the trigger source during sweep, the sweep is aborted.

Variable

Parameter | Selection Option
Description | Trigger source
Data Type | Character string type (String)
Range | INTernal|EXTernal|MANual|BUS
Preset Value | INTernal

Query Response

{INT|EXT|MAN|BUS}<newline><^END>

Examples

Dim Var as String
Var= "BUS"
Ana.WriteString ":TRIG:SOUR " & Var, True
Ana.WriteString ":TRIG:SOUR?", True
Var=Ana.ReadString

Related Commands

:TRIG

:TRIG:SING

Equivalent Softkey

Trigger > Trigger Source

COM Command Syntax (Internal Control Only)

SCPI.TRIGGER.SEQUENCE.SOURCE


:TRIG:SCOP

Type

Command/Query

Syntax

:TRIGger[:SEQuence]:SCOPe {ALL|ACTive}

:TRIGger[:SEQuence]:SCOPe?

Description

This command sets/gets the effective scope of triggering. When this function is enabled with a value of "ACTive", only active channel is triggered. When this function is enabled with a value of "ALL", all channels of the E4990A are triggered.

For example, if TRIGger.SCOPe value is "ACTive" when :INIT:CONT command is turned ON for all channels, a measurement channel will automatically be changed by switching over the active channel.

Variable

Parameter | Selection Option
Description | Trigger source
Data Type | Character string type (String)
Range | ALL|ACTive
Preset Value | ALL
Unit | -
Resolution | -

Query Response

{ALL|ACT}<newline><^END>

Examples

Dim Var as String
Var= "ALL"
Ana.WriteString ":TRIG:SCOP" & Var, True
Ana.WriteString ":TRIG:SCOP?", True
Var=Ana.ReadString

Equivalent Softkey

Trigger > Trigger Scope

COM Command Syntax (Internal Control Only)

SCPI.TRIGGER.SEQUENCE.SCOPE


:TRIG:SING

Type

Command

Syntax

:TRIGger[:SEQuence]:SINGle

Description

This command generates a trigger immediately and executes a measurement, regardless of the setting of the trigger mode.

This command is different from :TRIG as the execution of the object finishes when the measurement (all of the sweep) initiated with this object is complete. In other words, you can wait for the end of the measurement using the *OPC object.

If you execute this object when the trigger system is not in the trigger wait state (trigger event detection state), an error occurs when executed and the object is ignored.

Examples

Dim Var as Integer

Ana.WriteString ":TRIG:SOUR BUS", True

Ana.WriteString ":INIT1:CONT ON", True

Ana.WriteString ":TRIG:SING", True

Ana.WriteString "*OPC?", True

Var=Ana.ReadNumber

Related Commands

:TRIG

*OPC

Equivalent Softkey

No equivalent key is available on the front panel.

COM Command Syntax (Internal Control Only)

SCPI.TRIGGER.SEQUENCE.SINGLE


Peak softkey

Sofkey | Function
Search Peak | Executes peak search.
Search Left | Executes left search.
Search Right | Executes right search.


marker

Softkey | Function
Marker 1 | Turns on marker 1 and activates marker 1.
Marker 2 | Turns on marker 2 and activates marker 2.
Marker 3 | Turns on marker 3 and activates marker 3.
Marker 4 | Turns on marker 4 and activates marker 4.
More Markers > Marker 5 | Turns on marker 5 and activates marker 5.
More Markers > Marker 6 | Turns on marker 6 and activates marker 6.
More Markers > Marker 7 | Turns on marker 7 and activates marker 7.
More Markers > Marker 8 | Turns on marker 8 and activates marker 8.
More Markers > Marker 9 | Turns on marker 9 and activates marker 9.
Ref Marker | Turns on the reference marker and activates reference marker.


marker stimulus value

The value in the entry area can be changed by one of the following methods.

Enter a numeric value using the ENTRY Block key on the front panel.

Turn the rotary knob on the front panel.

Press the up or down arrow key on the front panel.

Using the mouse, click one of the buttons on the right side of the entry area.

To change the value in the entry area, the figure in the box should be highlighted. If the figure is not highlighted, press the softkey for the marker you are using (marker 1 to marker 9, Ref Marker) or Foc to highlight the figure.

You can move the marker by dragging and dropping either one of the marker position pointers above and below the graph (pressing the button on the object to be moved and releasing the button on the destination). In rectangular display format, you can move a marker itself by dragging and dropping it.


Max/Min softkey

Softkey | Function
Max | Performs a search for the maximum value.
Min | Performs a search for the minimum value.


options

Softkey | Function
All OFF | Turns off all the markers on active trace.
Marker 1 to 9 | Turns off Marker N (N=1 to 9, depending upon the user choice) on the active trace.
Ref Marker | Turns off reference markers on active trace.


peak polarity

Softkey | Function
Positive | Selects Positive as peak polarity.
Negative | Selects Negative as peak polarity.
Both | Selects Both Positive and Negative as peak polarity.


softkey

Softkey | Function
State Only | Selects saving the state of the E4990A only.
State & Cal | Selects saving the state and calibration data of the E4990A.
State & Trace | Selects saving the state and traces of the E4990A.
All | Selects saving, calibration data, and traces of the E4990A.


To Open Control Panel

The following procedure makes Windows control panel open.

  • In Windows, click Start, then click Control Panel, OR

  • In E4990A, press System > Misc Setup > Control Panel.


transition type

Softkey | Function
Positive | Selects Positive as transition type.
Negative | Selects Negative as transition type.
Both | Selects Both Positive and Negative as transition type.


Command Finder (Analysis)

Softkey under Analysis key |  |  | SCPI command
Limit Test
Limit Test |  |  | :CALC:LIM
Limit Line |  |  | :CALC:LIM:DISP
Clip Lines |  |  | :CALC:LIM:DISP:CLIP
Edit Limit Line | Delete |  | :CALC:LIM:DATA
 | Add |  | :CALC:LIM:DATA
 | Clear Limit Table | OK | :CALC:LIM:DATA
 | Export to CSV File |  | :MMEM:STOR:LIM
 | Import from CSV File |  | :MMEM:LOAD:LIM
Limit Line Offsets | Stimulus Offset |  | :CALC:LIM:OFFS:STIM
 | Amplitude Offset |  | :CALC:LIM:OFFS:AMPL
 | Marker -> Amplitude Offset |  | :CALC:LIM:OFFS:MARK
Fail Sign |  |  | :DISP:FSIG
Equivalent Circuit
Select Circuit |  |  | :CALC:EPAR:CIRC
Calculate |  |  | :CALC:EPAR
R1 |  |  | :CALC:EPAR:CIRC:{A|B|C|D|E|F|G}:R1
C1 |  |  | :CALC:EPAR:CIRC:{A|B|C|D|E|F|G}:C1
L1 |  |  | :CALC:EPAR:CIRC:{A|B|C|D|E|F|G}:L1
C0 |  |  | :CALC:EPAR:CIRC:E:C0
R0 |  |  | :CALC:EPAR:CIRC:{F|G}:R0
Simulate |  |  | :CALC:EPAR:SIM
Display |  |  | :CALC:EPAR:DISP
Export to TXT File |  |  | :MMEM:STOR:EPAR


Command Finder (Average)

Softkey under Avg key | SCPI command
Meas Time | :SENS:APER
Averaging Restart | :CALC:AVER:CLE
Avg Factor | :CALC:AVER:COUN
Averaging | :CALC:AVER
Avg Trigger | :TRIG:AVER
Point Avg Factor | :SENS:AVER:COUN
Point Avg | :SENS:AVER


Command Finder (Calibration)

Softkey under Cal key |  |  |  | SCPI command
Cal Compen |  |  |  | :SENS:CORR:STAT
Adapter |  |  |  | :SENS:ADAP
Adapter Setup |  |  |  | None
 | Phase |  |  | :SENS:ADAP:CORR:COLL
 | Save Phase |  |  | :SENS:ADAP:CORR:COLL:SAVE
 | Open |  |  | :SENS:ADAP:CORR:COLL
 | Short |  |  | :SENS:ADAP:CORR:COLL
 | Load |  |  | :SENS:ADAP:CORR:COLL
 | Save Impedance |  |  | :SENS:ADAP:CORR:COLL:SAVE
 | E4990-61001 |  |  | :SENS:ADAP:CORR:COLL
 | Cancel |  |  | None
User Cal | Correction |  |  | :SENS:CORR:STAT
 | Execute Cal | Open |  | :SENS:CORR:COLL:ACQ:OPEN
 |  | Load |  | :SENS:CORR:COLL:ACQ:LOAD
 |  | Short |  | :SENS:CORR:COLL:ACQ:SHOR
 |  | Done |  | :SENS:CORR:COLL:SAVE
 |  | Cancel | OK | :SENS:CORR:COLL:CLE
Port Extension | Extension | ON|OFF |  | :SENS:CORR:EDEL:STAT
 | Extension (Time) |  |  | :SENS:CORR:EDEL:TIME
 | Extension (Length) |  |  | :SENS:CORR:EDEL:LENG
Fixture Compen | Open |  |  | :SENS:CORR:OPEN
 | Short |  |  | :SENS:CORR:SHOR
 | Load |  |  | :SENS:CORR:LOAD
 | Define Value | Open Conduct |  | :SENS:CORR:CKIT:OPEN:G
 |  | Open Cap |  | :SENS:CORR:CKIT:OPEN:C
 |  | Open Model | Equivalent Circuit | f-Z Table | :SENS:CORR:CKIT:OPEN:MOD
 |  | Short Resist |  | :SENS:CORR:CKIT:SHOR:R
 |  | Short Induct |  | :SENS:CORR:CKIT:SHOR:L
 |  | Short Model | Equivalent Circuit | f-Z Table | :SENS:CORR:CKIT:SHOR:MOD
 |  | Load Resist |  | :SENS:CORR:CKIT:LOAD:R
 |  | Load Induct |  | :SENS:CORR:CKIT:LOAD:L
 |  | Load Cap |  | :SENS:CORR:CKIT:LOAD:C
 |  | Load Model | Equivalent Circuit | f-Z Table | :SENS:CORR:CKIT:LOAD:MOD
Compen Point | Fixed freq | User freq |  |  | :SENS:CORR:COLL:FPO


Command Finder (Display)

Softkey under Display key |  | SCPI command
Allocate Channels | Various keys to screen separation | :DISP:SPL
Number of Traces | 1 | :CALC:PAR:COUN 1
 | 2 | :CALC:PAR:COUN 2
 | 3 | :CALC:PAR:COUN 3
 | 4 | :CALC:PAR:COUN 4
Allocate Traces | Various keys to screen separation | :DISP:WIND:SPL
Display | Data | :DISP:WIND:TRAC:STAT
 | Mem | :DISP:WIND:TRAC:MEM
 | Data & Mem | :DISP:WIND:TRAC:MEM :DISP:WIND:TRAC:STAT
 | OFF | :DISP:WIND:TRAC:MEM :DISP:WIND:TRAC:STAT
Data -> Mem |  | :CALC:MATH:MEM
Data Math | OFF | :CALC:MATH:FUNC NORM
 | Data / Mem | :CALC:MATH:FUNC DIV
 | Data * Mem | :CALC:MATH:FUNC MULT
 | Data - Mem | :CALC:MATH:FUNC SUBT
 | Data + Mem | :CALC:MATH:FUNC ADD
Data Math Offset |  | :CALC:MATH:OFFS
Equation Editor... |  | :CALC:EQU:TEXT :CALC:EQU:VAL
Equation |  | :CALC:EQU:STAT
Edit Title Label |  | :DISP:WIND:TITL:DATA
Title Label |  | :DISP:WIND:TITL
Graticule Label |  | :DISP:WIND:LAB
Invert Color |  | :DISP:IMAG
Frequency |  | :DISP:ANN:FREQ
Update |  | :DISP:ENAB
Minimize E4990A |  | -
E4990A Title bar | ON/OFF | -


Command Finder (Format)

Softkey under Format key | SCPI command
Y-Axis | :DISP:WIND:TRAC:ACC
Phase Unit | :CALC:UNIT:ANGL
Complex Format | :CALC:FORM:TWOD
Expand Phase | :CALC:FORM:EPH


Command Finder (Instr Setup)

Softkey under Instr Setup key |  |  | SCPI command
Accessory |  |  | None
Adapter |  |  | :SENS:ADAP
Adapter Setup |  |  | None
 | Phase |  | :SENS:ADAP:CORR:COLL
 | Save Phase |  | :SENS:ADAP:CORR:COLL:SAVE
 | Open |  | :SENS:ADAP:CORR:COLL
 | Short |  | :SENS:ADAP:CORR:COLL
 | Load |  | :SENS:ADAP:CORR:COLL
 | Save Impedance |  | :SENS:ADAP:CORR:COLL:SAVE
 | E4990-61001 |  | :SENS:ADAP:CORR:COLL
 | Cancel |  | None
Trace 1&2 |  |  | :CALC:PAR:SEL :CALC:PAR1:DEF :CALC:PAR2:DEF
Trace 3&4 |  |  | :CALC:PAR:SEL :CALC:PAR3:DEF :CALC:PAR4:DEF
Sweep Type |  |  | :SENS:SWE:TYPE
Start |  |  | :SENS:FREQ:STAR
Stop |  |  | :SENS:FREQ:STOP
Points |  |  | :SENS:SWE:POIN
Meas Time |  |  | :SENS:APER
Fixture Compen |  |  | None
 | Open |  | :SENS:CORR:OPEN
 | Short |  | :SENS:CORR:SHOR
 | Load |  | :SENS:CORR:LOAD
 | Define Value |  | None
 |  | Open Conduct | :SENS:CORR:CKIT:OPEN:G
 |  | Open Cap | :SENS:CORR:CKIT:OPEN:C
 |  | Open Model | :SENS:CORR:CKIT:OPEN:MOD
 |  | Short Resist | :SENS:CORR:CKIT:SHOR:R
 |  | Short Induct | :SENS:CORR:CKIT:SHOR:L
 |  | Short Model | :SENS:CORR:CKIT:SHOR:MOD
 |  | Load Resist | :SENS:CORR:CKIT:LOAD:R
 |  | Load Induct | :SENS:CORR:CKIT:LOAD:L
 |  | Load Cap | :SENS:CORR:CKIT:LOAD:C
 |  | Load Model | :SENS:CORR:CKIT:LOAD:MOD
Trigger |  |  | :TRIG
Y-Axis |  |  | :DISP:WIND:TRAC:ACC
Auto Scale All |  |  | None


Instruction

Command Finder helps you to find the command easily. Click the hardkey above to show the equivalent command list for softkeys.


Command Finder (Macro Setup)

Softkey under Macro Setup key | SCPI command
Macro Setup | None
Echo Window | :DISP:TABL :DISP:TABL:TYPE ECHO :DISP:ECHO
Clear Echo | :DISP:ECHO:CLE
Continue | None
User Menu | None
Preset User Menu | None


Command Finder (Marker)

Softkey under Marker key |  | SCPI command
Marker X (X=1 to 4) |  | :CALC:MARK :CALC:MARK:ACT :CALC:MARK:X
More Markers | Marker X (X=5 to 9)
Ref Marker |  | :CALC:MARK :CALC:MARK:ACT :CALC:MARK:X
Clear Marker Menu | All OFF | None
 | Marker X (X=1 to 9) | :CALC:MARK
 | Ref Marker | :CALC:MARK10
Marker -> Ref Marker |  | None
Ref Marker Mode |  | :CALC:MARK:REF


Command Finder (Marker Search)

Softkey under Marker Search key |  |  | SCPI command
Max |  |  | :CALC:MARK:FUNC:EXEC :CALC:MARK:FUNC:TYPE MAX
Min |  |  | :CALC:MARK:FUNC:EXEC :CALC:MARK:FUNC:TYPE MIN
Peak | Search Peak |  | :CALC:MARK:FUNC:EXEC :CALC:MARK:FUNC:TYPE PEAK
 | Search Left |  | :CALC:MARK:FUNC:EXEC :CALC:MARK:FUNC:TYPE LPE
 | Search Right |  | :CALC:MARK:FUNC:EXEC :CALC:MARK:FUNC:TYPE RPE
 | Peak Excursion |  | :CALC:MARK:FUNC:PEXC
 | Peak Polarity | Positive | :CALC:MARK:FUNC:PPOL POS
 |  | Negative | :CALC:MARK:FUNC:PPOL NEG
 |  | Both | :CALC:MARK:FUNC:PPOL BOTH
Target | Search Target |  | :CALC:MARK:FUNC:EXEC :CALC:MARK:FUNC:TYPE TARG
 | Search Left |  | :CALC:MARK:FUNC:EXEC :CALC:MARK:FUNC:TYPE LTAR
 | Search Right |  | :CALC:MARK:FUNC:EXEC :CALC:MARK:FUNC:TYPE RTAR
 | Target Value |  | :CALC:MARK:FUNC:TARG
 | Target Transition | Positive | :CALC:MARK:FUNC:TTR POS
 |  | Negative | :CALC:MARK:FUNC:TTR NEG
 |  | Both | :CALC:MARK:FUNC:TTR BOTH
Tracking |  |  | :CALC:MARK:FUNC:TRAC :CALC:MARK:FUNC:MULT:TRAC
Search Range | Search Range |  | :CALC:MARK:FUNC:DOM
 | Start |  | :CALC:MARK:FUNC:DOM:STAR
 | Stop |  | :CALC:MARK:FUNC:DOM:STOP
 | Couple |  | :CALC:MARK:FUNC:DOM:COUP
Bandwidth |  |  | :CALC:MARK:BWID
Width Def |  |  | :CALC:MARK:BWID:TYPE
BW Fixed Value |  |  | :CALC:MARK:BWID:FIX:VAL


Command Finder (Marker Function)

Softkey under Marker Function key |  | SCPI Command
Marker -> Start |  | :CALC:MARK:SET STAR
Marker -> Stop |  | :CALC:MARK:SET STOP
Marker -> Center |  | :CALC:MARK:SET CENT
Marker -> Reference |  | :CALC:MARK:SET RLEV
Marker Zoom |  | :CALC:MARK:SET ZOOM
Zooming Aperture |  | :CALC:MARK:ZAP
Discrete |  | :CALC:MARK:DISC
Couple |  | :CALC:MARK:COUP
Marker Table |  | :DISP:TABL :DISP:TABL:TYPE MARK
Statistics |  | :CALC:MST
X Unit |  | :CALC:MARK:XUN
Annotation Options | Marker Info X Pos | :DISP:WIND:TRAC:ANN:MARK:POS:X
 | Marker Info Y Pos | :DISP:WIND:TRAC:ANN:MARK:POS:Y
 | Align | :DISP:WIND:ANN:MARK:ALIG
 | Active Only | :DISP:WIND:ANN:MARK:SING


Command Finder (Meas)

Softkey under Meas key |  | SCPI command
Trace 1 & 2 |  | :CALC:PAR:SEL :CALC:PAR1:DEF :CALC:PAR2:DEF
OSC Monitor Trace |  | -
 | Vac-Iac | :SENS:SEGM:DATA
 | Close | :SENS:SEGM:DATA
DC Monitor Setup |  | -
 | DC Monitor | :SENS:DC:MEAS:ENAB
 | Clear | :SENS:DC:MEAS:CLE
 | DC Monitor Trace | -
Trace 1 |  | :CALC:PAR1:DEF
Trace 2 |  | :CALC:PAR2:DEF
Trace 3 |  | :CALC:PAR3:DEF
Trace 4 |  | :CALC:PAR4:DEF


Command Finder (Preset)

Softkey under Preset key | SCPI command
OK | :SYST:PRES


Command Finder (Save/Recall)

Softkey under Save/Recall key |  |  | SCPI command
Save State | StateXX (X=01 to 08) |  | :MMEM:STOR {"State01.sta"-"State08.sta"}
 | Autorec |  | :MMEM:STOR "Autorec.sta"
 | UserPres |  | :MMEM:STOR "UserPres.sta"
 | File Dialog... |  | :MMEM:STOR
Recall State | StateXX (XX=01 to 08) |  | :MMEM:LOAD {"State01.sta"-"State08.sta"}
 | Autorec |  | :MMEM:LOAD "Autorec.sta"
 | UserPres |  | :MMEM:LOAD "UserPres.sta"
 | File Dialog... |  | :MMEM:LOAD
Recall by File Name |  |  | :MMEM:LOAD
Save Channel | State & Cal A |  | :MMEM:STOR:CHAN A
 | State & Cal B |  | :MMEM:STOR:CHAN B
 | State & Cal C |  | :MMEM:STOR:CHAN C
 | State & Cal D |  | :MMEM:STOR:CHAN D
 | Cal Only A |  | :MMEM:STOR:CHAN:COEF A
 | Cal Only B |  | :MMEM:STOR:CHAN:COEF B
 | Cal Only C |  | :MMEM:STOR:CHAN:COEF C
 | Cal Only D |  | :MMEM:STOR:CHAN:COEF D
 | Clear States | OK | :MMEM:STOR:CHAN:CLE
Recall Channel | State & Cal A |  | :MMEM:LOAD:CHAN A
 | State & Cal B |  | :MMEM:LOAD:CHAN B
 | State & Cal C |  | :MMEM:LOAD:CHAN C
 | State & Cal D |  | :MMEM:LOAD:CHAN D
 | Cal Only A |  | :MMEM:LOAD:CHAN:COEF A
 | Cal Only B |  | :MMEM:LOAD:CHAN:COEF B
 | Cal Only C |  | :MMEM:LOAD:CHAN:COEF C
 | Cal Only D |  | :MMEM:LOAD:CHAN:COEF D
Save Type | State Only |  | :MMEM:STOR:STYP STAT
 | State & Cal |  | :MMEM:STOR:STYP CST
 | State & Trace |  | :MMEM:STOR:STYP DST
 | All |  | :MMEM:STOR:STYP CDST
Channel/Trace | Disp Only |  | :MMEM:STOR:SALL OFF
 | All |  | :MMEM:STOR:SALL ON
Save Trace Data... |  |  | :MMEM:STOR:TRAC, :MMEM:STOR:FDAT
Save S1P | Save S1P |  | :MMEM:STOR:S1P
 | S1P Format | LinMag/Angle | :MMEM:STOR:S1P:FORM MA
 |  | LogMag/Angle | :MMEM:STOR:S1P:FORM DB
 |  | Real/Imaginary | :MMEM:STOR:S1P:FORM RI
Explorer... |  |  | None


Command Finder (Scale)

Softkey under Scale key |  | SCPI command
Auto Scale |  | :DISP:WIND:TRAC:Y:AUTO
Auto Scale All |  | None
Divisions |  | :DISP:WIND:Y:DIV
Scale/Div |  | :DISP:WIND:TRAC:Y:PDIV
Reference Position |  | :DISP:WIND:TRAC:Y:RPOS
Reference Y Value |  | :DISP:WIND:TRAC:Y:RLEV
Reference X Value |  | :DISP:WIND:TRAC:X:RLEV
Reference Tracking | Tracking | :DISP:WIND:TRAC:Y:TRAC:MODE
 | Track Frequency | :DISP:WIND:TRAC:Y:TRAC:FREQ
Marker -> Reference |  | :CALC:MARK:SET RLEV
Log-Y Top |  | :DISP:WIND:TRAC:Y:TOP
Log-Y Bottom |  | :DISP:WIND:TRAC:Y:BOTT


Command Finder (Stimulus)

Softkey | SCPI command
Start | :SENS:FREQ:STAR :SOUR:BIAS:CURR:STAR :SOUR:BIAS:VOLT:STAR :SOUR:VOLT:STAR :SOUR:CURR:STAR
Stop | :SENS:FREQ:STOP :SOUR:BIAS:CURR:STOP :SOUR:BIAS:VOLT:STOP :SOUR:VOLT:STOP :SOUR:CURR:STOP
Center | :SENS:FREQ:CENT :SOUR:BIAS:CURR:CENT :SOUR:BIAS:VOLT:CENT :SOUR:VOLT:CENT :SOUR:CURR:CENT
Span | :SENS:FREQ:SPAN :SOUR:BIAS:CURR:SPAN :SOUR:BIAS:VOLT:SPAN :SOUR:VOLT:SPAN :SOUR:CURR:SPAN


Command Finder (Sweep Setup)

Softkey under Sweep Setup key |  |  | SCPI command
OSC Level | Voltage level |  | :SOUR:VOLT
 | Current level |  | :SOUR:CURR
 | OSC Unit |  | :SOUR:MODE
 | ALC |  | :SOUR:ALC
 |  | Max Iteration | :SOUR:ALC:COUN
 |  | Target % | :SOUR:ALC:TOL
CW Freq |  |  | :SENS:SWE:TIME:AUTO
Sweep Time |  |  | :SENS:SWE:TIME
Sweep Delay |  |  | :SENS:SWE:DEL
Points |  |  | :SENS:SWE:POIN
Direction |  |  | :SENS:SWE:DIR
Sweep Type |  |  | :SENS:SWE:TYPE
Edit Segment Table | Freq Mode | Start/Stop | :SENS:SEGM:DATA
 |  | Center/Span | :SENS:SEGM:DATA
 | List OSC Level |  | :SENS:SEGM:DATA
 | List Bias |  | :SENS:SEGM:DATA
 | List Meas Time |  | :SENS:SEGM:DATA
 | List Average |  | :SENS:SEGM:DATA
 | List Segment Table |  | :SENS:SEGM:DATA
 | List Segment Delay |  | :SENS:SEGM:DATA
 | Delete |  | None
 | Add |  | None
 | Clear Segment Table | OK | None
 | Export to CSV File |  | :MMEM:STOR:SEGM
 | Import from CSV File |  | :MMEM:LOAD:SEGM
DC Bias | DC Bias State |  | :SOUR:BIAS:STAT
 | Meas Range |  | :SOUR:BIAS:RANG
 | DC Bias Mode |  | :SOUR:BIAS:MODE
 | Voltage Level |  | :SOUR:BIAS:VOLT
 | Current Level |  | :SOUR:BIAS:CURR:AMPL
 | Constant Mode |  | :SOUR:BIAS:ALC
 | Max Limit Voltage |  | :SOUR:BIAS:VOLT:LIM:MAX
 | Min Limit Voltage |  | :SOUR:BIAS:VOLT:LIM:MIN
 | DC Bias Delay |  | :SOUR:BIAS:DEL
DC Bias State |  |  | :SOUR:BIAS:STAT


Command Finder (System)

Softkey under System key |  |  |  | SCPI command
Print |  |  |  | :HCOP
Printer Setup... |  |  |  | None
Invert Image |  |  |  | :HCOP:IMAG
Dump Screen Image... |  |  |  | :MMEM:STOR:IMAG
Misc Setup
Beeper | Beep Complete |  |  | :SYST:BEEP:COMP:STAT
 | Test Beep Complete |  |  | :SYST:BEEP:COMP:IMM
 | Beep Warning |  |  | :SYST:BEEP:WARN:STAT
 | Test Beep Warning |  |  | :SYST:BEEP:WARN:IMM
GPIB Setup | Talker/Listener Address |  |  | None
 | System Controller Configuration |  |  | None
Network Setup | Enable |  |  | None
 | Mode |  |  | None
 | VNC Server Configuration... |  |  | None
 | Network Configuration... |  |  | None
 | LAN Dialog... | ON |  | :LXI:IDEN ON
 |  | OFF |  | :LXI:IDEN OFF
Clock Setup | Set Date and Time... |  |  | :SYST:DATE :SYST:TIME
 | Show Clock |  |  | :DISP:CLOC
Key Lock | Front Panel & Keyboard Lock |  |  | :SYST:KLOC:KBD
 | Touch Screen & Mouse Lock |  |  | :SYST:KLOC:MOUS
Display Setup | Color Setup | Normal | Data Trace X (X=1 to 4) | :DISP:COL:TRAC:DATA
 |  |  | Mem Trace X (X=1 to 4) | :DISP:COL:TRAC:MEM
 |  |  | Graticule Main | :DISP:COL1:GRAT1
 |  |  | Graticule Sub | :DISP:COL1:GRAT2
 |  |  | Limit Fail | :DISP:COL1:LIM1
 |  |  | Limit Line | :DISP:COL1:LIM2
 |  |  | Background | :DISP:COL1:BACK
 |  |  | Reset Color -> OK | :DISP:COL1:RES
 |  | Invert | Data Trace X (X=1 to 4) | :DISP:COL2:TRAC:DATA
 |  |  | Mem Trace X (X=1 to 4) | :DISP:COL2:TRAC:MEM
 |  |  | Graticule Main | :DISP:COL2:GRAT1
 |  |  | Graticule Sub | :DISP:COL2:GRAT2
 |  |  | Limit Fail | :DISP:COL2:LIM1
 |  |  | Limit Line | :DISP:COL2:LIM2
 |  |  | Background | :DISP:COL2:BACK
 |  |  | Reset Color -> OK | :DISP:COL2:RES
 | Magnification | Small |  | None
 |  | Normal |  | None
 |  | Large |  | None
 | Adjust Touch Screen |  |  |
Preset Setup | State | Factory |  | None
 |  | User |  | None
 | Confirm |  |  | None
Control Panel... |  |  |  | None
Meas Setup | Clear Adapter Setup |  |  | :SYST:ADAP:SET:CLE
 | DC Output@Hold |  |  | None
 | Band Delay |  |  | :SOUR:BAND:DEL
Backlight |  |  |  | :SYST:BACK
Firmware Revision |  |  |  | *IDN? :SERV:SYST:HDD:REV
Service Menu
Test Menu | Power On Test |  |  | None
 | Display |  |  | None
 | Front Panel |  |  | None
 | Diagnostic Test |  |  | None
 | Adjust Touch Screen |  |  | None
Security Level | None |  |  | :SYST:SEC:LEV NONE
 | Low |  |  | :SYST:SEC:LEV LOW
 | High |  |  | :SYST:SEC:LEV HIGH
Accumulate |  |  |  | None
Restart Firmware |  |  |  | None
Update Firmware |  |  |  | None
Service Functions |  |  |  | None
Exit |  |  |  | None
Help |  |  |  | None


Command Finder (Trigger)

Softkey under Trigger key |  | SCPI command
Hold |  | :INIT:CONT
Single |  | :INIT
Continuous |  | :INIT:CONT
Hold All Channels |  | None
Continuous Disp Channels |  | None
Trigger Source | Internal | :TRIG:SOUR INT
 | External | :TRIG:SOUR EXT
 | Manual | :TRIG:SOUR MAN
 | Bus | :TRIG:SOUR BUS
Trigger Event | On Point | On Sweep | :TRIG:POIN
Trigger Scope | All Channel | Active Channel | :TRIG:SCOP
Restart |  | :ABOR
Trigger |  | :TRIG
Ext Trig Input |  | :TRIG::EXT:SLOP
Trigger Delay |  | :TRIG::EXT:DEL


Remote Control

  • Overview

  • Setting Measurement Conditions

  • Preparing for Accurate Measurement

  • Starting a Measurement (Trigger) and Detecting the Completion of a Measurement

  • Reading/Writing Measurement Data

  • Processing Measurement Results

  • Saving/Recalling a Measurement Result

  • Communication with External Devices

  • Status Reporting System

  • Using Macro


Quick Start

  • Overview

  • Measurement Example


Symbols

 | Times | Ohm | Square Root | Micro | Sigma | Epsilon | Rho | Theta
Verdana | × | Ω | √ | μ | Σ | ε | ρ | θ

 | Division | plus minus | less than | Greater than | Degree | Pi | Delta
Verdana | ÷ | ± | ≤ | ≥ | ° | π | D